/* control.c generated by valac 0.34.8, the Vala compiler
 * generated from control.vala, do not modify */

/*
 * Copyright 2014-2016 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <stdarg.h>
#include <nuvolaplayer3-base.h>
#include <glib/gstdio.h>
#include <dioriteglib-0.3.h>
#include <nuvolaplayer3-runner.h>
#include <json-glib/json-glib.h>
#include <float.h>
#include <math.h>
#include <gobject/gvaluecollector.h>


#define NUVOLA_TYPE_ARGS (nuvola_args_get_type ())
typedef struct _NuvolaArgs NuvolaArgs;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_option_context_free0(var) ((var == NULL) ? NULL : (var = (g_option_context_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _fclose0(var) ((var == NULL) ? NULL : (var = (fclose (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))

#define NUVOLA_TYPE_CONTROL (nuvola_control_get_type ())
#define NUVOLA_CONTROL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_CONTROL, NuvolaControl))
#define NUVOLA_CONTROL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_CONTROL, NuvolaControlClass))
#define NUVOLA_IS_CONTROL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_CONTROL))
#define NUVOLA_IS_CONTROL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_CONTROL))
#define NUVOLA_CONTROL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_CONTROL, NuvolaControlClass))

typedef struct _NuvolaControl NuvolaControl;
typedef struct _NuvolaControlClass NuvolaControlClass;
#define _nuvola_control_unref0(var) ((var == NULL) ? NULL : (var = (nuvola_control_unref (var), NULL)))
#define __vala_JsonNode_free0(var) ((var == NULL) ? NULL : (var = (_vala_JsonNode_free (var), NULL)))
typedef struct _NuvolaControlPrivate NuvolaControlPrivate;
#define _g_variant_iter_free0(var) ((var == NULL) ? NULL : (var = (g_variant_iter_free (var), NULL)))
typedef struct _NuvolaParamSpecControl NuvolaParamSpecControl;
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

struct _NuvolaArgs {
};

struct _NuvolaControl {
	GTypeInstance parent_instance;
	volatile int ref_count;
	NuvolaControlPrivate * priv;
};

struct _NuvolaControlClass {
	GTypeClass parent_class;
	void (*finalize) (NuvolaControl *self);
};

struct _NuvolaControlPrivate {
	DrtApiChannel* conn;
};

struct _NuvolaParamSpecControl {
	GParamSpec parent_instance;
};


extern gboolean nuvola_args_debug;
gboolean nuvola_args_debug = FALSE;
extern gboolean nuvola_args_verbose;
gboolean nuvola_args_verbose = FALSE;
extern gboolean nuvola_args_version;
gboolean nuvola_args_version = FALSE;
extern gchar* nuvola_args_app;
gchar* nuvola_args_app = NULL;
extern gchar* nuvola_args_log_file;
gchar* nuvola_args_log_file = NULL;
extern gchar** nuvola_args_command;
gchar** nuvola_args_command = NULL;
static gpointer nuvola_control_parent_class = NULL;

GType nuvola_args_get_type (void) G_GNUC_CONST;
NuvolaArgs* nuvola_args_dup (const NuvolaArgs* self);
void nuvola_args_free (NuvolaArgs* self);
gint nuvola_quit (gint code, const gchar* format, ...);
#define NUVOLA_DESCRIPTION "Commands:\n" \
"\n" \
"  list-actions\n" \
"    - list available actions\n" \
"  \n" \
"  action NAME [STATE]\n" \
"    - invoke action with name NAME\n" \
"    - STATE parameter is used to select option of a radio action\n" \
"  \n" \
"  action-state NAME\n" \
"    - get state of radio or toggle action with name NAME\n" \
"    - does nothing for simple actions\n" \
"    - you can set state actions with `action` command\n" \
"  \n" \
"  track-info [KEY]\n" \
"   - prints track information\n" \
"   - KEY can be 'all' (default), 'title', 'artist', 'album', 'state',\n" \
"     'artwork_location', 'artwork_file' or 'rating'.\n"
gint nuvola_main (gchar** args, int args_length1);
gpointer nuvola_control_ref (gpointer instance);
void nuvola_control_unref (gpointer instance);
GParamSpec* nuvola_param_spec_control (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void nuvola_value_set_control (GValue* value, gpointer v_object);
void nuvola_value_take_control (GValue* value, gpointer v_object);
gpointer nuvola_value_get_control (const GValue* value);
GType nuvola_control_get_type (void) G_GNUC_CONST;
NuvolaControl* nuvola_control_new (DrtApiChannel* conn);
NuvolaControl* nuvola_control_construct (GType object_type, DrtApiChannel* conn);
gint nuvola_control_activate_action (NuvolaControl* self, const gchar* name, const gchar* parameter_str, GError** error);
gint nuvola_control_list_actions (NuvolaControl* self, GError** error);
gint nuvola_control_action_state (NuvolaControl* self, const gchar* name, GError** error);
gint nuvola_control_track_info (NuvolaControl* self, const gchar* key, GError** error);
gint nuvola_call_api_method (DrtApiChannel* connection, gchar** args, int args_length1, gint offset, GError** error);
static void _vala_JsonNode_free (JsonNode* self);
#define NUVOLA_CONTROL_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_CONTROL, NuvolaControlPrivate))
enum  {
	NUVOLA_CONTROL_DUMMY_PROPERTY
};
static void nuvola_control_finalize (NuvolaControl* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);

const GOptionEntry NUVOLA_ARGS_main_options[7] = {{"app", 'a', 0, G_OPTION_ARG_FILENAME, &nuvola_args_app, "Web app to control.", "ID"}, {"verbose", 'v', 0, G_OPTION_ARG_NONE, &nuvola_args_verbose, "Print informational messages", NULL}, {"debug", 'D', 0, G_OPTION_ARG_NONE, &nuvola_args_debug, "Print debugging messages", NULL}, {"version", 'V', 0, G_OPTION_ARG_NONE, &nuvola_args_version, "Print version and exit", NULL}, {"log-file", 'L', 0, G_OPTION_ARG_FILENAME, &nuvola_args_log_file, "Log to file", "FILE"}, {"", (gchar) 0, 0, G_OPTION_ARG_STRING_ARRAY, &nuvola_args_command, "Command.", "COMMAND PARAMS..."}, {NULL}};

NuvolaArgs* nuvola_args_dup (const NuvolaArgs* self) {
	NuvolaArgs* dup;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	dup = g_new0 (NuvolaArgs, 1);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	memcpy (dup, self, sizeof (NuvolaArgs));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return dup;
#line 150 "control.c"
}


void nuvola_args_free (NuvolaArgs* self) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_free (self);
#line 157 "control.c"
}


GType nuvola_args_get_type (void) {
	static volatile gsize nuvola_args_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_args_type_id__volatile)) {
		GType nuvola_args_type_id;
		nuvola_args_type_id = g_boxed_type_register_static ("NuvolaArgs", (GBoxedCopyFunc) nuvola_args_dup, (GBoxedFreeFunc) nuvola_args_free);
		g_once_init_leave (&nuvola_args_type_id__volatile, nuvola_args_type_id);
	}
	return nuvola_args_type_id__volatile;
}


gint nuvola_quit (gint code, const gchar* format, ...) {
	gint result = 0;
	FILE* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	va_list _tmp2_ = {0};
	gint _tmp3_ = 0;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_val_if_fail (format != NULL, 0);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp0_ = stderr;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp1_ = format;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	va_start (_tmp2_, format);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	vfprintf (_tmp0_, _tmp1_, _tmp2_);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	va_end (_tmp2_);
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp3_ = code;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	result = _tmp3_;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return result;
#line 196 "control.c"
}


gint nuvola_main (gchar** args, int args_length1) {
	gint result = 0;
	gboolean _tmp16_ = FALSE;
	FILE* log = NULL;
	const gchar* _tmp22_ = NULL;
	FILE* _tmp28_ = NULL;
	FILE* _tmp29_ = NULL;
	GLogLevelFlags _tmp32_ = 0;
	gboolean _tmp33_ = FALSE;
	const gchar* _tmp36_ = NULL;
	gchar** _tmp60_ = NULL;
	gint _tmp60__length1 = 0;
	DrtApiChannel* client = NULL;
	gchar* command = NULL;
	gchar** _tmp79_ = NULL;
	gint _tmp79__length1 = 0;
	const gchar* _tmp80_ = NULL;
	gchar* _tmp81_ = NULL;
	NuvolaControl* control = NULL;
	DrtApiChannel* _tmp82_ = NULL;
	NuvolaControl* _tmp83_ = NULL;
	gint _tmp157_ = 0;
	GError * _inner_error_ = NULL;
	{
		GOptionContext* opt_context = NULL;
		gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		GOptionContext* _tmp4_ = NULL;
		GOptionContext* _tmp5_ = NULL;
		GOptionContext* _tmp6_ = NULL;
		GOptionContext* _tmp7_ = NULL;
		GOptionContext* _tmp8_ = NULL;
		GOptionContext* _tmp9_ = NULL;
		GOptionContext* _tmp10_ = NULL;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp0_ = nuvola_get_app_name ();
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp1_ = _tmp0_;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp2_ = g_strdup_printf ("- Control %s", _tmp1_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp3_ = _tmp2_;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp4_ = g_option_context_new (_tmp3_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp5_ = _tmp4_;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (_tmp3_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (_tmp1_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		opt_context = _tmp5_;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp6_ = opt_context;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_option_context_set_help_enabled (_tmp6_, TRUE);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp7_ = opt_context;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_option_context_add_main_entries (_tmp7_, NUVOLA_ARGS_main_options, NULL);
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp8_ = opt_context;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_option_context_set_ignore_unknown_options (_tmp8_, FALSE);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp9_ = opt_context;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_option_context_set_description (_tmp9_, NUVOLA_DESCRIPTION);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp10_ = opt_context;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_option_context_parse (_tmp10_, &args_length1, &args, &_inner_error_);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 276 "control.c"
			gint _tmp11_ = 0;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_option_context_free0 (opt_context);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			if (_inner_error_->domain == G_OPTION_ERROR) {
#line 282 "control.c"
				goto __catch0_g_option_error;
			}
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_option_context_free0 (opt_context);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			g_clear_error (&_inner_error_);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			return _tmp11_;
#line 293 "control.c"
		}
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_option_context_free0 (opt_context);
#line 297 "control.c"
	}
	goto __finally0;
	__catch0_g_option_error:
	{
		GError* e = NULL;
		FILE* _tmp12_ = NULL;
		GError* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		e = _inner_error_;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_inner_error_ = NULL;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp12_ = stderr;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp13_ = e;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp14_ = _tmp13_->message;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		fprintf (_tmp12_, "Error: Option parsing failed: %s\n", _tmp14_);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		result = 1;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_error_free0 (e);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return result;
#line 324 "control.c"
	}
	__finally0:
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 329 "control.c"
		gint _tmp15_ = 0;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_clear_error (&_inner_error_);
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return _tmp15_;
#line 337 "control.c"
	}
#line 105 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp16_ = nuvola_args_version;
#line 105 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (_tmp16_) {
#line 343 "control.c"
		FILE* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp17_ = stdout;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp18_ = nuvola_get_app_name ();
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp19_ = _tmp18_;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp20_ = nuvola_get_version ();
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp21_ = _tmp20_;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		fprintf (_tmp17_, "%s %s\n", _tmp19_, _tmp21_);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (_tmp21_);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (_tmp19_);
#line 108 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		result = 0;
#line 108 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return result;
#line 369 "control.c"
	}
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	log = NULL;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp22_ = nuvola_args_log_file;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (_tmp22_ != NULL) {
#line 377 "control.c"
		const gchar* _tmp23_ = NULL;
		FILE* _tmp24_ = NULL;
		FILE* _tmp25_ = NULL;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp23_ = nuvola_args_log_file;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp24_ = g_fopen (_tmp23_, "w");
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_fclose0 (log);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		log = _tmp24_;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp25_ = log;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp25_ == NULL) {
#line 393 "control.c"
			FILE* _tmp26_ = NULL;
			const gchar* _tmp27_ = NULL;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp26_ = stderr;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp27_ = nuvola_args_log_file;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			fprintf (_tmp26_, "Error: Cannot open log file '%s' for writing.\n", _tmp27_);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			result = 1;
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_fclose0 (log);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			return result;
#line 408 "control.c"
		}
	}
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp29_ = log;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (_tmp29_ != NULL) {
#line 415 "control.c"
		FILE* _tmp30_ = NULL;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp30_ = log;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp28_ = _tmp30_;
#line 421 "control.c"
	} else {
		FILE* _tmp31_ = NULL;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp31_ = stderr;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp28_ = _tmp31_;
#line 428 "control.c"
	}
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp33_ = nuvola_args_debug;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (_tmp33_) {
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp32_ = G_LOG_LEVEL_DEBUG;
#line 436 "control.c"
	} else {
		GLogLevelFlags _tmp34_ = 0;
		gboolean _tmp35_ = FALSE;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp35_ = nuvola_args_verbose;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp35_) {
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp34_ = G_LOG_LEVEL_INFO;
#line 446 "control.c"
		} else {
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp34_ = G_LOG_LEVEL_WARNING;
#line 450 "control.c"
		}
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp32_ = _tmp34_;
#line 454 "control.c"
	}
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	diorite_logger_init (_tmp28_, _tmp32_, TRUE, "Control");
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp36_ = nuvola_args_app;
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (_tmp36_ == NULL) {
#line 462 "control.c"
		{
			DrtApiChannel* master = NULL;
			gchar* _tmp37_ = NULL;
			gchar* _tmp38_ = NULL;
			DrtApiChannel* _tmp39_ = NULL;
			DrtApiChannel* _tmp40_ = NULL;
			GVariant* response = NULL;
			DrtApiChannel* _tmp41_ = NULL;
			GVariant* _tmp42_ = NULL;
			GVariant* _tmp43_ = NULL;
			GVariant* _tmp44_ = NULL;
			gboolean _tmp45_ = FALSE;
			const gchar* _tmp46_ = NULL;
			const gchar* _tmp52_ = NULL;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp37_ = nuvola_build_master_ipc_id ();
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp38_ = _tmp37_;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp39_ = drt_api_channel_new_from_name ((guint) 1, _tmp38_, NULL, (guint) 500, &_inner_error_);
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp40_ = _tmp39_;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_free0 (_tmp38_);
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			master = _tmp40_;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 491 "control.c"
				goto __catch1_g_error;
			}
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp41_ = master;
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp42_ = drt_api_channel_call_sync (_tmp41_, "/nuvola/core/get_top_runner", NULL, &_inner_error_);
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			response = _tmp42_;
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_g_object_unref0 (master);
#line 504 "control.c"
				goto __catch1_g_error;
			}
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp43_ = response;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			diorite_message_listener_check_type_string (_tmp43_, "ms", &_inner_error_);
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_g_variant_unref0 (response);
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_g_object_unref0 (master);
#line 517 "control.c"
				goto __catch1_g_error;
			}
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp44_ = response;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			g_variant_get (_tmp44_, "ms", &nuvola_args_app, NULL);
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp46_ = nuvola_args_app;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			if (_tmp46_ == NULL) {
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp45_ = TRUE;
#line 530 "control.c"
			} else {
				const gchar* _tmp47_ = NULL;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp47_ = nuvola_args_app;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp45_ = g_strcmp0 (_tmp47_, "") == 0;
#line 537 "control.c"
			}
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			if (_tmp45_) {
#line 541 "control.c"
				gchar* _tmp48_ = NULL;
				gchar* _tmp49_ = NULL;
				gint _tmp50_ = 0;
				gint _tmp51_ = 0;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp48_ = nuvola_get_app_name ();
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp49_ = _tmp48_;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp50_ = nuvola_quit (1, "Error: No %s instance is running.\n", _tmp49_);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp51_ = _tmp50_;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_g_free0 (_tmp49_);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				result = _tmp51_;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_g_variant_unref0 (response);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_g_object_unref0 (master);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_fclose0 (log);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				return result;
#line 566 "control.c"
			}
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp52_ = nuvola_args_app;
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			g_message ("control.vala:139: Using '%s' as web app id.", _tmp52_);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_variant_unref0 (response);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_object_unref0 (master);
#line 576 "control.c"
		}
		goto __finally1;
		__catch1_g_error:
		{
			GError* e = NULL;
			gchar* _tmp53_ = NULL;
			gchar* _tmp54_ = NULL;
			GError* _tmp55_ = NULL;
			const gchar* _tmp56_ = NULL;
			gint _tmp57_ = 0;
			gint _tmp58_ = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			e = _inner_error_;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_inner_error_ = NULL;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp53_ = nuvola_get_app_name ();
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp54_ = _tmp53_;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp55_ = e;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp56_ = _tmp55_->message;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp57_ = nuvola_quit (2, "Error: Communication with %s master instance failed: %s\n", _tmp54_, _tmp56_);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp58_ = _tmp57_;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_free0 (_tmp54_);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			result = _tmp58_;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_error_free0 (e);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_fclose0 (log);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			return result;
#line 614 "control.c"
		}
		__finally1:
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 619 "control.c"
			gint _tmp59_ = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_fclose0 (log);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			g_clear_error (&_inner_error_);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			return _tmp59_;
#line 629 "control.c"
		}
	}
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp60_ = nuvola_args_command;
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp60__length1 = _vala_array_length (nuvola_args_command);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (_tmp60__length1 < 1) {
#line 638 "control.c"
		gchar** _tmp61_ = NULL;
		gint _tmp61__length1 = 0;
		const gchar* _tmp62_ = NULL;
		gint _tmp63_ = 0;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp61_ = args;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp61__length1 = args_length1;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp62_ = _tmp61_[0];
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp63_ = nuvola_quit (1, "Error: No command specified. Type `%s --help` for help.\n", _tmp62_);
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		result = _tmp63_;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_fclose0 (log);
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return result;
#line 657 "control.c"
	}
	{
		DrtApiChannel* _tmp64_ = NULL;
		const gchar* _tmp65_ = NULL;
		gchar* _tmp66_ = NULL;
		gchar* _tmp67_ = NULL;
		DrtApiChannel* _tmp68_ = NULL;
		DrtApiChannel* _tmp69_ = NULL;
		DrtApiChannel* _tmp70_ = NULL;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp65_ = nuvola_args_app;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp66_ = nuvola_build_ui_runner_ipc_id (_tmp65_);
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp67_ = _tmp66_;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp68_ = drt_api_channel_new_from_name ((guint) 2, _tmp67_, NULL, (guint) 500, &_inner_error_);
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp69_ = _tmp68_;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (_tmp67_);
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp64_ = _tmp69_;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 683 "control.c"
			goto __catch2_g_error;
		}
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp70_ = _tmp64_;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp64_ = NULL;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_object_unref0 (client);
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		client = _tmp70_;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_object_unref0 (_tmp64_);
#line 696 "control.c"
	}
	goto __finally2;
	__catch2_g_error:
	{
		GError* e = NULL;
		gchar* _tmp71_ = NULL;
		gchar* _tmp72_ = NULL;
		const gchar* _tmp73_ = NULL;
		GError* _tmp74_ = NULL;
		const gchar* _tmp75_ = NULL;
		gint _tmp76_ = 0;
		gint _tmp77_ = 0;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		e = _inner_error_;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_inner_error_ = NULL;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp71_ = nuvola_get_app_name ();
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp72_ = _tmp71_;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp73_ = nuvola_args_app;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp74_ = e;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp75_ = _tmp74_->message;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp76_ = nuvola_quit (2, "Error: Failed to connect to %s instance for %s. %s\n", _tmp72_, _tmp73_, _tmp75_);
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp77_ = _tmp76_;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (_tmp72_);
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		result = _tmp77_;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_error_free0 (e);
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_object_unref0 (client);
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_fclose0 (log);
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return result;
#line 739 "control.c"
	}
	__finally2:
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 744 "control.c"
		gint _tmp78_ = 0;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_object_unref0 (client);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_fclose0 (log);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_clear_error (&_inner_error_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return _tmp78_;
#line 756 "control.c"
	}
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp79_ = nuvola_args_command;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp79__length1 = _vala_array_length (nuvola_args_command);
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp80_ = _tmp79_[0];
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp81_ = g_strdup (_tmp80_);
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	command = _tmp81_;
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp82_ = client;
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp83_ = nuvola_control_new (_tmp82_);
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	control = _tmp83_;
#line 774 "control.c"
	{
		const gchar* _tmp84_ = NULL;
		const gchar* _tmp85_ = NULL;
		GQuark _tmp87_ = 0U;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp86_label0 = 0;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp86_label1 = 0;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp86_label2 = 0;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp86_label3 = 0;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp86_label4 = 0;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp86_label5 = 0;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp84_ = command;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp85_ = _tmp84_;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp87_ = (NULL == _tmp85_) ? 0 : g_quark_from_string (_tmp85_);
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp87_ == ((0 != _tmp86_label0) ? _tmp86_label0 : (_tmp86_label0 = g_quark_from_static_string ("action")))) {
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 801 "control.c"
				default:
				{
					gchar** _tmp88_ = NULL;
					gint _tmp88__length1 = 0;
					const gchar* _tmp90_ = NULL;
					gchar** _tmp91_ = NULL;
					gint _tmp91__length1 = 0;
					gint _tmp94_ = 0;
					NuvolaControl* _tmp95_ = NULL;
					gchar** _tmp96_ = NULL;
					gint _tmp96__length1 = 0;
					const gchar* _tmp97_ = NULL;
					gint _tmp98_ = 0;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp88_ = nuvola_args_command;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp88__length1 = _vala_array_length (nuvola_args_command);
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp88__length1 < 2) {
#line 821 "control.c"
						gint _tmp89_ = 0;
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp89_ = nuvola_quit (1, "Error: No action specified.\n");
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						result = _tmp89_;
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_nuvola_control_unref0 (control);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (command);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_object_unref0 (client);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_fclose0 (log);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						return result;
#line 837 "control.c"
					}
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp91_ = nuvola_args_command;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp91__length1 = _vala_array_length (nuvola_args_command);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp91__length1 == 2) {
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp90_ = NULL;
#line 847 "control.c"
					} else {
						gchar** _tmp92_ = NULL;
						gint _tmp92__length1 = 0;
						const gchar* _tmp93_ = NULL;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp92_ = nuvola_args_command;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp92__length1 = _vala_array_length (nuvola_args_command);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp93_ = _tmp92_[2];
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp90_ = _tmp93_;
#line 860 "control.c"
					}
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp95_ = control;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp96_ = nuvola_args_command;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp96__length1 = _vala_array_length (nuvola_args_command);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp97_ = _tmp96_[1];
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp98_ = nuvola_control_activate_action (_tmp95_, _tmp97_, _tmp90_, &_inner_error_);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp94_ = _tmp98_;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 876 "control.c"
						goto __catch3_g_error;
					}
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					result = _tmp94_;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_nuvola_control_unref0 (control);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (command);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_object_unref0 (client);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_fclose0 (log);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					return result;
#line 891 "control.c"
				}
			}
		} else if (_tmp87_ == ((0 != _tmp86_label1) ? _tmp86_label1 : (_tmp86_label1 = g_quark_from_static_string ("list-actions")))) {
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 897 "control.c"
				default:
				{
					gchar** _tmp99_ = NULL;
					gint _tmp99__length1 = 0;
					gint _tmp101_ = 0;
					NuvolaControl* _tmp102_ = NULL;
					gint _tmp103_ = 0;
#line 172 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp99_ = nuvola_args_command;
#line 172 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp99__length1 = _vala_array_length (nuvola_args_command);
#line 172 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp99__length1 > 1) {
#line 911 "control.c"
						gint _tmp100_ = 0;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp100_ = nuvola_quit (1, "Error: Too many arguments.\n");
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						result = _tmp100_;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_nuvola_control_unref0 (control);
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (command);
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_object_unref0 (client);
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_fclose0 (log);
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						return result;
#line 927 "control.c"
					}
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp102_ = control;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp103_ = nuvola_control_list_actions (_tmp102_, &_inner_error_);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp101_ = _tmp103_;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 937 "control.c"
						goto __catch3_g_error;
					}
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					result = _tmp101_;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_nuvola_control_unref0 (control);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (command);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_object_unref0 (client);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_fclose0 (log);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					return result;
#line 952 "control.c"
				}
			}
		} else if (_tmp87_ == ((0 != _tmp86_label2) ? _tmp86_label2 : (_tmp86_label2 = g_quark_from_static_string ("action-state")))) {
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 958 "control.c"
				default:
				{
					gchar** _tmp104_ = NULL;
					gint _tmp104__length1 = 0;
					gint _tmp106_ = 0;
					NuvolaControl* _tmp107_ = NULL;
					gchar** _tmp108_ = NULL;
					gint _tmp108__length1 = 0;
					const gchar* _tmp109_ = NULL;
					gint _tmp110_ = 0;
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp104_ = nuvola_args_command;
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp104__length1 = _vala_array_length (nuvola_args_command);
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp104__length1 < 2) {
#line 975 "control.c"
						gint _tmp105_ = 0;
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp105_ = nuvola_quit (1, "Error: No action specified.\n");
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						result = _tmp105_;
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_nuvola_control_unref0 (control);
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (command);
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_object_unref0 (client);
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_fclose0 (log);
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						return result;
#line 991 "control.c"
					}
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp107_ = control;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp108_ = nuvola_args_command;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp108__length1 = _vala_array_length (nuvola_args_command);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp109_ = _tmp108_[1];
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp110_ = nuvola_control_action_state (_tmp107_, _tmp109_, &_inner_error_);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp106_ = _tmp110_;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1007 "control.c"
						goto __catch3_g_error;
					}
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					result = _tmp106_;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_nuvola_control_unref0 (control);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (command);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_object_unref0 (client);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_fclose0 (log);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					return result;
#line 1022 "control.c"
				}
			}
		} else if (_tmp87_ == ((0 != _tmp86_label3) ? _tmp86_label3 : (_tmp86_label3 = g_quark_from_static_string ("track-info")))) {
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 1028 "control.c"
				default:
				{
					gchar** _tmp111_ = NULL;
					gint _tmp111__length1 = 0;
					const gchar* _tmp113_ = NULL;
					gchar** _tmp114_ = NULL;
					gint _tmp114__length1 = 0;
					gint _tmp117_ = 0;
					NuvolaControl* _tmp118_ = NULL;
					gint _tmp119_ = 0;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp111_ = nuvola_args_command;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp111__length1 = _vala_array_length (nuvola_args_command);
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp111__length1 > 2) {
#line 1045 "control.c"
						gint _tmp112_ = 0;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp112_ = nuvola_quit (1, "Error: Too many arguments.\n");
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						result = _tmp112_;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_nuvola_control_unref0 (control);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (command);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_object_unref0 (client);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_fclose0 (log);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						return result;
#line 1061 "control.c"
					}
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp114_ = nuvola_args_command;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp114__length1 = _vala_array_length (nuvola_args_command);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp114__length1 == 2) {
#line 1069 "control.c"
						gchar** _tmp115_ = NULL;
						gint _tmp115__length1 = 0;
						const gchar* _tmp116_ = NULL;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp115_ = nuvola_args_command;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp115__length1 = _vala_array_length (nuvola_args_command);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp116_ = _tmp115_[1];
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp113_ = _tmp116_;
#line 1081 "control.c"
					} else {
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp113_ = NULL;
#line 1085 "control.c"
					}
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp118_ = control;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp119_ = nuvola_control_track_info (_tmp118_, _tmp113_, &_inner_error_);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp117_ = _tmp119_;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1095 "control.c"
						goto __catch3_g_error;
					}
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					result = _tmp117_;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_nuvola_control_unref0 (control);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (command);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_object_unref0 (client);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_fclose0 (log);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					return result;
#line 1110 "control.c"
				}
			}
		} else if (_tmp87_ == ((0 != _tmp86_label4) ? _tmp86_label4 : (_tmp86_label4 = g_quark_from_static_string ("api-master")))) {
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 1116 "control.c"
				default:
				{
					gchar** _tmp120_ = NULL;
					gint _tmp120__length1 = 0;
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp120_ = nuvola_args_command;
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp120__length1 = _vala_array_length (nuvola_args_command);
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp120__length1 < 2) {
#line 1127 "control.c"
						gint _tmp121_ = 0;
#line 185 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp121_ = nuvola_quit (1, "Error: No API method specified.\n");
#line 185 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						result = _tmp121_;
#line 185 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_nuvola_control_unref0 (control);
#line 185 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (command);
#line 185 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_object_unref0 (client);
#line 185 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_fclose0 (log);
#line 185 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						return result;
#line 1143 "control.c"
					}
					{
						DrtApiChannel* master = NULL;
						gchar* _tmp122_ = NULL;
						gchar* _tmp123_ = NULL;
						DrtApiChannel* _tmp124_ = NULL;
						DrtApiChannel* _tmp125_ = NULL;
						gint _tmp126_ = 0;
						DrtApiChannel* _tmp127_ = NULL;
						gchar** _tmp128_ = NULL;
						gint _tmp128__length1 = 0;
						gint _tmp129_ = 0;
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp122_ = nuvola_build_master_ipc_id ();
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp123_ = _tmp122_;
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp124_ = drt_api_channel_new_from_name ((guint) 1, _tmp123_, NULL, (guint) 500, &_inner_error_);
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp125_ = _tmp124_;
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (_tmp123_);
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						master = _tmp125_;
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1170 "control.c"
							goto __catch4_g_error;
						}
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp127_ = master;
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp128_ = nuvola_args_command;
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp128__length1 = _vala_array_length (nuvola_args_command);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp129_ = nuvola_call_api_method (_tmp127_, _tmp128_, _tmp128__length1, 1, &_inner_error_);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp126_ = _tmp129_;
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
							_g_object_unref0 (master);
#line 1187 "control.c"
							goto __catch4_g_error;
						}
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						result = _tmp126_;
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_object_unref0 (master);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_nuvola_control_unref0 (control);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (command);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_object_unref0 (client);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_fclose0 (log);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						return result;
#line 1204 "control.c"
					}
					goto __finally4;
					__catch4_g_error:
					{
						GError* e = NULL;
						gchar* _tmp130_ = NULL;
						gchar* _tmp131_ = NULL;
						GError* _tmp132_ = NULL;
						const gchar* _tmp133_ = NULL;
						gint _tmp134_ = 0;
						gint _tmp135_ = 0;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						e = _inner_error_;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_inner_error_ = NULL;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp130_ = nuvola_get_app_name ();
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp131_ = _tmp130_;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp132_ = e;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp133_ = _tmp132_->message;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp134_ = nuvola_quit (2, "Error: Communication with %s master instance failed: %s\n", _tmp131_, _tmp133_);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp135_ = _tmp134_;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (_tmp131_);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						result = _tmp135_;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_error_free0 (e);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_nuvola_control_unref0 (control);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (command);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_object_unref0 (client);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_fclose0 (log);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						return result;
#line 1248 "control.c"
					}
					__finally4:
					goto __catch3_g_error;
				}
			}
		} else if (_tmp87_ == ((0 != _tmp86_label5) ? _tmp86_label5 : (_tmp86_label5 = g_quark_from_static_string ("api-app")))) {
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 1257 "control.c"
				default:
				{
					gchar** _tmp136_ = NULL;
					gint _tmp136__length1 = 0;
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp136_ = nuvola_args_command;
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp136__length1 = _vala_array_length (nuvola_args_command);
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp136__length1 < 2) {
#line 1268 "control.c"
						gint _tmp137_ = 0;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp137_ = nuvola_quit (1, "Error: No API method specified.\n");
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						result = _tmp137_;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_nuvola_control_unref0 (control);
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (command);
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_object_unref0 (client);
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_fclose0 (log);
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						return result;
#line 1284 "control.c"
					}
					{
						gint _tmp138_ = 0;
						DrtApiChannel* _tmp139_ = NULL;
						gchar** _tmp140_ = NULL;
						gint _tmp140__length1 = 0;
						gint _tmp141_ = 0;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp139_ = client;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp140_ = nuvola_args_command;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp140__length1 = _vala_array_length (nuvola_args_command);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp141_ = nuvola_call_api_method (_tmp139_, _tmp140_, _tmp140__length1, 1, &_inner_error_);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp138_ = _tmp141_;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1304 "control.c"
							goto __catch5_g_error;
						}
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						result = _tmp138_;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_nuvola_control_unref0 (control);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (command);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_object_unref0 (client);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_fclose0 (log);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						return result;
#line 1319 "control.c"
					}
					goto __finally5;
					__catch5_g_error:
					{
						GError* e = NULL;
						gchar* _tmp142_ = NULL;
						gchar* _tmp143_ = NULL;
						const gchar* _tmp144_ = NULL;
						GError* _tmp145_ = NULL;
						const gchar* _tmp146_ = NULL;
						gint _tmp147_ = 0;
						gint _tmp148_ = 0;
#line 198 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						e = _inner_error_;
#line 198 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_inner_error_ = NULL;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp142_ = nuvola_get_app_name ();
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp143_ = _tmp142_;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp144_ = nuvola_args_app;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp145_ = e;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp146_ = _tmp145_->message;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp147_ = nuvola_quit (2, "Error: Communication with %s instance for %s failed. %s\n", _tmp143_, _tmp144_, _tmp146_);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp148_ = _tmp147_;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (_tmp143_);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						result = _tmp148_;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_error_free0 (e);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_nuvola_control_unref0 (control);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (command);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_object_unref0 (client);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_fclose0 (log);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						return result;
#line 1366 "control.c"
					}
					__finally5:
					goto __catch3_g_error;
				}
			}
		} else {
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 1375 "control.c"
				default:
				{
					const gchar* _tmp149_ = NULL;
					gint _tmp150_ = 0;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp149_ = command;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp150_ = nuvola_quit (1, "Error: Unknown command '%s'.\n", _tmp149_);
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					result = _tmp150_;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_nuvola_control_unref0 (control);
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (command);
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_object_unref0 (client);
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_fclose0 (log);
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					return result;
#line 1396 "control.c"
				}
			}
		}
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* e = NULL;
		gchar* _tmp151_ = NULL;
		gchar* _tmp152_ = NULL;
		GError* _tmp153_ = NULL;
		const gchar* _tmp154_ = NULL;
		gint _tmp155_ = 0;
		gint _tmp156_ = 0;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		e = _inner_error_;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_inner_error_ = NULL;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp151_ = nuvola_get_app_name ();
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp152_ = _tmp151_;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp153_ = e;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp154_ = _tmp153_->message;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp155_ = nuvola_quit (2, "Error: Communication with %s instance failed: %s\n", _tmp152_, _tmp154_);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp156_ = _tmp155_;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (_tmp152_);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		result = _tmp156_;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_error_free0 (e);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_nuvola_control_unref0 (control);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (command);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_object_unref0 (client);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_fclose0 (log);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return result;
#line 1443 "control.c"
	}
	__finally3:
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_nuvola_control_unref0 (control);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_free0 (command);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_object_unref0 (client);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_fclose0 (log);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_clear_error (&_inner_error_);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return _tmp157_;
#line 1460 "control.c"
}


int main (int argc, char ** argv) {
#if !GLIB_CHECK_VERSION (2,35,0)
	g_type_init ();
#endif
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return nuvola_main (argv, argc);
#line 1470 "control.c"
}


static void _vala_JsonNode_free (JsonNode* self) {
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_boxed_free (json_node_get_type (), self);
#line 1477 "control.c"
}


gint nuvola_call_api_method (DrtApiChannel* connection, gchar** args, int args_length1, gint offset, GError** error) {
	gint result = 0;
	GVariant* response = NULL;
	DrtApiChannel* _tmp0_ = NULL;
	gchar** _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
	gint _tmp2_ = 0;
	const gchar* _tmp3_ = NULL;
	gchar** _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
	gint _tmp5_ = 0;
	GVariant* _tmp6_ = NULL;
	GVariant* _tmp7_ = NULL;
	GVariant* _tmp8_ = NULL;
	GVariant* _tmp9_ = NULL;
	GError * _inner_error_ = NULL;
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_val_if_fail (connection != NULL, 0);
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp0_ = connection;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp1_ = args;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp1__length1 = args_length1;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp2_ = offset;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp3_ = _tmp1_[_tmp2_];
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp4_ = args;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp4__length1 = args_length1;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp5_ = offset;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp6_ = drt_strv_to_variant_dict (_tmp4_, _tmp4__length1, _tmp5_ + 1);
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp7_ = _tmp6_;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp8_ = drt_api_channel_call_with_dict_sync (_tmp0_, _tmp3_, _tmp7_, &_inner_error_);
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp9_ = _tmp8_;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_variant_unref0 (_tmp7_);
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	response = _tmp9_;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1529 "control.c"
		gint _tmp10_ = 0;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_propagate_error (error, _inner_error_);
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return _tmp10_;
#line 1535 "control.c"
	}
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (response != NULL) {
#line 1539 "control.c"
		JsonNode* node = NULL;
		JsonNode* _tmp11_ = NULL;
		JsonGenerator* generator = NULL;
		JsonGenerator* _tmp12_ = NULL;
		JsonGenerator* _tmp13_ = NULL;
		JsonGenerator* _tmp14_ = NULL;
		JsonNode* _tmp15_ = NULL;
		gchar* data = NULL;
		JsonGenerator* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		FILE* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp11_ = json_gvariant_serialize (response);
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		node = _tmp11_;
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp12_ = json_generator_new ();
#line 222 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		generator = _tmp12_;
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp13_ = generator;
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		json_generator_set_pretty (_tmp13_, TRUE);
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp14_ = generator;
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp15_ = node;
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		json_generator_set_root (_tmp14_, _tmp15_);
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp16_ = generator;
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp17_ = json_generator_to_data (_tmp16_, NULL);
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		data = _tmp17_;
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp18_ = stdout;
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp19_ = data;
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		fprintf (_tmp18_, "%s\n", _tmp19_);
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (data);
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_object_unref0 (generator);
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		__vala_JsonNode_free0 (node);
#line 1588 "control.c"
	}
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	result = 0;
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_variant_unref0 (response);
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return result;
#line 1596 "control.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 237 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return self ? g_object_ref (self) : NULL;
#line 1603 "control.c"
}


NuvolaControl* nuvola_control_construct (GType object_type, DrtApiChannel* conn) {
	NuvolaControl* self = NULL;
	DrtApiChannel* _tmp0_ = NULL;
	DrtApiChannel* _tmp1_ = NULL;
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_val_if_fail (conn != NULL, NULL);
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	self = (NuvolaControl*) g_type_create_instance (object_type);
#line 237 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp0_ = conn;
#line 237 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 237 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_object_unref0 (self->priv->conn);
#line 237 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	self->priv->conn = _tmp1_;
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return self;
#line 1625 "control.c"
}


NuvolaControl* nuvola_control_new (DrtApiChannel* conn) {
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return nuvola_control_construct (NUVOLA_TYPE_CONTROL, conn);
#line 1632 "control.c"
}


gint nuvola_control_list_actions (NuvolaControl* self, GError** error) {
	gint result = 0;
	GVariant* response = NULL;
	DrtApiChannel* _tmp0_ = NULL;
	GVariant* _tmp1_ = NULL;
	FILE* _tmp3_ = NULL;
	GVariantIter* iter = NULL;
	GVariant* _tmp4_ = NULL;
	GVariantIter* _tmp5_ = NULL;
	gchar* group_name = NULL;
	GError * _inner_error_ = NULL;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp0_ = self->priv->conn;
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp1_ = drt_api_channel_call_sync (_tmp0_, "/nuvola/actions/list-groups", NULL, &_inner_error_);
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	response = _tmp1_;
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1657 "control.c"
		gint _tmp2_ = 0;
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_propagate_error (error, _inner_error_);
#line 242 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return _tmp2_;
#line 1663 "control.c"
	}
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp3_ = stdout;
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	fprintf (_tmp3_, "Available actions\n\nFormat: NAME (is enabled?) - label\n");
#line 244 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp4_ = response;
#line 244 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp5_ = g_variant_iter_new (_tmp4_);
#line 244 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	iter = _tmp5_;
#line 245 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	group_name = NULL;
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	while (TRUE) {
#line 1679 "control.c"
		GVariantIter* _tmp6_ = NULL;
		gboolean _tmp7_ = FALSE;
		FILE* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		GVariant* actions = NULL;
		DrtApiChannel* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		GVariant* _tmp12_ = NULL;
		GVariant* _tmp13_ = NULL;
		GVariant* _tmp14_ = NULL;
		GVariant* _tmp15_ = NULL;
		GVariant* action = NULL;
		GVariantIter* actions_iter = NULL;
		GVariant* _tmp17_ = NULL;
		GVariantIter* _tmp18_ = NULL;
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp6_ = iter;
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp7_ = g_variant_iter_next (_tmp6_, "s", &group_name, NULL);
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (!_tmp7_) {
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			break;
#line 1703 "control.c"
		}
#line 248 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp8_ = stdout;
#line 248 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp9_ = group_name;
#line 248 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		fprintf (_tmp8_, "\nGroup: %s\n\n", _tmp9_);
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp10_ = self->priv->conn;
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp11_ = group_name;
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp12_ = g_variant_new ("(s)", _tmp11_, NULL);
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_variant_ref_sink (_tmp12_);
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp13_ = _tmp12_;
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp14_ = drt_api_channel_call_sync (_tmp10_, "/nuvola/actions/list-group-actions", _tmp13_, &_inner_error_);
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp15_ = _tmp14_;
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (_tmp13_);
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		actions = _tmp15_;
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1731 "control.c"
			gint _tmp16_ = 0;
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			g_propagate_error (error, _inner_error_);
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_free0 (group_name);
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_variant_iter_free0 (iter);
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_variant_unref0 (response);
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			return _tmp16_;
#line 1743 "control.c"
		}
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		action = NULL;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp17_ = actions;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp18_ = g_variant_iter_new (_tmp17_);
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		actions_iter = _tmp18_;
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		while (TRUE) {
#line 1755 "control.c"
			GVariantIter* _tmp19_ = NULL;
			gboolean _tmp20_ = FALSE;
			gchar* name = NULL;
			gchar* label = NULL;
			gboolean enabled = FALSE;
			GVariant* options = NULL;
			GVariant* _tmp21_ = NULL;
			gboolean _tmp22_ = FALSE;
			GVariant* _tmp23_ = NULL;
			gboolean _tmp24_ = FALSE;
			GVariant* _tmp25_ = NULL;
			gboolean _tmp26_ = FALSE;
			GVariant* _tmp27_ = NULL;
			gboolean _tmp28_ = FALSE;
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp19_ = actions_iter;
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp20_ = g_variant_iter_next (_tmp19_, "@*", &action, NULL);
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			if (!_tmp20_) {
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				break;
#line 1778 "control.c"
			}
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			name = NULL;
#line 255 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			label = NULL;
#line 256 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			enabled = FALSE;
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			options = NULL;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp21_ = action;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp22_ = g_variant_lookup (_tmp21_, "name", "s", &name, NULL);
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_vala_assert (_tmp22_, "action.lookup(\"name\", \"s\", out name)");
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp23_ = action;
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp24_ = g_variant_lookup (_tmp23_, "label", "s", &label, NULL);
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_vala_assert (_tmp24_, "action.lookup(\"label\", \"s\", out label)");
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp25_ = action;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp26_ = g_variant_lookup (_tmp25_, "enabled", "b", &enabled, NULL);
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_vala_assert (_tmp26_, "action.lookup(\"enabled\", \"b\", out enabled)");
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp27_ = action;
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp28_ = g_variant_lookup (_tmp27_, "options", "@*", &options, NULL);
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			if (_tmp28_) {
#line 1812 "control.c"
				const gchar* _tmp29_ = NULL;
				gboolean _tmp30_ = FALSE;
				FILE* _tmp31_ = NULL;
				const gchar* _tmp32_ = NULL;
				GVariant* option = NULL;
				GVariantIter* options_iter = NULL;
				GVariant* _tmp33_ = NULL;
				GVariantIter* _tmp34_ = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp30_ = enabled;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				if (_tmp30_) {
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp29_ = "enabled";
#line 1827 "control.c"
				} else {
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp29_ = "disabled";
#line 1831 "control.c"
				}
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp31_ = stdout;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp32_ = name;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				fprintf (_tmp31_, " *  %s (%s) - %s\n", _tmp32_, _tmp29_, "invoke with following parameters:");
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				option = NULL;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp33_ = options;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp34_ = g_variant_iter_new (_tmp33_);
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				options_iter = _tmp34_;
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				while (TRUE) {
#line 1849 "control.c"
					GVariantIter* _tmp35_ = NULL;
					gboolean _tmp36_ = FALSE;
					GVariant* parameter = NULL;
					GVariant* _tmp37_ = NULL;
					gboolean _tmp38_ = FALSE;
					GVariant* _tmp39_ = NULL;
					gboolean _tmp40_ = FALSE;
					const gchar* _tmp41_ = NULL;
					const gchar* _tmp42_ = NULL;
					FILE* _tmp44_ = NULL;
					const gchar* _tmp45_ = NULL;
					GVariant* _tmp46_ = NULL;
					gchar* _tmp47_ = NULL;
					gchar* _tmp48_ = NULL;
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp35_ = options_iter;
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp36_ = g_variant_iter_next (_tmp35_, "@*", &option, NULL);
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (!_tmp36_) {
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						break;
#line 1872 "control.c"
					}
#line 268 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					parameter = NULL;
#line 269 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp37_ = option;
#line 269 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp38_ = g_variant_lookup (_tmp37_, "param", "@*", &parameter, NULL);
#line 269 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_vala_assert (_tmp38_, "option.lookup(\"param\", \"@*\", out parameter)");
#line 270 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp39_ = option;
#line 270 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp40_ = g_variant_lookup (_tmp39_, "label", "s", &label, NULL);
#line 270 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_vala_assert (_tmp40_, "option.lookup(\"label\", \"s\", out label)");
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp42_ = label;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (g_strcmp0 (_tmp42_, "") != 0) {
#line 1892 "control.c"
						const gchar* _tmp43_ = NULL;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp43_ = label;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp41_ = _tmp43_;
#line 1898 "control.c"
					} else {
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp41_ = "(No label specified.)";
#line 1902 "control.c"
					}
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp44_ = stdout;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp45_ = name;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp46_ = parameter;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp47_ = g_variant_print (_tmp46_, FALSE);
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp48_ = _tmp47_;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					fprintf (_tmp44_, "    %s %s - %s\n", _tmp45_, _tmp48_, _tmp41_);
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (_tmp48_);
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_variant_unref0 (parameter);
#line 1920 "control.c"
				}
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_g_variant_iter_free0 (options_iter);
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_g_variant_unref0 (option);
#line 1926 "control.c"
			} else {
				const gchar* _tmp49_ = NULL;
				gboolean _tmp50_ = FALSE;
				const gchar* _tmp51_ = NULL;
				const gchar* _tmp52_ = NULL;
				FILE* _tmp54_ = NULL;
				const gchar* _tmp55_ = NULL;
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp50_ = enabled;
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				if (_tmp50_) {
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp49_ = "enabled";
#line 1940 "control.c"
				} else {
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp49_ = "disabled";
#line 1944 "control.c"
				}
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp52_ = label;
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				if (g_strcmp0 (_tmp52_, "") != 0) {
#line 1950 "control.c"
					const gchar* _tmp53_ = NULL;
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp53_ = label;
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp51_ = _tmp53_;
#line 1956 "control.c"
				} else {
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp51_ = "(No label specified.)";
#line 1960 "control.c"
				}
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp54_ = stdout;
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_tmp55_ = name;
#line 276 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				fprintf (_tmp54_, " *  %s (%s) - %s\n", _tmp55_, _tmp49_, _tmp51_);
#line 1968 "control.c"
			}
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_variant_unref0 (options);
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_free0 (label);
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_free0 (name);
#line 1976 "control.c"
		}
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_iter_free0 (actions_iter);
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (action);
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (actions);
#line 1984 "control.c"
	}
#line 280 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	result = 0;
#line 280 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_free0 (group_name);
#line 280 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_variant_iter_free0 (iter);
#line 280 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_variant_unref0 (response);
#line 280 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return result;
#line 1996 "control.c"
}


static gpointer _g_variant_ref0 (gpointer self) {
#line 288 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return self ? g_variant_ref (self) : NULL;
#line 2003 "control.c"
}


gint nuvola_control_activate_action (NuvolaControl* self, const gchar* name, const gchar* parameter_str, GError** error) {
	gint result = 0;
	GVariant* parameter = NULL;
	GVariant* response = NULL;
	DrtApiChannel* _tmp13_ = NULL;
	const gchar* _tmp14_ = NULL;
	GVariant* _tmp15_ = NULL;
	GVariant* _tmp16_ = NULL;
	GVariant* _tmp17_ = NULL;
	GVariant** _tmp18_ = NULL;
	GVariant** _tmp19_ = NULL;
	gint _tmp19__length1 = 0;
	GVariant* _tmp20_ = NULL;
	GVariant* _tmp21_ = NULL;
	GVariant* _tmp22_ = NULL;
	GVariant* _tmp23_ = NULL;
	gboolean handled = FALSE;
	GVariant* _tmp25_ = NULL;
	gboolean _tmp26_ = FALSE;
	gboolean _tmp36_ = FALSE;
	const gchar* _tmp42_ = NULL;
	const gchar* _tmp43_ = NULL;
	GError * _inner_error_ = NULL;
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_val_if_fail (name != NULL, 0);
#line 2034 "control.c"
	{
		GVariant* _tmp0_ = NULL;
		const gchar* _tmp1_ = NULL;
		GVariant* _tmp7_ = NULL;
#line 288 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp1_ = parameter_str;
#line 288 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp1_ == NULL) {
#line 2043 "control.c"
			const GVariantType* _tmp2_ = NULL;
			GVariant* _tmp3_ = NULL;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp2_ = G_VARIANT_TYPE_BYTE;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp3_ = g_variant_new_maybe (_tmp2_, NULL);
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			g_variant_ref_sink (_tmp3_);
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_variant_unref0 (_tmp0_);
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp0_ = _tmp3_;
#line 2056 "control.c"
		} else {
			const gchar* _tmp4_ = NULL;
			GVariant* _tmp5_ = NULL;
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp4_ = parameter_str;
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp5_ = g_variant_parse (NULL, _tmp4_, NULL, NULL, &_inner_error_);
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_variant_unref0 (_tmp0_);
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp0_ = _tmp5_;
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2070 "control.c"
				gint _tmp6_ = 0;
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_g_variant_unref0 (_tmp0_);
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				if (_inner_error_->domain == G_VARIANT_PARSE_ERROR) {
#line 2076 "control.c"
					goto __catch6_g_variant_parse_error;
				}
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_g_variant_unref0 (_tmp0_);
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				_g_variant_unref0 (parameter);
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				g_clear_error (&_inner_error_);
#line 290 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
				return _tmp6_;
#line 2089 "control.c"
			}
		}
#line 288 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp7_ = _g_variant_ref0 (_tmp0_);
#line 288 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (parameter);
#line 288 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		parameter = _tmp7_;
#line 286 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (_tmp0_);
#line 2100 "control.c"
	}
	goto __finally6;
	__catch6_g_variant_parse_error:
	{
		GError* e = NULL;
		const gchar* _tmp8_ = NULL;
		GError* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		gint _tmp11_ = 0;
#line 286 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		e = _inner_error_;
#line 286 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_inner_error_ = NULL;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp8_ = parameter_str;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp9_ = e;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp10_ = _tmp9_->message;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp11_ = nuvola_quit (1, "Failed to parse Variant from string %s: %s\n\n" "See https://developer.gnome.org/glib/stable/gvariant-text.html for for" \
"mat specification.\n", _tmp8_, _tmp10_);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		result = _tmp11_;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_error_free0 (e);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (parameter);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return result;
#line 2130 "control.c"
	}
	__finally6:
#line 286 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2135 "control.c"
		gint _tmp12_ = 0;
#line 286 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_propagate_error (error, _inner_error_);
#line 286 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (parameter);
#line 286 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return _tmp12_;
#line 2143 "control.c"
	}
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp13_ = self->priv->conn;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp14_ = name;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp15_ = g_variant_new_string (_tmp14_);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_variant_ref_sink (_tmp15_);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp16_ = parameter;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp17_ = _g_variant_ref0 (_tmp16_);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp18_ = g_new0 (GVariant*, 2 + 1);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp18_[0] = _tmp15_;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp18_[1] = _tmp17_;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp19_ = _tmp18_;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp19__length1 = 2;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp20_ = g_variant_new_tuple (_tmp19_, 2);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_variant_ref_sink (_tmp20_);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp21_ = _tmp20_;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp22_ = drt_api_channel_call_sync (_tmp13_, "/nuvola/actions/activate", _tmp21_, &_inner_error_);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp23_ = _tmp22_;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_variant_unref0 (_tmp21_);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp19_ = (_vala_array_free (_tmp19_, _tmp19__length1, (GDestroyNotify) g_variant_unref), NULL);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	response = _tmp23_;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2185 "control.c"
		gint _tmp24_ = 0;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_propagate_error (error, _inner_error_);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (parameter);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return _tmp24_;
#line 2193 "control.c"
	}
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	handled = FALSE;
#line 304 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp25_ = response;
#line 304 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp26_ = diorite_variant_bool (_tmp25_, &handled);
#line 304 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (!_tmp26_) {
#line 2203 "control.c"
		gchar* _tmp27_ = NULL;
		GVariant* _tmp28_ = NULL;
		gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		gint _tmp34_ = 0;
		gint _tmp35_ = 0;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp28_ = response;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp28_ == NULL) {
#line 2214 "control.c"
			gchar* _tmp29_ = NULL;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp29_ = g_strdup ("null");
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_free0 (_tmp27_);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp27_ = _tmp29_;
#line 2222 "control.c"
		} else {
			GVariant* _tmp30_ = NULL;
			gchar* _tmp31_ = NULL;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp30_ = response;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp31_ = g_variant_print (_tmp30_, TRUE);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_free0 (_tmp27_);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp27_ = _tmp31_;
#line 2234 "control.c"
		}
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp32_ = nuvola_get_app_name ();
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp33_ = _tmp32_;
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp34_ = nuvola_quit (2, "Got invalid response from %s instance: %s\n", _tmp33_, _tmp27_);
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp35_ = _tmp34_;
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (_tmp33_);
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		result = _tmp35_;
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (_tmp27_);
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (response);
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (parameter);
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return result;
#line 2256 "control.c"
	}
#line 307 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp36_ = handled;
#line 307 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (!_tmp36_) {
#line 2262 "control.c"
		gchar* _tmp37_ = NULL;
		gchar* _tmp38_ = NULL;
		const gchar* _tmp39_ = NULL;
		gint _tmp40_ = 0;
		gint _tmp41_ = 0;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp37_ = nuvola_get_app_name ();
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp38_ = _tmp37_;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp39_ = name;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp40_ = nuvola_quit (3, "%s instance doesn't understand requested action '%s'.\n", _tmp38_, _tmp39_);
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp41_ = _tmp40_;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (_tmp38_);
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		result = _tmp41_;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (response);
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_variant_unref0 (parameter);
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return result;
#line 2288 "control.c"
	}
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp42_ = name;
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp43_ = parameter_str;
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_message ("control.vala:310: Action %s %s was successful.", _tmp42_, _tmp43_);
#line 311 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	result = 0;
#line 311 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_variant_unref0 (response);
#line 311 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_variant_unref0 (parameter);
#line 311 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return result;
#line 2304 "control.c"
}


gint nuvola_control_action_state (NuvolaControl* self, const gchar* name, GError** error) {
	gint result = 0;
	GVariant* response = NULL;
	DrtApiChannel* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GVariant* _tmp2_ = NULL;
	GVariant* _tmp3_ = NULL;
	GVariant* _tmp4_ = NULL;
	GVariant* _tmp5_ = NULL;
	GError * _inner_error_ = NULL;
#line 314 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 314 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_val_if_fail (name != NULL, 0);
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp0_ = self->priv->conn;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp1_ = name;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp2_ = g_variant_new ("(s)", _tmp1_, NULL);
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_variant_ref_sink (_tmp2_);
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp3_ = _tmp2_;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp4_ = drt_api_channel_call_sync (_tmp0_, "/nuvola/actions/get-state", _tmp3_, &_inner_error_);
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp5_ = _tmp4_;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_variant_unref0 (_tmp3_);
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	response = _tmp5_;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2342 "control.c"
		gint _tmp6_ = 0;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_propagate_error (error, _inner_error_);
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return _tmp6_;
#line 2348 "control.c"
	}
#line 317 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (response != NULL) {
#line 2352 "control.c"
		FILE* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp7_ = stdout;
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp8_ = g_variant_print (response, FALSE);
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp9_ = _tmp8_;
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		fprintf (_tmp7_, "%s\n", _tmp9_);
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_g_free0 (_tmp9_);
#line 2366 "control.c"
	}
#line 319 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	result = 0;
#line 319 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_variant_unref0 (response);
#line 319 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return result;
#line 2374 "control.c"
}


static gchar* double_to_string (gdouble self) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp0_ = g_new0 (gchar, G_ASCII_DTOSTR_BUF_SIZE);
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp1__length1 = G_ASCII_DTOSTR_BUF_SIZE;
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp2_ = g_ascii_dtostr (_tmp1_, G_ASCII_DTOSTR_BUF_SIZE, self);
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp3_ = g_strdup (_tmp2_);
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp4_ = _tmp3_;
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp1_ = (g_free (_tmp1_), NULL);
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	result = _tmp4_;
#line 863 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	return result;
#line 2404 "control.c"
}


gint nuvola_control_track_info (NuvolaControl* self, const gchar* key, GError** error) {
	gint result = 0;
	GVariant* response = NULL;
	DrtApiChannel* _tmp0_ = NULL;
	GVariant* _tmp1_ = NULL;
	gchar* title = NULL;
	GVariant* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* artist = NULL;
	GVariant* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* album = NULL;
	GVariant* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* state = NULL;
	GVariant* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gchar* artwork_location = NULL;
	GVariant* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* artwork_file = NULL;
	GVariant* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gdouble rating = 0.0;
	GVariant* _tmp15_ = NULL;
	gdouble _tmp16_ = 0.0;
	gboolean _tmp17_ = FALSE;
	const gchar* _tmp18_ = NULL;
	GError * _inner_error_ = NULL;
#line 322 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp0_ = self->priv->conn;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp1_ = drt_api_channel_call_sync (_tmp0_, "/nuvola/mediaplayer/track-info", NULL, &_inner_error_);
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	response = _tmp1_;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2447 "control.c"
		gint _tmp2_ = 0;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_propagate_error (error, _inner_error_);
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return _tmp2_;
#line 2453 "control.c"
	}
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp3_ = response;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp4_ = diorite_variant_dict_str (_tmp3_, "title");
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	title = _tmp4_;
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp5_ = response;
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp6_ = diorite_variant_dict_str (_tmp5_, "artist");
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	artist = _tmp6_;
#line 327 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp7_ = response;
#line 327 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp8_ = diorite_variant_dict_str (_tmp7_, "album");
#line 327 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	album = _tmp8_;
#line 328 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp9_ = response;
#line 328 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp10_ = diorite_variant_dict_str (_tmp9_, "state");
#line 328 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	state = _tmp10_;
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp11_ = response;
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp12_ = diorite_variant_dict_str (_tmp11_, "artworkLocation");
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	artwork_location = _tmp12_;
#line 330 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp13_ = response;
#line 330 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp14_ = diorite_variant_dict_str (_tmp13_, "artworkFile");
#line 330 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	artwork_file = _tmp14_;
#line 331 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp15_ = response;
#line 331 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp16_ = diorite_variant_dict_double (_tmp15_, "rating", 0.0);
#line 331 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	rating = _tmp16_;
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_tmp18_ = key;
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (_tmp18_ == NULL) {
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp17_ = TRUE;
#line 2503 "control.c"
	} else {
		const gchar* _tmp19_ = NULL;
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp19_ = key;
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp17_ = g_strcmp0 (_tmp19_, "all") == 0;
#line 2510 "control.c"
	}
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (_tmp17_) {
#line 2514 "control.c"
		const gchar* _tmp20_ = NULL;
		const gchar* _tmp23_ = NULL;
		const gchar* _tmp26_ = NULL;
		const gchar* _tmp29_ = NULL;
		const gchar* _tmp32_ = NULL;
		const gchar* _tmp35_ = NULL;
		gdouble _tmp38_ = 0.0;
#line 335 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp20_ = title;
#line 335 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp20_ != NULL) {
#line 2526 "control.c"
			FILE* _tmp21_ = NULL;
			const gchar* _tmp22_ = NULL;
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp21_ = stdout;
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp22_ = title;
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			fprintf (_tmp21_, "Title: %s\n", _tmp22_);
#line 2535 "control.c"
		}
#line 337 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp23_ = artist;
#line 337 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp23_ != NULL) {
#line 2541 "control.c"
			FILE* _tmp24_ = NULL;
			const gchar* _tmp25_ = NULL;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp24_ = stdout;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp25_ = artist;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			fprintf (_tmp24_, "Artist: %s\n", _tmp25_);
#line 2550 "control.c"
		}
#line 339 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp26_ = album;
#line 339 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp26_ != NULL) {
#line 2556 "control.c"
			FILE* _tmp27_ = NULL;
			const gchar* _tmp28_ = NULL;
#line 340 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp27_ = stdout;
#line 340 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp28_ = album;
#line 340 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			fprintf (_tmp27_, "Album: %s\n", _tmp28_);
#line 2565 "control.c"
		}
#line 341 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp29_ = state;
#line 341 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp29_ != NULL) {
#line 2571 "control.c"
			FILE* _tmp30_ = NULL;
			const gchar* _tmp31_ = NULL;
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp30_ = stdout;
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp31_ = state;
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			fprintf (_tmp30_, "State: %s\n", _tmp31_);
#line 2580 "control.c"
		}
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp32_ = artwork_location;
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp32_ != NULL) {
#line 2586 "control.c"
			FILE* _tmp33_ = NULL;
			const gchar* _tmp34_ = NULL;
#line 344 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp33_ = stdout;
#line 344 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp34_ = artwork_location;
#line 344 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			fprintf (_tmp33_, "Artwork location: %s\n", _tmp34_);
#line 2595 "control.c"
		}
#line 345 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp35_ = artwork_file;
#line 345 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp35_ != NULL) {
#line 2601 "control.c"
			FILE* _tmp36_ = NULL;
			const gchar* _tmp37_ = NULL;
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp36_ = stdout;
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp37_ = artwork_file;
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			fprintf (_tmp36_, "Artwork file: %s\n", _tmp37_);
#line 2610 "control.c"
		}
#line 347 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp38_ = rating;
#line 347 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp38_ != 0.0) {
#line 2616 "control.c"
			FILE* _tmp39_ = NULL;
			gdouble _tmp40_ = 0.0;
			gchar* _tmp41_ = NULL;
			gchar* _tmp42_ = NULL;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp39_ = stdout;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp40_ = rating;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp41_ = double_to_string (_tmp40_);
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_tmp42_ = _tmp41_;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			fprintf (_tmp39_, "Rating: %s\n", _tmp42_);
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			_g_free0 (_tmp42_);
#line 2633 "control.c"
		}
	} else {
		const gchar* _tmp43_ = NULL;
		const gchar* _tmp44_ = NULL;
		GQuark _tmp46_ = 0U;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp45_label0 = 0;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp45_label1 = 0;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp45_label2 = 0;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp45_label3 = 0;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp45_label4 = 0;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp45_label5 = 0;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		static GQuark _tmp45_label6 = 0;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp43_ = key;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp44_ = _tmp43_;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		_tmp46_ = (NULL == _tmp44_) ? 0 : g_quark_from_string (_tmp44_);
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (_tmp46_ == ((0 != _tmp45_label0) ? _tmp45_label0 : (_tmp45_label0 = g_quark_from_static_string ("title")))) {
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 2663 "control.c"
				default:
				{
					const gchar* _tmp47_ = NULL;
#line 355 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp47_ = title;
#line 355 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp47_ != NULL) {
#line 2671 "control.c"
						FILE* _tmp48_ = NULL;
						const gchar* _tmp49_ = NULL;
#line 356 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp48_ = stdout;
#line 356 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp49_ = title;
#line 356 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						fprintf (_tmp48_, "%s\n", _tmp49_);
#line 2680 "control.c"
					}
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					break;
#line 2684 "control.c"
				}
			}
		} else if (_tmp46_ == ((0 != _tmp45_label1) ? _tmp45_label1 : (_tmp45_label1 = g_quark_from_static_string ("artist")))) {
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 2690 "control.c"
				default:
				{
					const gchar* _tmp50_ = NULL;
#line 359 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp50_ = artist;
#line 359 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp50_ != NULL) {
#line 2698 "control.c"
						FILE* _tmp51_ = NULL;
						const gchar* _tmp52_ = NULL;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp51_ = stdout;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp52_ = artist;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						fprintf (_tmp51_, "%s\n", _tmp52_);
#line 2707 "control.c"
					}
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					break;
#line 2711 "control.c"
				}
			}
		} else if (_tmp46_ == ((0 != _tmp45_label2) ? _tmp45_label2 : (_tmp45_label2 = g_quark_from_static_string ("album")))) {
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 2717 "control.c"
				default:
				{
					const gchar* _tmp53_ = NULL;
#line 363 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp53_ = album;
#line 363 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp53_ != NULL) {
#line 2725 "control.c"
						FILE* _tmp54_ = NULL;
						const gchar* _tmp55_ = NULL;
#line 364 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp54_ = stdout;
#line 364 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp55_ = album;
#line 364 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						fprintf (_tmp54_, "%s\n", _tmp55_);
#line 2734 "control.c"
					}
#line 365 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					break;
#line 2738 "control.c"
				}
			}
		} else if (_tmp46_ == ((0 != _tmp45_label3) ? _tmp45_label3 : (_tmp45_label3 = g_quark_from_static_string ("state")))) {
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 2744 "control.c"
				default:
				{
					const gchar* _tmp56_ = NULL;
#line 367 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp56_ = state;
#line 367 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp56_ != NULL) {
#line 2752 "control.c"
						FILE* _tmp57_ = NULL;
						const gchar* _tmp58_ = NULL;
#line 368 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp57_ = stdout;
#line 368 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp58_ = state;
#line 368 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						fprintf (_tmp57_, "%s\n", _tmp58_);
#line 2761 "control.c"
					}
#line 369 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					break;
#line 2765 "control.c"
				}
			}
		} else if (_tmp46_ == ((0 != _tmp45_label4) ? _tmp45_label4 : (_tmp45_label4 = g_quark_from_static_string ("artwork_location")))) {
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 2771 "control.c"
				default:
				{
					const gchar* _tmp59_ = NULL;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp59_ = artwork_location;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp59_ != NULL) {
#line 2779 "control.c"
						FILE* _tmp60_ = NULL;
						const gchar* _tmp61_ = NULL;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp60_ = stdout;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp61_ = artwork_location;
#line 372 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						fprintf (_tmp60_, "%s\n", _tmp61_);
#line 2788 "control.c"
					}
#line 373 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					break;
#line 2792 "control.c"
				}
			}
		} else if (_tmp46_ == ((0 != _tmp45_label5) ? _tmp45_label5 : (_tmp45_label5 = g_quark_from_static_string ("artwork_file")))) {
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 2798 "control.c"
				default:
				{
					const gchar* _tmp62_ = NULL;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp62_ = artwork_file;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp62_ != NULL) {
#line 2806 "control.c"
						FILE* _tmp63_ = NULL;
						const gchar* _tmp64_ = NULL;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp63_ = stdout;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp64_ = artwork_file;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						fprintf (_tmp63_, "%s\n", _tmp64_);
#line 2815 "control.c"
					}
#line 377 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					break;
#line 2819 "control.c"
				}
			}
		} else if (_tmp46_ == ((0 != _tmp45_label6) ? _tmp45_label6 : (_tmp45_label6 = g_quark_from_static_string ("rating")))) {
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 2825 "control.c"
				default:
				{
					gdouble _tmp65_ = 0.0;
#line 379 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp65_ = rating;
#line 379 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					if (_tmp65_ != 0.0) {
#line 2833 "control.c"
						FILE* _tmp66_ = NULL;
						gdouble _tmp67_ = 0.0;
						gchar* _tmp68_ = NULL;
						gchar* _tmp69_ = NULL;
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp66_ = stdout;
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp67_ = rating;
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp68_ = double_to_string (_tmp67_);
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_tmp69_ = _tmp68_;
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						fprintf (_tmp66_, "Rating: %s\n", _tmp69_);
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
						_g_free0 (_tmp69_);
#line 2850 "control.c"
					}
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					break;
#line 2854 "control.c"
				}
			}
		} else {
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			switch (0) {
#line 2860 "control.c"
				default:
				{
					const gchar* _tmp70_ = NULL;
					gint _tmp71_ = 0;
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp70_ = key;
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_tmp71_ = nuvola_quit (3, "Unknown key '%s'.\n", _tmp70_);
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					result = _tmp71_;
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (artwork_file);
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (artwork_location);
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (state);
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (album);
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (artist);
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_free0 (title);
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					_g_variant_unref0 (response);
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
					return result;
#line 2887 "control.c"
				}
			}
		}
	}
#line 386 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	result = 0;
#line 386 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_free0 (artwork_file);
#line 386 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_free0 (artwork_location);
#line 386 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_free0 (state);
#line 386 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_free0 (album);
#line 386 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_free0 (artist);
#line 386 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_free0 (title);
#line 386 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_variant_unref0 (response);
#line 386 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return result;
#line 2910 "control.c"
}


static void nuvola_value_control_init (GValue* value) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	value->data[0].v_pointer = NULL;
#line 2917 "control.c"
}


static void nuvola_value_control_free_value (GValue* value) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (value->data[0].v_pointer) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		nuvola_control_unref (value->data[0].v_pointer);
#line 2926 "control.c"
	}
}


static void nuvola_value_control_copy_value (const GValue* src_value, GValue* dest_value) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (src_value->data[0].v_pointer) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		dest_value->data[0].v_pointer = nuvola_control_ref (src_value->data[0].v_pointer);
#line 2936 "control.c"
	} else {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		dest_value->data[0].v_pointer = NULL;
#line 2940 "control.c"
	}
}


static gpointer nuvola_value_control_peek_pointer (const GValue* value) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return value->data[0].v_pointer;
#line 2948 "control.c"
}


static gchar* nuvola_value_control_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (collect_values[0].v_pointer) {
#line 2955 "control.c"
		NuvolaControl* object;
		object = collect_values[0].v_pointer;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		if (object->parent_instance.g_class == NULL) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 2962 "control.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 2966 "control.c"
		}
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		value->data[0].v_pointer = nuvola_control_ref (object);
#line 2970 "control.c"
	} else {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		value->data[0].v_pointer = NULL;
#line 2974 "control.c"
	}
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return NULL;
#line 2978 "control.c"
}


static gchar* nuvola_value_control_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	NuvolaControl** object_p;
	object_p = collect_values[0].v_pointer;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (!object_p) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 2989 "control.c"
	}
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (!value->data[0].v_pointer) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		*object_p = NULL;
#line 2995 "control.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		*object_p = value->data[0].v_pointer;
#line 2999 "control.c"
	} else {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		*object_p = nuvola_control_ref (value->data[0].v_pointer);
#line 3003 "control.c"
	}
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return NULL;
#line 3007 "control.c"
}


GParamSpec* nuvola_param_spec_control (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	NuvolaParamSpecControl* spec;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_val_if_fail (g_type_is_a (object_type, NUVOLA_TYPE_CONTROL), NULL);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return G_PARAM_SPEC (spec);
#line 3021 "control.c"
}


gpointer nuvola_value_get_control (const GValue* value) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NUVOLA_TYPE_CONTROL), NULL);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return value->data[0].v_pointer;
#line 3030 "control.c"
}


void nuvola_value_set_control (GValue* value, gpointer v_object) {
	NuvolaControl* old;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NUVOLA_TYPE_CONTROL));
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	old = value->data[0].v_pointer;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (v_object) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NUVOLA_TYPE_CONTROL));
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		value->data[0].v_pointer = v_object;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		nuvola_control_ref (value->data[0].v_pointer);
#line 3050 "control.c"
	} else {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		value->data[0].v_pointer = NULL;
#line 3054 "control.c"
	}
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (old) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		nuvola_control_unref (old);
#line 3060 "control.c"
	}
}


void nuvola_value_take_control (GValue* value, gpointer v_object) {
	NuvolaControl* old;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NUVOLA_TYPE_CONTROL));
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	old = value->data[0].v_pointer;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (v_object) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NUVOLA_TYPE_CONTROL));
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		value->data[0].v_pointer = v_object;
#line 3079 "control.c"
	} else {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		value->data[0].v_pointer = NULL;
#line 3083 "control.c"
	}
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (old) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		nuvola_control_unref (old);
#line 3089 "control.c"
	}
}


static void nuvola_control_class_init (NuvolaControlClass * klass) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	nuvola_control_parent_class = g_type_class_peek_parent (klass);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	((NuvolaControlClass *) klass)->finalize = nuvola_control_finalize;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_type_class_add_private (klass, sizeof (NuvolaControlPrivate));
#line 3101 "control.c"
}


static void nuvola_control_instance_init (NuvolaControl * self) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	self->priv = NUVOLA_CONTROL_GET_PRIVATE (self);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	self->ref_count = 1;
#line 3110 "control.c"
}


static void nuvola_control_finalize (NuvolaControl* obj) {
	NuvolaControl * self;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_CONTROL, NuvolaControl);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_signal_handlers_destroy (self);
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	_g_object_unref0 (self->priv->conn);
#line 3122 "control.c"
}


GType nuvola_control_get_type (void) {
	static volatile gsize nuvola_control_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_control_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { nuvola_value_control_init, nuvola_value_control_free_value, nuvola_value_control_copy_value, nuvola_value_control_peek_pointer, "p", nuvola_value_control_collect_value, "p", nuvola_value_control_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaControlClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_control_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaControl), 0, (GInstanceInitFunc) nuvola_control_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType nuvola_control_type_id;
		nuvola_control_type_id = g_type_register_fundamental (g_type_fundamental_next (), "NuvolaControl", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&nuvola_control_type_id__volatile, nuvola_control_type_id);
	}
	return nuvola_control_type_id__volatile;
}


gpointer nuvola_control_ref (gpointer instance) {
	NuvolaControl* self;
	self = instance;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	g_atomic_int_inc (&self->ref_count);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	return instance;
#line 3147 "control.c"
}


void nuvola_control_unref (gpointer instance) {
	NuvolaControl* self;
	self = instance;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		NUVOLA_CONTROL_GET_CLASS (self)->finalize (self);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/control/control.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 3160 "control.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



