/* config.c generated by valac 0.34.8, the Vala compiler
 * generated from config.vala, do not modify */

/*
 * Copyright 2014 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <dioriteglib-0.3.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <json-glib/json-glib.h>


#define NUVOLA_TYPE_CONFIG (nuvola_config_get_type ())
#define NUVOLA_CONFIG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_CONFIG, NuvolaConfig))
#define NUVOLA_CONFIG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_CONFIG, NuvolaConfigClass))
#define NUVOLA_IS_CONFIG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_CONFIG))
#define NUVOLA_IS_CONFIG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_CONFIG))
#define NUVOLA_CONFIG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_CONFIG, NuvolaConfigClass))

typedef struct _NuvolaConfig NuvolaConfig;
typedef struct _NuvolaConfigClass NuvolaConfigClass;
typedef struct _NuvolaConfigPrivate NuvolaConfigPrivate;
#define _drt_lst_unref0(var) ((var == NULL) ? NULL : (var = (drt_lst_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define __vala_JsonNode_free0(var) ((var == NULL) ? NULL : (var = (_vala_JsonNode_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _json_object_unref0(var) ((var == NULL) ? NULL : (var = (json_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))

struct _NuvolaConfig {
	GObject parent_instance;
	NuvolaConfigPrivate * priv;
};

struct _NuvolaConfigClass {
	GObjectClass parent_class;
};

struct _NuvolaConfigPrivate {
	DrtLst* _property_bindings;
	GFile* _file;
	GHashTable* _defaults;
	JsonNode* root;
	guint save_cb_id;
};


static gpointer nuvola_config_parent_class = NULL;
static DioriteKeyValueStorageIface* nuvola_config_diorite_key_value_storage_parent_iface = NULL;

GType nuvola_config_get_type (void) G_GNUC_CONST;
#define NUVOLA_CONFIG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_CONFIG, NuvolaConfigPrivate))
enum  {
	NUVOLA_CONFIG_DUMMY_PROPERTY,
	NUVOLA_CONFIG_PROPERTY_BINDINGS,
	NUVOLA_CONFIG_FILE,
	NUVOLA_CONFIG_DEFAULTS
};
static void _vala_JsonNode_free (JsonNode* self);
NuvolaConfig* nuvola_config_new (GFile* file, GHashTable* defaults);
NuvolaConfig* nuvola_config_construct (GType object_type, GFile* file, GHashTable* defaults);
static void nuvola_config_set_file (NuvolaConfig* self, GFile* value);
static void _g_free0_ (gpointer var);
static void _g_variant_unref0_ (gpointer var);
static void nuvola_config_set_defaults (NuvolaConfig* self, GHashTable* value);
static gboolean nuvola_config_load (NuvolaConfig* self);
static void nuvola_config_on_changed (NuvolaConfig* self, const gchar* key, GVariant* old_value);
static void _nuvola_config_on_changed_diorite_key_value_storage_changed (DioriteKeyValueStorage* _sender, const gchar* key, GVariant* old_value, gpointer self);
gboolean nuvola_config_reload (NuvolaConfig* self);
gboolean nuvola_config_owerwrite (NuvolaConfig* self, const gchar* data);
gchar* nuvola_config_to_string (NuvolaConfig* self);
static gboolean nuvola_config_real_has_key (DioriteKeyValueStorage* base, const gchar* key);
static JsonObject* nuvola_config_get_parent_object (NuvolaConfig* self, const gchar* key, gchar** member_name);
static GVariant* nuvola_config_real_get_value (DioriteKeyValueStorage* base, const gchar* key);
GHashTable* nuvola_config_get_defaults (NuvolaConfig* self);
static void nuvola_config_real_set_value_unboxed (DioriteKeyValueStorage* base, const gchar* key, GVariant* value);
static JsonObject* nuvola_config_create_parent_object (NuvolaConfig* self, const gchar* key, gchar** member_name);
static void nuvola_config_real_set_default_value_unboxed (DioriteKeyValueStorage* base, const gchar* key, GVariant* value);
static void nuvola_config_real_unset (DioriteKeyValueStorage* base, const gchar* key);
GFile* nuvola_config_get_file (NuvolaConfig* self);
static JsonNode* _vala_JsonNode_copy (JsonNode* self);
static gboolean nuvola_config_save_cb (NuvolaConfig* self);
static gboolean _nuvola_config_save_cb_gsource_func (gpointer self);
static void nuvola_config_finalize (GObject* obj);
static void _vala_nuvola_config_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_nuvola_config_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static void _vala_JsonNode_free (JsonNode* self) {
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_boxed_free (json_node_get_type (), self);
#line 122 "config.c"
}


static gpointer _g_hash_table_ref0 (gpointer self) {
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return self ? g_hash_table_ref (self) : NULL;
#line 129 "config.c"
}


static void _g_free0_ (gpointer var) {
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	var = (g_free (var), NULL);
#line 136 "config.c"
}


static void _g_variant_unref0_ (gpointer var) {
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	(var == NULL) ? NULL : (var = (g_variant_unref (var), NULL));
#line 143 "config.c"
}


static void _nuvola_config_on_changed_diorite_key_value_storage_changed (DioriteKeyValueStorage* _sender, const gchar* key, GVariant* old_value, gpointer self) {
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	nuvola_config_on_changed ((NuvolaConfig*) self, key, old_value);
#line 150 "config.c"
}


NuvolaConfig* nuvola_config_construct (GType object_type, GFile* file, GHashTable* defaults) {
	NuvolaConfig * self = NULL;
	DrtLst* _tmp0_ = NULL;
	DrtLst* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	GHashTable* _tmp3_ = NULL;
	GHashTable* _tmp4_ = NULL;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self = (NuvolaConfig*) g_object_new (object_type, NULL);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = drt_lst_new (DIORITE_TYPE_PROPERTY_BINDING, (GBoxedCopyFunc) diorite_property_binding_ref, (GDestroyNotify) diorite_property_binding_unref, NULL);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp1_ = _tmp0_;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	diorite_key_value_storage_set_property_bindings ((DioriteKeyValueStorage*) self, _tmp1_);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_drt_lst_unref0 (_tmp1_);
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp2_ = file;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	nuvola_config_set_file (self, _tmp2_);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp4_ = defaults;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp4_ != NULL) {
#line 181 "config.c"
		GHashTable* _tmp5_ = NULL;
		GHashTable* _tmp6_ = NULL;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp5_ = defaults;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp6_ = _g_hash_table_ref0 (_tmp5_);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_hash_table_unref0 (_tmp3_);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp3_ = _tmp6_;
#line 192 "config.c"
	} else {
		GHashFunc _tmp7_ = NULL;
		GEqualFunc _tmp8_ = NULL;
		GHashTable* _tmp9_ = NULL;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp7_ = g_str_hash;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp8_ = g_str_equal;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp9_ = g_hash_table_new_full (_tmp7_, _tmp8_, _g_free0_, _g_variant_unref0_);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_hash_table_unref0 (_tmp3_);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp3_ = _tmp9_;
#line 207 "config.c"
	}
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	nuvola_config_set_defaults (self, _tmp3_);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	nuvola_config_load (self);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_signal_connect_object ((DioriteKeyValueStorage*) self, "changed", (GCallback) _nuvola_config_on_changed_diorite_key_value_storage_changed, self, 0);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_hash_table_unref0 (_tmp3_);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return self;
#line 219 "config.c"
}


NuvolaConfig* nuvola_config_new (GFile* file, GHashTable* defaults) {
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return nuvola_config_construct (NUVOLA_TYPE_CONFIG, file, defaults);
#line 226 "config.c"
}


gboolean nuvola_config_reload (NuvolaConfig* self) {
	gboolean result = FALSE;
	gboolean _result_ = FALSE;
	gboolean _tmp0_ = FALSE;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = nuvola_config_load (self);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_result_ = _tmp0_;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_signal_emit_by_name (self, "reloaded");
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	result = _result_;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 246 "config.c"
}


gboolean nuvola_config_owerwrite (NuvolaConfig* self, const gchar* data) {
	gboolean result = FALSE;
	JsonParser* parser = NULL;
	JsonParser* _tmp0_ = NULL;
	JsonNode* root = NULL;
	JsonNode* _tmp6_ = NULL;
	JsonNode* _tmp11_ = NULL;
	JsonNode* _tmp12_ = NULL;
	GError * _inner_error_ = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (data != NULL, FALSE);
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = json_parser_new ();
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	parser = _tmp0_;
#line 267 "config.c"
	{
		const gchar* _tmp1_ = NULL;
		JsonNode* _tmp2_ = NULL;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp1_ = data;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		json_parser_load_from_data (parser, _tmp1_, (gssize) -1, &_inner_error_);
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 277 "config.c"
			goto __catch1_g_error;
		}
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp2_ = json_parser_get_root (parser);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		root = _tmp2_;
#line 284 "config.c"
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* e = NULL;
		GError* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		e = _inner_error_;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_inner_error_ = NULL;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		root = NULL;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp3_ = e;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp4_ = _tmp3_->message;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_debug ("config.vala:66: Json Error: %s", _tmp4_);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_error_free0 (e);
#line 306 "config.c"
	}
	__finally1:
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 311 "config.c"
		gboolean _tmp5_ = FALSE;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_object_unref0 (parser);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_clear_error (&_inner_error_);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		return _tmp5_;
#line 321 "config.c"
	}
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp6_ = root;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp6_ == NULL) {
#line 327 "config.c"
		JsonNode* _tmp7_ = NULL;
		JsonNode* _tmp8_ = NULL;
		JsonObject* _tmp9_ = NULL;
		JsonObject* _tmp10_ = NULL;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp7_ = json_node_new (JSON_NODE_OBJECT);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		__vala_JsonNode_free0 (self->priv->root);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		self->priv->root = _tmp7_;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp8_ = self->priv->root;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp9_ = json_object_new ();
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp10_ = _tmp9_;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		json_node_set_object (_tmp8_, _tmp10_);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_json_object_unref0 (_tmp10_);
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		result = FALSE;
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_object_unref0 (parser);
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		return result;
#line 354 "config.c"
	}
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp11_ = root;
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp12_ = json_node_copy (_tmp11_);
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	__vala_JsonNode_free0 (self->priv->root);
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self->priv->root = _tmp12_;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	result = TRUE;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_object_unref0 (parser);
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 370 "config.c"
}


gchar* nuvola_config_to_string (NuvolaConfig* self) {
	gchar* result = NULL;
	JsonGenerator* generator = NULL;
	JsonGenerator* _tmp0_ = NULL;
	JsonNode* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = json_generator_new ();
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	generator = _tmp0_;
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp1_ = self->priv->root;
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	json_generator_set_root (generator, _tmp1_);
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	json_generator_set_pretty (generator, TRUE);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp2_ = json_generator_to_data (generator, NULL);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	result = _tmp2_;
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_object_unref0 (generator);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 400 "config.c"
}


static gboolean nuvola_config_real_has_key (DioriteKeyValueStorage* base, const gchar* key) {
	NuvolaConfig * self;
	gboolean result = FALSE;
	gchar* member_name = NULL;
	JsonObject* object = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	JsonObject* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	JsonObject* _tmp4_ = NULL;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self = (NuvolaConfig*) base;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = key;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp2_ = nuvola_config_get_parent_object (self, _tmp0_, &_tmp1_);
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_free0 (member_name);
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	member_name = _tmp1_;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	object = _tmp2_;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp4_ = object;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp4_ != NULL) {
#line 432 "config.c"
		JsonObject* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gboolean _tmp7_ = FALSE;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp5_ = object;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp6_ = member_name;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp7_ = json_object_has_member (_tmp5_, _tmp6_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp3_ = _tmp7_;
#line 444 "config.c"
	} else {
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp3_ = FALSE;
#line 448 "config.c"
	}
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	result = _tmp3_;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_free0 (member_name);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 456 "config.c"
}


static gpointer _g_variant_ref0 (gpointer self) {
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return self ? g_variant_ref (self) : NULL;
#line 463 "config.c"
}


static GVariant* nuvola_config_real_get_value (DioriteKeyValueStorage* base, const gchar* key) {
	NuvolaConfig * self;
	GVariant* result = NULL;
	gchar* member_name = NULL;
	JsonObject* object = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	JsonObject* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	JsonObject* _tmp4_ = NULL;
	GError * _inner_error_ = NULL;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self = (NuvolaConfig*) base;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = key;
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp2_ = nuvola_config_get_parent_object (self, _tmp0_, &_tmp1_);
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_free0 (member_name);
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	member_name = _tmp1_;
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	object = _tmp2_;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp4_ = object;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp4_ == NULL) {
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp3_ = TRUE;
#line 498 "config.c"
	} else {
		JsonObject* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gboolean _tmp7_ = FALSE;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp5_ = object;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp6_ = member_name;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp7_ = json_object_has_member (_tmp5_, _tmp6_);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp3_ = !_tmp7_;
#line 511 "config.c"
	}
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp3_) {
#line 515 "config.c"
		GHashTable* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		gconstpointer _tmp10_ = NULL;
		GVariant* _tmp11_ = NULL;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp8_ = self->priv->_defaults;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp9_ = key;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp10_ = g_hash_table_lookup (_tmp8_, _tmp9_);
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp11_ = _g_variant_ref0 ((GVariant*) _tmp10_);
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		result = _tmp11_;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_free0 (member_name);
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		return result;
#line 534 "config.c"
	}
	{
		GVariant* _tmp12_ = NULL;
		JsonObject* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		JsonNode* _tmp15_ = NULL;
		GVariant* _tmp16_ = NULL;
		GVariant* _tmp17_ = NULL;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp13_ = object;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp14_ = member_name;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp15_ = json_object_get_member (_tmp13_, _tmp14_);
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp16_ = json_gvariant_deserialize (_tmp15_, NULL, &_inner_error_);
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_variant_ref_sink (_tmp16_);
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp12_ = _tmp16_;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 557 "config.c"
			goto __catch2_g_error;
		}
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp17_ = _tmp12_;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp12_ = NULL;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_variant_ref_sink (_tmp17_);
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		result = _tmp17_;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_variant_unref0 (_tmp12_);
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_free0 (member_name);
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		return result;
#line 574 "config.c"
	}
	goto __finally2;
	__catch2_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp18_ = NULL;
		GError* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
		GHashTable* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		gconstpointer _tmp23_ = NULL;
		GVariant* _tmp24_ = NULL;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		e = _inner_error_;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_inner_error_ = NULL;
#line 108 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp18_ = key;
#line 108 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp19_ = e;
#line 108 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp20_ = _tmp19_->message;
#line 108 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_warning ("config.vala:108: Failed to deserialize key '%s'. %s", _tmp18_, _tmp20_);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp21_ = self->priv->_defaults;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp22_ = key;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp23_ = g_hash_table_lookup (_tmp21_, _tmp22_);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp24_ = _g_variant_ref0 ((GVariant*) _tmp23_);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		result = _tmp24_;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_error_free0 (e);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_free0 (member_name);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		return result;
#line 615 "config.c"
	}
	__finally2:
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_free0 (member_name);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_clear_error (&_inner_error_);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return NULL;
#line 626 "config.c"
}


static void nuvola_config_real_set_value_unboxed (DioriteKeyValueStorage* base, const gchar* key, GVariant* value) {
	NuvolaConfig * self;
	gchar* member_name = NULL;
	JsonObject* object = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	JsonObject* _tmp2_ = NULL;
	JsonObject* _tmp3_ = NULL;
	GVariant* old_value = NULL;
	JsonObject* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	GVariant* _tmp13_ = NULL;
	GError * _inner_error_ = NULL;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self = (NuvolaConfig*) base;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_if_fail (key != NULL);
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = key;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp2_ = nuvola_config_create_parent_object (self, _tmp0_, &_tmp1_);
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_free0 (member_name);
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	member_name = _tmp1_;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	object = _tmp2_;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp3_ = object;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_if_fail (_tmp3_ != NULL);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	old_value = NULL;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp4_ = object;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp5_ = member_name;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp6_ = json_object_has_member (_tmp4_, _tmp5_);
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp6_) {
#line 672 "config.c"
		{
			GVariant* _tmp7_ = NULL;
			JsonObject* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			JsonNode* _tmp10_ = NULL;
			GVariant* _tmp11_ = NULL;
			GVariant* _tmp12_ = NULL;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp8_ = object;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp9_ = member_name;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp10_ = json_object_get_member (_tmp8_, _tmp9_);
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp11_ = json_gvariant_deserialize (_tmp10_, NULL, &_inner_error_);
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			g_variant_ref_sink (_tmp11_);
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp7_ = _tmp11_;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 694 "config.c"
				goto __catch3_g_error;
			}
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp12_ = _tmp7_;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp7_ = NULL;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			g_variant_ref_sink (_tmp12_);
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_g_variant_unref0 (old_value);
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			old_value = _tmp12_;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_g_variant_unref0 (_tmp7_);
#line 709 "config.c"
		}
		goto __finally3;
		__catch3_g_error:
		{
			GError* e = NULL;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			e = _inner_error_;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_inner_error_ = NULL;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			g_assert_not_reached ();
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_g_error_free0 (e);
#line 723 "config.c"
		}
		__finally3:
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_g_variant_unref0 (old_value);
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_g_free0 (member_name);
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			g_clear_error (&_inner_error_);
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			return;
#line 738 "config.c"
		}
	}
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp13_ = value;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp13_ == NULL) {
#line 745 "config.c"
		JsonObject* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		gboolean _tmp16_ = FALSE;
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp14_ = object;
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp15_ = member_name;
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp16_ = json_object_has_member (_tmp14_, _tmp15_);
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		if (_tmp16_) {
#line 757 "config.c"
			JsonObject* _tmp17_ = NULL;
			const gchar* _tmp18_ = NULL;
			const gchar* _tmp19_ = NULL;
			GVariant* _tmp20_ = NULL;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp17_ = object;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp18_ = member_name;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			json_object_remove_member (_tmp17_, _tmp18_);
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp19_ = key;
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp20_ = old_value;
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			g_signal_emit_by_name ((DioriteKeyValueStorage*) self, "changed", _tmp19_, _tmp20_);
#line 774 "config.c"
		}
	} else {
		gboolean _tmp21_ = FALSE;
		GVariant* _tmp22_ = NULL;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp22_ = old_value;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		if (_tmp22_ == NULL) {
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp21_ = TRUE;
#line 785 "config.c"
		} else {
			GVariant* _tmp23_ = NULL;
			GVariant* _tmp24_ = NULL;
			gboolean _tmp25_ = FALSE;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp23_ = old_value;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp24_ = value;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp25_ = g_variant_equal (_tmp23_, _tmp24_);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp21_ = !_tmp25_;
#line 798 "config.c"
		}
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		if (_tmp21_) {
#line 802 "config.c"
			JsonNode* node = NULL;
			GVariant* _tmp26_ = NULL;
			JsonNode* _tmp27_ = NULL;
			JsonObject* _tmp28_ = NULL;
			const gchar* _tmp29_ = NULL;
			JsonNode* _tmp30_ = NULL;
			const gchar* _tmp31_ = NULL;
			GVariant* _tmp32_ = NULL;
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp26_ = value;
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp27_ = json_gvariant_serialize (_tmp26_);
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			node = _tmp27_;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp28_ = object;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp29_ = member_name;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp30_ = node;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			node = NULL;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			json_object_set_member (_tmp28_, _tmp29_, _tmp30_);
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp31_ = key;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp32_ = old_value;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			g_signal_emit_by_name ((DioriteKeyValueStorage*) self, "changed", _tmp31_, _tmp32_);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			__vala_JsonNode_free0 (node);
#line 835 "config.c"
		}
	}
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_variant_unref0 (old_value);
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_free0 (member_name);
#line 842 "config.c"
}


static void nuvola_config_real_set_default_value_unboxed (DioriteKeyValueStorage* base, const gchar* key, GVariant* value) {
	NuvolaConfig * self;
	GVariant* _tmp0_ = NULL;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self = (NuvolaConfig*) base;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_if_fail (key != NULL);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = value;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp0_ == NULL) {
#line 857 "config.c"
		GHashTable* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp1_ = self->priv->_defaults;
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp2_ = key;
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_hash_table_remove (_tmp1_, _tmp2_);
#line 866 "config.c"
	} else {
		GHashTable* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GVariant* _tmp6_ = NULL;
		GVariant* _tmp7_ = NULL;
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp3_ = self->priv->_defaults;
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp4_ = key;
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp5_ = g_strdup (_tmp4_);
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp6_ = value;
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp7_ = _g_variant_ref0 (_tmp6_);
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_hash_table_insert (_tmp3_, _tmp5_, _tmp7_);
#line 885 "config.c"
	}
}


static void nuvola_config_real_unset (DioriteKeyValueStorage* base, const gchar* key) {
	NuvolaConfig * self;
	const gchar* _tmp0_ = NULL;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self = (NuvolaConfig*) base;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_if_fail (key != NULL);
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = key;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	diorite_key_value_storage_set_value ((DioriteKeyValueStorage*) self, _tmp0_, NULL);
#line 901 "config.c"
}


static gboolean nuvola_config_load (NuvolaConfig* self) {
	gboolean result = FALSE;
	JsonParser* parser = NULL;
	JsonParser* _tmp0_ = NULL;
	JsonNode* root = NULL;
	JsonNode* _tmp8_ = NULL;
	JsonNode* _tmp13_ = NULL;
	JsonNode* _tmp14_ = NULL;
	GError * _inner_error_ = NULL;
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = json_parser_new ();
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	parser = _tmp0_;
#line 920 "config.c"
	{
		GFile* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		JsonNode* _tmp4_ = NULL;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp1_ = self->priv->_file;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp2_ = g_file_get_path (_tmp1_);
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp3_ = _tmp2_;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		json_parser_load_from_file (parser, _tmp3_, &_inner_error_);
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_free0 (_tmp3_);
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 938 "config.c"
			goto __catch4_g_error;
		}
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp4_ = json_parser_get_root (parser);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		root = _tmp4_;
#line 945 "config.c"
	}
	goto __finally4;
	__catch4_g_error:
	{
		GError* e = NULL;
		GError* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		e = _inner_error_;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_inner_error_ = NULL;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		root = NULL;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp5_ = e;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp6_ = _tmp5_->message;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_debug ("config.vala:174: Json Error: %s", _tmp6_);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_error_free0 (e);
#line 967 "config.c"
	}
	__finally4:
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 972 "config.c"
		gboolean _tmp7_ = FALSE;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_object_unref0 (parser);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_clear_error (&_inner_error_);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		return _tmp7_;
#line 982 "config.c"
	}
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp8_ = root;
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp8_ == NULL) {
#line 988 "config.c"
		JsonNode* _tmp9_ = NULL;
		JsonNode* _tmp10_ = NULL;
		JsonObject* _tmp11_ = NULL;
		JsonObject* _tmp12_ = NULL;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp9_ = json_node_new (JSON_NODE_OBJECT);
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		__vala_JsonNode_free0 (self->priv->root);
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		self->priv->root = _tmp9_;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp10_ = self->priv->root;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp11_ = json_object_new ();
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp12_ = _tmp11_;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		json_node_set_object (_tmp10_, _tmp12_);
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_json_object_unref0 (_tmp12_);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		result = FALSE;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_object_unref0 (parser);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		return result;
#line 1015 "config.c"
	}
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp13_ = root;
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp14_ = json_node_copy (_tmp13_);
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	__vala_JsonNode_free0 (self->priv->root);
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self->priv->root = _tmp14_;
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	result = TRUE;
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_object_unref0 (parser);
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 1031 "config.c"
}


static gpointer _json_object_ref0 (gpointer self) {
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return self ? json_object_ref (self) : NULL;
#line 1038 "config.c"
}


static JsonObject* nuvola_config_get_parent_object (NuvolaConfig* self, const gchar* key, gchar** member_name) {
	gchar* _vala_member_name = NULL;
	JsonObject* result = NULL;
	gchar** keys = NULL;
	const gchar* _tmp0_ = NULL;
	gchar** _tmp1_ = NULL;
	gchar** _tmp2_ = NULL;
	gint keys_length1 = 0;
	gint _keys_size_ = 0;
	JsonNode* node = NULL;
	JsonNode* _tmp3_ = NULL;
	JsonNode* _tmp23_ = NULL;
	JsonNodeType _tmp24_ = 0;
	gchar** _tmp25_ = NULL;
	gint _tmp25__length1 = 0;
	gchar** _tmp26_ = NULL;
	gint _tmp26__length1 = 0;
	const gchar* _tmp27_ = NULL;
	gchar* _tmp28_ = NULL;
	JsonNode* _tmp29_ = NULL;
	JsonObject* _tmp30_ = NULL;
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_free0 (_vala_member_name);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_vala_member_name = NULL;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = key;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp2_ = _tmp1_ = g_strsplit (_tmp0_, ".", 0);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	keys = _tmp2_;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	keys_length1 = _vala_array_length (_tmp1_);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_keys_size_ = keys_length1;
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp3_ = self->priv->root;
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	node = _tmp3_;
#line 1085 "config.c"
	{
		gint i = 0;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		i = 0;
#line 1090 "config.c"
		{
			gboolean _tmp4_ = FALSE;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp4_ = TRUE;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			while (TRUE) {
#line 1097 "config.c"
				gint _tmp6_ = 0;
				gchar** _tmp7_ = NULL;
				gint _tmp7__length1 = 0;
				JsonNode* _tmp8_ = NULL;
				JsonNodeType _tmp9_ = 0;
				JsonObject* object = NULL;
				JsonNode* _tmp10_ = NULL;
				JsonObject* _tmp11_ = NULL;
				JsonObject* _tmp12_ = NULL;
				gchar* name = NULL;
				gchar** _tmp13_ = NULL;
				gint _tmp13__length1 = 0;
				gint _tmp14_ = 0;
				const gchar* _tmp15_ = NULL;
				gchar* _tmp16_ = NULL;
				JsonObject* _tmp17_ = NULL;
				const gchar* _tmp18_ = NULL;
				gboolean _tmp19_ = FALSE;
				JsonObject* _tmp20_ = NULL;
				const gchar* _tmp21_ = NULL;
				JsonNode* _tmp22_ = NULL;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				if (!_tmp4_) {
#line 1121 "config.c"
					gint _tmp5_ = 0;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_tmp5_ = i;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					i = _tmp5_ + 1;
#line 1127 "config.c"
				}
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp4_ = FALSE;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp6_ = i;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp7_ = keys;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp7__length1 = keys_length1;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				if (!(_tmp6_ < (_tmp7__length1 - 1))) {
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					break;
#line 1141 "config.c"
				}
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp8_ = node;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp9_ = json_node_get_node_type (_tmp8_);
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				if (_tmp9_ != JSON_NODE_OBJECT) {
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					result = NULL;
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					keys = (_vala_array_free (keys, keys_length1, (GDestroyNotify) g_free), NULL);
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					if (member_name) {
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
						*member_name = _vala_member_name;
#line 1157 "config.c"
					} else {
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
						_g_free0 (_vala_member_name);
#line 1161 "config.c"
					}
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					return result;
#line 1165 "config.c"
				}
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp10_ = node;
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp11_ = json_node_get_object (_tmp10_);
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp12_ = _json_object_ref0 (_tmp11_);
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				object = _tmp12_;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp13_ = keys;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp13__length1 = keys_length1;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp14_ = i;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp15_ = _tmp13_[_tmp14_];
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp16_ = g_strdup (_tmp15_);
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				name = _tmp16_;
#line 198 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp17_ = object;
#line 198 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp18_ = name;
#line 198 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp19_ = json_object_has_member (_tmp17_, _tmp18_);
#line 198 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				if (!_tmp19_) {
#line 199 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					result = NULL;
#line 199 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_g_free0 (name);
#line 199 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_json_object_unref0 (object);
#line 199 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					keys = (_vala_array_free (keys, keys_length1, (GDestroyNotify) g_free), NULL);
#line 199 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					if (member_name) {
#line 199 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
						*member_name = _vala_member_name;
#line 1207 "config.c"
					} else {
#line 199 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
						_g_free0 (_vala_member_name);
#line 1211 "config.c"
					}
#line 199 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					return result;
#line 1215 "config.c"
				}
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp20_ = object;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp21_ = name;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp22_ = json_object_get_member (_tmp20_, _tmp21_);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				node = _tmp22_;
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_g_free0 (name);
#line 192 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_json_object_unref0 (object);
#line 1229 "config.c"
			}
		}
	}
#line 203 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp23_ = node;
#line 203 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp24_ = json_node_get_node_type (_tmp23_);
#line 203 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp24_ != JSON_NODE_OBJECT) {
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		result = NULL;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		keys = (_vala_array_free (keys, keys_length1, (GDestroyNotify) g_free), NULL);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		if (member_name) {
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			*member_name = _vala_member_name;
#line 1247 "config.c"
		} else {
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_g_free0 (_vala_member_name);
#line 1251 "config.c"
		}
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		return result;
#line 1255 "config.c"
	}
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp25_ = keys;
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp25__length1 = keys_length1;
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp26_ = keys;
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp26__length1 = keys_length1;
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp27_ = _tmp25_[_tmp26__length1 - 1];
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp28_ = g_strdup (_tmp27_);
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_free0 (_vala_member_name);
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_vala_member_name = _tmp28_;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp29_ = node;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp30_ = json_node_get_object (_tmp29_);
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	result = _tmp30_;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	keys = (_vala_array_free (keys, keys_length1, (GDestroyNotify) g_free), NULL);
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (member_name) {
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		*member_name = _vala_member_name;
#line 1285 "config.c"
	} else {
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_free0 (_vala_member_name);
#line 1289 "config.c"
	}
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 1293 "config.c"
}


static JsonNode* _vala_JsonNode_copy (JsonNode* self) {
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return g_boxed_copy (json_node_get_type (), self);
#line 1300 "config.c"
}


static gpointer __vala_JsonNode_copy0 (gpointer self) {
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return self ? _vala_JsonNode_copy (self) : NULL;
#line 1307 "config.c"
}


static JsonObject* nuvola_config_create_parent_object (NuvolaConfig* self, const gchar* key, gchar** member_name) {
	gchar* _vala_member_name = NULL;
	JsonObject* result = NULL;
	gchar** keys = NULL;
	const gchar* _tmp0_ = NULL;
	gchar** _tmp1_ = NULL;
	gchar** _tmp2_ = NULL;
	gint keys_length1 = 0;
	gint _keys_size_ = 0;
	JsonNode* node = NULL;
	JsonNode* _tmp3_ = NULL;
	JsonNode* _tmp31_ = NULL;
	JsonNodeType _tmp32_ = 0;
	gchar** _tmp33_ = NULL;
	gint _tmp33__length1 = 0;
	gchar** _tmp34_ = NULL;
	gint _tmp34__length1 = 0;
	const gchar* _tmp35_ = NULL;
	gchar* _tmp36_ = NULL;
	JsonNode* _tmp37_ = NULL;
	JsonObject* _tmp38_ = NULL;
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_free0 (_vala_member_name);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_vala_member_name = NULL;
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = key;
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp2_ = _tmp1_ = g_strsplit (_tmp0_, ".", 0);
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	keys = _tmp2_;
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	keys_length1 = _vala_array_length (_tmp1_);
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_keys_size_ = keys_length1;
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp3_ = self->priv->root;
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	node = _tmp3_;
#line 1354 "config.c"
	{
		gint i = 0;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		i = 0;
#line 1359 "config.c"
		{
			gboolean _tmp4_ = FALSE;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_tmp4_ = TRUE;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			while (TRUE) {
#line 1366 "config.c"
				gint _tmp6_ = 0;
				gchar** _tmp7_ = NULL;
				gint _tmp7__length1 = 0;
				JsonNode* _tmp8_ = NULL;
				JsonNodeType _tmp9_ = 0;
				JsonObject* object = NULL;
				JsonNode* _tmp10_ = NULL;
				JsonObject* _tmp11_ = NULL;
				JsonObject* _tmp12_ = NULL;
				gchar* name = NULL;
				gchar** _tmp13_ = NULL;
				gint _tmp13__length1 = 0;
				gint _tmp14_ = 0;
				const gchar* _tmp15_ = NULL;
				gchar* _tmp16_ = NULL;
				JsonObject* _tmp17_ = NULL;
				const gchar* _tmp18_ = NULL;
				gboolean _tmp19_ = FALSE;
				JsonObject* _tmp28_ = NULL;
				const gchar* _tmp29_ = NULL;
				JsonNode* _tmp30_ = NULL;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				if (!_tmp4_) {
#line 1390 "config.c"
					gint _tmp5_ = 0;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_tmp5_ = i;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					i = _tmp5_ + 1;
#line 1396 "config.c"
				}
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp4_ = FALSE;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp6_ = i;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp7_ = keys;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp7__length1 = keys_length1;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				if (!(_tmp6_ < (_tmp7__length1 - 1))) {
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					break;
#line 1410 "config.c"
				}
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp8_ = node;
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp9_ = json_node_get_node_type (_tmp8_);
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				if (_tmp9_ != JSON_NODE_OBJECT) {
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					result = NULL;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					keys = (_vala_array_free (keys, keys_length1, (GDestroyNotify) g_free), NULL);
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					if (member_name) {
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
						*member_name = _vala_member_name;
#line 1426 "config.c"
					} else {
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
						_g_free0 (_vala_member_name);
#line 1430 "config.c"
					}
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					return result;
#line 1434 "config.c"
				}
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp10_ = node;
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp11_ = json_node_get_object (_tmp10_);
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp12_ = _json_object_ref0 (_tmp11_);
#line 219 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				object = _tmp12_;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp13_ = keys;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp13__length1 = keys_length1;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp14_ = i;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp15_ = _tmp13_[_tmp14_];
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp16_ = g_strdup (_tmp15_);
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				name = _tmp16_;
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp17_ = object;
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp18_ = name;
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp19_ = json_object_has_member (_tmp17_, _tmp18_);
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				if (!_tmp19_) {
#line 1464 "config.c"
					JsonNode* new_node = NULL;
					JsonNode* _tmp20_ = NULL;
					JsonNode* _tmp21_ = NULL;
					JsonObject* _tmp22_ = NULL;
					JsonObject* _tmp23_ = NULL;
					JsonObject* _tmp24_ = NULL;
					const gchar* _tmp25_ = NULL;
					JsonNode* _tmp26_ = NULL;
					JsonNode* _tmp27_ = NULL;
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_tmp20_ = json_node_new (JSON_NODE_OBJECT);
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					new_node = _tmp20_;
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_tmp21_ = new_node;
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_tmp22_ = json_object_new ();
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_tmp23_ = _tmp22_;
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					json_node_set_object (_tmp21_, _tmp23_);
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_json_object_unref0 (_tmp23_);
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_tmp24_ = object;
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_tmp25_ = name;
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_tmp26_ = new_node;
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					_tmp27_ = __vala_JsonNode_copy0 (_tmp26_);
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					json_object_set_member (_tmp24_, _tmp25_, _tmp27_);
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
					__vala_JsonNode_free0 (new_node);
#line 1500 "config.c"
				}
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp28_ = object;
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp29_ = name;
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_tmp30_ = json_object_get_member (_tmp28_, _tmp29_);
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				node = _tmp30_;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_g_free0 (name);
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
				_json_object_unref0 (object);
#line 1514 "config.c"
			}
		}
	}
#line 230 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp31_ = node;
#line 230 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp32_ = json_node_get_node_type (_tmp31_);
#line 230 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp32_ != JSON_NODE_OBJECT) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		result = NULL;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		keys = (_vala_array_free (keys, keys_length1, (GDestroyNotify) g_free), NULL);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		if (member_name) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			*member_name = _vala_member_name;
#line 1532 "config.c"
		} else {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
			_g_free0 (_vala_member_name);
#line 1536 "config.c"
		}
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		return result;
#line 1540 "config.c"
	}
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp33_ = keys;
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp33__length1 = keys_length1;
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp34_ = keys;
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp34__length1 = keys_length1;
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp35_ = _tmp33_[_tmp34__length1 - 1];
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp36_ = g_strdup (_tmp35_);
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_free0 (_vala_member_name);
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_vala_member_name = _tmp36_;
#line 234 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp37_ = node;
#line 234 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp38_ = json_node_get_object (_tmp37_);
#line 234 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	result = _tmp38_;
#line 234 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	keys = (_vala_array_free (keys, keys_length1, (GDestroyNotify) g_free), NULL);
#line 234 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (member_name) {
#line 234 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		*member_name = _vala_member_name;
#line 1570 "config.c"
	} else {
#line 234 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_free0 (_vala_member_name);
#line 1574 "config.c"
	}
#line 234 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 1578 "config.c"
}


static gboolean _nuvola_config_save_cb_gsource_func (gpointer self) {
	gboolean result;
	result = nuvola_config_save_cb ((NuvolaConfig*) self);
#line 241 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 1587 "config.c"
}


static void nuvola_config_on_changed (NuvolaConfig* self, const gchar* key, GVariant* old_value) {
	guint _tmp0_ = 0U;
	guint _tmp2_ = 0U;
#line 237 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_if_fail (self != NULL);
#line 237 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_if_fail (key != NULL);
#line 239 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = self->priv->save_cb_id;
#line 239 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (_tmp0_ != ((guint) 0)) {
#line 1602 "config.c"
		guint _tmp1_ = 0U;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp1_ = self->priv->save_cb_id;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_source_remove (_tmp1_);
#line 1608 "config.c"
	}
#line 241 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp2_ = g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 250, _nuvola_config_save_cb_gsource_func, g_object_ref (self), g_object_unref);
#line 241 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self->priv->save_cb_id = _tmp2_;
#line 1614 "config.c"
}


static gboolean nuvola_config_save_cb (NuvolaConfig* self) {
	gboolean result = FALSE;
	JsonGenerator* generator = NULL;
	JsonGenerator* _tmp0_ = NULL;
	JsonNode* _tmp1_ = NULL;
	GError * _inner_error_ = NULL;
#line 244 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 246 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self->priv->save_cb_id = (guint) 0;
#line 247 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = json_generator_new ();
#line 247 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	generator = _tmp0_;
#line 248 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp1_ = self->priv->root;
#line 248 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	json_generator_set_root (generator, _tmp1_);
#line 249 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	json_generator_set_pretty (generator, TRUE);
#line 1638 "config.c"
	{
		GFile* _tmp2_ = NULL;
		GFile* _tmp3_ = NULL;
		GFile* _tmp4_ = NULL;
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp2_ = self->priv->_file;
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp3_ = g_file_get_parent (_tmp2_);
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp4_ = _tmp3_;
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_file_make_directory_with_parents (_tmp4_, NULL, &_inner_error_);
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_object_unref0 (_tmp4_);
#line 252 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1655 "config.c"
			goto __catch5_g_error;
		}
	}
	goto __finally5;
	__catch5_g_error:
	{
		GError* e = NULL;
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		e = _inner_error_;
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_inner_error_ = NULL;
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_error_free0 (e);
#line 1669 "config.c"
	}
	__finally5:
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1674 "config.c"
		gboolean _tmp5_ = FALSE;
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_object_unref0 (generator);
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_clear_error (&_inner_error_);
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		return _tmp5_;
#line 1684 "config.c"
	}
	{
		GFile* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		GFile* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp6_ = self->priv->_file;
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp7_ = g_file_get_path (_tmp6_);
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp8_ = _tmp7_;
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		json_generator_to_file (generator, _tmp8_, &_inner_error_);
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_free0 (_tmp8_);
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1705 "config.c"
			goto __catch6_g_error;
		}
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp9_ = self->priv->_file;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp10_ = g_file_get_path (_tmp9_);
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp11_ = _tmp10_;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_message ("config.vala:260: Config saved to %s", _tmp11_);
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_free0 (_tmp11_);
#line 1718 "config.c"
	}
	goto __finally6;
	__catch6_g_error:
	{
		GError* e = NULL;
		GFile* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		GError* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		e = _inner_error_;
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_inner_error_ = NULL;
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp12_ = self->priv->_file;
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp13_ = g_file_get_path (_tmp12_);
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp14_ = _tmp13_;
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp15_ = e;
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_tmp16_ = _tmp15_->message;
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_warning ("config.vala:264: Failed to save file %s. %s", _tmp14_, _tmp16_);
#line 264 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_free0 (_tmp14_);
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_error_free0 (e);
#line 1749 "config.c"
	}
	__finally6:
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1754 "config.c"
		gboolean _tmp17_ = FALSE;
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		_g_object_unref0 (generator);
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_clear_error (&_inner_error_);
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		return _tmp17_;
#line 1764 "config.c"
	}
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	result = FALSE;
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_object_unref0 (generator);
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 1772 "config.c"
}


static DrtLst* nuvola_config_real_get_property_bindings (DioriteKeyValueStorage* base) {
	DrtLst* result;
	NuvolaConfig* self;
	DrtLst* _tmp0_ = NULL;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self = (NuvolaConfig*) base;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = self->priv->_property_bindings;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	result = _tmp0_;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 1788 "config.c"
}


static gpointer _drt_lst_ref0 (gpointer self) {
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return self ? drt_lst_ref (self) : NULL;
#line 1795 "config.c"
}


static void nuvola_config_real_set_property_bindings (DioriteKeyValueStorage* base, DrtLst* value) {
	NuvolaConfig* self;
	DrtLst* _tmp0_ = NULL;
	DrtLst* _tmp1_ = NULL;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self = (NuvolaConfig*) base;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = value;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp1_ = _drt_lst_ref0 (_tmp0_);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_drt_lst_unref0 (self->priv->_property_bindings);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self->priv->_property_bindings = _tmp1_;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_object_notify ((GObject *) self, "property-bindings");
#line 1815 "config.c"
}


GFile* nuvola_config_get_file (NuvolaConfig* self) {
	GFile* result;
	GFile* _tmp0_ = NULL;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = self->priv->_file;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	result = _tmp0_;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 1830 "config.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return self ? g_object_ref (self) : NULL;
#line 1837 "config.c"
}


static void nuvola_config_set_file (NuvolaConfig* self, GFile* value) {
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_if_fail (self != NULL);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = value;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_object_unref0 (self->priv->_file);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self->priv->_file = _tmp1_;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_object_notify ((GObject *) self, "file");
#line 1856 "config.c"
}


GHashTable* nuvola_config_get_defaults (NuvolaConfig* self) {
	GHashTable* result;
	GHashTable* _tmp0_ = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = self->priv->_defaults;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	result = _tmp0_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	return result;
#line 1871 "config.c"
}


static void nuvola_config_set_defaults (NuvolaConfig* self, GHashTable* value) {
	GHashTable* _tmp0_ = NULL;
	GHashTable* _tmp1_ = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_return_if_fail (self != NULL);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp0_ = value;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_tmp1_ = _g_hash_table_ref0 (_tmp0_);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_hash_table_unref0 (self->priv->_defaults);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self->priv->_defaults = _tmp1_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_object_notify ((GObject *) self, "defaults");
#line 1890 "config.c"
}


static void nuvola_config_class_init (NuvolaConfigClass * klass) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	nuvola_config_parent_class = g_type_class_peek_parent (klass);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_type_class_add_private (klass, sizeof (NuvolaConfigPrivate));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_config_get_property;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_config_set_property;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_config_finalize;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_CONFIG_PROPERTY_BINDINGS, drt_param_spec_lst ("property-bindings", "property-bindings", "property-bindings", DRT_TYPE_LST, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_CONFIG_FILE, g_param_spec_object ("file", "file", "file", g_file_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_CONFIG_DEFAULTS, g_param_spec_boxed ("defaults", "defaults", "defaults", G_TYPE_HASH_TABLE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	g_signal_new ("reloaded", NUVOLA_TYPE_CONFIG, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1913 "config.c"
}


static void nuvola_config_diorite_key_value_storage_interface_init (DioriteKeyValueStorageIface * iface) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	nuvola_config_diorite_key_value_storage_parent_iface = g_type_interface_peek_parent (iface);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	iface->has_key = (gboolean (*)(DioriteKeyValueStorage*, const gchar*)) nuvola_config_real_has_key;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	iface->get_value = (GVariant* (*)(DioriteKeyValueStorage*, const gchar*)) nuvola_config_real_get_value;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	iface->set_value_unboxed = (void (*)(DioriteKeyValueStorage*, const gchar*, GVariant*)) nuvola_config_real_set_value_unboxed;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	iface->set_default_value_unboxed = (void (*)(DioriteKeyValueStorage*, const gchar*, GVariant*)) nuvola_config_real_set_default_value_unboxed;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	iface->unset = (void (*)(DioriteKeyValueStorage*, const gchar*)) nuvola_config_real_unset;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	iface->get_property_bindings = nuvola_config_real_get_property_bindings;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	iface->set_property_bindings = nuvola_config_real_set_property_bindings;
#line 1934 "config.c"
}


static void nuvola_config_instance_init (NuvolaConfig * self) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self->priv = NUVOLA_CONFIG_GET_PRIVATE (self);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self->priv->save_cb_id = (guint) 0;
#line 1943 "config.c"
}


static void nuvola_config_finalize (GObject* obj) {
	NuvolaConfig * self;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_CONFIG, NuvolaConfig);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_drt_lst_unref0 (self->priv->_property_bindings);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_object_unref0 (self->priv->_file);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	_g_hash_table_unref0 (self->priv->_defaults);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	__vala_JsonNode_free0 (self->priv->root);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	G_OBJECT_CLASS (nuvola_config_parent_class)->finalize (obj);
#line 1961 "config.c"
}


GType nuvola_config_get_type (void) {
	static volatile gsize nuvola_config_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_config_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaConfigClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_config_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaConfig), 0, (GInstanceInitFunc) nuvola_config_instance_init, NULL };
		static const GInterfaceInfo diorite_key_value_storage_info = { (GInterfaceInitFunc) nuvola_config_diorite_key_value_storage_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType nuvola_config_type_id;
		nuvola_config_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaConfig", &g_define_type_info, 0);
		g_type_add_interface_static (nuvola_config_type_id, DIORITE_TYPE_KEY_VALUE_STORAGE, &diorite_key_value_storage_info);
		g_once_init_leave (&nuvola_config_type_id__volatile, nuvola_config_type_id);
	}
	return nuvola_config_type_id__volatile;
}


static void _vala_nuvola_config_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaConfig * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_CONFIG, NuvolaConfig);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	switch (property_id) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		case NUVOLA_CONFIG_PROPERTY_BINDINGS:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		drt_value_set_lst (value, diorite_key_value_storage_get_property_bindings ((DioriteKeyValueStorage*) self));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		case NUVOLA_CONFIG_FILE:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_value_set_object (value, nuvola_config_get_file (self));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		case NUVOLA_CONFIG_DEFAULTS:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		g_value_set_boxed (value, nuvola_config_get_defaults (self));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		break;
#line 2002 "config.c"
		default:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		break;
#line 2008 "config.c"
	}
}


static void _vala_nuvola_config_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaConfig * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_CONFIG, NuvolaConfig);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
	switch (property_id) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		case NUVOLA_CONFIG_PROPERTY_BINDINGS:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		diorite_key_value_storage_set_property_bindings ((DioriteKeyValueStorage*) self, drt_value_get_lst (value));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		case NUVOLA_CONFIG_FILE:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		nuvola_config_set_file (self, g_value_get_object (value));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		case NUVOLA_CONFIG_DEFAULTS:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		nuvola_config_set_defaults (self, g_value_get_boxed (value));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		break;
#line 2036 "config.c"
		default:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/config.vala"
		break;
#line 2042 "config.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



