/* ApiBus.c generated by valac 0.34.8, the Vala compiler
 * generated from ApiBus.vala, do not modify */

/*
 * Copyright 2016 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <dioriteglib-0.3.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>


#define NUVOLA_TYPE_IPC_BUS (nuvola_ipc_bus_get_type ())
#define NUVOLA_IPC_BUS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_IPC_BUS, NuvolaIpcBus))
#define NUVOLA_IPC_BUS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_IPC_BUS, NuvolaIpcBusClass))
#define NUVOLA_IS_IPC_BUS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_IPC_BUS))
#define NUVOLA_IS_IPC_BUS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_IPC_BUS))
#define NUVOLA_IPC_BUS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_IPC_BUS, NuvolaIpcBusClass))

typedef struct _NuvolaIpcBus NuvolaIpcBus;
typedef struct _NuvolaIpcBusClass NuvolaIpcBusClass;
typedef struct _NuvolaIpcBusPrivate NuvolaIpcBusPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _NuvolaIpcBus {
	DrtApiBus parent_instance;
	NuvolaIpcBusPrivate * priv;
};

struct _NuvolaIpcBusClass {
	DrtApiBusClass parent_class;
};

struct _NuvolaIpcBusPrivate {
	DrtApiChannel* _master;
	DrtApiChannel* _web_worker;
};


static gpointer nuvola_ipc_bus_parent_class = NULL;

#define NUVOLA_IPC_TIMEOUT 60000
GType nuvola_ipc_bus_get_type (void) G_GNUC_CONST;
#define NUVOLA_IPC_BUS_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_IPC_BUS, NuvolaIpcBusPrivate))
enum  {
	NUVOLA_IPC_BUS_DUMMY_PROPERTY,
	NUVOLA_IPC_BUS_MASTER,
	NUVOLA_IPC_BUS_WEB_WORKER
};
NuvolaIpcBus* nuvola_ipc_bus_new (const gchar* bus_name, DrtApiRouter* router);
NuvolaIpcBus* nuvola_ipc_bus_construct (GType object_type, const gchar* bus_name, DrtApiRouter* router);
DrtApiChannel* nuvola_ipc_bus_connect_master (NuvolaIpcBus* self, const gchar* bus_name, const gchar* api_token, GError** error);
DrtApiChannel* nuvola_ipc_bus_get_master (NuvolaIpcBus* self);
static void nuvola_ipc_bus_set_master (NuvolaIpcBus* self, DrtApiChannel* value);
DrtApiChannel* nuvola_ipc_bus_connect_master_socket (NuvolaIpcBus* self, GSocket* socket, const gchar* api_token, GError** error);
void nuvola_ipc_bus_connect_web_worker (NuvolaIpcBus* self, DrtApiChannel* channel);
static void nuvola_ipc_bus_set_web_worker (NuvolaIpcBus* self, DrtApiChannel* value);
DrtApiChannel* nuvola_ipc_bus_get_web_worker (NuvolaIpcBus* self);
static void nuvola_ipc_bus_finalize (GObject* obj);
static void _vala_nuvola_ipc_bus_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_nuvola_ipc_bus_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static gpointer _g_object_ref0 (gpointer self) {
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	return self ? g_object_ref (self) : NULL;
#line 91 "ApiBus.c"
}


NuvolaIpcBus* nuvola_ipc_bus_construct (GType object_type, const gchar* bus_name, DrtApiRouter* router) {
	NuvolaIpcBus * self = NULL;
	DrtApiRouter* _tmp0_ = NULL;
	DrtApiRouter* _tmp1_ = NULL;
	DrtApiRouter* _tmp2_ = NULL;
	const gchar* _tmp4_ = NULL;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_val_if_fail (bus_name != NULL, NULL);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp1_ = router;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp0_ = _tmp2_;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	if (_tmp0_ == NULL) {
#line 111 "ApiBus.c"
		DrtApiRouter* _tmp3_ = NULL;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		_tmp3_ = drt_api_router_new ();
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		_g_object_unref0 (_tmp0_);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		_tmp0_ = _tmp3_;
#line 119 "ApiBus.c"
	}
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp4_ = bus_name;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	self = (NuvolaIpcBus*) drt_api_bus_construct (object_type, _tmp4_, _tmp0_, (guint) NUVOLA_IPC_TIMEOUT);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_g_object_unref0 (_tmp0_);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	return self;
#line 129 "ApiBus.c"
}


NuvolaIpcBus* nuvola_ipc_bus_new (const gchar* bus_name, DrtApiRouter* router) {
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	return nuvola_ipc_bus_construct (NUVOLA_TYPE_IPC_BUS, bus_name, router);
#line 136 "ApiBus.c"
}


DrtApiChannel* nuvola_ipc_bus_connect_master (NuvolaIpcBus* self, const gchar* bus_name, const gchar* api_token, GError** error) {
	DrtApiChannel* result = NULL;
	DrtApiChannel* _tmp0_ = NULL;
	DrtApiChannel* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gpointer _tmp3_ = NULL;
	DrtApiChannel* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	DrtApiChannel* _tmp6_ = NULL;
	DrtApiChannel* _tmp7_ = NULL;
	GError * _inner_error_ = NULL;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_val_if_fail (bus_name != NULL, NULL);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp0_ = self->priv->_master;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_val_if_fail (_tmp0_ == NULL, NULL);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp2_ = bus_name;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp3_ = drt_base_bus_connect_channel ((DrtBaseBus*) self, _tmp2_, (guint) NUVOLA_IPC_TIMEOUT, &_inner_error_);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp1_ = (DrtApiChannel*) _tmp3_;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		if (_inner_error_->domain == DIORITE_IO_ERROR) {
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
			g_propagate_error (error, _inner_error_);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
			return NULL;
#line 173 "ApiBus.c"
		} else {
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
			g_clear_error (&_inner_error_);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
			return NULL;
#line 181 "ApiBus.c"
		}
	}
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	nuvola_ipc_bus_set_master (self, _tmp1_);
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp4_ = self->priv->_master;
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp5_ = api_token;
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	drt_api_channel_set_api_token (_tmp4_, _tmp5_);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp6_ = self->priv->_master;
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp7_ = _g_object_ref0 (_tmp6_);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	result = _tmp7_;
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_g_object_unref0 (_tmp1_);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	return result;
#line 202 "ApiBus.c"
}


DrtApiChannel* nuvola_ipc_bus_connect_master_socket (NuvolaIpcBus* self, GSocket* socket, const gchar* api_token, GError** error) {
	DrtApiChannel* result = NULL;
	DrtApiChannel* _tmp0_ = NULL;
	DrtApiChannel* _tmp1_ = NULL;
	GSocket* _tmp2_ = NULL;
	gpointer _tmp3_ = NULL;
	DrtApiChannel* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	DrtApiChannel* _tmp6_ = NULL;
	DrtApiChannel* _tmp7_ = NULL;
	GError * _inner_error_ = NULL;
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_val_if_fail (socket != NULL, NULL);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp0_ = self->priv->_master;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_val_if_fail (_tmp0_ == NULL, NULL);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp2_ = socket;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp3_ = drt_base_bus_connect_channel_socket ((DrtBaseBus*) self, _tmp2_, (guint) NUVOLA_IPC_TIMEOUT, &_inner_error_);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp1_ = (DrtApiChannel*) _tmp3_;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		if (_inner_error_->domain == DIORITE_IO_ERROR) {
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
			g_propagate_error (error, _inner_error_);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
			return NULL;
#line 239 "ApiBus.c"
		} else {
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
			g_clear_error (&_inner_error_);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
			return NULL;
#line 247 "ApiBus.c"
		}
	}
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	nuvola_ipc_bus_set_master (self, _tmp1_);
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp4_ = self->priv->_master;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp5_ = api_token;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	drt_api_channel_set_api_token (_tmp4_, _tmp5_);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp6_ = self->priv->_master;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp7_ = _g_object_ref0 (_tmp6_);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	result = _tmp7_;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_g_object_unref0 (_tmp1_);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	return result;
#line 268 "ApiBus.c"
}


void nuvola_ipc_bus_connect_web_worker (NuvolaIpcBus* self, DrtApiChannel* channel) {
	DrtApiChannel* _tmp0_ = NULL;
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_if_fail (self != NULL);
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_if_fail (channel != NULL);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp0_ = channel;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	nuvola_ipc_bus_set_web_worker (self, _tmp0_);
#line 282 "ApiBus.c"
}


DrtApiChannel* nuvola_ipc_bus_get_master (NuvolaIpcBus* self) {
	DrtApiChannel* result;
	DrtApiChannel* _tmp0_ = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp0_ = self->priv->_master;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	result = _tmp0_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	return result;
#line 297 "ApiBus.c"
}


static void nuvola_ipc_bus_set_master (NuvolaIpcBus* self, DrtApiChannel* value) {
	DrtApiChannel* _tmp0_ = NULL;
	DrtApiChannel* _tmp1_ = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_if_fail (self != NULL);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp0_ = value;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_g_object_unref0 (self->priv->_master);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	self->priv->_master = _tmp1_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_object_notify ((GObject *) self, "master");
#line 316 "ApiBus.c"
}


DrtApiChannel* nuvola_ipc_bus_get_web_worker (NuvolaIpcBus* self) {
	DrtApiChannel* result;
	DrtApiChannel* _tmp0_ = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp0_ = self->priv->_web_worker;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	result = _tmp0_;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	return result;
#line 331 "ApiBus.c"
}


static void nuvola_ipc_bus_set_web_worker (NuvolaIpcBus* self, DrtApiChannel* value) {
	DrtApiChannel* _tmp0_ = NULL;
	DrtApiChannel* _tmp1_ = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_return_if_fail (self != NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp0_ = value;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_g_object_unref0 (self->priv->_web_worker);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	self->priv->_web_worker = _tmp1_;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_object_notify ((GObject *) self, "web-worker");
#line 350 "ApiBus.c"
}


static void nuvola_ipc_bus_class_init (NuvolaIpcBusClass * klass) {
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	nuvola_ipc_bus_parent_class = g_type_class_peek_parent (klass);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_type_class_add_private (klass, sizeof (NuvolaIpcBusPrivate));
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_ipc_bus_get_property;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_ipc_bus_set_property;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_ipc_bus_finalize;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_IPC_BUS_MASTER, g_param_spec_object ("master", "master", "master", DRT_TYPE_API_CHANNEL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_IPC_BUS_WEB_WORKER, g_param_spec_object ("web-worker", "web-worker", "web-worker", DRT_TYPE_API_CHANNEL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 369 "ApiBus.c"
}


static void nuvola_ipc_bus_instance_init (NuvolaIpcBus * self) {
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	self->priv = NUVOLA_IPC_BUS_GET_PRIVATE (self);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	self->priv->_master = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	self->priv->_web_worker = NULL;
#line 380 "ApiBus.c"
}


static void nuvola_ipc_bus_finalize (GObject* obj) {
	NuvolaIpcBus * self;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_IPC_BUS, NuvolaIpcBus);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_g_object_unref0 (self->priv->_master);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	_g_object_unref0 (self->priv->_web_worker);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	G_OBJECT_CLASS (nuvola_ipc_bus_parent_class)->finalize (obj);
#line 394 "ApiBus.c"
}


GType nuvola_ipc_bus_get_type (void) {
	static volatile gsize nuvola_ipc_bus_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_ipc_bus_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaIpcBusClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_ipc_bus_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaIpcBus), 0, (GInstanceInitFunc) nuvola_ipc_bus_instance_init, NULL };
		GType nuvola_ipc_bus_type_id;
		nuvola_ipc_bus_type_id = g_type_register_static (DRT_TYPE_API_BUS, "NuvolaIpcBus", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_ipc_bus_type_id__volatile, nuvola_ipc_bus_type_id);
	}
	return nuvola_ipc_bus_type_id__volatile;
}


static void _vala_nuvola_ipc_bus_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaIpcBus * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_IPC_BUS, NuvolaIpcBus);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	switch (property_id) {
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		case NUVOLA_IPC_BUS_MASTER:
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		g_value_set_object (value, nuvola_ipc_bus_get_master (self));
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		break;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		case NUVOLA_IPC_BUS_WEB_WORKER:
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		g_value_set_object (value, nuvola_ipc_bus_get_web_worker (self));
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		break;
#line 427 "ApiBus.c"
		default:
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		break;
#line 433 "ApiBus.c"
	}
}


static void _vala_nuvola_ipc_bus_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaIpcBus * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_IPC_BUS, NuvolaIpcBus);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
	switch (property_id) {
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		case NUVOLA_IPC_BUS_MASTER:
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		nuvola_ipc_bus_set_master (self, g_value_get_object (value));
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		break;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		case NUVOLA_IPC_BUS_WEB_WORKER:
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		nuvola_ipc_bus_set_web_worker (self, g_value_get_object (value));
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		break;
#line 455 "ApiBus.c"
		default:
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/ApiBus.vala"
		break;
#line 461 "ApiBus.c"
	}
}



