/* ComponentsManager.c generated by valac 0.34.8, the Vala compiler
 * generated from ComponentsManager.vala, do not modify */

/*
 * Copyright 2014 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <dioriteglib-0.3.h>
#include <stdlib.h>
#include <string.h>


#define NUVOLA_TYPE_COMPONENTS_MANAGER (nuvola_components_manager_get_type ())
#define NUVOLA_COMPONENTS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_COMPONENTS_MANAGER, NuvolaComponentsManager))
#define NUVOLA_COMPONENTS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_COMPONENTS_MANAGER, NuvolaComponentsManagerClass))
#define NUVOLA_IS_COMPONENTS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_COMPONENTS_MANAGER))
#define NUVOLA_IS_COMPONENTS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_COMPONENTS_MANAGER))
#define NUVOLA_COMPONENTS_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_COMPONENTS_MANAGER, NuvolaComponentsManagerClass))

typedef struct _NuvolaComponentsManager NuvolaComponentsManager;
typedef struct _NuvolaComponentsManagerClass NuvolaComponentsManagerClass;
typedef struct _NuvolaComponentsManagerPrivate NuvolaComponentsManagerPrivate;

#define NUVOLA_TYPE_COMPONENT (nuvola_component_get_type ())
#define NUVOLA_COMPONENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_COMPONENT, NuvolaComponent))
#define NUVOLA_COMPONENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_COMPONENT, NuvolaComponentClass))
#define NUVOLA_IS_COMPONENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_COMPONENT))
#define NUVOLA_IS_COMPONENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_COMPONENT))
#define NUVOLA_COMPONENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_COMPONENT, NuvolaComponentClass))

typedef struct _NuvolaComponent NuvolaComponent;
typedef struct _NuvolaComponentClass NuvolaComponentClass;
typedef struct _NuvolaComponentsManagerRow NuvolaComponentsManagerRow;
typedef struct _NuvolaComponentsManagerSettings NuvolaComponentsManagerSettings;
#define _drt_lst_unref0(var) ((var == NULL) ? NULL : (var = (drt_lst_unref (var), NULL)))
#define __g_slist_free__nuvola_components_manager_row_free0_0(var) ((var == NULL) ? NULL : (var = (_g_slist_free__nuvola_components_manager_row_free0_ (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _nuvola_components_manager_settings_free0(var) ((var == NULL) ? NULL : (var = (nuvola_components_manager_settings_free (var), NULL)))
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
#define _drt_lst_iterator_unref0(var) ((var == NULL) ? NULL : (var = (drt_lst_iterator_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NuvolaComponentsManager {
	GtkStack parent_instance;
	NuvolaComponentsManagerPrivate * priv;
};

struct _NuvolaComponentsManagerClass {
	GtkStackClass parent_class;
};

struct _NuvolaComponentsManagerPrivate {
	DrtLst* _components;
	GSList* rows;
	GtkGrid* grid;
	NuvolaComponentsManagerSettings* component_settings;
};

struct _NuvolaComponentsManagerSettings {
	GtkContainer* widget;
	NuvolaComponentsManager* manager;
	NuvolaComponent* component;
};

struct _NuvolaComponentsManagerRow {
	NuvolaComponentsManager* manager;
	NuvolaComponent* component;
	GtkButton* button;
	GtkSwitch* checkbox;
};


static gpointer nuvola_components_manager_parent_class = NULL;

GType nuvola_components_manager_get_type (void) G_GNUC_CONST;
GType nuvola_component_get_type (void) G_GNUC_CONST;
static void nuvola_components_manager_row_free (NuvolaComponentsManagerRow* self);
static void nuvola_components_manager_settings_free (NuvolaComponentsManagerSettings* self);
#define NUVOLA_COMPONENTS_MANAGER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_COMPONENTS_MANAGER, NuvolaComponentsManagerPrivate))
enum  {
	NUVOLA_COMPONENTS_MANAGER_DUMMY_PROPERTY,
	NUVOLA_COMPONENTS_MANAGER_COMPONENTS
};
static void _nuvola_components_manager_row_free0_ (gpointer var);
static void _g_slist_free__nuvola_components_manager_row_free0_ (GSList* self);
NuvolaComponentsManager* nuvola_components_manager_new (DrtLst* components);
NuvolaComponentsManager* nuvola_components_manager_construct (GType object_type, DrtLst* components);
void nuvola_components_manager_refresh (NuvolaComponentsManager* self);
DrtLst* nuvola_components_manager_get_components (NuvolaComponentsManager* self);
gboolean nuvola_component_get_hidden (NuvolaComponent* self);
gboolean nuvola_component_get_enabled (NuvolaComponent* self);
static NuvolaComponentsManagerRow* nuvola_components_manager_row_new (GtkGrid* grid, gint row, NuvolaComponentsManager* manager, NuvolaComponent* component);
void nuvola_components_manager_show_settings (NuvolaComponentsManager* self, NuvolaComponent* component);
static NuvolaComponentsManagerSettings* nuvola_components_manager_settings_new (NuvolaComponentsManager* manager, NuvolaComponent* component);
static void nuvola_components_manager_set_components (NuvolaComponentsManager* self, DrtLst* value);
static void nuvola_components_manager_row_instance_init (NuvolaComponentsManagerRow * self);
static void nuvola_components_manager_row_on_notify (NuvolaComponentsManagerRow* self, GObject* o, GParamSpec* p);
static void _nuvola_components_manager_row_on_notify_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void nuvola_components_manager_row_on_settings_clicked (NuvolaComponentsManagerRow* self);
static void _nuvola_components_manager_row_on_settings_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self);
const gchar* nuvola_component_get_name (NuvolaComponent* self);
const gchar* nuvola_component_get_description (NuvolaComponent* self);
gboolean nuvola_component_get_has_settings (NuvolaComponent* self);
void nuvola_component_toggle (NuvolaComponent* self, gboolean enabled);
static void nuvola_components_manager_settings_instance_init (NuvolaComponentsManagerSettings * self);
static void nuvola_components_manager_settings_on_back_clicked (NuvolaComponentsManagerSettings* self);
static void _nuvola_components_manager_settings_on_back_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self);
GtkWidget* nuvola_component_get_settings (NuvolaComponent* self);
static void nuvola_components_manager_finalize (GObject* obj);
static void _vala_nuvola_components_manager_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_nuvola_components_manager_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static void _nuvola_components_manager_row_free0_ (gpointer var) {
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	(var == NULL) ? NULL : (var = (nuvola_components_manager_row_free (var), NULL));
#line 141 "ComponentsManager.c"
}


static void _g_slist_free__nuvola_components_manager_row_free0_ (GSList* self) {
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_slist_foreach (self, (GFunc) _nuvola_components_manager_row_free0_, NULL);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_slist_free (self);
#line 150 "ComponentsManager.c"
}


NuvolaComponentsManager* nuvola_components_manager_construct (GType object_type, DrtLst* components) {
	NuvolaComponentsManager * self = NULL;
	DrtLst* _tmp0_ = NULL;
	GtkGrid* _tmp1_ = NULL;
	GtkGrid* _tmp2_ = NULL;
	GtkGrid* _tmp3_ = NULL;
	GtkScrolledWindow* scroll = NULL;
	GtkScrolledWindow* _tmp4_ = NULL;
	GtkGrid* _tmp5_ = NULL;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_val_if_fail (components != NULL, NULL);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp0_ = components;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self = (NuvolaComponentsManager*) g_object_new (object_type, "components", _tmp0_, "transition-type", GTK_STACK_TRANSITION_TYPE_SLIDE_LEFT_RIGHT, NULL);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp1_ = (GtkGrid*) gtk_grid_new ();
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_ref_sink (_tmp1_);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (self->priv->grid);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->priv->grid = _tmp1_;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp2_ = self->priv->grid;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_set ((GtkWidget*) _tmp2_, "margin", 10, NULL);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp3_ = self->priv->grid;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_grid_set_column_spacing (_tmp3_, 15);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	nuvola_components_manager_refresh (self);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp4_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_ref_sink (_tmp4_);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	scroll = _tmp4_;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_vexpand ((GtkWidget*) scroll, TRUE);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_hexpand ((GtkWidget*) scroll, TRUE);
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp5_ = self->priv->grid;
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_container_add ((GtkContainer*) scroll, (GtkWidget*) _tmp5_);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_show ((GtkWidget*) scroll);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_stack_add_named ((GtkStack*) self, (GtkWidget*) scroll, "list");
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (scroll);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	return self;
#line 209 "ComponentsManager.c"
}


NuvolaComponentsManager* nuvola_components_manager_new (DrtLst* components) {
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	return nuvola_components_manager_construct (NUVOLA_TYPE_COMPONENTS_MANAGER, components);
#line 216 "ComponentsManager.c"
}


void nuvola_components_manager_refresh (NuvolaComponentsManager* self) {
	GtkGrid* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
	gint row = 0;
	GtkGrid* _tmp30_ = NULL;
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_if_fail (self != NULL);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	__g_slist_free__nuvola_components_manager_row_free0_0 (self->priv->rows);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->priv->rows = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp0_ = self->priv->grid;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp1_ = gtk_container_get_children ((GtkContainer*) _tmp0_);
#line 235 "ComponentsManager.c"
	{
		GList* child_collection = NULL;
		GList* child_it = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		child_collection = _tmp1_;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		for (child_it = child_collection; child_it != NULL; child_it = child_it->next) {
#line 243 "ComponentsManager.c"
			GtkWidget* child = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			child = (GtkWidget*) child_it->data;
#line 247 "ComponentsManager.c"
			{
				GtkGrid* _tmp2_ = NULL;
				GtkWidget* _tmp3_ = NULL;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp2_ = self->priv->grid;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp3_ = child;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				gtk_container_remove ((GtkContainer*) _tmp2_, _tmp3_);
#line 257 "ComponentsManager.c"
			}
		}
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_g_list_free0 (child_collection);
#line 262 "ComponentsManager.c"
	}
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	row = 0;
#line 266 "ComponentsManager.c"
	{
		DrtLstIterator* _component_it = NULL;
		DrtLst* _tmp4_ = NULL;
		DrtLstIterator* _tmp5_ = NULL;
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp4_ = self->priv->_components;
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp5_ = drt_lst_iterator (_tmp4_);
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_component_it = _tmp5_;
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		while (TRUE) {
#line 279 "ComponentsManager.c"
			DrtLstIterator* _tmp6_ = NULL;
			gboolean _tmp7_ = FALSE;
			NuvolaComponent* component = NULL;
			DrtLstIterator* _tmp8_ = NULL;
			gpointer _tmp9_ = NULL;
			gboolean _tmp10_ = FALSE;
			NuvolaComponent* _tmp11_ = NULL;
			gboolean _tmp12_ = FALSE;
			gboolean _tmp13_ = FALSE;
			gint _tmp17_ = 0;
			GtkGrid* _tmp26_ = NULL;
			gint _tmp27_ = 0;
			NuvolaComponent* _tmp28_ = NULL;
			NuvolaComponentsManagerRow* _tmp29_ = NULL;
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp6_ = _component_it;
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp7_ = drt_lst_iterator_next (_tmp6_);
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			if (!_tmp7_) {
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				break;
#line 302 "ComponentsManager.c"
			}
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp8_ = _component_it;
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp9_ = drt_lst_iterator_get (_tmp8_);
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			component = (NuvolaComponent*) _tmp9_;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp11_ = component;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp12_ = nuvola_component_get_hidden (_tmp11_);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp13_ = _tmp12_;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			if (_tmp13_) {
#line 318 "ComponentsManager.c"
				NuvolaComponent* _tmp14_ = NULL;
				gboolean _tmp15_ = FALSE;
				gboolean _tmp16_ = FALSE;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp14_ = component;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp15_ = nuvola_component_get_enabled (_tmp14_);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp16_ = _tmp15_;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp10_ = !_tmp16_;
#line 330 "ComponentsManager.c"
			} else {
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp10_ = FALSE;
#line 334 "ComponentsManager.c"
			}
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			if (_tmp10_) {
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_g_object_unref0 (component);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				continue;
#line 342 "ComponentsManager.c"
			}
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp17_ = row;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			if (_tmp17_ > 0) {
#line 348 "ComponentsManager.c"
				GtkSeparator* separator = NULL;
				GtkSeparator* _tmp18_ = NULL;
				GtkSeparator* _tmp19_ = NULL;
				GtkSeparator* _tmp20_ = NULL;
				GtkSeparator* _tmp21_ = NULL;
				GtkSeparator* _tmp22_ = NULL;
				GtkGrid* _tmp23_ = NULL;
				GtkSeparator* _tmp24_ = NULL;
				gint _tmp25_ = 0;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp18_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				g_object_ref_sink (_tmp18_);
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				separator = _tmp18_;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp19_ = separator;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				gtk_widget_set_hexpand ((GtkWidget*) _tmp19_, TRUE);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp20_ = separator;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				gtk_widget_set_vexpand ((GtkWidget*) _tmp20_, FALSE);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp21_ = separator;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp22_ = separator;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				gtk_widget_set_margin_bottom ((GtkWidget*) _tmp22_, 10);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				gtk_widget_set_margin_top ((GtkWidget*) _tmp21_, 10);
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp23_ = self->priv->grid;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp24_ = separator;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp25_ = row;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				row = _tmp25_ + 1;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				gtk_grid_attach (_tmp23_, (GtkWidget*) _tmp24_, 0, _tmp25_, 3, 1);
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_g_object_unref0 (separator);
#line 392 "ComponentsManager.c"
			}
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp26_ = self->priv->grid;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp27_ = row;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			row = _tmp27_ + 1;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp28_ = component;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp29_ = nuvola_components_manager_row_new (_tmp26_, _tmp27_, self, _tmp28_);
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			self->priv->rows = g_slist_prepend (self->priv->rows, _tmp29_);
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_g_object_unref0 (component);
#line 408 "ComponentsManager.c"
		}
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_drt_lst_iterator_unref0 (_component_it);
#line 412 "ComponentsManager.c"
	}
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp30_ = self->priv->grid;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp30_);
#line 418 "ComponentsManager.c"
}


void nuvola_components_manager_show_settings (NuvolaComponentsManager* self, NuvolaComponent* component) {
	NuvolaComponent* _tmp0_ = NULL;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_if_fail (self != NULL);
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp0_ = component;
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	if (_tmp0_ == NULL) {
#line 430 "ComponentsManager.c"
		NuvolaComponentsManagerSettings* _tmp1_ = NULL;
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp1_ = self->priv->component_settings;
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		if (_tmp1_ != NULL) {
#line 436 "ComponentsManager.c"
			NuvolaComponentsManagerSettings* _tmp2_ = NULL;
			GtkContainer* _tmp3_ = NULL;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			gtk_stack_set_visible_child_name ((GtkStack*) self, "list");
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp2_ = self->priv->component_settings;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_tmp3_ = _tmp2_->widget;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			gtk_container_remove ((GtkContainer*) self, (GtkWidget*) _tmp3_);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			_nuvola_components_manager_settings_free0 (self->priv->component_settings);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
			self->priv->component_settings = NULL;
#line 451 "ComponentsManager.c"
		}
	} else {
		NuvolaComponent* _tmp4_ = NULL;
		NuvolaComponentsManagerSettings* _tmp5_ = NULL;
		NuvolaComponentsManagerSettings* _tmp6_ = NULL;
		GtkContainer* _tmp7_ = NULL;
		NuvolaComponentsManagerSettings* _tmp8_ = NULL;
		GtkContainer* _tmp9_ = NULL;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp4_ = component;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp5_ = nuvola_components_manager_settings_new (self, _tmp4_);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_nuvola_components_manager_settings_free0 (self->priv->component_settings);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		self->priv->component_settings = _tmp5_;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp6_ = self->priv->component_settings;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp7_ = _tmp6_->widget;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp7_);
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp8_ = self->priv->component_settings;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp9_ = _tmp8_->widget;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_stack_set_visible_child ((GtkStack*) self, (GtkWidget*) _tmp9_);
#line 480 "ComponentsManager.c"
	}
}


DrtLst* nuvola_components_manager_get_components (NuvolaComponentsManager* self) {
	DrtLst* result;
	DrtLst* _tmp0_ = NULL;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp0_ = self->priv->_components;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	result = _tmp0_;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	return result;
#line 496 "ComponentsManager.c"
}


static gpointer _drt_lst_ref0 (gpointer self) {
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	return self ? drt_lst_ref (self) : NULL;
#line 503 "ComponentsManager.c"
}


static void nuvola_components_manager_set_components (NuvolaComponentsManager* self, DrtLst* value) {
	DrtLst* _tmp0_ = NULL;
	DrtLst* _tmp1_ = NULL;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_if_fail (self != NULL);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp0_ = value;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp1_ = _drt_lst_ref0 (_tmp0_);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_drt_lst_unref0 (self->priv->_components);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->priv->_components = _tmp1_;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_notify ((GObject *) self, "components");
#line 522 "ComponentsManager.c"
}


static void _nuvola_components_manager_row_on_notify_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	nuvola_components_manager_row_on_notify ((NuvolaComponentsManagerRow*) self, _sender, pspec);
#line 529 "ComponentsManager.c"
}


static void _nuvola_components_manager_row_on_settings_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	nuvola_components_manager_row_on_settings_clicked ((NuvolaComponentsManagerRow*) self);
#line 536 "ComponentsManager.c"
}


static NuvolaComponentsManagerRow* nuvola_components_manager_row_new (GtkGrid* grid, gint row, NuvolaComponentsManager* manager, NuvolaComponent* component) {
	NuvolaComponentsManagerRow* self;
	NuvolaComponentsManager* _tmp0_ = NULL;
	NuvolaComponent* _tmp1_ = NULL;
	GtkSwitch* _tmp2_ = NULL;
	GtkSwitch* _tmp3_ = NULL;
	NuvolaComponent* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	GtkSwitch* _tmp7_ = NULL;
	GtkSwitch* _tmp8_ = NULL;
	GtkSwitch* _tmp9_ = NULL;
	GtkSwitch* _tmp10_ = NULL;
	NuvolaComponent* _tmp11_ = NULL;
	GtkSwitch* _tmp12_ = NULL;
	GtkGrid* _tmp13_ = NULL;
	GtkSwitch* _tmp14_ = NULL;
	gint _tmp15_ = 0;
	GtkLabel* label = NULL;
	NuvolaComponent* _tmp16_ = NULL;
	const gchar* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
	NuvolaComponent* _tmp19_ = NULL;
	const gchar* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	GtkLabel* _tmp24_ = NULL;
	GtkLabel* _tmp25_ = NULL;
	GtkLabel* _tmp26_ = NULL;
	GtkLabel* _tmp27_ = NULL;
	GtkLabel* _tmp28_ = NULL;
	GtkLabel* _tmp29_ = NULL;
	GtkLabel* _tmp30_ = NULL;
	GtkLabel* _tmp31_ = NULL;
	GtkLabel* _tmp32_ = NULL;
	GtkGrid* _tmp33_ = NULL;
	GtkLabel* _tmp34_ = NULL;
	gint _tmp35_ = 0;
	NuvolaComponent* _tmp36_ = NULL;
	gboolean _tmp37_ = FALSE;
	gboolean _tmp38_ = FALSE;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_val_if_fail (grid != NULL, NULL);
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_val_if_fail (manager != NULL, NULL);
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_val_if_fail (component != NULL, NULL);
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self = g_slice_new0 (NuvolaComponentsManagerRow);
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	nuvola_components_manager_row_instance_init (self);
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp0_ = manager;
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->manager = _tmp0_;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp1_ = component;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->component = _tmp1_;
#line 106 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp2_ = (GtkSwitch*) gtk_switch_new ();
#line 106 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_ref_sink (_tmp2_);
#line 106 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (self->checkbox);
#line 106 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->checkbox = _tmp2_;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp3_ = self->checkbox;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp4_ = component;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp5_ = nuvola_component_get_enabled (_tmp4_);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp6_ = _tmp5_;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_switch_set_active (_tmp3_, _tmp6_);
#line 108 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp7_ = self->checkbox;
#line 108 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp8_ = self->checkbox;
#line 108 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp8_, FALSE);
#line 108 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp7_, FALSE);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp9_ = self->checkbox;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp10_ = self->checkbox;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp10_, GTK_ALIGN_CENTER);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp9_, GTK_ALIGN_CENTER);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp11_ = component;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_signal_connect_after ((GObject*) _tmp11_, "notify", (GCallback) _nuvola_components_manager_row_on_notify_g_object_notify, self);
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp12_ = self->checkbox;
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_signal_connect_after ((GObject*) _tmp12_, "notify", (GCallback) _nuvola_components_manager_row_on_notify_g_object_notify, self);
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp13_ = grid;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp14_ = self->checkbox;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp15_ = row;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_grid_attach (_tmp13_, (GtkWidget*) _tmp14_, 0, _tmp15_, 1, 1);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp16_ = component;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp17_ = nuvola_component_get_name (_tmp16_);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp18_ = _tmp17_;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp19_ = component;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp20_ = nuvola_component_get_description (_tmp19_);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp21_ = _tmp20_;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp22_ = g_markup_printf_escaped ("<span size='medium'><b>%s</b></span>\n" \
"<span foreground='#666666' size='small'>%s</span>", _tmp18_, _tmp21_);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp23_ = _tmp22_;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp24_ = (GtkLabel*) gtk_label_new (_tmp23_);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_ref_sink (_tmp24_);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp25_ = _tmp24_;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_free0 (_tmp23_);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	label = _tmp25_;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp26_ = label;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_label_set_use_markup (_tmp26_, TRUE);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp27_ = label;
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp27_, FALSE);
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp28_ = label;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp28_, TRUE);
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp29_ = label;
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp29_, GTK_ALIGN_START);
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp30_ = label;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp30_, gtk_misc_get_type (), GtkMisc), "yalign", 0.0f, NULL);
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp31_ = label;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp31_, gtk_misc_get_type (), GtkMisc), "xalign", 0.0f, NULL);
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp32_ = label;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_label_set_line_wrap (_tmp32_, TRUE);
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp33_ = grid;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp34_ = label;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp35_ = row;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_grid_attach (_tmp33_, (GtkWidget*) _tmp34_, 1, _tmp35_, 1, 1);
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp36_ = component;
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp37_ = nuvola_component_get_has_settings (_tmp36_);
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp38_ = _tmp37_;
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	if (_tmp38_) {
#line 720 "ComponentsManager.c"
		GtkButton* _tmp39_ = NULL;
		GtkButton* _tmp40_ = NULL;
		GtkButton* _tmp41_ = NULL;
		GtkButton* _tmp42_ = NULL;
		GtkButton* _tmp43_ = NULL;
		GtkButton* _tmp44_ = NULL;
		NuvolaComponent* _tmp45_ = NULL;
		gboolean _tmp46_ = FALSE;
		gboolean _tmp47_ = FALSE;
		GtkButton* _tmp48_ = NULL;
		GtkGrid* _tmp49_ = NULL;
		GtkButton* _tmp50_ = NULL;
		gint _tmp51_ = 0;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp39_ = (GtkButton*) gtk_button_new_from_icon_name ("emblem-system-symbolic", GTK_ICON_SIZE_BUTTON);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		g_object_ref_sink (_tmp39_);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_g_object_unref0 (self->button);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		self->button = _tmp39_;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp40_ = self->button;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp41_ = self->button;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_widget_set_hexpand ((GtkWidget*) _tmp41_, FALSE);
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_widget_set_vexpand ((GtkWidget*) _tmp40_, FALSE);
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp42_ = self->button;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp43_ = self->button;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_widget_set_valign ((GtkWidget*) _tmp43_, GTK_ALIGN_CENTER);
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp42_, GTK_ALIGN_CENTER);
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp44_ = self->button;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp45_ = component;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp46_ = nuvola_component_get_enabled (_tmp45_);
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp47_ = _tmp46_;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp44_, _tmp47_);
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp48_ = self->button;
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		g_signal_connect (_tmp48_, "clicked", (GCallback) _nuvola_components_manager_row_on_settings_clicked_gtk_button_clicked, self);
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp49_ = grid;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp50_ = self->button;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp51_ = row;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_grid_attach (_tmp49_, (GtkWidget*) _tmp50_, 2, _tmp51_, 1, 1);
#line 780 "ComponentsManager.c"
	} else {
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_g_object_unref0 (self->button);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		self->button = NULL;
#line 786 "ComponentsManager.c"
	}
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (label);
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	return self;
#line 792 "ComponentsManager.c"
}


static void nuvola_components_manager_row_on_notify (NuvolaComponentsManagerRow* self, GObject* o, GParamSpec* p) {
	GParamSpec* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	GQuark _tmp4_ = 0U;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	static GQuark _tmp3_label0 = 0;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	static GQuark _tmp3_label1 = 0;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_if_fail (self != NULL);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_if_fail (o != NULL);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_if_fail (p != NULL);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp0_ = p;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp1_ = _tmp0_->name;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp2_ = _tmp1_;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp4_ = (NULL == _tmp2_) ? 0 : g_quark_from_string (_tmp2_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	if (_tmp4_ == ((0 != _tmp3_label0) ? _tmp3_label0 : (_tmp3_label0 = g_quark_from_static_string ("enabled")))) {
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		switch (0) {
#line 823 "ComponentsManager.c"
			default:
			{
				GtkSwitch* _tmp5_ = NULL;
				gboolean _tmp6_ = FALSE;
				gboolean _tmp7_ = FALSE;
				NuvolaComponent* _tmp8_ = NULL;
				gboolean _tmp9_ = FALSE;
				gboolean _tmp10_ = FALSE;
				GtkButton* _tmp15_ = NULL;
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp5_ = self->checkbox;
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp6_ = gtk_switch_get_active (_tmp5_);
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp7_ = _tmp6_;
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp8_ = self->component;
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp9_ = nuvola_component_get_enabled (_tmp8_);
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp10_ = _tmp9_;
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				if (_tmp7_ != _tmp10_) {
#line 847 "ComponentsManager.c"
					GtkSwitch* _tmp11_ = NULL;
					NuvolaComponent* _tmp12_ = NULL;
					gboolean _tmp13_ = FALSE;
					gboolean _tmp14_ = FALSE;
#line 155 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
					_tmp11_ = self->checkbox;
#line 155 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
					_tmp12_ = self->component;
#line 155 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
					_tmp13_ = nuvola_component_get_enabled (_tmp12_);
#line 155 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
					_tmp14_ = _tmp13_;
#line 155 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
					gtk_switch_set_active (_tmp11_, _tmp14_);
#line 862 "ComponentsManager.c"
				}
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp15_ = self->button;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				if (_tmp15_ != NULL) {
#line 868 "ComponentsManager.c"
					GtkButton* _tmp16_ = NULL;
					GtkSwitch* _tmp17_ = NULL;
					gboolean _tmp18_ = FALSE;
					gboolean _tmp19_ = FALSE;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
					_tmp16_ = self->button;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
					_tmp17_ = self->checkbox;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
					_tmp18_ = gtk_switch_get_active (_tmp17_);
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
					_tmp19_ = _tmp18_;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
					gtk_widget_set_sensitive ((GtkWidget*) _tmp16_, _tmp19_);
#line 883 "ComponentsManager.c"
				}
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				break;
#line 887 "ComponentsManager.c"
			}
		}
	} else if (_tmp4_ == ((0 != _tmp3_label1) ? _tmp3_label1 : (_tmp3_label1 = g_quark_from_static_string ("active")))) {
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		switch (0) {
#line 893 "ComponentsManager.c"
			default:
			{
				NuvolaComponent* _tmp20_ = NULL;
				GtkSwitch* _tmp21_ = NULL;
				gboolean _tmp22_ = FALSE;
				gboolean _tmp23_ = FALSE;
#line 160 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp20_ = self->component;
#line 160 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp21_ = self->checkbox;
#line 160 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp22_ = gtk_switch_get_active (_tmp21_);
#line 160 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				_tmp23_ = _tmp22_;
#line 160 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				nuvola_component_toggle (_tmp20_, _tmp23_);
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
				break;
#line 912 "ComponentsManager.c"
			}
		}
	}
}


static void nuvola_components_manager_row_on_settings_clicked (NuvolaComponentsManagerRow* self) {
	NuvolaComponentsManager* _tmp0_ = NULL;
	NuvolaComponent* _tmp1_ = NULL;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_if_fail (self != NULL);
#line 167 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp0_ = self->manager;
#line 167 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp1_ = self->component;
#line 167 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	nuvola_components_manager_show_settings (_tmp0_, _tmp1_);
#line 930 "ComponentsManager.c"
}


static void nuvola_components_manager_row_instance_init (NuvolaComponentsManagerRow * self) {
}


static void nuvola_components_manager_row_free (NuvolaComponentsManagerRow* self) {
	NuvolaComponent* _tmp0_ = NULL;
	guint _tmp1_ = 0U;
	GtkSwitch* _tmp2_ = NULL;
	guint _tmp3_ = 0U;
	GtkButton* _tmp4_ = NULL;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp0_ = self->component;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_signal_parse_name ("notify", G_TYPE_OBJECT, &_tmp1_, NULL, FALSE);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_signal_handlers_disconnect_matched ((GObject*) _tmp0_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp1_, 0, NULL, (GCallback) _nuvola_components_manager_row_on_notify_g_object_notify, self);
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp2_ = self->checkbox;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_signal_parse_name ("notify", G_TYPE_OBJECT, &_tmp3_, NULL, FALSE);
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_signal_handlers_disconnect_matched ((GObject*) _tmp2_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp3_, 0, NULL, (GCallback) _nuvola_components_manager_row_on_notify_g_object_notify, self);
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp4_ = self->button;
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	if (_tmp4_ != NULL) {
#line 960 "ComponentsManager.c"
		GtkButton* _tmp5_ = NULL;
		guint _tmp6_ = 0U;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp5_ = self->button;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		g_signal_parse_name ("clicked", gtk_button_get_type (), &_tmp6_, NULL, FALSE);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		g_signal_handlers_disconnect_matched (_tmp5_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp6_, 0, NULL, (GCallback) _nuvola_components_manager_row_on_settings_clicked_gtk_button_clicked, self);
#line 969 "ComponentsManager.c"
	}
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (self->button);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (self->checkbox);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_slice_free (NuvolaComponentsManagerRow, self);
#line 977 "ComponentsManager.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	return self ? g_object_ref (self) : NULL;
#line 984 "ComponentsManager.c"
}


static void _nuvola_components_manager_settings_on_back_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	nuvola_components_manager_settings_on_back_clicked ((NuvolaComponentsManagerSettings*) self);
#line 991 "ComponentsManager.c"
}


static NuvolaComponentsManagerSettings* nuvola_components_manager_settings_new (NuvolaComponentsManager* manager, NuvolaComponent* component) {
	NuvolaComponentsManagerSettings* self;
	NuvolaComponentsManager* _tmp0_ = NULL;
	NuvolaComponent* _tmp1_ = NULL;
	NuvolaComponent* _tmp2_ = NULL;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp3_ = NULL;
	GtkGrid* _tmp4_ = NULL;
	GtkGrid* _tmp5_ = NULL;
	GtkGrid* _tmp6_ = NULL;
	GtkGrid* _tmp7_ = NULL;
	GtkContainer* _tmp8_ = NULL;
	GtkButton* button = NULL;
	GtkButton* _tmp9_ = NULL;
	GtkButton* _tmp10_ = NULL;
	GtkButton* _tmp11_ = NULL;
	GtkButton* _tmp12_ = NULL;
	GtkButton* _tmp13_ = NULL;
	GtkButton* _tmp14_ = NULL;
	GtkGrid* _tmp15_ = NULL;
	GtkButton* _tmp16_ = NULL;
	GtkLabel* label = NULL;
	NuvolaComponent* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	NuvolaComponent* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
	const gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	GtkLabel* _tmp25_ = NULL;
	GtkLabel* _tmp26_ = NULL;
	GtkLabel* _tmp27_ = NULL;
	GtkLabel* _tmp28_ = NULL;
	GtkLabel* _tmp29_ = NULL;
	GtkLabel* _tmp30_ = NULL;
	GtkLabel* _tmp31_ = NULL;
	GtkGrid* _tmp32_ = NULL;
	GtkLabel* _tmp33_ = NULL;
	GtkWidget* component_widget = NULL;
	NuvolaComponent* _tmp34_ = NULL;
	GtkWidget* _tmp35_ = NULL;
	GtkWidget* _tmp36_ = NULL;
	GtkContainer* _tmp47_ = NULL;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_val_if_fail (manager != NULL, NULL);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_val_if_fail (component != NULL, NULL);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self = g_slice_new0 (NuvolaComponentsManagerSettings);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	nuvola_components_manager_settings_instance_init (self);
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp0_ = manager;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->manager = _tmp0_;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp1_ = component;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (self->component);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->component = _tmp2_;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp3_ = (GtkGrid*) gtk_grid_new ();
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_ref_sink (_tmp3_);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	grid = _tmp3_;
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp4_ = grid;
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp5_ = grid;
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp6_ = grid;
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_set ((GtkWidget*) _tmp6_, "margin", 10, NULL);
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_grid_set_row_spacing (_tmp5_, 10);
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_grid_set_column_spacing (_tmp4_, 10);
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp7_ = grid;
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp8_ = _g_object_ref0 ((GtkContainer*) _tmp7_);
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (self->widget);
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->widget = _tmp8_;
#line 185 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp9_ = (GtkButton*) gtk_button_new_from_icon_name ("go-previous-symbolic", GTK_ICON_SIZE_SMALL_TOOLBAR);
#line 185 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_ref_sink (_tmp9_);
#line 185 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	button = _tmp9_;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp10_ = button;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp11_ = button;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp11_, FALSE);
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp10_, FALSE);
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp12_ = button;
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp13_ = button;
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp13_, GTK_ALIGN_CENTER);
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp12_, GTK_ALIGN_CENTER);
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp14_ = button;
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_signal_connect (_tmp14_, "clicked", (GCallback) _nuvola_components_manager_settings_on_back_clicked_gtk_button_clicked, self);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp15_ = grid;
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp16_ = button;
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_grid_attach (_tmp15_, (GtkWidget*) _tmp16_, 0, 0, 1, 1);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp17_ = component;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp18_ = nuvola_component_get_name (_tmp17_);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp19_ = _tmp18_;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp20_ = component;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp21_ = nuvola_component_get_description (_tmp20_);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp22_ = _tmp21_;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp23_ = g_markup_printf_escaped ("<span size='medium'><b>%s</b></span>\n" \
"<span foreground='#999999' size='small'>%s</span>", _tmp19_, _tmp22_);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp24_ = _tmp23_;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp25_ = (GtkLabel*) gtk_label_new (_tmp24_);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_ref_sink (_tmp25_);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp26_ = _tmp25_;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_free0 (_tmp24_);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	label = _tmp26_;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp27_ = label;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_label_set_use_markup (_tmp27_, TRUE);
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp28_ = label;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp28_, FALSE);
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp29_ = label;
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp29_, TRUE);
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp30_ = label;
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp30_, GTK_ALIGN_START);
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp31_ = label;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_label_set_line_wrap (_tmp31_, TRUE);
#line 198 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp32_ = grid;
#line 198 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp33_ = label;
#line 198 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_grid_attach (_tmp32_, (GtkWidget*) _tmp33_, 1, 0, 1, 1);
#line 201 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp34_ = component;
#line 201 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp35_ = nuvola_component_get_settings (_tmp34_);
#line 201 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	component_widget = _tmp35_;
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp36_ = component_widget;
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	if (_tmp36_ != NULL) {
#line 1179 "ComponentsManager.c"
		GtkScrolledWindow* scroll = NULL;
		GtkScrolledWindow* _tmp37_ = NULL;
		GtkScrolledWindow* _tmp38_ = NULL;
		GtkScrolledWindow* _tmp39_ = NULL;
		GtkScrolledWindow* _tmp40_ = NULL;
		GtkWidget* _tmp41_ = NULL;
		GtkGrid* _tmp42_ = NULL;
		GtkScrolledWindow* _tmp43_ = NULL;
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp37_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		g_object_ref_sink (_tmp37_);
#line 204 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		scroll = _tmp37_;
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp38_ = scroll;
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp39_ = scroll;
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_widget_set_hexpand ((GtkWidget*) _tmp39_, TRUE);
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_widget_set_vexpand ((GtkWidget*) _tmp38_, TRUE);
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp40_ = scroll;
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp41_ = component_widget;
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_container_add ((GtkContainer*) _tmp40_, _tmp41_);
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp42_ = grid;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp43_ = scroll;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_grid_attach (_tmp42_, (GtkWidget*) _tmp43_, 0, 1, 2, 1);
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_g_object_unref0 (scroll);
#line 1216 "ComponentsManager.c"
	} else {
		GtkGrid* _tmp44_ = NULL;
		GtkLabel* _tmp45_ = NULL;
		GtkLabel* _tmp46_ = NULL;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp44_ = grid;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp45_ = (GtkLabel*) gtk_label_new ("No settings available");
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		g_object_ref_sink (_tmp45_);
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_tmp46_ = _tmp45_;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		gtk_grid_attach (_tmp44_, (GtkWidget*) _tmp46_, 0, 1, 2, 1);
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		_g_object_unref0 (_tmp46_);
#line 1233 "ComponentsManager.c"
	}
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp47_ = self->widget;
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp47_);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (component_widget);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (label);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (button);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (grid);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	return self;
#line 1249 "ComponentsManager.c"
}


static void nuvola_components_manager_settings_on_back_clicked (NuvolaComponentsManagerSettings* self) {
	NuvolaComponentsManager* _tmp0_ = NULL;
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_return_if_fail (self != NULL);
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_tmp0_ = self->manager;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	nuvola_components_manager_show_settings (_tmp0_, NULL);
#line 1261 "ComponentsManager.c"
}


static void nuvola_components_manager_settings_instance_init (NuvolaComponentsManagerSettings * self) {
}


static void nuvola_components_manager_settings_free (NuvolaComponentsManagerSettings* self) {
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (self->widget);
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (self->component);
#line 172 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_slice_free (NuvolaComponentsManagerSettings, self);
#line 1276 "ComponentsManager.c"
}


static void nuvola_components_manager_class_init (NuvolaComponentsManagerClass * klass) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	nuvola_components_manager_parent_class = g_type_class_peek_parent (klass);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_type_class_add_private (klass, sizeof (NuvolaComponentsManagerPrivate));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_components_manager_get_property;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_components_manager_set_property;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_components_manager_finalize;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_COMPONENTS_MANAGER_COMPONENTS, drt_param_spec_lst ("components", "components", "components", DRT_TYPE_LST, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 1293 "ComponentsManager.c"
}


static void nuvola_components_manager_instance_init (NuvolaComponentsManager * self) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->priv = NUVOLA_COMPONENTS_MANAGER_GET_PRIVATE (self);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->priv->rows = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self->priv->component_settings = NULL;
#line 1304 "ComponentsManager.c"
}


static void nuvola_components_manager_finalize (GObject* obj) {
	NuvolaComponentsManager * self;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_COMPONENTS_MANAGER, NuvolaComponentsManager);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_drt_lst_unref0 (self->priv->_components);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	__g_slist_free__nuvola_components_manager_row_free0_0 (self->priv->rows);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_g_object_unref0 (self->priv->grid);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	_nuvola_components_manager_settings_free0 (self->priv->component_settings);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	G_OBJECT_CLASS (nuvola_components_manager_parent_class)->finalize (obj);
#line 1322 "ComponentsManager.c"
}


GType nuvola_components_manager_get_type (void) {
	static volatile gsize nuvola_components_manager_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_components_manager_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaComponentsManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_components_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaComponentsManager), 0, (GInstanceInitFunc) nuvola_components_manager_instance_init, NULL };
		GType nuvola_components_manager_type_id;
		nuvola_components_manager_type_id = g_type_register_static (gtk_stack_get_type (), "NuvolaComponentsManager", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_components_manager_type_id__volatile, nuvola_components_manager_type_id);
	}
	return nuvola_components_manager_type_id__volatile;
}


static void _vala_nuvola_components_manager_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaComponentsManager * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_COMPONENTS_MANAGER, NuvolaComponentsManager);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	switch (property_id) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		case NUVOLA_COMPONENTS_MANAGER_COMPONENTS:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		drt_value_set_lst (value, nuvola_components_manager_get_components (self));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		break;
#line 1349 "ComponentsManager.c"
		default:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		break;
#line 1355 "ComponentsManager.c"
	}
}


static void _vala_nuvola_components_manager_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaComponentsManager * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_COMPONENTS_MANAGER, NuvolaComponentsManager);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
	switch (property_id) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		case NUVOLA_COMPONENTS_MANAGER_COMPONENTS:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		nuvola_components_manager_set_components (self, drt_value_get_lst (value));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		break;
#line 1371 "ComponentsManager.c"
		default:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/ComponentsManager.vala"
		break;
#line 1377 "ComponentsManager.c"
	}
}



