/* GlobalKeyBindings.c generated by valac 0.34.8, the Vala compiler
 * generated from GlobalKeyBindings.vala, do not modify */

/*
 * Copyright 2014 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <dioritegtk-0.3.h>


#define NUVOLA_TYPE_GLOBAL_KEYBINDINGS (nuvola_global_keybindings_get_type ())
#define NUVOLA_GLOBAL_KEYBINDINGS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_GLOBAL_KEYBINDINGS, NuvolaGlobalKeybindings))
#define NUVOLA_GLOBAL_KEYBINDINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_GLOBAL_KEYBINDINGS, NuvolaGlobalKeybindingsClass))
#define NUVOLA_IS_GLOBAL_KEYBINDINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_GLOBAL_KEYBINDINGS))
#define NUVOLA_IS_GLOBAL_KEYBINDINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_GLOBAL_KEYBINDINGS))
#define NUVOLA_GLOBAL_KEYBINDINGS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_GLOBAL_KEYBINDINGS, NuvolaGlobalKeybindingsClass))

typedef struct _NuvolaGlobalKeybindings NuvolaGlobalKeybindings;
typedef struct _NuvolaGlobalKeybindingsClass NuvolaGlobalKeybindingsClass;
typedef struct _NuvolaGlobalKeybindingsPrivate NuvolaGlobalKeybindingsPrivate;

#define NUVOLA_TYPE_ACTIONS_KEY_BINDER (nuvola_actions_key_binder_get_type ())
#define NUVOLA_ACTIONS_KEY_BINDER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_ACTIONS_KEY_BINDER, NuvolaActionsKeyBinder))
#define NUVOLA_IS_ACTIONS_KEY_BINDER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_ACTIONS_KEY_BINDER))
#define NUVOLA_ACTIONS_KEY_BINDER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), NUVOLA_TYPE_ACTIONS_KEY_BINDER, NuvolaActionsKeyBinderIface))

typedef struct _NuvolaActionsKeyBinder NuvolaActionsKeyBinder;
typedef struct _NuvolaActionsKeyBinderIface NuvolaActionsKeyBinderIface;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))

struct _NuvolaGlobalKeybindings {
	GObject parent_instance;
	NuvolaGlobalKeybindingsPrivate * priv;
};

struct _NuvolaGlobalKeybindingsClass {
	GObjectClass parent_class;
};

struct _NuvolaActionsKeyBinderIface {
	GTypeInterface parent_iface;
	gchar* (*get_keybinding) (NuvolaActionsKeyBinder* self, const gchar* name);
	gboolean (*set_keybinding) (NuvolaActionsKeyBinder* self, const gchar* name, const gchar* keybinding);
	gboolean (*bind) (NuvolaActionsKeyBinder* self, const gchar* name);
	gboolean (*unbind) (NuvolaActionsKeyBinder* self, const gchar* name);
	gboolean (*is_available) (NuvolaActionsKeyBinder* self, const gchar* keybinding);
	gchar* (*get_action) (NuvolaActionsKeyBinder* self, const gchar* keybinding);
};

struct _NuvolaGlobalKeybindingsPrivate {
	NuvolaActionsKeyBinder* _keybinder;
	DioriteActions* actions;
};


static gpointer nuvola_global_keybindings_parent_class = NULL;

GType nuvola_global_keybindings_get_type (void) G_GNUC_CONST;
GType nuvola_actions_key_binder_get_type (void) G_GNUC_CONST;
#define NUVOLA_GLOBAL_KEYBINDINGS_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_GLOBAL_KEYBINDINGS, NuvolaGlobalKeybindingsPrivate))
enum  {
	NUVOLA_GLOBAL_KEYBINDINGS_DUMMY_PROPERTY,
	NUVOLA_GLOBAL_KEYBINDINGS_KEYBINDER
};
NuvolaGlobalKeybindings* nuvola_global_keybindings_new (NuvolaActionsKeyBinder* keybinder, DioriteActions* actions);
NuvolaGlobalKeybindings* nuvola_global_keybindings_construct (GType object_type, NuvolaActionsKeyBinder* keybinder, DioriteActions* actions);
static void nuvola_global_keybindings_set_keybinder (NuvolaGlobalKeybindings* self, NuvolaActionsKeyBinder* value);
static void nuvola_global_keybindings_on_action_activated (NuvolaGlobalKeybindings* self, const gchar* name, gboolean* handled);
static void _nuvola_global_keybindings_on_action_activated_nuvola_actions_key_binder_action_activated (NuvolaActionsKeyBinder* _sender, const gchar* action, gboolean* handled, gpointer self);
static void nuvola_global_keybindings_update_action (NuvolaGlobalKeybindings* self, DioriteAction* action);
static void _nuvola_global_keybindings_update_action_diorite_actions_action_added (DioriteActions* _sender, DioriteAction* action, gpointer self);
static void nuvola_global_keybindings_on_action_removed (NuvolaGlobalKeybindings* self, DioriteAction* action);
static void _nuvola_global_keybindings_on_action_removed_diorite_actions_action_removed (DioriteActions* _sender, DioriteAction* action, gpointer self);
NuvolaActionsKeyBinder* nuvola_global_keybindings_get_keybinder (NuvolaGlobalKeybindings* self);
gboolean nuvola_actions_key_binder_bind (NuvolaActionsKeyBinder* self, const gchar* name);
gboolean nuvola_actions_key_binder_unbind (NuvolaActionsKeyBinder* self, const gchar* name);
static void nuvola_global_keybindings_finalize (GObject* obj);
static void _vala_nuvola_global_keybindings_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_nuvola_global_keybindings_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static gpointer _g_object_ref0 (gpointer self) {
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	return self ? g_object_ref (self) : NULL;
#line 111 "GlobalKeyBindings.c"
}


static void _nuvola_global_keybindings_on_action_activated_nuvola_actions_key_binder_action_activated (NuvolaActionsKeyBinder* _sender, const gchar* action, gboolean* handled, gpointer self) {
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	nuvola_global_keybindings_on_action_activated ((NuvolaGlobalKeybindings*) self, action, handled);
#line 118 "GlobalKeyBindings.c"
}


static void _nuvola_global_keybindings_update_action_diorite_actions_action_added (DioriteActions* _sender, DioriteAction* action, gpointer self) {
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	nuvola_global_keybindings_update_action ((NuvolaGlobalKeybindings*) self, action);
#line 125 "GlobalKeyBindings.c"
}


static void _nuvola_global_keybindings_on_action_removed_diorite_actions_action_removed (DioriteActions* _sender, DioriteAction* action, gpointer self) {
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	nuvola_global_keybindings_on_action_removed ((NuvolaGlobalKeybindings*) self, action);
#line 132 "GlobalKeyBindings.c"
}


NuvolaGlobalKeybindings* nuvola_global_keybindings_construct (GType object_type, NuvolaActionsKeyBinder* keybinder, DioriteActions* actions) {
	NuvolaGlobalKeybindings * self = NULL;
	NuvolaActionsKeyBinder* _tmp0_ = NULL;
	DioriteActions* _tmp1_ = NULL;
	DioriteActions* _tmp2_ = NULL;
	NuvolaActionsKeyBinder* _tmp3_ = NULL;
	DioriteActions* _tmp4_ = NULL;
	DioriteActions* _tmp5_ = NULL;
	DioriteActions* _tmp6_ = NULL;
	GList* _tmp7_ = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_return_val_if_fail (keybinder != NULL, NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_return_val_if_fail (actions != NULL, NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	self = (NuvolaGlobalKeybindings*) g_object_new (object_type, NULL);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp0_ = keybinder;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	nuvola_global_keybindings_set_keybinder (self, _tmp0_);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp1_ = actions;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_g_object_unref0 (self->priv->actions);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	self->priv->actions = _tmp2_;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp3_ = keybinder;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_signal_connect_object (_tmp3_, "action-activated", (GCallback) _nuvola_global_keybindings_on_action_activated_nuvola_actions_key_binder_action_activated, self, 0);
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp4_ = actions;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_signal_connect_object (_tmp4_, "action-added", (GCallback) _nuvola_global_keybindings_update_action_diorite_actions_action_added, self, 0);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp5_ = actions;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_signal_connect_object (_tmp5_, "action-removed", (GCallback) _nuvola_global_keybindings_on_action_removed_diorite_actions_action_removed, self, 0);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp6_ = actions;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp7_ = diorite_actions_list_actions (_tmp6_);
#line 180 "GlobalKeyBindings.c"
	{
		GList* action_collection = NULL;
		GList* action_it = NULL;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		action_collection = _tmp7_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		for (action_it = action_collection; action_it != NULL; action_it = action_it->next) {
#line 188 "GlobalKeyBindings.c"
			DioriteAction* action = NULL;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
			action = (DioriteAction*) action_it->data;
#line 192 "GlobalKeyBindings.c"
			{
				DioriteAction* _tmp8_ = NULL;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
				_tmp8_ = action;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
				nuvola_global_keybindings_update_action (self, _tmp8_);
#line 199 "GlobalKeyBindings.c"
			}
		}
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		_g_list_free0 (action_collection);
#line 204 "GlobalKeyBindings.c"
	}
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	return self;
#line 208 "GlobalKeyBindings.c"
}


NuvolaGlobalKeybindings* nuvola_global_keybindings_new (NuvolaActionsKeyBinder* keybinder, DioriteActions* actions) {
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	return nuvola_global_keybindings_construct (NUVOLA_TYPE_GLOBAL_KEYBINDINGS, keybinder, actions);
#line 215 "GlobalKeyBindings.c"
}


static void nuvola_global_keybindings_update_action (NuvolaGlobalKeybindings* self, DioriteAction* action) {
	DioriteAction* _tmp0_ = NULL;
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_return_if_fail (self != NULL);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_return_if_fail (action != NULL);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp0_ = action;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	if (!G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, DIORITE_TYPE_RADIO_ACTION)) {
#line 229 "GlobalKeyBindings.c"
		NuvolaActionsKeyBinder* _tmp1_ = NULL;
		DioriteAction* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		_tmp1_ = self->priv->_keybinder;
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		_tmp2_ = action;
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		_tmp3_ = diorite_action_get_name (_tmp2_);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		_tmp4_ = _tmp3_;
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		nuvola_actions_key_binder_bind (_tmp1_, _tmp4_);
#line 244 "GlobalKeyBindings.c"
	}
}


static void nuvola_global_keybindings_on_action_removed (NuvolaGlobalKeybindings* self, DioriteAction* action) {
	DioriteAction* _tmp0_ = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_return_if_fail (self != NULL);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_return_if_fail (action != NULL);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp0_ = action;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	if (!G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, DIORITE_TYPE_RADIO_ACTION)) {
#line 259 "GlobalKeyBindings.c"
		NuvolaActionsKeyBinder* _tmp1_ = NULL;
		DioriteAction* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		_tmp1_ = self->priv->_keybinder;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		_tmp2_ = action;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		_tmp3_ = diorite_action_get_name (_tmp2_);
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		_tmp4_ = _tmp3_;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		nuvola_actions_key_binder_unbind (_tmp1_, _tmp4_);
#line 274 "GlobalKeyBindings.c"
	}
}


static void nuvola_global_keybindings_on_action_activated (NuvolaGlobalKeybindings* self, const gchar* name, gboolean* handled) {
	gboolean _tmp0_ = FALSE;
	DioriteAction* action = NULL;
	DioriteActions* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	DioriteAction* _tmp3_ = NULL;
	DioriteAction* _tmp4_ = NULL;
	DioriteAction* _tmp5_ = NULL;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_return_if_fail (self != NULL);
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_return_if_fail (name != NULL);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp0_ = *handled;
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	if (_tmp0_) {
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		return;
#line 297 "GlobalKeyBindings.c"
	}
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp1_ = self->priv->actions;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp2_ = name;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp3_ = diorite_actions_get_action (_tmp1_, _tmp2_);
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	action = _tmp3_;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp4_ = action;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_return_if_fail (_tmp4_ != NULL);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp5_ = action;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	diorite_action_activate (_tmp5_, NULL);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	*handled = TRUE;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_g_object_unref0 (action);
#line 319 "GlobalKeyBindings.c"
}


NuvolaActionsKeyBinder* nuvola_global_keybindings_get_keybinder (NuvolaGlobalKeybindings* self) {
	NuvolaActionsKeyBinder* result;
	NuvolaActionsKeyBinder* _tmp0_ = NULL;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp0_ = self->priv->_keybinder;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	result = _tmp0_;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	return result;
#line 334 "GlobalKeyBindings.c"
}


static void nuvola_global_keybindings_set_keybinder (NuvolaGlobalKeybindings* self, NuvolaActionsKeyBinder* value) {
	NuvolaActionsKeyBinder* _tmp0_ = NULL;
	NuvolaActionsKeyBinder* _tmp1_ = NULL;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_return_if_fail (self != NULL);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp0_ = value;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_g_object_unref0 (self->priv->_keybinder);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	self->priv->_keybinder = _tmp1_;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_object_notify ((GObject *) self, "keybinder");
#line 353 "GlobalKeyBindings.c"
}


static void nuvola_global_keybindings_class_init (NuvolaGlobalKeybindingsClass * klass) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	nuvola_global_keybindings_parent_class = g_type_class_peek_parent (klass);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_type_class_add_private (klass, sizeof (NuvolaGlobalKeybindingsPrivate));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_global_keybindings_get_property;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_global_keybindings_set_property;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_global_keybindings_finalize;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_GLOBAL_KEYBINDINGS_KEYBINDER, g_param_spec_object ("keybinder", "keybinder", "keybinder", NUVOLA_TYPE_ACTIONS_KEY_BINDER, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 370 "GlobalKeyBindings.c"
}


static void nuvola_global_keybindings_instance_init (NuvolaGlobalKeybindings * self) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	self->priv = NUVOLA_GLOBAL_KEYBINDINGS_GET_PRIVATE (self);
#line 377 "GlobalKeyBindings.c"
}


static void nuvola_global_keybindings_finalize (GObject* obj) {
	NuvolaGlobalKeybindings * self;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_GLOBAL_KEYBINDINGS, NuvolaGlobalKeybindings);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_g_object_unref0 (self->priv->_keybinder);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	_g_object_unref0 (self->priv->actions);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	G_OBJECT_CLASS (nuvola_global_keybindings_parent_class)->finalize (obj);
#line 391 "GlobalKeyBindings.c"
}


GType nuvola_global_keybindings_get_type (void) {
	static volatile gsize nuvola_global_keybindings_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_global_keybindings_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaGlobalKeybindingsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_global_keybindings_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaGlobalKeybindings), 0, (GInstanceInitFunc) nuvola_global_keybindings_instance_init, NULL };
		GType nuvola_global_keybindings_type_id;
		nuvola_global_keybindings_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaGlobalKeybindings", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_global_keybindings_type_id__volatile, nuvola_global_keybindings_type_id);
	}
	return nuvola_global_keybindings_type_id__volatile;
}


static void _vala_nuvola_global_keybindings_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaGlobalKeybindings * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_GLOBAL_KEYBINDINGS, NuvolaGlobalKeybindings);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	switch (property_id) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		case NUVOLA_GLOBAL_KEYBINDINGS_KEYBINDER:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		g_value_set_object (value, nuvola_global_keybindings_get_keybinder (self));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		break;
#line 418 "GlobalKeyBindings.c"
		default:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		break;
#line 424 "GlobalKeyBindings.c"
	}
}


static void _vala_nuvola_global_keybindings_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaGlobalKeybindings * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_GLOBAL_KEYBINDINGS, NuvolaGlobalKeybindings);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
	switch (property_id) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		case NUVOLA_GLOBAL_KEYBINDINGS_KEYBINDER:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		nuvola_global_keybindings_set_keybinder (self, g_value_get_object (value));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		break;
#line 440 "GlobalKeyBindings.c"
		default:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/GlobalKeyBindings.vala"
		break;
#line 446 "GlobalKeyBindings.c"
	}
}



