/* KeybindingsSettings.c generated by valac 0.34.8, the Vala compiler
 * generated from KeybindingsSettings.vala, do not modify */

/*
 * Copyright 2014-2015 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <dioritegtk-0.3.h>
#include <nuvolaplayer3-base.h>
#include <stdlib.h>
#include <string.h>
#include <gdk/gdk.h>
#include <dioriteglib-0.3.h>


#define NUVOLA_TYPE_KEYBINDINGS_SETTINGS (nuvola_keybindings_settings_get_type ())
#define NUVOLA_KEYBINDINGS_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_KEYBINDINGS_SETTINGS, NuvolaKeybindingsSettings))
#define NUVOLA_KEYBINDINGS_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_KEYBINDINGS_SETTINGS, NuvolaKeybindingsSettingsClass))
#define NUVOLA_IS_KEYBINDINGS_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_KEYBINDINGS_SETTINGS))
#define NUVOLA_IS_KEYBINDINGS_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_KEYBINDINGS_SETTINGS))
#define NUVOLA_KEYBINDINGS_SETTINGS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_KEYBINDINGS_SETTINGS, NuvolaKeybindingsSettingsClass))

typedef struct _NuvolaKeybindingsSettings NuvolaKeybindingsSettings;
typedef struct _NuvolaKeybindingsSettingsClass NuvolaKeybindingsSettingsClass;
typedef struct _NuvolaKeybindingsSettingsPrivate NuvolaKeybindingsSettingsPrivate;

#define NUVOLA_TYPE_ACTIONS_KEY_BINDER (nuvola_actions_key_binder_get_type ())
#define NUVOLA_ACTIONS_KEY_BINDER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_ACTIONS_KEY_BINDER, NuvolaActionsKeyBinder))
#define NUVOLA_IS_ACTIONS_KEY_BINDER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_ACTIONS_KEY_BINDER))
#define NUVOLA_ACTIONS_KEY_BINDER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), NUVOLA_TYPE_ACTIONS_KEY_BINDER, NuvolaActionsKeyBinderIface))

typedef struct _NuvolaActionsKeyBinder NuvolaActionsKeyBinder;
typedef struct _NuvolaActionsKeyBinderIface NuvolaActionsKeyBinderIface;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
#define _gtk_tree_path_free0(var) ((var == NULL) ? NULL : (var = (gtk_tree_path_free (var), NULL)))

struct _NuvolaKeybindingsSettings {
	GtkGrid parent_instance;
	NuvolaKeybindingsSettingsPrivate * priv;
};

struct _NuvolaKeybindingsSettingsClass {
	GtkGridClass parent_class;
};

struct _NuvolaActionsKeyBinderIface {
	GTypeInterface parent_iface;
	gchar* (*get_keybinding) (NuvolaActionsKeyBinder* self, const gchar* name);
	gboolean (*set_keybinding) (NuvolaActionsKeyBinder* self, const gchar* name, const gchar* keybinding);
	gboolean (*bind) (NuvolaActionsKeyBinder* self, const gchar* name);
	gboolean (*unbind) (NuvolaActionsKeyBinder* self, const gchar* name);
	gboolean (*is_available) (NuvolaActionsKeyBinder* self, const gchar* keybinding);
	gchar* (*get_action) (NuvolaActionsKeyBinder* self, const gchar* keybinding);
};

struct _NuvolaKeybindingsSettingsPrivate {
	DioriteActions* actions_reg;
	NuvolaConfig* config;
	NuvolaActionsKeyBinder* global_keybindings;
	GtkTreeView* view;
	GtkListStore* model;
	GtkInfoBar* info_bar;
	GtkLabel* error_label;
};


static gpointer nuvola_keybindings_settings_parent_class = NULL;

GType nuvola_keybindings_settings_get_type (void) G_GNUC_CONST;
GType nuvola_actions_key_binder_get_type (void) G_GNUC_CONST;
#define NUVOLA_KEYBINDINGS_SETTINGS_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_KEYBINDINGS_SETTINGS, NuvolaKeybindingsSettingsPrivate))
enum  {
	NUVOLA_KEYBINDINGS_SETTINGS_DUMMY_PROPERTY
};
NuvolaKeybindingsSettings* nuvola_keybindings_settings_new (DioriteActions* actions_reg, NuvolaConfig* config, NuvolaActionsKeyBinder* global_keybindings);
NuvolaKeybindingsSettings* nuvola_keybindings_settings_construct (GType object_type, DioriteActions* actions_reg, NuvolaConfig* config, NuvolaActionsKeyBinder* global_keybindings);
gchar* nuvola_actions_key_binder_get_keybinding (NuvolaActionsKeyBinder* self, const gchar* name);
static void nuvola_keybindings_settings_on_accel_edited (NuvolaKeybindingsSettings* self, const gchar* path_string, guint accel_key, GdkModifierType accel_mods, guint hardware_keycode);
static void _nuvola_keybindings_settings_on_accel_edited_gtk_cell_renderer_accel_accel_edited (GtkCellRendererAccel* _sender, const gchar* path_string, guint accel_key, GdkModifierType accel_mods, guint hardware_keycode, gpointer self);
static void nuvola_keybindings_settings_on_accel_cleared (NuvolaKeybindingsSettings* self, const gchar* path_string);
static void _nuvola_keybindings_settings_on_accel_cleared_gtk_cell_renderer_accel_accel_cleared (GtkCellRendererAccel* _sender, const gchar* path_string, gpointer self);
static void nuvola_keybindings_settings_on_glob_accel_edited (NuvolaKeybindingsSettings* self, const gchar* path_string, guint accel_key, GdkModifierType accel_mods, guint hardware_keycode);
static void _nuvola_keybindings_settings_on_glob_accel_edited_gtk_cell_renderer_accel_accel_edited (GtkCellRendererAccel* _sender, const gchar* path_string, guint accel_key, GdkModifierType accel_mods, guint hardware_keycode, gpointer self);
static void nuvola_keybindings_settings_on_glob_accel_cleared (NuvolaKeybindingsSettings* self, const gchar* path_string);
static void _nuvola_keybindings_settings_on_glob_accel_cleared_gtk_cell_renderer_accel_accel_cleared (GtkCellRendererAccel* _sender, const gchar* path_string, gpointer self);
gboolean nuvola_actions_key_binder_set_keybinding (NuvolaActionsKeyBinder* self, const gchar* name, const gchar* keybinding);
static void nuvola_keybindings_settings_set_error (NuvolaKeybindingsSettings* self, const gchar* _error_);
static void nuvola_keybindings_settings_finalize (GObject* obj);


/**
 * Constructs new main window
 * 
 * @param app Application object
 */
static gpointer _g_object_ref0 (gpointer self) {
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	return self ? g_object_ref (self) : NULL;
#line 125 "KeybindingsSettings.c"
}


static void _nuvola_keybindings_settings_on_accel_edited_gtk_cell_renderer_accel_accel_edited (GtkCellRendererAccel* _sender, const gchar* path_string, guint accel_key, GdkModifierType accel_mods, guint hardware_keycode, gpointer self) {
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	nuvola_keybindings_settings_on_accel_edited ((NuvolaKeybindingsSettings*) self, path_string, accel_key, accel_mods, hardware_keycode);
#line 132 "KeybindingsSettings.c"
}


static void _nuvola_keybindings_settings_on_accel_cleared_gtk_cell_renderer_accel_accel_cleared (GtkCellRendererAccel* _sender, const gchar* path_string, gpointer self) {
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	nuvola_keybindings_settings_on_accel_cleared ((NuvolaKeybindingsSettings*) self, path_string);
#line 139 "KeybindingsSettings.c"
}


static void _nuvola_keybindings_settings_on_glob_accel_edited_gtk_cell_renderer_accel_accel_edited (GtkCellRendererAccel* _sender, const gchar* path_string, guint accel_key, GdkModifierType accel_mods, guint hardware_keycode, gpointer self) {
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	nuvola_keybindings_settings_on_glob_accel_edited ((NuvolaKeybindingsSettings*) self, path_string, accel_key, accel_mods, hardware_keycode);
#line 146 "KeybindingsSettings.c"
}


static void _nuvola_keybindings_settings_on_glob_accel_cleared_gtk_cell_renderer_accel_accel_cleared (GtkCellRendererAccel* _sender, const gchar* path_string, gpointer self) {
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	nuvola_keybindings_settings_on_glob_accel_cleared ((NuvolaKeybindingsSettings*) self, path_string);
#line 153 "KeybindingsSettings.c"
}


NuvolaKeybindingsSettings* nuvola_keybindings_settings_construct (GType object_type, DioriteActions* actions_reg, NuvolaConfig* config, NuvolaActionsKeyBinder* global_keybindings) {
	NuvolaKeybindingsSettings * self = NULL;
	DioriteActions* _tmp0_ = NULL;
	DioriteActions* _tmp1_ = NULL;
	NuvolaConfig* _tmp2_ = NULL;
	NuvolaConfig* _tmp3_ = NULL;
	NuvolaActionsKeyBinder* _tmp4_ = NULL;
	NuvolaActionsKeyBinder* _tmp5_ = NULL;
	GtkLabel* _tmp6_ = NULL;
	GtkLabel* _tmp7_ = NULL;
	GtkLabel* _tmp8_ = NULL;
	GtkLabel* _tmp9_ = NULL;
	GtkInfoBar* _tmp10_ = NULL;
	GtkInfoBar* _tmp11_ = NULL;
	GtkInfoBar* _tmp12_ = NULL;
	GtkContainer* _tmp13_ = NULL;
	GtkLabel* _tmp14_ = NULL;
	GtkInfoBar* _tmp15_ = NULL;
	GtkInfoBar* _tmp16_ = NULL;
	gchar* info_text = NULL;
	gchar* _tmp17_ = NULL;
	GtkLabel* info_label = NULL;
	const gchar* _tmp18_ = NULL;
	GtkLabel* _tmp19_ = NULL;
	GtkLabel* _tmp20_ = NULL;
	GtkLabel* _tmp21_ = NULL;
	GtkLabel* _tmp22_ = NULL;
	GtkLabel* _tmp23_ = NULL;
	GtkScrolledWindow* scroll = NULL;
	GtkScrolledWindow* _tmp24_ = NULL;
	GtkScrolledWindow* _tmp25_ = NULL;
	GtkScrolledWindow* _tmp26_ = NULL;
	GtkListStore* _tmp27_ = NULL;
	GtkTreeIter iter = {0};
	DioriteActions* _tmp28_ = NULL;
	GList* _tmp29_ = NULL;
	GtkListStore* _tmp66_ = NULL;
	GtkTreeView* _tmp67_ = NULL;
	GtkCellRendererText* cell = NULL;
	GtkCellRendererText* _tmp68_ = NULL;
	GtkTreeView* _tmp69_ = NULL;
	GtkCellRendererAccel* accel_cell = NULL;
	GtkCellRendererAccel* _tmp70_ = NULL;
	GtkCellRendererAccel* _tmp71_ = NULL;
	GtkCellRendererAccel* _tmp72_ = NULL;
	GtkCellRendererAccel* _tmp73_ = NULL;
	GtkCellRendererAccel* _tmp74_ = NULL;
	GtkTreeView* _tmp75_ = NULL;
	GtkCellRendererAccel* _tmp76_ = NULL;
	GtkCellRendererAccel* _tmp77_ = NULL;
	GtkCellRendererAccel* _tmp78_ = NULL;
	GtkCellRendererAccel* _tmp79_ = NULL;
	GtkCellRendererAccel* _tmp80_ = NULL;
	GtkCellRendererAccel* _tmp81_ = NULL;
	GtkTreeView* _tmp82_ = NULL;
	GtkCellRendererAccel* _tmp83_ = NULL;
	GtkScrolledWindow* _tmp84_ = NULL;
	GtkScrolledWindow* _tmp85_ = NULL;
	GtkScrolledWindow* _tmp86_ = NULL;
	GtkTreeView* _tmp87_ = NULL;
	GtkTreeView* _tmp88_ = NULL;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_val_if_fail (actions_reg != NULL, NULL);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_val_if_fail (config != NULL, NULL);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_val_if_fail (global_keybindings != NULL, NULL);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	self = (NuvolaKeybindingsSettings*) g_object_new (object_type, NULL);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp0_ = actions_reg;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->actions_reg);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	self->priv->actions_reg = _tmp1_;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp2_ = config;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->config);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	self->priv->config = _tmp3_;
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp4_ = global_keybindings;
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->global_keybindings);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	self->priv->global_keybindings = _tmp5_;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_widget_set_hexpand ((GtkWidget*) self, TRUE);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_widget_set_vexpand ((GtkWidget*) self, TRUE);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 5);
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_set ((GtkWidget*) self, "margin", 1, NULL);
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp6_ = (GtkLabel*) gtk_label_new ("");
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_ref_sink (_tmp6_);
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->error_label);
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	self->priv->error_label = _tmp6_;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp7_ = self->priv->error_label;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_label_set_line_wrap (_tmp7_, TRUE);
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp8_ = self->priv->error_label;
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp8_, TRUE);
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp9_ = self->priv->error_label;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_widget_show ((GtkWidget*) _tmp9_);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp10_ = (GtkInfoBar*) gtk_info_bar_new ();
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_ref_sink (_tmp10_);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->info_bar);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	self->priv->info_bar = _tmp10_;
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp11_ = self->priv->info_bar;
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_info_bar_set_message_type (_tmp11_, GTK_MESSAGE_INFO);
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp12_ = self->priv->info_bar;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp13_ = gtk_info_bar_get_content_area (_tmp12_);
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp14_ = self->priv->error_label;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_container_add (_tmp13_, (GtkWidget*) _tmp14_);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp15_ = self->priv->info_bar;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp15_, TRUE);
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp16_ = self->priv->info_bar;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp16_, 0, 0, 1, 1);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp17_ = g_strdup ("Double click a keyboard shortcut and then press a new one to change it" \
" or the backspace key to delete it.");
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	info_text = _tmp17_;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp18_ = info_text;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp19_ = (GtkLabel*) gtk_label_new (_tmp18_);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_ref_sink (_tmp19_);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	info_label = _tmp19_;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp20_ = info_label;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_set ((GtkWidget*) _tmp20_, "margin", 10, NULL);
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp21_ = info_label;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_set (_tmp21_, "wrap", TRUE, NULL);
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp22_ = info_label;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_widget_show ((GtkWidget*) _tmp22_);
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp23_ = info_label;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp23_, 0, 1, 1, 1);
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp24_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_ref_sink (_tmp24_);
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	scroll = _tmp24_;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp25_ = scroll;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp25_, 0, 2, 1, 1);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp26_ = scroll;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp26_);
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp27_ = gtk_list_store_new (6, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_UINT, gdk_modifier_type_get_type (), G_TYPE_UINT, gdk_modifier_type_get_type (), -1);
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->model);
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	self->priv->model = _tmp27_;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp28_ = actions_reg;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp29_ = diorite_actions_list_actions (_tmp28_);
#line 358 "KeybindingsSettings.c"
	{
		GList* action_collection = NULL;
		GList* action_it = NULL;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		action_collection = _tmp29_;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		for (action_it = action_collection; action_it != NULL; action_it = action_it->next) {
#line 366 "KeybindingsSettings.c"
			DioriteAction* action = NULL;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
			action = (DioriteAction*) action_it->data;
#line 370 "KeybindingsSettings.c"
			{
				gchar* label = NULL;
				DioriteAction* _tmp30_ = NULL;
				const gchar* _tmp31_ = NULL;
				const gchar* _tmp32_ = NULL;
				gchar* _tmp33_ = NULL;
				gboolean _tmp34_ = FALSE;
				DioriteAction* _tmp35_ = NULL;
				gchar* keybinding = NULL;
				DioriteAction* _tmp37_ = NULL;
				const gchar* _tmp38_ = NULL;
				const gchar* _tmp39_ = NULL;
				gchar* _tmp40_ = NULL;
				guint accel_key = 0U;
				GdkModifierType accel_mods = 0;
				const gchar* _tmp41_ = NULL;
				NuvolaActionsKeyBinder* _tmp45_ = NULL;
				DioriteAction* _tmp46_ = NULL;
				const gchar* _tmp47_ = NULL;
				const gchar* _tmp48_ = NULL;
				gchar* _tmp49_ = NULL;
				guint glob_accel_key = 0U;
				GdkModifierType glob_accel_mods = 0;
				const gchar* _tmp50_ = NULL;
				GtkListStore* _tmp54_ = NULL;
				GtkTreeIter _tmp55_ = {0};
				GtkListStore* _tmp56_ = NULL;
				GtkTreeIter _tmp57_ = {0};
				DioriteAction* _tmp58_ = NULL;
				const gchar* _tmp59_ = NULL;
				const gchar* _tmp60_ = NULL;
				const gchar* _tmp61_ = NULL;
				guint _tmp62_ = 0U;
				GdkModifierType _tmp63_ = 0;
				guint _tmp64_ = 0U;
				GdkModifierType _tmp65_ = 0;
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp30_ = action;
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp31_ = diorite_action_get_label (_tmp30_);
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp32_ = _tmp31_;
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp33_ = g_strdup (_tmp32_);
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				label = _tmp33_;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp35_ = action;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp35_, DIORITE_TYPE_RADIO_ACTION)) {
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					_tmp34_ = TRUE;
#line 423 "KeybindingsSettings.c"
				} else {
					const gchar* _tmp36_ = NULL;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					_tmp36_ = label;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					_tmp34_ = _tmp36_ == NULL;
#line 430 "KeybindingsSettings.c"
				}
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				if (_tmp34_) {
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					_g_free0 (label);
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					continue;
#line 438 "KeybindingsSettings.c"
				}
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp37_ = action;
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp38_ = diorite_action_get_keybinding (_tmp37_);
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp39_ = _tmp38_;
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp40_ = g_strdup (_tmp39_);
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				keybinding = _tmp40_;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp41_ = keybinding;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				if (_tmp41_ != NULL) {
#line 454 "KeybindingsSettings.c"
					const gchar* _tmp42_ = NULL;
					guint _tmp43_ = 0U;
					GdkModifierType _tmp44_ = 0;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					_tmp42_ = keybinding;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					gtk_accelerator_parse (_tmp42_, &_tmp43_, &_tmp44_);
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					accel_key = _tmp43_;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					accel_mods = _tmp44_;
#line 466 "KeybindingsSettings.c"
				} else {
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					accel_key = (guint) 0;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					accel_mods = 0;
#line 472 "KeybindingsSettings.c"
				}
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp45_ = global_keybindings;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp46_ = action;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp47_ = diorite_action_get_name (_tmp46_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp48_ = _tmp47_;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp49_ = nuvola_actions_key_binder_get_keybinding (_tmp45_, _tmp48_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_g_free0 (keybinding);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				keybinding = _tmp49_;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp50_ = keybinding;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				if (_tmp50_ != NULL) {
#line 492 "KeybindingsSettings.c"
					const gchar* _tmp51_ = NULL;
					guint _tmp52_ = 0U;
					GdkModifierType _tmp53_ = 0;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					_tmp51_ = keybinding;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					gtk_accelerator_parse (_tmp51_, &_tmp52_, &_tmp53_);
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					glob_accel_key = _tmp52_;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					glob_accel_mods = _tmp53_;
#line 504 "KeybindingsSettings.c"
				} else {
#line 105 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					glob_accel_key = (guint) 0;
#line 106 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
					glob_accel_mods = 0;
#line 510 "KeybindingsSettings.c"
				}
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp54_ = self->priv->model;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				gtk_list_store_append (_tmp54_, &_tmp55_);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				iter = _tmp55_;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp56_ = self->priv->model;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp57_ = iter;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp58_ = action;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp59_ = diorite_action_get_name (_tmp58_);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp60_ = _tmp59_;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp61_ = label;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp62_ = accel_key;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp63_ = accel_mods;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp64_ = glob_accel_key;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_tmp65_ = glob_accel_mods;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				gtk_list_store_set (_tmp56_, &_tmp57_, 0, _tmp60_, 1, _tmp61_, 2, _tmp62_, 3, _tmp63_, 4, _tmp64_, 5, _tmp65_, -1, -1);
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_g_free0 (keybinding);
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
				_g_free0 (label);
#line 544 "KeybindingsSettings.c"
			}
		}
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_g_list_free0 (action_collection);
#line 549 "KeybindingsSettings.c"
	}
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp66_ = self->priv->model;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp67_ = (GtkTreeView*) gtk_tree_view_new_with_model ((GtkTreeModel*) _tmp66_);
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_ref_sink (_tmp67_);
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->view);
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	self->priv->view = _tmp67_;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp68_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_ref_sink (_tmp68_);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	cell = _tmp68_;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp69_ = self->priv->view;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_tree_view_insert_column_with_attributes (_tmp69_, -1, "Action", (GtkCellRenderer*) cell, "text", 1, NULL);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp70_ = (GtkCellRendererAccel*) gtk_cell_renderer_accel_new ();
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_ref_sink (_tmp70_);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	accel_cell = _tmp70_;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp71_ = accel_cell;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_set ((GtkCellRendererText*) _tmp71_, "editable", TRUE, NULL);
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp72_ = accel_cell;
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_set (_tmp72_, "accel-mode", GTK_CELL_RENDERER_ACCEL_MODE_GTK, NULL);
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp73_ = accel_cell;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_signal_connect_object (_tmp73_, "accel-edited", (GCallback) _nuvola_keybindings_settings_on_accel_edited_gtk_cell_renderer_accel_accel_edited, self, 0);
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp74_ = accel_cell;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_signal_connect_object (_tmp74_, "accel-cleared", (GCallback) _nuvola_keybindings_settings_on_accel_cleared_gtk_cell_renderer_accel_accel_cleared, self, 0);
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp75_ = self->priv->view;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp76_ = accel_cell;
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_tree_view_insert_column_with_attributes (_tmp75_, -1, "Shortcut", (GtkCellRenderer*) _tmp76_, "accel-key", 2, "accel-mods", 3, NULL);
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp77_ = (GtkCellRendererAccel*) gtk_cell_renderer_accel_new ();
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_ref_sink (_tmp77_);
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (accel_cell);
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	accel_cell = _tmp77_;
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp78_ = accel_cell;
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_set ((GtkCellRendererText*) _tmp78_, "editable", TRUE, NULL);
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp79_ = accel_cell;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_object_set (_tmp79_, "accel-mode", GTK_CELL_RENDERER_ACCEL_MODE_GTK, NULL);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp80_ = accel_cell;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_signal_connect_object (_tmp80_, "accel-edited", (GCallback) _nuvola_keybindings_settings_on_glob_accel_edited_gtk_cell_renderer_accel_accel_edited, self, 0);
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp81_ = accel_cell;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_signal_connect_object (_tmp81_, "accel-cleared", (GCallback) _nuvola_keybindings_settings_on_glob_accel_cleared_gtk_cell_renderer_accel_accel_cleared, self, 0);
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp82_ = self->priv->view;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp83_ = accel_cell;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_tree_view_insert_column_with_attributes (_tmp82_, -1, "Global Shortcut", (GtkCellRenderer*) _tmp83_, "accel-key", 4, "accel-mods", 5, NULL);
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp84_ = scroll;
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp85_ = scroll;
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp85_, TRUE);
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp84_, TRUE);
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp86_ = scroll;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp87_ = self->priv->view;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_container_add ((GtkContainer*) _tmp86_, (GtkWidget*) _tmp87_);
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_widget_show ((GtkWidget*) self);
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp88_ = self->priv->view;
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_widget_show ((GtkWidget*) _tmp88_);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (accel_cell);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (cell);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (scroll);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (info_label);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_free0 (info_text);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	return self;
#line 661 "KeybindingsSettings.c"
}


NuvolaKeybindingsSettings* nuvola_keybindings_settings_new (DioriteActions* actions_reg, NuvolaConfig* config, NuvolaActionsKeyBinder* global_keybindings) {
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	return nuvola_keybindings_settings_construct (NUVOLA_TYPE_KEYBINDINGS_SETTINGS, actions_reg, config, global_keybindings);
#line 668 "KeybindingsSettings.c"
}


static void nuvola_keybindings_settings_on_accel_edited (NuvolaKeybindingsSettings* self, const gchar* path_string, guint accel_key, GdkModifierType accel_mods, guint hardware_keycode) {
	gchar* keybinding = NULL;
	guint _tmp0_ = 0U;
	GdkModifierType _tmp1_ = 0;
	gchar* _tmp2_ = NULL;
	GtkTreePath* path = NULL;
	const gchar* _tmp3_ = NULL;
	GtkTreePath* _tmp4_ = NULL;
	GtkTreeIter iter = {0};
	GtkListStore* _tmp5_ = NULL;
	GtkTreeIter _tmp6_ = {0};
	GtkListStore* _tmp7_ = NULL;
	GtkTreeIter _tmp8_ = {0};
	guint _tmp9_ = 0U;
	GdkModifierType _tmp10_ = 0;
	gchar* name = NULL;
	GtkListStore* _tmp11_ = NULL;
	GtkTreeIter _tmp12_ = {0};
	guint _tmp13_ = 0U;
	GdkModifierType _tmp14_ = 0;
	gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	NuvolaConfig* _tmp17_ = NULL;
	gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	DioriteAction* action = NULL;
	DioriteActions* _tmp20_ = NULL;
	DioriteAction* _tmp21_ = NULL;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_if_fail (self != NULL);
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_if_fail (path_string != NULL);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp0_ = accel_key;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp1_ = accel_mods;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp2_ = gtk_accelerator_name (_tmp0_, _tmp1_);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	keybinding = _tmp2_;
#line 141 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp3_ = path_string;
#line 141 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp4_ = gtk_tree_path_new_from_string (_tmp3_);
#line 141 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	path = _tmp4_;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp5_ = self->priv->model;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_tree_model_get_iter ((GtkTreeModel*) _tmp5_, &_tmp6_, path);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	iter = _tmp6_;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp7_ = self->priv->model;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp8_ = iter;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp9_ = accel_key;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp10_ = accel_mods;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_list_store_set (_tmp7_, &_tmp8_, 2, _tmp9_, 3, _tmp10_, -1, -1);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp11_ = self->priv->model;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp12_ = iter;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp11_, &_tmp12_, 0, &name, -1, -1);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp13_ = accel_key;
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp14_ = accel_mods;
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp15_ = gtk_accelerator_name (_tmp13_, _tmp14_);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp16_ = _tmp15_;
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_message ("KeybindingsSettings.vala:147: nuvola.keybindings.%s %s", name, _tmp16_);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_free0 (_tmp16_);
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp17_ = self->priv->config;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp18_ = g_strconcat ("nuvola.keybindings.", name, NULL);
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp19_ = _tmp18_;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	diorite_key_value_storage_set_string ((DioriteKeyValueStorage*) _tmp17_, _tmp19_, keybinding);
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_free0 (_tmp19_);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp20_ = self->priv->actions_reg;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp21_ = diorite_actions_get_action (_tmp20_, name);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	action = _tmp21_;
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_if_fail (action != NULL);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	diorite_action_set_keybinding (action, keybinding);
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (action);
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_free0 (name);
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_gtk_tree_path_free0 (path);
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_free0 (keybinding);
#line 780 "KeybindingsSettings.c"
}


static void nuvola_keybindings_settings_on_accel_cleared (NuvolaKeybindingsSettings* self, const gchar* path_string) {
	GtkTreePath* path = NULL;
	const gchar* _tmp0_ = NULL;
	GtkTreePath* _tmp1_ = NULL;
	GtkTreeIter iter = {0};
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	GtkListStore* _tmp4_ = NULL;
	GtkTreeIter _tmp5_ = {0};
	gchar* name = NULL;
	GtkListStore* _tmp6_ = NULL;
	GtkTreeIter _tmp7_ = {0};
	NuvolaConfig* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	DioriteAction* action = NULL;
	DioriteActions* _tmp11_ = NULL;
	DioriteAction* _tmp12_ = NULL;
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_if_fail (self != NULL);
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_if_fail (path_string != NULL);
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp0_ = path_string;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp1_ = gtk_tree_path_new_from_string (_tmp0_);
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	path = _tmp1_;
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp2_ = self->priv->model;
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_tree_model_get_iter ((GtkTreeModel*) _tmp2_, &_tmp3_, path);
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	iter = _tmp3_;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp4_ = self->priv->model;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp5_ = iter;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_list_store_set (_tmp4_, &_tmp5_, 2, 0, 3, 0, -1, -1);
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp6_ = self->priv->model;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp7_ = iter;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp6_, &_tmp7_, 0, &name, -1, -1);
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp8_ = self->priv->config;
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp9_ = g_strconcat ("nuvola.keybindings.", name, NULL);
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp10_ = _tmp9_;
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	diorite_key_value_storage_set_string ((DioriteKeyValueStorage*) _tmp8_, _tmp10_, "");
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_free0 (_tmp10_);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp11_ = self->priv->actions_reg;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp12_ = diorite_actions_get_action (_tmp11_, name);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	action = _tmp12_;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_if_fail (action != NULL);
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	diorite_action_set_keybinding (action, NULL);
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (action);
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_free0 (name);
#line 154 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_gtk_tree_path_free0 (path);
#line 856 "KeybindingsSettings.c"
}


static void nuvola_keybindings_settings_on_glob_accel_edited (NuvolaKeybindingsSettings* self, const gchar* path_string, guint accel_key, GdkModifierType accel_mods, guint hardware_keycode) {
	gchar* keybinding = NULL;
	guint _tmp0_ = 0U;
	GdkModifierType _tmp1_ = 0;
	gchar* _tmp2_ = NULL;
	GtkTreePath* path = NULL;
	const gchar* _tmp3_ = NULL;
	GtkTreePath* _tmp4_ = NULL;
	GtkTreeIter iter = {0};
	GtkListStore* _tmp5_ = NULL;
	GtkTreePath* _tmp6_ = NULL;
	GtkTreeIter _tmp7_ = {0};
	gchar* name = NULL;
	GtkListStore* _tmp8_ = NULL;
	GtkTreeIter _tmp9_ = {0};
	const gchar* _tmp10_ = NULL;
	guint _tmp11_ = 0U;
	GdkModifierType _tmp12_ = 0;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	NuvolaActionsKeyBinder* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	const gchar* _tmp17_ = NULL;
	gboolean _tmp18_ = FALSE;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_if_fail (self != NULL);
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_if_fail (path_string != NULL);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp0_ = accel_key;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp1_ = accel_mods;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp2_ = gtk_accelerator_name (_tmp0_, _tmp1_);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	keybinding = _tmp2_;
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp3_ = path_string;
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp4_ = gtk_tree_path_new_from_string (_tmp3_);
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	path = _tmp4_;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp5_ = self->priv->model;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp6_ = path;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_tree_model_get_iter ((GtkTreeModel*) _tmp5_, &_tmp7_, _tmp6_);
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	iter = _tmp7_;
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp8_ = self->priv->model;
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp9_ = iter;
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp8_, &_tmp9_, 0, &name, -1, -1);
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp10_ = name;
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp11_ = accel_key;
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp12_ = accel_mods;
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp13_ = gtk_accelerator_name (_tmp11_, _tmp12_);
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp14_ = _tmp13_;
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_message ("KeybindingsSettings.vala:176: nuvola.global_keybindings.%s %s", _tmp10_, _tmp14_);
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_free0 (_tmp14_);
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp15_ = self->priv->global_keybindings;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp16_ = name;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp17_ = keybinding;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp18_ = nuvola_actions_key_binder_set_keybinding (_tmp15_, _tmp16_, _tmp17_);
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	if (_tmp18_) {
#line 940 "KeybindingsSettings.c"
		GtkListStore* _tmp19_ = NULL;
		GtkTreeIter _tmp20_ = {0};
		guint _tmp21_ = 0U;
		GdkModifierType _tmp22_ = 0;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp19_ = self->priv->model;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp20_ = iter;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp21_ = accel_key;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp22_ = accel_mods;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		gtk_list_store_set (_tmp19_, &_tmp20_, 4, _tmp21_, 5, _tmp22_, -1, -1);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		nuvola_keybindings_settings_set_error (self, NULL);
#line 957 "KeybindingsSettings.c"
	} else {
		GtkListStore* _tmp23_ = NULL;
		GtkTreeIter _tmp24_ = {0};
		const gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp23_ = self->priv->model;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp24_ = iter;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		gtk_list_store_set (_tmp23_, &_tmp24_, 4, 0, 5, 0, -1, -1);
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp25_ = keybinding;
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp26_ = g_strdup_printf ("Failed to set keybinding '%s'. Make sure it is not already used by you" \
"r system or other" " programs (Google Chrome, for example).", _tmp25_);
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp27_ = _tmp26_;
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		nuvola_keybindings_settings_set_error (self, _tmp27_);
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_g_free0 (_tmp27_);
#line 980 "KeybindingsSettings.c"
	}
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_free0 (name);
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_gtk_tree_path_free0 (path);
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_free0 (keybinding);
#line 988 "KeybindingsSettings.c"
}


static void nuvola_keybindings_settings_on_glob_accel_cleared (NuvolaKeybindingsSettings* self, const gchar* path_string) {
	GtkTreePath* path = NULL;
	const gchar* _tmp0_ = NULL;
	GtkTreePath* _tmp1_ = NULL;
	GtkTreeIter iter = {0};
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	gchar* name = NULL;
	GtkListStore* _tmp4_ = NULL;
	GtkTreeIter _tmp5_ = {0};
	NuvolaActionsKeyBinder* _tmp6_ = NULL;
	GtkListStore* _tmp7_ = NULL;
	GtkTreeIter _tmp8_ = {0};
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_if_fail (self != NULL);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_if_fail (path_string != NULL);
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp0_ = path_string;
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp1_ = gtk_tree_path_new_from_string (_tmp0_);
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	path = _tmp1_;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp2_ = self->priv->model;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_tree_model_get_iter ((GtkTreeModel*) _tmp2_, &_tmp3_, path);
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	iter = _tmp3_;
#line 199 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp4_ = self->priv->model;
#line 199 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp5_ = iter;
#line 199 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp4_, &_tmp5_, 0, &name, -1, -1);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp6_ = self->priv->global_keybindings;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	nuvola_actions_key_binder_set_keybinding (_tmp6_, name, NULL);
#line 201 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp7_ = self->priv->model;
#line 201 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp8_ = iter;
#line 201 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	gtk_list_store_set (_tmp7_, &_tmp8_, 4, 0, 5, 0, -1, -1);
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	nuvola_keybindings_settings_set_error (self, NULL);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_free0 (name);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_gtk_tree_path_free0 (path);
#line 1043 "KeybindingsSettings.c"
}


static void nuvola_keybindings_settings_set_error (NuvolaKeybindingsSettings* self, const gchar* _error_) {
	const gchar* _tmp0_ = NULL;
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_return_if_fail (self != NULL);
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_tmp0_ = _error_;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	if (_tmp0_ != NULL) {
#line 1055 "KeybindingsSettings.c"
		GtkLabel* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		GtkInfoBar* _tmp3_ = NULL;
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp1_ = self->priv->error_label;
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp2_ = _error_;
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		gtk_label_set_label (_tmp1_, _tmp2_);
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp3_ = self->priv->info_bar;
#line 210 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		gtk_widget_show ((GtkWidget*) _tmp3_);
#line 1069 "KeybindingsSettings.c"
	} else {
		GtkInfoBar* _tmp4_ = NULL;
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		_tmp4_ = self->priv->info_bar;
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
		gtk_widget_hide ((GtkWidget*) _tmp4_);
#line 1076 "KeybindingsSettings.c"
	}
}


static void nuvola_keybindings_settings_class_init (NuvolaKeybindingsSettingsClass * klass) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	nuvola_keybindings_settings_parent_class = g_type_class_peek_parent (klass);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	g_type_class_add_private (klass, sizeof (NuvolaKeybindingsSettingsPrivate));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_keybindings_settings_finalize;
#line 1088 "KeybindingsSettings.c"
}


static void nuvola_keybindings_settings_instance_init (NuvolaKeybindingsSettings * self) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	self->priv = NUVOLA_KEYBINDINGS_SETTINGS_GET_PRIVATE (self);
#line 1095 "KeybindingsSettings.c"
}


static void nuvola_keybindings_settings_finalize (GObject* obj) {
	NuvolaKeybindingsSettings * self;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_KEYBINDINGS_SETTINGS, NuvolaKeybindingsSettings);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->actions_reg);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->config);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->global_keybindings);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->view);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->model);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->info_bar);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	_g_object_unref0 (self->priv->error_label);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/KeybindingsSettings.vala"
	G_OBJECT_CLASS (nuvola_keybindings_settings_parent_class)->finalize (obj);
#line 1119 "KeybindingsSettings.c"
}


GType nuvola_keybindings_settings_get_type (void) {
	static volatile gsize nuvola_keybindings_settings_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_keybindings_settings_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaKeybindingsSettingsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_keybindings_settings_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaKeybindingsSettings), 0, (GInstanceInitFunc) nuvola_keybindings_settings_instance_init, NULL };
		GType nuvola_keybindings_settings_type_id;
		nuvola_keybindings_settings_type_id = g_type_register_static (gtk_grid_get_type (), "NuvolaKeybindingsSettings", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_keybindings_settings_type_id__volatile, nuvola_keybindings_settings_type_id);
	}
	return nuvola_keybindings_settings_type_id__volatile;
}



