/* MediaPlayer.c generated by valac 0.34.8, the Vala compiler
 * generated from MediaPlayer.vala, do not modify */

/*
 * Copyright 2014-2015 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>
#include <dioritegtk-0.3.h>


#define NUVOLA_TYPE_MEDIA_PLAYER_MODEL (nuvola_media_player_model_get_type ())
#define NUVOLA_MEDIA_PLAYER_MODEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_MEDIA_PLAYER_MODEL, NuvolaMediaPlayerModel))
#define NUVOLA_IS_MEDIA_PLAYER_MODEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_MEDIA_PLAYER_MODEL))
#define NUVOLA_MEDIA_PLAYER_MODEL_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), NUVOLA_TYPE_MEDIA_PLAYER_MODEL, NuvolaMediaPlayerModelIface))

typedef struct _NuvolaMediaPlayerModel NuvolaMediaPlayerModel;
typedef struct _NuvolaMediaPlayerModelIface NuvolaMediaPlayerModelIface;

#define NUVOLA_TYPE_MEDIA_PLAYER (nuvola_media_player_get_type ())
#define NUVOLA_MEDIA_PLAYER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_MEDIA_PLAYER, NuvolaMediaPlayer))
#define NUVOLA_MEDIA_PLAYER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_MEDIA_PLAYER, NuvolaMediaPlayerClass))
#define NUVOLA_IS_MEDIA_PLAYER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_MEDIA_PLAYER))
#define NUVOLA_IS_MEDIA_PLAYER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_MEDIA_PLAYER))
#define NUVOLA_MEDIA_PLAYER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_MEDIA_PLAYER, NuvolaMediaPlayerClass))

typedef struct _NuvolaMediaPlayer NuvolaMediaPlayer;
typedef struct _NuvolaMediaPlayerClass NuvolaMediaPlayerClass;
typedef struct _NuvolaMediaPlayerPrivate NuvolaMediaPlayerPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define __g_slist_free__g_free0_0(var) ((var == NULL) ? NULL : (var = (_g_slist_free__g_free0_ (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _NuvolaMediaPlayerModelIface {
	GTypeInterface parent_iface;
	void (*handle_set_track_info) (NuvolaMediaPlayerModel* self, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating);
	void (*play) (NuvolaMediaPlayerModel* self);
	void (*pause) (NuvolaMediaPlayerModel* self);
	void (*toggle_play) (NuvolaMediaPlayerModel* self);
	void (*stop) (NuvolaMediaPlayerModel* self);
	void (*prev_song) (NuvolaMediaPlayerModel* self);
	void (*next_song) (NuvolaMediaPlayerModel* self);
	void (*set_track_info) (NuvolaMediaPlayerModel* self, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating);
	const gchar* (*get_title) (NuvolaMediaPlayerModel* self);
	void (*set_title) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_artist) (NuvolaMediaPlayerModel* self);
	void (*set_artist) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_album) (NuvolaMediaPlayerModel* self);
	void (*set_album) (NuvolaMediaPlayerModel* self, const gchar* value);
	gdouble (*get_rating) (NuvolaMediaPlayerModel* self);
	void (*set_rating) (NuvolaMediaPlayerModel* self, gdouble value);
	const gchar* (*get_state) (NuvolaMediaPlayerModel* self);
	void (*set_state) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_artwork_location) (NuvolaMediaPlayerModel* self);
	void (*set_artwork_location) (NuvolaMediaPlayerModel* self, const gchar* value);
	const gchar* (*get_artwork_file) (NuvolaMediaPlayerModel* self);
	void (*set_artwork_file) (NuvolaMediaPlayerModel* self, const gchar* value);
	gboolean (*get_can_go_next) (NuvolaMediaPlayerModel* self);
	void (*set_can_go_next) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_go_previous) (NuvolaMediaPlayerModel* self);
	void (*set_can_go_previous) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_play) (NuvolaMediaPlayerModel* self);
	void (*set_can_play) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_pause) (NuvolaMediaPlayerModel* self);
	void (*set_can_pause) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_stop) (NuvolaMediaPlayerModel* self);
	void (*set_can_stop) (NuvolaMediaPlayerModel* self, gboolean value);
	gboolean (*get_can_rate) (NuvolaMediaPlayerModel* self);
	void (*set_can_rate) (NuvolaMediaPlayerModel* self, gboolean value);
	GSList* (*get_playback_actions) (NuvolaMediaPlayerModel* self);
	void (*set_playback_actions) (NuvolaMediaPlayerModel* self, GSList* value);
};

struct _NuvolaMediaPlayer {
	GObject parent_instance;
	NuvolaMediaPlayerPrivate * priv;
};

struct _NuvolaMediaPlayerClass {
	GObjectClass parent_class;
};

struct _NuvolaMediaPlayerPrivate {
	gchar* _title;
	gchar* _artist;
	gchar* _album;
	gdouble _rating;
	gchar* _state;
	gchar* _artwork_location;
	gchar* _artwork_file;
	gboolean _can_go_next;
	gboolean _can_go_previous;
	gboolean _can_play;
	gboolean _can_pause;
	gboolean _can_stop;
	gboolean _can_rate;
	GSList* _playback_actions;
	DioriteActions* actions;
};


static gpointer nuvola_media_player_parent_class = NULL;
static NuvolaMediaPlayerModelIface* nuvola_media_player_nuvola_media_player_model_parent_iface = NULL;

GType nuvola_media_player_model_get_type (void) G_GNUC_CONST;
GType nuvola_media_player_get_type (void) G_GNUC_CONST;
#define NUVOLA_MEDIA_PLAYER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_MEDIA_PLAYER, NuvolaMediaPlayerPrivate))
enum  {
	NUVOLA_MEDIA_PLAYER_DUMMY_PROPERTY,
	NUVOLA_MEDIA_PLAYER_TITLE,
	NUVOLA_MEDIA_PLAYER_ARTIST,
	NUVOLA_MEDIA_PLAYER_ALBUM,
	NUVOLA_MEDIA_PLAYER_RATING,
	NUVOLA_MEDIA_PLAYER_STATE,
	NUVOLA_MEDIA_PLAYER_ARTWORK_LOCATION,
	NUVOLA_MEDIA_PLAYER_ARTWORK_FILE,
	NUVOLA_MEDIA_PLAYER_CAN_GO_NEXT,
	NUVOLA_MEDIA_PLAYER_CAN_GO_PREVIOUS,
	NUVOLA_MEDIA_PLAYER_CAN_PLAY,
	NUVOLA_MEDIA_PLAYER_CAN_PAUSE,
	NUVOLA_MEDIA_PLAYER_CAN_STOP,
	NUVOLA_MEDIA_PLAYER_CAN_RATE,
	NUVOLA_MEDIA_PLAYER_PLAYBACK_ACTIONS
};
static void _g_free0_ (gpointer var);
static void _g_slist_free__g_free0_ (GSList* self);
NuvolaMediaPlayer* nuvola_media_player_new (DioriteActions* actions);
NuvolaMediaPlayer* nuvola_media_player_construct (GType object_type, DioriteActions* actions);
static void nuvola_media_player_real_handle_set_track_info (NuvolaMediaPlayerModel* base, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating);
void nuvola_media_player_model_set_title (NuvolaMediaPlayerModel* self, const gchar* value);
void nuvola_media_player_model_set_artist (NuvolaMediaPlayerModel* self, const gchar* value);
void nuvola_media_player_model_set_album (NuvolaMediaPlayerModel* self, const gchar* value);
void nuvola_media_player_model_set_rating (NuvolaMediaPlayerModel* self, gdouble value);
void nuvola_media_player_model_set_state (NuvolaMediaPlayerModel* self, const gchar* value);
void nuvola_media_player_model_set_artwork_location (NuvolaMediaPlayerModel* self, const gchar* value);
void nuvola_media_player_model_set_artwork_file (NuvolaMediaPlayerModel* self, const gchar* value);
static void nuvola_media_player_real_play (NuvolaMediaPlayerModel* base);
static void nuvola_media_player_activate_action (NuvolaMediaPlayer* self, const gchar* name);
static void nuvola_media_player_real_pause (NuvolaMediaPlayerModel* base);
static void nuvola_media_player_real_toggle_play (NuvolaMediaPlayerModel* base);
static void nuvola_media_player_real_stop (NuvolaMediaPlayerModel* base);
static void nuvola_media_player_real_prev_song (NuvolaMediaPlayerModel* base);
static void nuvola_media_player_real_next_song (NuvolaMediaPlayerModel* base);
static void nuvola_media_player_finalize (GObject* obj);
const gchar* nuvola_media_player_model_get_title (NuvolaMediaPlayerModel* self);
const gchar* nuvola_media_player_model_get_artist (NuvolaMediaPlayerModel* self);
const gchar* nuvola_media_player_model_get_album (NuvolaMediaPlayerModel* self);
gdouble nuvola_media_player_model_get_rating (NuvolaMediaPlayerModel* self);
const gchar* nuvola_media_player_model_get_state (NuvolaMediaPlayerModel* self);
const gchar* nuvola_media_player_model_get_artwork_location (NuvolaMediaPlayerModel* self);
const gchar* nuvola_media_player_model_get_artwork_file (NuvolaMediaPlayerModel* self);
gboolean nuvola_media_player_model_get_can_go_next (NuvolaMediaPlayerModel* self);
gboolean nuvola_media_player_model_get_can_go_previous (NuvolaMediaPlayerModel* self);
gboolean nuvola_media_player_model_get_can_play (NuvolaMediaPlayerModel* self);
gboolean nuvola_media_player_model_get_can_pause (NuvolaMediaPlayerModel* self);
gboolean nuvola_media_player_model_get_can_stop (NuvolaMediaPlayerModel* self);
gboolean nuvola_media_player_model_get_can_rate (NuvolaMediaPlayerModel* self);
GSList* nuvola_media_player_model_get_playback_actions (NuvolaMediaPlayerModel* self);
static void _vala_nuvola_media_player_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
void nuvola_media_player_model_set_can_go_next (NuvolaMediaPlayerModel* self, gboolean value);
void nuvola_media_player_model_set_can_go_previous (NuvolaMediaPlayerModel* self, gboolean value);
void nuvola_media_player_model_set_can_play (NuvolaMediaPlayerModel* self, gboolean value);
void nuvola_media_player_model_set_can_pause (NuvolaMediaPlayerModel* self, gboolean value);
void nuvola_media_player_model_set_can_stop (NuvolaMediaPlayerModel* self, gboolean value);
void nuvola_media_player_model_set_can_rate (NuvolaMediaPlayerModel* self, gboolean value);
void nuvola_media_player_model_set_playback_actions (NuvolaMediaPlayerModel* self, GSList* value);
static void _vala_nuvola_media_player_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static void _g_free0_ (gpointer var) {
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	var = (g_free (var), NULL);
#line 199 "MediaPlayer.c"
}


static void _g_slist_free__g_free0_ (GSList* self) {
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_slist_foreach (self, (GFunc) _g_free0_, NULL);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_slist_free (self);
#line 208 "MediaPlayer.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return self ? g_object_ref (self) : NULL;
#line 215 "MediaPlayer.c"
}


NuvolaMediaPlayer* nuvola_media_player_construct (GType object_type, DioriteActions* actions) {
	NuvolaMediaPlayer * self = NULL;
	DioriteActions* _tmp0_ = NULL;
	DioriteActions* _tmp1_ = NULL;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_return_val_if_fail (actions != NULL, NULL);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) g_object_new (object_type, NULL);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = actions;
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_object_unref0 (self->priv->actions);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->actions = _tmp1_;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return self;
#line 237 "MediaPlayer.c"
}


NuvolaMediaPlayer* nuvola_media_player_new (DioriteActions* actions) {
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return nuvola_media_player_construct (NUVOLA_TYPE_MEDIA_PLAYER, actions);
#line 244 "MediaPlayer.c"
}


static void nuvola_media_player_real_handle_set_track_info (NuvolaMediaPlayerModel* base, const gchar* title, const gchar* artist, const gchar* album, const gchar* state, const gchar* artwork_location, const gchar* artwork_file, gdouble rating) {
	NuvolaMediaPlayer * self;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gdouble _tmp3_ = 0.0;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = title;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_model_set_title ((NuvolaMediaPlayerModel*) self, _tmp0_);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp1_ = artist;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_model_set_artist ((NuvolaMediaPlayerModel*) self, _tmp1_);
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp2_ = album;
#line 54 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_model_set_album ((NuvolaMediaPlayerModel*) self, _tmp2_);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp3_ = rating;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_model_set_rating ((NuvolaMediaPlayerModel*) self, _tmp3_);
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp4_ = state;
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_model_set_state ((NuvolaMediaPlayerModel*) self, _tmp4_);
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp5_ = artwork_location;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_model_set_artwork_location ((NuvolaMediaPlayerModel*) self, _tmp5_);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp6_ = artwork_file;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_model_set_artwork_file ((NuvolaMediaPlayerModel*) self, _tmp6_);
#line 287 "MediaPlayer.c"
}


static void nuvola_media_player_real_play (NuvolaMediaPlayerModel* base) {
	NuvolaMediaPlayer * self;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_activate_action (self, "play");
#line 297 "MediaPlayer.c"
}


static void nuvola_media_player_real_pause (NuvolaMediaPlayerModel* base) {
	NuvolaMediaPlayer * self;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_activate_action (self, "pause");
#line 307 "MediaPlayer.c"
}


static void nuvola_media_player_real_toggle_play (NuvolaMediaPlayerModel* base) {
	NuvolaMediaPlayer * self;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_activate_action (self, "toggle-play");
#line 317 "MediaPlayer.c"
}


static void nuvola_media_player_real_stop (NuvolaMediaPlayerModel* base) {
	NuvolaMediaPlayer * self;
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_activate_action (self, "stop");
#line 327 "MediaPlayer.c"
}


static void nuvola_media_player_real_prev_song (NuvolaMediaPlayerModel* base) {
	NuvolaMediaPlayer * self;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_activate_action (self, "prev-song");
#line 337 "MediaPlayer.c"
}


static void nuvola_media_player_real_next_song (NuvolaMediaPlayerModel* base) {
	NuvolaMediaPlayer * self;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_activate_action (self, "next-song");
#line 347 "MediaPlayer.c"
}


static void nuvola_media_player_activate_action (NuvolaMediaPlayer* self, const gchar* name) {
	DioriteActions* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_return_if_fail (self != NULL);
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_return_if_fail (name != NULL);
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->actions;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp1_ = name;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp2_ = diorite_actions_activate_action (_tmp0_, _tmp1_, NULL);
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	if (!_tmp2_) {
#line 367 "MediaPlayer.c"
		const gchar* _tmp3_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		_tmp3_ = name;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_critical ("MediaPlayer.vala:94: Failed to activate action '%s'.", _tmp3_);
#line 373 "MediaPlayer.c"
	}
}


static const gchar* nuvola_media_player_real_get_title (NuvolaMediaPlayerModel* base) {
	const gchar* result;
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_title;
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 390 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_title (NuvolaMediaPlayerModel* base, const gchar* value) {
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_title);
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_title = _tmp1_;
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "title");
#line 410 "MediaPlayer.c"
}


static const gchar* nuvola_media_player_real_get_artist (NuvolaMediaPlayerModel* base) {
	const gchar* result;
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_artist;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 426 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_artist (NuvolaMediaPlayerModel* base, const gchar* value) {
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_artist);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_artist = _tmp1_;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "artist");
#line 446 "MediaPlayer.c"
}


static const gchar* nuvola_media_player_real_get_album (NuvolaMediaPlayerModel* base) {
	const gchar* result;
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_album;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 462 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_album (NuvolaMediaPlayerModel* base, const gchar* value) {
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_album);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_album = _tmp1_;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "album");
#line 482 "MediaPlayer.c"
}


static gdouble nuvola_media_player_real_get_rating (NuvolaMediaPlayerModel* base) {
	gdouble result;
	NuvolaMediaPlayer* self;
	gdouble _tmp0_ = 0.0;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_rating;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 498 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_rating (NuvolaMediaPlayerModel* base, gdouble value) {
	NuvolaMediaPlayer* self;
	gdouble _tmp0_ = 0.0;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_rating = _tmp0_;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "rating");
#line 513 "MediaPlayer.c"
}


static const gchar* nuvola_media_player_real_get_state (NuvolaMediaPlayerModel* base) {
	const gchar* result;
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_state;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 529 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_state (NuvolaMediaPlayerModel* base, const gchar* value) {
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_state);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_state = _tmp1_;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "state");
#line 549 "MediaPlayer.c"
}


static const gchar* nuvola_media_player_real_get_artwork_location (NuvolaMediaPlayerModel* base) {
	const gchar* result;
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_artwork_location;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 565 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_artwork_location (NuvolaMediaPlayerModel* base, const gchar* value) {
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_artwork_location);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_artwork_location = _tmp1_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "artwork-location");
#line 585 "MediaPlayer.c"
}


static const gchar* nuvola_media_player_real_get_artwork_file (NuvolaMediaPlayerModel* base) {
	const gchar* result;
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_artwork_file;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 601 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_artwork_file (NuvolaMediaPlayerModel* base, const gchar* value) {
	NuvolaMediaPlayer* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_artwork_file);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_artwork_file = _tmp1_;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "artwork-file");
#line 621 "MediaPlayer.c"
}


static gboolean nuvola_media_player_real_get_can_go_next (NuvolaMediaPlayerModel* base) {
	gboolean result;
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_can_go_next;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 637 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_can_go_next (NuvolaMediaPlayerModel* base, gboolean value) {
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_go_next = _tmp0_;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "can-go-next");
#line 652 "MediaPlayer.c"
}


static gboolean nuvola_media_player_real_get_can_go_previous (NuvolaMediaPlayerModel* base) {
	gboolean result;
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_can_go_previous;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 668 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_can_go_previous (NuvolaMediaPlayerModel* base, gboolean value) {
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_go_previous = _tmp0_;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "can-go-previous");
#line 683 "MediaPlayer.c"
}


static gboolean nuvola_media_player_real_get_can_play (NuvolaMediaPlayerModel* base) {
	gboolean result;
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_can_play;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 699 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_can_play (NuvolaMediaPlayerModel* base, gboolean value) {
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_play = _tmp0_;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "can-play");
#line 714 "MediaPlayer.c"
}


static gboolean nuvola_media_player_real_get_can_pause (NuvolaMediaPlayerModel* base) {
	gboolean result;
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_can_pause;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 730 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_can_pause (NuvolaMediaPlayerModel* base, gboolean value) {
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_pause = _tmp0_;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "can-pause");
#line 745 "MediaPlayer.c"
}


static gboolean nuvola_media_player_real_get_can_stop (NuvolaMediaPlayerModel* base) {
	gboolean result;
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_can_stop;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 761 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_can_stop (NuvolaMediaPlayerModel* base, gboolean value) {
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_stop = _tmp0_;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "can-stop");
#line 776 "MediaPlayer.c"
}


static gboolean nuvola_media_player_real_get_can_rate (NuvolaMediaPlayerModel* base) {
	gboolean result;
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_can_rate;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 792 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_can_rate (NuvolaMediaPlayerModel* base, gboolean value) {
	NuvolaMediaPlayer* self;
	gboolean _tmp0_ = FALSE;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_rate = _tmp0_;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "can-rate");
#line 807 "MediaPlayer.c"
}


static GSList* nuvola_media_player_real_get_playback_actions (NuvolaMediaPlayerModel* base) {
	GSList* result;
	NuvolaMediaPlayer* self;
	GSList* _tmp0_ = NULL;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = self->priv->_playback_actions;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	result = _tmp0_;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	return result;
#line 823 "MediaPlayer.c"
}


static void nuvola_media_player_real_set_playback_actions (NuvolaMediaPlayerModel* base, GSList* value) {
	NuvolaMediaPlayer* self;
	GSList* _tmp0_ = NULL;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = (NuvolaMediaPlayer*) base;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_tmp0_ = value;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	value = NULL;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	__g_slist_free__g_free0_0 (self->priv->_playback_actions);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_playback_actions = _tmp0_;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	__g_slist_free__g_free0_0 (value);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_notify ((GObject *) self, "playback-actions");
#line 844 "MediaPlayer.c"
}


static void nuvola_media_player_class_init (NuvolaMediaPlayerClass * klass) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_parent_class = g_type_class_peek_parent (klass);
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_type_class_add_private (klass, sizeof (NuvolaMediaPlayerPrivate));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_media_player_get_property;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_media_player_set_property;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_media_player_finalize;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_TITLE, g_param_spec_string ("title", "title", "title", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_ARTIST, g_param_spec_string ("artist", "artist", "artist", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_ALBUM, g_param_spec_string ("album", "album", "album", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_RATING, g_param_spec_double ("rating", "rating", "rating", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_STATE, g_param_spec_string ("state", "state", "state", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_ARTWORK_LOCATION, g_param_spec_string ("artwork-location", "artwork-location", "artwork-location", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_ARTWORK_FILE, g_param_spec_string ("artwork-file", "artwork-file", "artwork-file", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_CAN_GO_NEXT, g_param_spec_boolean ("can-go-next", "can-go-next", "can-go-next", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_CAN_GO_PREVIOUS, g_param_spec_boolean ("can-go-previous", "can-go-previous", "can-go-previous", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_CAN_PLAY, g_param_spec_boolean ("can-play", "can-play", "can-play", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_CAN_PAUSE, g_param_spec_boolean ("can-pause", "can-pause", "can-pause", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_CAN_STOP, g_param_spec_boolean ("can-stop", "can-stop", "can-stop", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_CAN_RATE, g_param_spec_boolean ("can-rate", "can-rate", "can-rate", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_MEDIA_PLAYER_PLAYBACK_ACTIONS, g_param_spec_pointer ("playback-actions", "playback-actions", "playback-actions", G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 887 "MediaPlayer.c"
}


static void nuvola_media_player_nuvola_media_player_model_interface_init (NuvolaMediaPlayerModelIface * iface) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	nuvola_media_player_nuvola_media_player_model_parent_iface = g_type_interface_peek_parent (iface);
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->handle_set_track_info = (void (*)(NuvolaMediaPlayerModel*, const gchar*, const gchar*, const gchar*, const gchar*, const gchar*, const gchar*, gdouble)) nuvola_media_player_real_handle_set_track_info;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->play = (void (*)(NuvolaMediaPlayerModel*)) nuvola_media_player_real_play;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->pause = (void (*)(NuvolaMediaPlayerModel*)) nuvola_media_player_real_pause;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->toggle_play = (void (*)(NuvolaMediaPlayerModel*)) nuvola_media_player_real_toggle_play;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->stop = (void (*)(NuvolaMediaPlayerModel*)) nuvola_media_player_real_stop;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->prev_song = (void (*)(NuvolaMediaPlayerModel*)) nuvola_media_player_real_prev_song;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->next_song = (void (*)(NuvolaMediaPlayerModel*)) nuvola_media_player_real_next_song;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_title = nuvola_media_player_real_get_title;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_title = nuvola_media_player_real_set_title;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_artist = nuvola_media_player_real_get_artist;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_artist = nuvola_media_player_real_set_artist;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_album = nuvola_media_player_real_get_album;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_album = nuvola_media_player_real_set_album;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_rating = nuvola_media_player_real_get_rating;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_rating = nuvola_media_player_real_set_rating;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_state = nuvola_media_player_real_get_state;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_state = nuvola_media_player_real_set_state;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_artwork_location = nuvola_media_player_real_get_artwork_location;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_artwork_location = nuvola_media_player_real_set_artwork_location;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_artwork_file = nuvola_media_player_real_get_artwork_file;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_artwork_file = nuvola_media_player_real_set_artwork_file;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_can_go_next = nuvola_media_player_real_get_can_go_next;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_can_go_next = nuvola_media_player_real_set_can_go_next;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_can_go_previous = nuvola_media_player_real_get_can_go_previous;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_can_go_previous = nuvola_media_player_real_set_can_go_previous;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_can_play = nuvola_media_player_real_get_can_play;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_can_play = nuvola_media_player_real_set_can_play;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_can_pause = nuvola_media_player_real_get_can_pause;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_can_pause = nuvola_media_player_real_set_can_pause;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_can_stop = nuvola_media_player_real_get_can_stop;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_can_stop = nuvola_media_player_real_set_can_stop;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_can_rate = nuvola_media_player_real_get_can_rate;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_can_rate = nuvola_media_player_real_set_can_rate;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->get_playback_actions = nuvola_media_player_real_get_playback_actions;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	iface->set_playback_actions = nuvola_media_player_real_set_playback_actions;
#line 964 "MediaPlayer.c"
}


static void nuvola_media_player_instance_init (NuvolaMediaPlayer * self) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv = NUVOLA_MEDIA_PLAYER_GET_PRIVATE (self);
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_title = NULL;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_artist = NULL;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_album = NULL;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_rating = 0.0;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_state = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_artwork_location = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_artwork_file = NULL;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_go_next = FALSE;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_go_previous = FALSE;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_play = FALSE;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_pause = FALSE;
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_stop = FALSE;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self->priv->_can_rate = FALSE;
#line 997 "MediaPlayer.c"
}


static void nuvola_media_player_finalize (GObject* obj) {
	NuvolaMediaPlayer * self;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_MEDIA_PLAYER, NuvolaMediaPlayer);
#line 27 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_title);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_artist);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_album);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_state);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_artwork_location);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_free0 (self->priv->_artwork_file);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	__g_slist_free__g_free0_0 (self->priv->_playback_actions);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	_g_object_unref0 (self->priv->actions);
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	G_OBJECT_CLASS (nuvola_media_player_parent_class)->finalize (obj);
#line 1023 "MediaPlayer.c"
}


GType nuvola_media_player_get_type (void) {
	static volatile gsize nuvola_media_player_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_media_player_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaMediaPlayerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_media_player_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaMediaPlayer), 0, (GInstanceInitFunc) nuvola_media_player_instance_init, NULL };
		static const GInterfaceInfo nuvola_media_player_model_info = { (GInterfaceInitFunc) nuvola_media_player_nuvola_media_player_model_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType nuvola_media_player_type_id;
		nuvola_media_player_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaMediaPlayer", &g_define_type_info, 0);
		g_type_add_interface_static (nuvola_media_player_type_id, NUVOLA_TYPE_MEDIA_PLAYER_MODEL, &nuvola_media_player_model_info);
		g_once_init_leave (&nuvola_media_player_type_id__volatile, nuvola_media_player_type_id);
	}
	return nuvola_media_player_type_id__volatile;
}


static void _vala_nuvola_media_player_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaMediaPlayer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_MEDIA_PLAYER, NuvolaMediaPlayer);
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	switch (property_id) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_TITLE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_string (value, nuvola_media_player_model_get_title ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_ARTIST:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_string (value, nuvola_media_player_model_get_artist ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_ALBUM:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_string (value, nuvola_media_player_model_get_album ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_RATING:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_double (value, nuvola_media_player_model_get_rating ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_STATE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_string (value, nuvola_media_player_model_get_state ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_ARTWORK_LOCATION:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_string (value, nuvola_media_player_model_get_artwork_location ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_ARTWORK_FILE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_string (value, nuvola_media_player_model_get_artwork_file ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_GO_NEXT:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_boolean (value, nuvola_media_player_model_get_can_go_next ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_GO_PREVIOUS:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_boolean (value, nuvola_media_player_model_get_can_go_previous ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_PLAY:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_boolean (value, nuvola_media_player_model_get_can_play ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_PAUSE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_boolean (value, nuvola_media_player_model_get_can_pause ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_STOP:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_boolean (value, nuvola_media_player_model_get_can_stop ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_RATE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_boolean (value, nuvola_media_player_model_get_can_rate ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_PLAYBACK_ACTIONS:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		g_value_set_pointer (value, nuvola_media_player_model_get_playback_actions ((NuvolaMediaPlayerModel*) self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 1130 "MediaPlayer.c"
		default:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 1136 "MediaPlayer.c"
	}
}


static void _vala_nuvola_media_player_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaMediaPlayer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_MEDIA_PLAYER, NuvolaMediaPlayer);
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
	switch (property_id) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_TITLE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_title ((NuvolaMediaPlayerModel*) self, g_value_get_string (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_ARTIST:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_artist ((NuvolaMediaPlayerModel*) self, g_value_get_string (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_ALBUM:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_album ((NuvolaMediaPlayerModel*) self, g_value_get_string (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_RATING:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_rating ((NuvolaMediaPlayerModel*) self, g_value_get_double (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_STATE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_state ((NuvolaMediaPlayerModel*) self, g_value_get_string (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_ARTWORK_LOCATION:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_artwork_location ((NuvolaMediaPlayerModel*) self, g_value_get_string (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_ARTWORK_FILE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_artwork_file ((NuvolaMediaPlayerModel*) self, g_value_get_string (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_GO_NEXT:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_can_go_next ((NuvolaMediaPlayerModel*) self, g_value_get_boolean (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_GO_PREVIOUS:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_can_go_previous ((NuvolaMediaPlayerModel*) self, g_value_get_boolean (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_PLAY:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_can_play ((NuvolaMediaPlayerModel*) self, g_value_get_boolean (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_PAUSE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_can_pause ((NuvolaMediaPlayerModel*) self, g_value_get_boolean (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_STOP:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_can_stop ((NuvolaMediaPlayerModel*) self, g_value_get_boolean (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_CAN_RATE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_can_rate ((NuvolaMediaPlayerModel*) self, g_value_get_boolean (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		case NUVOLA_MEDIA_PLAYER_PLAYBACK_ACTIONS:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		nuvola_media_player_model_set_playback_actions ((NuvolaMediaPlayerModel*) self, g_value_get_pointer (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 1230 "MediaPlayer.c"
		default:
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 25 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/mediaplayer/MediaPlayer.vala"
		break;
#line 1236 "MediaPlayer.c"
	}
}



