/* NetworkSettings.c generated by valac 0.34.8, the Vala compiler
 * generated from NetworkSettings.vala, do not modify */

/*
 * Copyright 2015-2017 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>


#define NUVOLA_TYPE_NETWORK_SETTINGS (nuvola_network_settings_get_type ())
#define NUVOLA_NETWORK_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_NETWORK_SETTINGS, NuvolaNetworkSettings))
#define NUVOLA_NETWORK_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_NETWORK_SETTINGS, NuvolaNetworkSettingsClass))
#define NUVOLA_IS_NETWORK_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_NETWORK_SETTINGS))
#define NUVOLA_IS_NETWORK_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_NETWORK_SETTINGS))
#define NUVOLA_NETWORK_SETTINGS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_NETWORK_SETTINGS, NuvolaNetworkSettingsClass))

typedef struct _NuvolaNetworkSettings NuvolaNetworkSettings;
typedef struct _NuvolaNetworkSettingsClass NuvolaNetworkSettingsClass;
typedef struct _NuvolaNetworkSettingsPrivate NuvolaNetworkSettingsPrivate;

#define NUVOLA_TYPE_CONNECTION (nuvola_connection_get_type ())
#define NUVOLA_CONNECTION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_CONNECTION, NuvolaConnection))
#define NUVOLA_CONNECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_CONNECTION, NuvolaConnectionClass))
#define NUVOLA_IS_CONNECTION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_CONNECTION))
#define NUVOLA_IS_CONNECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_CONNECTION))
#define NUVOLA_CONNECTION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_CONNECTION, NuvolaConnectionClass))

typedef struct _NuvolaConnection NuvolaConnection;
typedef struct _NuvolaConnectionClass NuvolaConnectionClass;

#define NUVOLA_TYPE_NETWORK_PROXY_TYPE (nuvola_network_proxy_type_get_type ())
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NuvolaNetworkSettings {
	GtkGrid parent_instance;
	NuvolaNetworkSettingsPrivate * priv;
};

struct _NuvolaNetworkSettingsClass {
	GtkGridClass parent_class;
};

typedef enum  {
	NUVOLA_NETWORK_PROXY_TYPE_SYSTEM,
	NUVOLA_NETWORK_PROXY_TYPE_DIRECT,
	NUVOLA_NETWORK_PROXY_TYPE_HTTP,
	NUVOLA_NETWORK_PROXY_TYPE_SOCKS
} NuvolaNetworkProxyType;

struct _NuvolaNetworkSettingsPrivate {
	NuvolaConnection* connection;
	GtkRadioButton** proxy_types;
	gint proxy_types_length1;
	gint _proxy_types_size_;
	GtkEntry* proxy_server;
	GtkSpinButton* proxy_port;
	NuvolaNetworkProxyType original_type;
	gchar* original_host;
	gint original_port;
};


static gpointer nuvola_network_settings_parent_class = NULL;

GType nuvola_network_settings_get_type (void) G_GNUC_CONST;
GType nuvola_connection_get_type (void) G_GNUC_CONST;
GType nuvola_network_proxy_type_get_type (void) G_GNUC_CONST;
#define NUVOLA_NETWORK_SETTINGS_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_NETWORK_SETTINGS, NuvolaNetworkSettingsPrivate))
enum  {
	NUVOLA_NETWORK_SETTINGS_DUMMY_PROPERTY
};
NuvolaNetworkSettings* nuvola_network_settings_new (NuvolaConnection* connection);
NuvolaNetworkSettings* nuvola_network_settings_construct (GType object_type, NuvolaConnection* connection);
NuvolaNetworkProxyType nuvola_connection_get_network_proxy (NuvolaConnection* self, gchar** host, gint* port);
static void nuvola_network_settings_on_proxy_type_toggled (NuvolaNetworkSettings* self, GtkToggleButton* button);
static void _nuvola_network_settings_on_proxy_type_toggled_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void nuvola_network_settings_on_proxy_server_changed (NuvolaNetworkSettings* self);
static void _nuvola_network_settings_on_proxy_server_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void nuvola_network_settings_on_proxy_port_changed (NuvolaNetworkSettings* self);
static void _nuvola_network_settings_on_proxy_port_changed_gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static void nuvola_network_settings_on_change (NuvolaNetworkSettings* self);
static inline gboolean nuvola_network_settings_is_manual_settings (NuvolaNetworkSettings* self, NuvolaNetworkProxyType type);
static NuvolaNetworkProxyType nuvola_network_settings_get_proxy_type (NuvolaNetworkSettings* self);
gboolean nuvola_network_settings_get_proxy_settings (NuvolaNetworkSettings* self, NuvolaNetworkProxyType* type, gchar** host, gint* port);
static void nuvola_network_settings_finalize (GObject* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


static gpointer _g_object_ref0 (gpointer self) {
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	return self ? g_object_ref (self) : NULL;
#line 123 "NetworkSettings.c"
}


static void _nuvola_network_settings_on_proxy_type_toggled_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	nuvola_network_settings_on_proxy_type_toggled ((NuvolaNetworkSettings*) self, _sender);
#line 130 "NetworkSettings.c"
}


static void _nuvola_network_settings_on_proxy_server_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	nuvola_network_settings_on_proxy_server_changed ((NuvolaNetworkSettings*) self);
#line 137 "NetworkSettings.c"
}


static void _nuvola_network_settings_on_proxy_port_changed_gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	nuvola_network_settings_on_proxy_port_changed ((NuvolaNetworkSettings*) self);
#line 144 "NetworkSettings.c"
}


NuvolaNetworkSettings* nuvola_network_settings_construct (GType object_type, NuvolaConnection* connection) {
	NuvolaNetworkSettings * self = NULL;
	NuvolaConnection* _tmp0_ = NULL;
	NuvolaConnection* _tmp1_ = NULL;
	NuvolaConnection* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	NuvolaNetworkProxyType _tmp5_ = 0;
	gint row = 0;
	GtkRadioButton** _tmp6_ = NULL;
	GtkRadioButton** _tmp7_ = NULL;
	gint _tmp7__length1 = 0;
	const gchar* _tmp8_ = NULL;
	GtkRadioButton* _tmp9_ = NULL;
	GtkRadioButton* _tmp10_ = NULL;
	GtkRadioButton** _tmp11_ = NULL;
	gint _tmp11__length1 = 0;
	GtkRadioButton* _tmp12_ = NULL;
	NuvolaNetworkProxyType _tmp13_ = 0;
	GtkRadioButton** _tmp16_ = NULL;
	gint _tmp16__length1 = 0;
	GtkRadioButton* _tmp17_ = NULL;
	gint _tmp18_ = 0;
	GtkRadioButton** _tmp19_ = NULL;
	gint _tmp19__length1 = 0;
	GtkRadioButton** _tmp20_ = NULL;
	gint _tmp20__length1 = 0;
	GtkRadioButton* _tmp21_ = NULL;
	GSList* _tmp22_ = NULL;
	const gchar* _tmp23_ = NULL;
	GtkRadioButton* _tmp24_ = NULL;
	GtkRadioButton* _tmp25_ = NULL;
	GtkRadioButton** _tmp26_ = NULL;
	gint _tmp26__length1 = 0;
	GtkRadioButton* _tmp27_ = NULL;
	NuvolaNetworkProxyType _tmp28_ = 0;
	GtkRadioButton** _tmp31_ = NULL;
	gint _tmp31__length1 = 0;
	GtkRadioButton* _tmp32_ = NULL;
	gint _tmp33_ = 0;
	GtkRadioButton** _tmp34_ = NULL;
	gint _tmp34__length1 = 0;
	GtkRadioButton** _tmp35_ = NULL;
	gint _tmp35__length1 = 0;
	GtkRadioButton* _tmp36_ = NULL;
	GSList* _tmp37_ = NULL;
	const gchar* _tmp38_ = NULL;
	GtkRadioButton* _tmp39_ = NULL;
	GtkRadioButton* _tmp40_ = NULL;
	GtkRadioButton** _tmp41_ = NULL;
	gint _tmp41__length1 = 0;
	GtkRadioButton* _tmp42_ = NULL;
	NuvolaNetworkProxyType _tmp43_ = 0;
	GtkRadioButton** _tmp46_ = NULL;
	gint _tmp46__length1 = 0;
	GtkRadioButton* _tmp47_ = NULL;
	gint _tmp48_ = 0;
	GtkRadioButton** _tmp49_ = NULL;
	gint _tmp49__length1 = 0;
	GtkRadioButton** _tmp50_ = NULL;
	gint _tmp50__length1 = 0;
	GtkRadioButton* _tmp51_ = NULL;
	GSList* _tmp52_ = NULL;
	const gchar* _tmp53_ = NULL;
	GtkRadioButton* _tmp54_ = NULL;
	GtkRadioButton* _tmp55_ = NULL;
	GtkRadioButton** _tmp56_ = NULL;
	gint _tmp56__length1 = 0;
	GtkRadioButton* _tmp57_ = NULL;
	NuvolaNetworkProxyType _tmp58_ = 0;
	GtkRadioButton** _tmp61_ = NULL;
	gint _tmp61__length1 = 0;
	GtkRadioButton* _tmp62_ = NULL;
	gint _tmp63_ = 0;
	gboolean _tmp64_ = FALSE;
	NuvolaNetworkProxyType _tmp65_ = 0;
	gboolean manual_settings = FALSE;
	GtkLabel* label = NULL;
	const gchar* _tmp67_ = NULL;
	GtkLabel* _tmp68_ = NULL;
	GtkLabel* _tmp69_ = NULL;
	gint _tmp70_ = 0;
	GtkEntry* _tmp71_ = NULL;
	const gchar* _tmp72_ = NULL;
	const gchar* _tmp73_ = NULL;
	GtkEntry* _tmp74_ = NULL;
	GtkEntry* _tmp75_ = NULL;
	gboolean _tmp76_ = FALSE;
	GtkEntry* _tmp77_ = NULL;
	GtkEntry* _tmp78_ = NULL;
	gint _tmp79_ = 0;
	const gchar* _tmp80_ = NULL;
	GtkLabel* _tmp81_ = NULL;
	GtkLabel* _tmp82_ = NULL;
	gint _tmp83_ = 0;
	GtkSpinButton* _tmp84_ = NULL;
	GtkSpinButton* _tmp85_ = NULL;
	GtkSpinButton* _tmp86_ = NULL;
	GtkSpinButton* _tmp87_ = NULL;
	gint _tmp88_ = 0;
	GtkSpinButton* _tmp89_ = NULL;
	gboolean _tmp90_ = FALSE;
	GtkSpinButton* _tmp91_ = NULL;
	GtkSpinButton* _tmp92_ = NULL;
	gint _tmp93_ = 0;
	GtkRadioButton** _tmp94_ = NULL;
	gint _tmp94__length1 = 0;
	GtkEntry* _tmp97_ = NULL;
	GtkSpinButton* _tmp98_ = NULL;
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_return_val_if_fail (connection != NULL, NULL);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self = (NuvolaNetworkSettings*) g_object_new (object_type, NULL);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp0_ = connection;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (self->priv->connection);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv->connection = _tmp1_;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp2_ = connection;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp5_ = nuvola_connection_get_network_proxy (_tmp2_, &_tmp3_, &_tmp4_);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_free0 (self->priv->original_host);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv->original_host = _tmp3_;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv->original_port = _tmp4_;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv->original_type = _tmp5_;
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_hexpand ((GtkWidget*) self, TRUE);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_halign ((GtkWidget*) self, GTK_ALIGN_FILL);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_object_set ((GtkWidget*) self, "margin", 18, NULL);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 8);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_grid_set_column_spacing ((GtkGrid*) self, 18);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	row = 0;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp6_ = g_new0 (GtkRadioButton*, 4 + 1);
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv->proxy_types = (_vala_array_free (self->priv->proxy_types, self->priv->proxy_types_length1, (GDestroyNotify) g_object_unref), NULL);
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv->proxy_types = _tmp6_;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv->proxy_types_length1 = 4;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv->_proxy_types_size_ = self->priv->proxy_types_length1;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp7_ = self->priv->proxy_types;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp7__length1 = self->priv->proxy_types_length1;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp8_ = _ ("Use system network proxy settings");
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp9_ = (GtkRadioButton*) gtk_radio_button_new_with_label (NULL, _tmp8_);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_object_ref_sink (_tmp9_);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (_tmp7_[0]);
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp7_[0] = _tmp9_;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp10_ = _tmp7_[0];
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp11_ = self->priv->proxy_types;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp11__length1 = self->priv->proxy_types_length1;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp12_ = _tmp11_[0];
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp12_, TRUE);
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp13_ = self->priv->original_type;
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (_tmp13_ == NUVOLA_NETWORK_PROXY_TYPE_SYSTEM) {
#line 331 "NetworkSettings.c"
		GtkRadioButton** _tmp14_ = NULL;
		gint _tmp14__length1 = 0;
		GtkRadioButton* _tmp15_ = NULL;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp14_ = self->priv->proxy_types;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp14__length1 = self->priv->proxy_types_length1;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp15_ = _tmp14_[0];
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp15_, TRUE);
#line 343 "NetworkSettings.c"
	}
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp16_ = self->priv->proxy_types;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp16__length1 = self->priv->proxy_types_length1;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp17_ = _tmp16_[0];
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp18_ = row;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	row = _tmp18_ + 1;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp17_, 0, _tmp18_, 3, 1);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp19_ = self->priv->proxy_types;
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp19__length1 = self->priv->proxy_types_length1;
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp20_ = self->priv->proxy_types;
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp20__length1 = self->priv->proxy_types_length1;
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp21_ = _tmp20_[0];
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp22_ = gtk_radio_button_get_group (_tmp21_);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp23_ = _ ("Use direct connection without a proxy server");
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp24_ = (GtkRadioButton*) gtk_radio_button_new_with_label (_tmp22_, _tmp23_);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_object_ref_sink (_tmp24_);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (_tmp19_[1]);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp19_[1] = _tmp24_;
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp25_ = _tmp19_[1];
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp26_ = self->priv->proxy_types;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp26__length1 = self->priv->proxy_types_length1;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp27_ = _tmp26_[1];
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp27_, TRUE);
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp28_ = self->priv->original_type;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (_tmp28_ == NUVOLA_NETWORK_PROXY_TYPE_DIRECT) {
#line 393 "NetworkSettings.c"
		GtkRadioButton** _tmp29_ = NULL;
		gint _tmp29__length1 = 0;
		GtkRadioButton* _tmp30_ = NULL;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp29_ = self->priv->proxy_types;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp29__length1 = self->priv->proxy_types_length1;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp30_ = _tmp29_[1];
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp30_, TRUE);
#line 405 "NetworkSettings.c"
	}
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp31_ = self->priv->proxy_types;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp31__length1 = self->priv->proxy_types_length1;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp32_ = _tmp31_[1];
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp33_ = row;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	row = _tmp33_ + 1;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp32_, 0, _tmp33_, 3, 1);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp34_ = self->priv->proxy_types;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp34__length1 = self->priv->proxy_types_length1;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp35_ = self->priv->proxy_types;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp35__length1 = self->priv->proxy_types_length1;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp36_ = _tmp35_[0];
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp37_ = gtk_radio_button_get_group (_tmp36_);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp38_ = _ ("Use manual HTTP proxy settings");
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp39_ = (GtkRadioButton*) gtk_radio_button_new_with_label (_tmp37_, _tmp38_);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_object_ref_sink (_tmp39_);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (_tmp34_[2]);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp34_[2] = _tmp39_;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp40_ = _tmp34_[2];
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp41_ = self->priv->proxy_types;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp41__length1 = self->priv->proxy_types_length1;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp42_ = _tmp41_[2];
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp42_, TRUE);
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp43_ = self->priv->original_type;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (_tmp43_ == NUVOLA_NETWORK_PROXY_TYPE_HTTP) {
#line 455 "NetworkSettings.c"
		GtkRadioButton** _tmp44_ = NULL;
		gint _tmp44__length1 = 0;
		GtkRadioButton* _tmp45_ = NULL;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp44_ = self->priv->proxy_types;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp44__length1 = self->priv->proxy_types_length1;
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp45_ = _tmp44_[2];
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp45_, TRUE);
#line 467 "NetworkSettings.c"
	}
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp46_ = self->priv->proxy_types;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp46__length1 = self->priv->proxy_types_length1;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp47_ = _tmp46_[2];
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp48_ = row;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	row = _tmp48_ + 1;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp47_, 0, _tmp48_, 3, 1);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp49_ = self->priv->proxy_types;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp49__length1 = self->priv->proxy_types_length1;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp50_ = self->priv->proxy_types;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp50__length1 = self->priv->proxy_types_length1;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp51_ = _tmp50_[0];
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp52_ = gtk_radio_button_get_group (_tmp51_);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp53_ = _ ("Use manual SOCKS proxy settings");
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp54_ = (GtkRadioButton*) gtk_radio_button_new_with_label (_tmp52_, _tmp53_);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_object_ref_sink (_tmp54_);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (_tmp49_[3]);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp49_[3] = _tmp54_;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp55_ = _tmp49_[3];
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp56_ = self->priv->proxy_types;
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp56__length1 = self->priv->proxy_types_length1;
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp57_ = _tmp56_[3];
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp57_, TRUE);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp58_ = self->priv->original_type;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (_tmp58_ == NUVOLA_NETWORK_PROXY_TYPE_SOCKS) {
#line 517 "NetworkSettings.c"
		GtkRadioButton** _tmp59_ = NULL;
		gint _tmp59__length1 = 0;
		GtkRadioButton* _tmp60_ = NULL;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp59_ = self->priv->proxy_types;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp59__length1 = self->priv->proxy_types_length1;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp60_ = _tmp59_[3];
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp60_, TRUE);
#line 529 "NetworkSettings.c"
	}
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp61_ = self->priv->proxy_types;
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp61__length1 = self->priv->proxy_types_length1;
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp62_ = _tmp61_[3];
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp63_ = row;
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	row = _tmp63_ + 1;
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp62_, 0, _tmp63_, 3, 1);
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp65_ = self->priv->original_type;
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (_tmp65_ == NUVOLA_NETWORK_PROXY_TYPE_HTTP) {
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp64_ = TRUE;
#line 549 "NetworkSettings.c"
	} else {
		NuvolaNetworkProxyType _tmp66_ = 0;
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp66_ = self->priv->original_type;
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp64_ = _tmp66_ == NUVOLA_NETWORK_PROXY_TYPE_SOCKS;
#line 556 "NetworkSettings.c"
	}
#line 78 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	manual_settings = _tmp64_;
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp67_ = _ ("Proxy Server");
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp68_ = (GtkLabel*) gtk_label_new (_tmp67_);
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_object_ref_sink (_tmp68_);
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	label = _tmp68_;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp69_ = label;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp70_ = row;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp69_, 0, _tmp70_, 1, 1);
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp71_ = (GtkEntry*) gtk_entry_new ();
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_object_ref_sink (_tmp71_);
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (self->priv->proxy_server);
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv->proxy_server = _tmp71_;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp73_ = self->priv->original_host;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp72_ = _tmp73_;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (_tmp72_ == NULL) {
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp72_ = "";
#line 590 "NetworkSettings.c"
	}
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp74_ = self->priv->proxy_server;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_entry_set_text (_tmp74_, _tmp72_);
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp75_ = self->priv->proxy_server;
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp76_ = manual_settings;
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp75_, _tmp76_);
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp77_ = self->priv->proxy_server;
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp77_, TRUE);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp78_ = self->priv->proxy_server;
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp79_ = row;
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	row = _tmp79_ + 1;
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp78_, 1, _tmp79_, 2, 1);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp80_ = _ ("Proxy Server Port");
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp81_ = (GtkLabel*) gtk_label_new (_tmp80_);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_object_ref_sink (_tmp81_);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (label);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	label = _tmp81_;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp82_ = label;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp83_ = row;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp82_, 0, _tmp83_, 1, 1);
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp84_ = (GtkSpinButton*) gtk_spin_button_new_with_range (0.0, (gdouble) G_MAXINT32, 1.0);
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_object_ref_sink (_tmp84_);
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (self->priv->proxy_port);
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv->proxy_port = _tmp84_;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp85_ = self->priv->proxy_port;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_spin_button_set_digits (_tmp85_, (guint) 0);
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp86_ = self->priv->proxy_port;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_spin_button_set_snap_to_ticks (_tmp86_, TRUE);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp87_ = self->priv->proxy_port;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp88_ = self->priv->original_port;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_spin_button_set_value (_tmp87_, (gdouble) _tmp88_);
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp89_ = self->priv->proxy_port;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp90_ = manual_settings;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp89_, _tmp90_);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp91_ = self->priv->proxy_port;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp91_, TRUE);
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp92_ = self->priv->proxy_port;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp93_ = row;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	row = _tmp93_ + 1;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp92_, 1, _tmp93_, 2, 1);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp94_ = self->priv->proxy_types;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp94__length1 = self->priv->proxy_types_length1;
#line 674 "NetworkSettings.c"
	{
		GtkRadioButton** t_collection = NULL;
		gint t_collection_length1 = 0;
		gint _t_collection_size_ = 0;
		gint t_it = 0;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		t_collection = _tmp94_;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		t_collection_length1 = _tmp94__length1;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		for (t_it = 0; t_it < _tmp94__length1; t_it = t_it + 1) {
#line 686 "NetworkSettings.c"
			GtkRadioButton* _tmp95_ = NULL;
			GtkRadioButton* t = NULL;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			_tmp95_ = _g_object_ref0 (t_collection[t_it]);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			t = _tmp95_;
#line 693 "NetworkSettings.c"
			{
				GtkRadioButton* _tmp96_ = NULL;
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
				_tmp96_ = t;
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
				g_signal_connect_object ((GtkToggleButton*) _tmp96_, "toggled", (GCallback) _nuvola_network_settings_on_proxy_type_toggled_gtk_toggle_button_toggled, self, 0);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
				_g_object_unref0 (t);
#line 702 "NetworkSettings.c"
			}
		}
	}
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp97_ = self->priv->proxy_server;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_signal_connect_object ((GtkEditable*) _tmp97_, "changed", (GCallback) _nuvola_network_settings_on_proxy_server_changed_gtk_editable_changed, self, 0);
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp98_ = self->priv->proxy_port;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_signal_connect_object (_tmp98_, "value-changed", (GCallback) _nuvola_network_settings_on_proxy_port_changed_gtk_spin_button_value_changed, self, 0);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (label);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	return self;
#line 720 "NetworkSettings.c"
}


NuvolaNetworkSettings* nuvola_network_settings_new (NuvolaConnection* connection) {
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	return nuvola_network_settings_construct (NUVOLA_TYPE_NETWORK_SETTINGS, connection);
#line 727 "NetworkSettings.c"
}


static void nuvola_network_settings_on_change (NuvolaNetworkSettings* self) {
	GtkEntry* _tmp0_ = NULL;
	GtkSpinButton* _tmp1_ = NULL;
	NuvolaNetworkProxyType _tmp2_ = 0;
	gboolean _tmp3_ = FALSE;
#line 105 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_return_if_fail (self != NULL);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp0_ = self->priv->proxy_server;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp1_ = self->priv->proxy_port;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp2_ = nuvola_network_settings_get_proxy_type (self);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp3_ = nuvola_network_settings_is_manual_settings (self, _tmp2_);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp1_, _tmp3_);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, _tmp3_);
#line 750 "NetworkSettings.c"
}


static inline gboolean nuvola_network_settings_is_manual_settings (NuvolaNetworkSettings* self, NuvolaNetworkProxyType type) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	NuvolaNetworkProxyType _tmp1_ = 0;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp1_ = type;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (_tmp1_ == NUVOLA_NETWORK_PROXY_TYPE_HTTP) {
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp0_ = TRUE;
#line 766 "NetworkSettings.c"
	} else {
		NuvolaNetworkProxyType _tmp2_ = 0;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp2_ = type;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp0_ = _tmp2_ == NUVOLA_NETWORK_PROXY_TYPE_SOCKS;
#line 773 "NetworkSettings.c"
	}
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	result = _tmp0_;
#line 112 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	return result;
#line 779 "NetworkSettings.c"
}


static NuvolaNetworkProxyType nuvola_network_settings_get_proxy_type (NuvolaNetworkSettings* self) {
	NuvolaNetworkProxyType result = 0;
	NuvolaNetworkProxyType type = 0;
	GtkRadioButton** _tmp0_ = NULL;
	gint _tmp0__length1 = 0;
	GtkRadioButton* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	type = NUVOLA_NETWORK_PROXY_TYPE_SYSTEM;
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp0_ = self->priv->proxy_types;
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp0__length1 = self->priv->proxy_types_length1;
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp1_ = _tmp0_[0];
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp3_ = _tmp2_;
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (_tmp3_) {
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		type = NUVOLA_NETWORK_PROXY_TYPE_SYSTEM;
#line 809 "NetworkSettings.c"
	} else {
		GtkRadioButton** _tmp4_ = NULL;
		gint _tmp4__length1 = 0;
		GtkRadioButton* _tmp5_ = NULL;
		gboolean _tmp6_ = FALSE;
		gboolean _tmp7_ = FALSE;
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp4_ = self->priv->proxy_types;
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp4__length1 = self->priv->proxy_types_length1;
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp5_ = _tmp4_[1];
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp6_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp5_);
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp7_ = _tmp6_;
#line 120 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		if (_tmp7_) {
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			type = NUVOLA_NETWORK_PROXY_TYPE_DIRECT;
#line 830 "NetworkSettings.c"
		} else {
			GtkRadioButton** _tmp8_ = NULL;
			gint _tmp8__length1 = 0;
			GtkRadioButton* _tmp9_ = NULL;
			gboolean _tmp10_ = FALSE;
			gboolean _tmp11_ = FALSE;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			_tmp8_ = self->priv->proxy_types;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			_tmp8__length1 = self->priv->proxy_types_length1;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			_tmp9_ = _tmp8_[2];
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			_tmp10_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp9_);
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			_tmp11_ = _tmp10_;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			if (_tmp11_) {
#line 123 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
				type = NUVOLA_NETWORK_PROXY_TYPE_HTTP;
#line 851 "NetworkSettings.c"
			} else {
				GtkRadioButton** _tmp12_ = NULL;
				gint _tmp12__length1 = 0;
				GtkRadioButton* _tmp13_ = NULL;
				gboolean _tmp14_ = FALSE;
				gboolean _tmp15_ = FALSE;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
				_tmp12_ = self->priv->proxy_types;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
				_tmp12__length1 = self->priv->proxy_types_length1;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
				_tmp13_ = _tmp12_[3];
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
				_tmp14_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp13_);
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
				_tmp15_ = _tmp14_;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
				if (_tmp15_) {
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
					type = NUVOLA_NETWORK_PROXY_TYPE_SOCKS;
#line 872 "NetworkSettings.c"
				}
			}
		}
	}
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	result = type;
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	return result;
#line 881 "NetworkSettings.c"
}


gboolean nuvola_network_settings_get_proxy_settings (NuvolaNetworkSettings* self, NuvolaNetworkProxyType* type, gchar** host, gint* port) {
	NuvolaNetworkProxyType _vala_type = 0;
	gchar* _vala_host = NULL;
	gint _vala_port = 0;
	gboolean result = FALSE;
	GtkEntry* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	GtkSpinButton* _tmp5_ = NULL;
	gdouble _tmp6_ = 0.0;
	gdouble _tmp7_ = 0.0;
	NuvolaNetworkProxyType _tmp8_ = 0;
	gboolean changed = FALSE;
	NuvolaNetworkProxyType _tmp9_ = 0;
	NuvolaNetworkProxyType _tmp10_ = 0;
	gboolean _tmp11_ = FALSE;
	NuvolaNetworkProxyType _tmp12_ = 0;
	gboolean _tmp13_ = FALSE;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp0_ = self->priv->proxy_server;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp2_ = _tmp1_;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_free0 (_vala_host);
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_vala_host = _tmp3_;
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp4_ = _vala_host;
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (g_strcmp0 (_tmp4_, "") == 0) {
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_g_free0 (_vala_host);
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_vala_host = NULL;
#line 927 "NetworkSettings.c"
	}
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp5_ = self->priv->proxy_port;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp6_ = gtk_spin_button_get_value (_tmp5_);
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp7_ = _tmp6_;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_vala_port = (gint) _tmp7_;
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp8_ = nuvola_network_settings_get_proxy_type (self);
#line 135 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_vala_type = _tmp8_;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp9_ = _vala_type;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp10_ = self->priv->original_type;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	changed = _tmp9_ != _tmp10_;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp12_ = _vala_type;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp13_ = nuvola_network_settings_is_manual_settings (self, _tmp12_);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (_tmp13_) {
#line 953 "NetworkSettings.c"
		gboolean _tmp14_ = FALSE;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp14_ = changed;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp11_ = !_tmp14_;
#line 959 "NetworkSettings.c"
	} else {
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp11_ = FALSE;
#line 963 "NetworkSettings.c"
	}
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (_tmp11_) {
#line 967 "NetworkSettings.c"
		gboolean _tmp15_ = FALSE;
		const gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp16_ = _vala_host;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_tmp17_ = self->priv->original_host;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		if (g_strcmp0 (_tmp16_, _tmp17_) != 0) {
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			_tmp15_ = TRUE;
#line 979 "NetworkSettings.c"
		} else {
			gint _tmp18_ = 0;
			gint _tmp19_ = 0;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			_tmp18_ = _vala_port;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			_tmp19_ = self->priv->original_port;
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
			_tmp15_ = _tmp18_ != _tmp19_;
#line 989 "NetworkSettings.c"
		}
#line 138 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		changed = _tmp15_;
#line 993 "NetworkSettings.c"
	}
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	result = changed;
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (type) {
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		*type = _vala_type;
#line 1001 "NetworkSettings.c"
	}
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (host) {
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		*host = _vala_host;
#line 1007 "NetworkSettings.c"
	} else {
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		_g_free0 (_vala_host);
#line 1011 "NetworkSettings.c"
	}
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (port) {
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		*port = _vala_port;
#line 1017 "NetworkSettings.c"
	}
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	return result;
#line 1021 "NetworkSettings.c"
}


static void nuvola_network_settings_on_proxy_type_toggled (NuvolaNetworkSettings* self, GtkToggleButton* button) {
	GtkToggleButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_return_if_fail (self != NULL);
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_return_if_fail (button != NULL);
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp0_ = button;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp1_ = gtk_toggle_button_get_active (_tmp0_);
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_tmp2_ = _tmp1_;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	if (_tmp2_) {
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
		nuvola_network_settings_on_change (self);
#line 1043 "NetworkSettings.c"
	}
}


static void nuvola_network_settings_on_proxy_server_changed (NuvolaNetworkSettings* self) {
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_return_if_fail (self != NULL);
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	nuvola_network_settings_on_change (self);
#line 1053 "NetworkSettings.c"
}


static void nuvola_network_settings_on_proxy_port_changed (NuvolaNetworkSettings* self) {
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_return_if_fail (self != NULL);
#line 155 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	nuvola_network_settings_on_change (self);
#line 1062 "NetworkSettings.c"
}


static void nuvola_network_settings_class_init (NuvolaNetworkSettingsClass * klass) {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	nuvola_network_settings_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	g_type_class_add_private (klass, sizeof (NuvolaNetworkSettingsPrivate));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_network_settings_finalize;
#line 1073 "NetworkSettings.c"
}


static void nuvola_network_settings_instance_init (NuvolaNetworkSettings * self) {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv = NUVOLA_NETWORK_SETTINGS_GET_PRIVATE (self);
#line 1080 "NetworkSettings.c"
}


static void nuvola_network_settings_finalize (GObject* obj) {
	NuvolaNetworkSettings * self;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_NETWORK_SETTINGS, NuvolaNetworkSettings);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (self->priv->connection);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	self->priv->proxy_types = (_vala_array_free (self->priv->proxy_types, self->priv->proxy_types_length1, (GDestroyNotify) g_object_unref), NULL);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (self->priv->proxy_server);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_object_unref0 (self->priv->proxy_port);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	_g_free0 (self->priv->original_host);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/NetworkSettings.vala"
	G_OBJECT_CLASS (nuvola_network_settings_parent_class)->finalize (obj);
#line 1100 "NetworkSettings.c"
}


GType nuvola_network_settings_get_type (void) {
	static volatile gsize nuvola_network_settings_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_network_settings_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaNetworkSettingsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_network_settings_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaNetworkSettings), 0, (GInstanceInitFunc) nuvola_network_settings_instance_init, NULL };
		GType nuvola_network_settings_type_id;
		nuvola_network_settings_type_id = g_type_register_static (gtk_grid_get_type (), "NuvolaNetworkSettings", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_network_settings_type_id__volatile, nuvola_network_settings_type_id);
	}
	return nuvola_network_settings_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



