/* WebAppStorage.c generated by valac 0.34.8, the Vala compiler
 * generated from WebAppStorage.vala, do not modify */

/*
 * Copyright 2014 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <gio/gio.h>


#define NUVOLA_TYPE_WEB_APP_STORAGE (nuvola_web_app_storage_get_type ())
#define NUVOLA_WEB_APP_STORAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_WEB_APP_STORAGE, NuvolaWebAppStorage))
#define NUVOLA_WEB_APP_STORAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_WEB_APP_STORAGE, NuvolaWebAppStorageClass))
#define NUVOLA_IS_WEB_APP_STORAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_WEB_APP_STORAGE))
#define NUVOLA_IS_WEB_APP_STORAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_WEB_APP_STORAGE))
#define NUVOLA_WEB_APP_STORAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_WEB_APP_STORAGE, NuvolaWebAppStorageClass))

typedef struct _NuvolaWebAppStorage NuvolaWebAppStorage;
typedef struct _NuvolaWebAppStorageClass NuvolaWebAppStorageClass;
typedef struct _NuvolaWebAppStoragePrivate NuvolaWebAppStoragePrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _NuvolaWebAppStorage {
	GObject parent_instance;
	NuvolaWebAppStoragePrivate * priv;
};

struct _NuvolaWebAppStorageClass {
	GObjectClass parent_class;
};

struct _NuvolaWebAppStoragePrivate {
	GFile* _config_dir;
	GFile* _data_dir;
	GFile* _cache_dir;
};


static gpointer nuvola_web_app_storage_parent_class = NULL;

GType nuvola_web_app_storage_get_type (void) G_GNUC_CONST;
#define NUVOLA_WEB_APP_STORAGE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_WEB_APP_STORAGE, NuvolaWebAppStoragePrivate))
enum  {
	NUVOLA_WEB_APP_STORAGE_DUMMY_PROPERTY,
	NUVOLA_WEB_APP_STORAGE_CONFIG_DIR,
	NUVOLA_WEB_APP_STORAGE_DATA_DIR,
	NUVOLA_WEB_APP_STORAGE_CACHE_DIR
};
NuvolaWebAppStorage* nuvola_web_app_storage_new (GFile* config_dir, GFile* data_dir, GFile* cache_dir);
NuvolaWebAppStorage* nuvola_web_app_storage_construct (GType object_type, GFile* config_dir, GFile* data_dir, GFile* cache_dir);
GFile* nuvola_web_app_storage_get_config_dir (NuvolaWebAppStorage* self);
static void nuvola_web_app_storage_set_config_dir (NuvolaWebAppStorage* self, GFile* value);
GFile* nuvola_web_app_storage_get_data_dir (NuvolaWebAppStorage* self);
static void nuvola_web_app_storage_set_data_dir (NuvolaWebAppStorage* self, GFile* value);
GFile* nuvola_web_app_storage_get_cache_dir (NuvolaWebAppStorage* self);
static void nuvola_web_app_storage_set_cache_dir (NuvolaWebAppStorage* self, GFile* value);
static void nuvola_web_app_storage_finalize (GObject* obj);
static void _vala_nuvola_web_app_storage_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_nuvola_web_app_storage_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


NuvolaWebAppStorage* nuvola_web_app_storage_construct (GType object_type, GFile* config_dir, GFile* data_dir, GFile* cache_dir) {
	NuvolaWebAppStorage * self = NULL;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_return_val_if_fail (config_dir != NULL, NULL);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_return_val_if_fail (data_dir != NULL, NULL);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_return_val_if_fail (cache_dir != NULL, NULL);
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp0_ = config_dir;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp1_ = data_dir;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp2_ = cache_dir;
#line 36 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	self = (NuvolaWebAppStorage*) g_object_new (object_type, "config-dir", _tmp0_, "data-dir", _tmp1_, "cache-dir", _tmp2_, NULL);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	return self;
#line 106 "WebAppStorage.c"
}


NuvolaWebAppStorage* nuvola_web_app_storage_new (GFile* config_dir, GFile* data_dir, GFile* cache_dir) {
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	return nuvola_web_app_storage_construct (NUVOLA_TYPE_WEB_APP_STORAGE, config_dir, data_dir, cache_dir);
#line 113 "WebAppStorage.c"
}


GFile* nuvola_web_app_storage_get_config_dir (NuvolaWebAppStorage* self) {
	GFile* result;
	GFile* _tmp0_ = NULL;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp0_ = self->priv->_config_dir;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	result = _tmp0_;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	return result;
#line 128 "WebAppStorage.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	return self ? g_object_ref (self) : NULL;
#line 135 "WebAppStorage.c"
}


static void nuvola_web_app_storage_set_config_dir (NuvolaWebAppStorage* self, GFile* value) {
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_return_if_fail (self != NULL);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp0_ = value;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_g_object_unref0 (self->priv->_config_dir);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	self->priv->_config_dir = _tmp1_;
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_object_notify ((GObject *) self, "config-dir");
#line 154 "WebAppStorage.c"
}


GFile* nuvola_web_app_storage_get_data_dir (NuvolaWebAppStorage* self) {
	GFile* result;
	GFile* _tmp0_ = NULL;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp0_ = self->priv->_data_dir;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	result = _tmp0_;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	return result;
#line 169 "WebAppStorage.c"
}


static void nuvola_web_app_storage_set_data_dir (NuvolaWebAppStorage* self, GFile* value) {
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_return_if_fail (self != NULL);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp0_ = value;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_g_object_unref0 (self->priv->_data_dir);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	self->priv->_data_dir = _tmp1_;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_object_notify ((GObject *) self, "data-dir");
#line 188 "WebAppStorage.c"
}


GFile* nuvola_web_app_storage_get_cache_dir (NuvolaWebAppStorage* self) {
	GFile* result;
	GFile* _tmp0_ = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp0_ = self->priv->_cache_dir;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	result = _tmp0_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	return result;
#line 203 "WebAppStorage.c"
}


static void nuvola_web_app_storage_set_cache_dir (NuvolaWebAppStorage* self, GFile* value) {
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_return_if_fail (self != NULL);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp0_ = value;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_g_object_unref0 (self->priv->_cache_dir);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	self->priv->_cache_dir = _tmp1_;
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_object_notify ((GObject *) self, "cache-dir");
#line 222 "WebAppStorage.c"
}


static void nuvola_web_app_storage_class_init (NuvolaWebAppStorageClass * klass) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	nuvola_web_app_storage_parent_class = g_type_class_peek_parent (klass);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_type_class_add_private (klass, sizeof (NuvolaWebAppStoragePrivate));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_web_app_storage_get_property;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_web_app_storage_set_property;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_web_app_storage_finalize;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_WEB_APP_STORAGE_CONFIG_DIR, g_param_spec_object ("config-dir", "config-dir", "config-dir", g_file_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_WEB_APP_STORAGE_DATA_DIR, g_param_spec_object ("data-dir", "data-dir", "data-dir", g_file_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_WEB_APP_STORAGE_CACHE_DIR, g_param_spec_object ("cache-dir", "cache-dir", "cache-dir", g_file_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 243 "WebAppStorage.c"
}


static void nuvola_web_app_storage_instance_init (NuvolaWebAppStorage * self) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	self->priv = NUVOLA_WEB_APP_STORAGE_GET_PRIVATE (self);
#line 250 "WebAppStorage.c"
}


static void nuvola_web_app_storage_finalize (GObject* obj) {
	NuvolaWebAppStorage * self;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_WEB_APP_STORAGE, NuvolaWebAppStorage);
#line 30 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_g_object_unref0 (self->priv->_config_dir);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_g_object_unref0 (self->priv->_data_dir);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	_g_object_unref0 (self->priv->_cache_dir);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	G_OBJECT_CLASS (nuvola_web_app_storage_parent_class)->finalize (obj);
#line 266 "WebAppStorage.c"
}


GType nuvola_web_app_storage_get_type (void) {
	static volatile gsize nuvola_web_app_storage_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_web_app_storage_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaWebAppStorageClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_web_app_storage_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaWebAppStorage), 0, (GInstanceInitFunc) nuvola_web_app_storage_instance_init, NULL };
		GType nuvola_web_app_storage_type_id;
		nuvola_web_app_storage_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaWebAppStorage", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_web_app_storage_type_id__volatile, nuvola_web_app_storage_type_id);
	}
	return nuvola_web_app_storage_type_id__volatile;
}


static void _vala_nuvola_web_app_storage_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaWebAppStorage * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_WEB_APP_STORAGE, NuvolaWebAppStorage);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	switch (property_id) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		case NUVOLA_WEB_APP_STORAGE_CONFIG_DIR:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		g_value_set_object (value, nuvola_web_app_storage_get_config_dir (self));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		case NUVOLA_WEB_APP_STORAGE_DATA_DIR:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		g_value_set_object (value, nuvola_web_app_storage_get_data_dir (self));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		case NUVOLA_WEB_APP_STORAGE_CACHE_DIR:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		g_value_set_object (value, nuvola_web_app_storage_get_cache_dir (self));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		break;
#line 305 "WebAppStorage.c"
		default:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		break;
#line 311 "WebAppStorage.c"
	}
}


static void _vala_nuvola_web_app_storage_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaWebAppStorage * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_WEB_APP_STORAGE, NuvolaWebAppStorage);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
	switch (property_id) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		case NUVOLA_WEB_APP_STORAGE_CONFIG_DIR:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		nuvola_web_app_storage_set_config_dir (self, g_value_get_object (value));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		case NUVOLA_WEB_APP_STORAGE_DATA_DIR:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		nuvola_web_app_storage_set_data_dir (self, g_value_get_object (value));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		break;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		case NUVOLA_WEB_APP_STORAGE_CACHE_DIR:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		nuvola_web_app_storage_set_cache_dir (self, g_value_get_object (value));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		break;
#line 339 "WebAppStorage.c"
		default:
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/core/WebAppStorage.vala"
		break;
#line 345 "WebAppStorage.c"
	}
}



