/* WebView.c generated by valac 0.34.8, the Vala compiler
 * generated from WebView.vala, do not modify */

/*
 * Copyright 2014 Jiří Janoušek <janousek.jiri@gmail.com>
 * Copyright 2014 Martin Pöhlmann <martin.deimos@gmx.de>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <webkit2/webkit2.h>
#include <gtk/gtk.h>
#include <float.h>
#include <math.h>
#include <gdk/gdk.h>


#define NUVOLA_TYPE_WEB_VIEW (nuvola_web_view_get_type ())
#define NUVOLA_WEB_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_WEB_VIEW, NuvolaWebView))
#define NUVOLA_WEB_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_WEB_VIEW, NuvolaWebViewClass))
#define NUVOLA_IS_WEB_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_WEB_VIEW))
#define NUVOLA_IS_WEB_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_WEB_VIEW))
#define NUVOLA_WEB_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_WEB_VIEW, NuvolaWebViewClass))

typedef struct _NuvolaWebView NuvolaWebView;
typedef struct _NuvolaWebViewClass NuvolaWebViewClass;
typedef struct _NuvolaWebViewPrivate NuvolaWebViewPrivate;

#define NUVOLA_TYPE_WEB_WINDOW (nuvola_web_window_get_type ())
#define NUVOLA_WEB_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_WEB_WINDOW, NuvolaWebWindow))
#define NUVOLA_WEB_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_WEB_WINDOW, NuvolaWebWindowClass))
#define NUVOLA_IS_WEB_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_WEB_WINDOW))
#define NUVOLA_IS_WEB_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_WEB_WINDOW))
#define NUVOLA_WEB_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_WEB_WINDOW, NuvolaWebWindowClass))

typedef struct _NuvolaWebWindow NuvolaWebWindow;
typedef struct _NuvolaWebWindowClass NuvolaWebWindowClass;
#define __g_slist_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_slist_free__g_object_unref0_ (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

struct _NuvolaWebView {
	WebKitWebView parent_instance;
	NuvolaWebViewPrivate * priv;
};

struct _NuvolaWebViewClass {
	WebKitWebViewClass parent_class;
};

struct _NuvolaWebViewPrivate {
	GSList* web_windows;
};


static gpointer nuvola_web_view_parent_class = NULL;

GType nuvola_web_view_get_type (void) G_GNUC_CONST;
GType nuvola_web_window_get_type (void) G_GNUC_CONST;
#define NUVOLA_WEB_VIEW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_WEB_VIEW, NuvolaWebViewPrivate))
enum  {
	NUVOLA_WEB_VIEW_DUMMY_PROPERTY
};
static void _g_object_unref0_ (gpointer var);
static void _g_slist_free__g_object_unref0_ (GSList* self);
#define NUVOLA_WEB_VIEW_ZOOM_DEFAULT 1.0
#define NUVOLA_WEB_VIEW_ZOOM_STEP 1.2
NuvolaWebView* nuvola_web_view_new (WebKitWebContext* context);
NuvolaWebView* nuvola_web_view_construct (GType object_type, WebKitWebContext* context);
static gboolean nuvola_web_view_on_button_released (NuvolaWebView* self, GdkEventButton* event);
static gboolean _nuvola_web_view_on_button_released_gtk_widget_button_release_event (GtkWidget* _sender, GdkEventButton* event, gpointer self);
static GtkWidget* nuvola_web_view_on_web_view_create (NuvolaWebView* self);
static GtkWidget* _nuvola_web_view_on_web_view_create_webkit_web_view_create (WebKitWebView* _sender, WebKitNavigationAction* navigation_action, gpointer self);
void nuvola_web_view_zoom_in (NuvolaWebView* self);
void nuvola_web_view_zoom_out (NuvolaWebView* self);
void nuvola_web_view_zoom_reset (NuvolaWebView* self);
NuvolaWebWindow* nuvola_web_window_new (WebKitWebView* web_view);
NuvolaWebWindow* nuvola_web_window_construct (GType object_type, WebKitWebView* web_view);
static void nuvola_web_view_on_web_window_destroy (NuvolaWebView* self, GtkWidget* window);
static void _nuvola_web_view_on_web_window_destroy_gtk_widget_destroy (GtkWidget* _sender, gpointer self);
static void nuvola_web_view_finalize (GObject* obj);


static void _g_object_unref0_ (gpointer var) {
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 111 "WebView.c"
}


static void _g_slist_free__g_object_unref0_ (GSList* self) {
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_slist_foreach (self, (GFunc) _g_object_unref0_, NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_slist_free (self);
#line 120 "WebView.c"
}


static gboolean _nuvola_web_view_on_button_released_gtk_widget_button_release_event (GtkWidget* _sender, GdkEventButton* event, gpointer self) {
	gboolean result;
	result = nuvola_web_view_on_button_released ((NuvolaWebView*) self, event);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	return result;
#line 129 "WebView.c"
}


static GtkWidget* _nuvola_web_view_on_web_view_create_webkit_web_view_create (WebKitWebView* _sender, WebKitNavigationAction* navigation_action, gpointer self) {
	GtkWidget* result;
	result = nuvola_web_view_on_web_view_create ((NuvolaWebView*) self);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	return result;
#line 138 "WebView.c"
}


NuvolaWebView* nuvola_web_view_construct (GType object_type, WebKitWebContext* context) {
	NuvolaWebView * self = NULL;
	WebKitWebContext* _tmp0_ = NULL;
	WebKitSettings* ws = NULL;
	WebKitSettings* _tmp1_ = NULL;
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_return_val_if_fail (context != NULL, NULL);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp0_ = context;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	self = (NuvolaWebView*) g_object_new (object_type, "web-context", _tmp0_, NULL);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp1_ = webkit_web_view_get_settings ((WebKitWebView*) self);
#line 38 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	ws = _tmp1_;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_settings_set_enable_developer_extras (ws, TRUE);
#line 40 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_settings_set_enable_java (ws, FALSE);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_settings_set_enable_page_cache (ws, FALSE);
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_settings_set_enable_smooth_scrolling (ws, TRUE);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_settings_set_enable_write_console_messages_to_stdout (ws, TRUE);
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_settings_set_enable_caret_browsing (ws, TRUE);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_settings_set_enable_webaudio (ws, TRUE);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_settings_set_enable_media_stream (ws, TRUE);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_settings_set_enable_mediasource (ws, TRUE);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_signal_connect_object ((GtkWidget*) self, "button-release-event", (GCallback) _nuvola_web_view_on_button_released_gtk_widget_button_release_event, self, 0);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_signal_connect_object ((WebKitWebView*) self, "create", (GCallback) _nuvola_web_view_on_web_view_create_webkit_web_view_create, self, 0);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	return self;
#line 181 "WebView.c"
}


NuvolaWebView* nuvola_web_view_new (WebKitWebContext* context) {
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	return nuvola_web_view_construct (NUVOLA_TYPE_WEB_VIEW, context);
#line 188 "WebView.c"
}


/**
 * Handles special mouse buttons (back & forward navigation)
 */
static gboolean nuvola_web_view_on_button_released (NuvolaWebView* self, GdkEventButton* event) {
	gboolean result = FALSE;
	GdkEventButton* _tmp0_ = NULL;
	guint _tmp1_ = 0U;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp0_ = event;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp1_ = _tmp0_->button;
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	switch (_tmp1_) {
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
		case 8:
#line 211 "WebView.c"
		{
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
			webkit_web_view_go_back ((WebKitWebView*) self);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
			result = TRUE;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
			return result;
#line 219 "WebView.c"
		}
#line 57 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
		case 9:
#line 223 "WebView.c"
		{
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
			webkit_web_view_go_forward ((WebKitWebView*) self);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
			result = TRUE;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
			return result;
#line 231 "WebView.c"
		}
		default:
		{
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
			result = FALSE;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
			return result;
#line 239 "WebView.c"
		}
	}
}


void nuvola_web_view_zoom_in (NuvolaWebView* self) {
	gdouble _tmp0_ = 0.0;
	gdouble _tmp1_ = 0.0;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_return_if_fail (self != NULL);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp0_ = webkit_web_view_get_zoom_level ((WebKitWebView*) self);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp1_ = _tmp0_;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_web_view_set_zoom_level ((WebKitWebView*) self, _tmp1_ * NUVOLA_WEB_VIEW_ZOOM_STEP);
#line 256 "WebView.c"
}


void nuvola_web_view_zoom_out (NuvolaWebView* self) {
	gdouble _tmp0_ = 0.0;
	gdouble _tmp1_ = 0.0;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_return_if_fail (self != NULL);
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp0_ = webkit_web_view_get_zoom_level ((WebKitWebView*) self);
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp1_ = _tmp0_;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_web_view_set_zoom_level ((WebKitWebView*) self, _tmp1_ / NUVOLA_WEB_VIEW_ZOOM_STEP);
#line 271 "WebView.c"
}


void nuvola_web_view_zoom_reset (NuvolaWebView* self) {
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_return_if_fail (self != NULL);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	webkit_web_view_set_zoom_level ((WebKitWebView*) self, NUVOLA_WEB_VIEW_ZOOM_DEFAULT);
#line 280 "WebView.c"
}


static void _nuvola_web_view_on_web_window_destroy_gtk_widget_destroy (GtkWidget* _sender, gpointer self) {
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	nuvola_web_view_on_web_window_destroy ((NuvolaWebView*) self, _sender);
#line 287 "WebView.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	return self ? g_object_ref (self) : NULL;
#line 294 "WebView.c"
}


static GtkWidget* nuvola_web_view_on_web_view_create (NuvolaWebView* self) {
	GtkWidget* result = NULL;
	NuvolaWebView* web_view = NULL;
	WebKitWebContext* _tmp0_ = NULL;
	WebKitWebContext* _tmp1_ = NULL;
	WebKitWebContext* _tmp2_ = NULL;
	NuvolaWebView* _tmp3_ = NULL;
	NuvolaWebView* _tmp4_ = NULL;
	NuvolaWebWindow* web_window = NULL;
	NuvolaWebWindow* _tmp5_ = NULL;
	NuvolaWebWindow* _tmp6_ = NULL;
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_object_get ((WebKitWebView*) self, "web-context", &_tmp0_, NULL);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp1_ = _tmp0_;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp2_ = _tmp1_;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp3_ = nuvola_web_view_new (_tmp2_);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_object_ref_sink (_tmp3_);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp4_ = _tmp3_;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_g_object_unref0 (_tmp2_);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	web_view = _tmp4_;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp5_ = nuvola_web_window_new ((WebKitWebView*) web_view);
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_object_ref_sink (_tmp5_);
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	web_window = _tmp5_;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_signal_connect_object ((GtkWidget*) web_window, "destroy", (GCallback) _nuvola_web_view_on_web_window_destroy_gtk_widget_destroy, self, 0);
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp6_ = _g_object_ref0 (web_window);
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	self->priv->web_windows = g_slist_prepend (self->priv->web_windows, _tmp6_);
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	result = (GtkWidget*) web_view;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_g_object_unref0 (web_window);
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	return result;
#line 345 "WebView.c"
}


static void nuvola_web_view_on_web_window_destroy (NuvolaWebView* self, GtkWidget* window) {
	NuvolaWebWindow* web_window = NULL;
	GtkWidget* _tmp0_ = NULL;
	NuvolaWebWindow* _tmp1_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_return_if_fail (self != NULL);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_return_if_fail (window != NULL);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp0_ = window;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_tmp1_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, NUVOLA_TYPE_WEB_WINDOW) ? ((NuvolaWebWindow*) _tmp0_) : NULL);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	web_window = _tmp1_;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_vala_assert (web_window != NULL, "web_window != null");
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	self->priv->web_windows = g_slist_remove (self->priv->web_windows, web_window);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	_g_object_unref0 (web_window);
#line 369 "WebView.c"
}


static void nuvola_web_view_class_init (NuvolaWebViewClass * klass) {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	nuvola_web_view_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	g_type_class_add_private (klass, sizeof (NuvolaWebViewPrivate));
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_web_view_finalize;
#line 380 "WebView.c"
}


static void nuvola_web_view_instance_init (NuvolaWebView * self) {
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	self->priv = NUVOLA_WEB_VIEW_GET_PRIVATE (self);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	self->priv->web_windows = NULL;
#line 389 "WebView.c"
}


static void nuvola_web_view_finalize (GObject* obj) {
	NuvolaWebView * self;
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_WEB_VIEW, NuvolaWebView);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	__g_slist_free__g_object_unref0_0 (self->priv->web_windows);
#line 29 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/webkit/WebView.vala"
	G_OBJECT_CLASS (nuvola_web_view_parent_class)->finalize (obj);
#line 401 "WebView.c"
}


GType nuvola_web_view_get_type (void) {
	static volatile gsize nuvola_web_view_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_web_view_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaWebViewClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_web_view_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaWebView), 0, (GInstanceInitFunc) nuvola_web_view_instance_init, NULL };
		GType nuvola_web_view_type_id;
		nuvola_web_view_type_id = g_type_register_static (webkit_web_view_get_type (), "NuvolaWebView", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_web_view_type_id__volatile, nuvola_web_view_type_id);
	}
	return nuvola_web_view_type_id__volatile;
}



