/* WelcomeWindow.c generated by valac 0.34.8, the Vala compiler
 * generated from WelcomeWindow.vala, do not modify */

/*
 * Copyright 2015-2017 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <dioritegtk-0.3.h>
#include <webkit2/webkit2.h>
#include <stdlib.h>
#include <string.h>
#include <dioriteglib-0.3.h>
#include <gio/gio.h>
#include <gdk/gdk.h>
#include <float.h>
#include <math.h>


#define NUVOLA_TYPE_WELCOME_SCREEN (nuvola_welcome_screen_get_type ())
#define NUVOLA_WELCOME_SCREEN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_WELCOME_SCREEN, NuvolaWelcomeScreen))
#define NUVOLA_WELCOME_SCREEN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_WELCOME_SCREEN, NuvolaWelcomeScreenClass))
#define NUVOLA_IS_WELCOME_SCREEN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_WELCOME_SCREEN))
#define NUVOLA_IS_WELCOME_SCREEN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_WELCOME_SCREEN))
#define NUVOLA_WELCOME_SCREEN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_WELCOME_SCREEN, NuvolaWelcomeScreenClass))

typedef struct _NuvolaWelcomeScreen NuvolaWelcomeScreen;
typedef struct _NuvolaWelcomeScreenClass NuvolaWelcomeScreenClass;
typedef struct _NuvolaWelcomeScreenPrivate NuvolaWelcomeScreenPrivate;

#define NUVOLA_TYPE_WEB_VIEW (nuvola_web_view_get_type ())
#define NUVOLA_WEB_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_WEB_VIEW, NuvolaWebView))
#define NUVOLA_WEB_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_WEB_VIEW, NuvolaWebViewClass))
#define NUVOLA_IS_WEB_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_WEB_VIEW))
#define NUVOLA_IS_WEB_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_WEB_VIEW))
#define NUVOLA_WEB_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_WEB_VIEW, NuvolaWebViewClass))

typedef struct _NuvolaWebView NuvolaWebView;
typedef struct _NuvolaWebViewClass NuvolaWebViewClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _webkit_javascript_result_unref0(var) ((var == NULL) ? NULL : (var = (webkit_javascript_result_unref (var), NULL)))

struct _NuvolaWelcomeScreen {
	GtkGrid parent_instance;
	NuvolaWelcomeScreenPrivate * priv;
};

struct _NuvolaWelcomeScreenClass {
	GtkGridClass parent_class;
};

struct _NuvolaWelcomeScreenPrivate {
	GtkGrid* grid;
	DioriteApplication* app;
	NuvolaWebView* web_view;
	DioriteRichTextView* welcome_text;
	GtkScrolledWindow* scroll;
};


static gpointer nuvola_welcome_screen_parent_class = NULL;

GType nuvola_welcome_screen_get_type (void) G_GNUC_CONST;
GType nuvola_web_view_get_type (void) G_GNUC_CONST;
#define NUVOLA_WELCOME_SCREEN_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_WELCOME_SCREEN, NuvolaWelcomeScreenPrivate))
enum  {
	NUVOLA_WELCOME_SCREEN_DUMMY_PROPERTY
};
#define NUVOLA_WELCOME_SCREEN_PATRONS_BOX_URI "https://tiliado.eu/nuvolaplayer/funding/patrons_list_box/"
NuvolaWelcomeScreen* nuvola_welcome_screen_new (DioriteApplication* app, DioriteStorage* storage);
NuvolaWelcomeScreen* nuvola_welcome_screen_construct (GType object_type, DioriteApplication* app, DioriteStorage* storage);
static void nuvola_welcome_screen_show_uri (NuvolaWelcomeScreen* self, const gchar* uri);
static void _nuvola_welcome_screen_show_uri_diorite_uri_opener (const gchar* uri, gpointer self);
static gboolean nuvola_welcome_screen_on_motion_notify (NuvolaWelcomeScreen* self, GtkWidget* widget, GdkEventMotion* event);
static gboolean _nuvola_welcome_screen_on_motion_notify_gtk_widget_motion_notify_event (GtkWidget* _sender, GdkEventMotion* event, gpointer self);
WebKitWebContext* nuvola_web_engine_get_web_context (void);
NuvolaWebView* nuvola_web_view_new (WebKitWebContext* context);
NuvolaWebView* nuvola_web_view_construct (GType object_type, WebKitWebContext* context);
static gboolean nuvola_welcome_screen_on_scroll_event (NuvolaWelcomeScreen* self, GdkEventScroll* event);
static gboolean _nuvola_welcome_screen_on_scroll_event_gtk_widget_scroll_event (GtkWidget* _sender, GdkEventScroll* event, gpointer self);
static void nuvola_welcome_screen_on_load_changed (NuvolaWelcomeScreen* self, WebKitWebView* view, WebKitLoadEvent event);
static void _nuvola_welcome_screen_on_load_changed_webkit_web_view_load_changed (WebKitWebView* _sender, WebKitLoadEvent load_event, gpointer self);
static gboolean nuvola_welcome_screen_on_decide_policy (NuvolaWelcomeScreen* self, WebKitPolicyDecision* decision, WebKitPolicyDecisionType decision_type);
static gboolean _nuvola_welcome_screen_on_decide_policy_webkit_web_view_decide_policy (WebKitWebView* _sender, WebKitPolicyDecision* decision, WebKitPolicyDecisionType type, gpointer self);
static gboolean nuvola_welcome_screen_set_web_view_height (NuvolaWelcomeScreen* self);
static void nuvola_welcome_screen_on_height_retrieved (NuvolaWelcomeScreen* self, GObject* o, GAsyncResult* _result_);
static void _nuvola_welcome_screen_on_height_retrieved_gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self);
static gboolean nuvola_welcome_screen_decide_navigation_policy (NuvolaWelcomeScreen* self, gboolean new_window, WebKitNavigationPolicyDecision* decision);
static void nuvola_welcome_screen_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	return self ? g_object_ref (self) : NULL;
#line 120 "WelcomeWindow.c"
}


static void _nuvola_welcome_screen_show_uri_diorite_uri_opener (const gchar* uri, gpointer self) {
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	nuvola_welcome_screen_show_uri ((NuvolaWelcomeScreen*) self, uri);
#line 127 "WelcomeWindow.c"
}


static gboolean _nuvola_welcome_screen_on_motion_notify_gtk_widget_motion_notify_event (GtkWidget* _sender, GdkEventMotion* event, gpointer self) {
	gboolean result;
	result = nuvola_welcome_screen_on_motion_notify ((NuvolaWelcomeScreen*) self, _sender, event);
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	return result;
#line 136 "WelcomeWindow.c"
}


static gboolean _nuvola_welcome_screen_on_scroll_event_gtk_widget_scroll_event (GtkWidget* _sender, GdkEventScroll* event, gpointer self) {
	gboolean result;
	result = nuvola_welcome_screen_on_scroll_event ((NuvolaWelcomeScreen*) self, event);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	return result;
#line 145 "WelcomeWindow.c"
}


static void _nuvola_welcome_screen_on_load_changed_webkit_web_view_load_changed (WebKitWebView* _sender, WebKitLoadEvent load_event, gpointer self) {
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	nuvola_welcome_screen_on_load_changed ((NuvolaWelcomeScreen*) self, _sender, load_event);
#line 152 "WelcomeWindow.c"
}


static gboolean _nuvola_welcome_screen_on_decide_policy_webkit_web_view_decide_policy (WebKitWebView* _sender, WebKitPolicyDecision* decision, WebKitPolicyDecisionType type, gpointer self) {
	gboolean result;
	result = nuvola_welcome_screen_on_decide_policy ((NuvolaWelcomeScreen*) self, decision, type);
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	return result;
#line 161 "WelcomeWindow.c"
}


NuvolaWelcomeScreen* nuvola_welcome_screen_construct (GType object_type, DioriteApplication* app, DioriteStorage* storage) {
	NuvolaWelcomeScreen * self = NULL;
	DioriteApplication* _tmp0_ = NULL;
	DioriteApplication* _tmp1_ = NULL;
	GtkGrid* _tmp2_ = NULL;
	GtkGrid* _tmp3_ = NULL;
	GdkRGBA _tmp4_ = {0};
	GtkGrid* _tmp5_ = NULL;
	gchar* welcome_xml = NULL;
	GFile* welcome_xml_file = NULL;
	DioriteStorage* _tmp6_ = NULL;
	GFile* _tmp7_ = NULL;
	GFile* _tmp8_ = NULL;
	const gchar* _tmp18_ = NULL;
	DioriteRichTextBuffer* buffer = NULL;
	DioriteRichTextBuffer* _tmp20_ = NULL;
	DioriteRichTextBuffer* _tmp25_ = NULL;
	DioriteRichTextView* _tmp26_ = NULL;
	DioriteRichTextView* _tmp27_ = NULL;
	DioriteRichTextView* _tmp28_ = NULL;
	DioriteRichTextView* _tmp29_ = NULL;
	DioriteRichTextView* _tmp30_ = NULL;
	DioriteRichTextView* _tmp31_ = NULL;
	GtkGrid* _tmp32_ = NULL;
	DioriteRichTextView* _tmp33_ = NULL;
	WebKitWebContext* _tmp34_ = NULL;
	WebKitWebContext* _tmp35_ = NULL;
	NuvolaWebView* _tmp36_ = NULL;
	NuvolaWebView* _tmp37_ = NULL;
	NuvolaWebView* _tmp38_ = NULL;
	NuvolaWebView* _tmp39_ = NULL;
	NuvolaWebView* _tmp40_ = NULL;
	NuvolaWebView* _tmp41_ = NULL;
	NuvolaWebView* _tmp42_ = NULL;
	NuvolaWebView* _tmp43_ = NULL;
	NuvolaWebView* _tmp44_ = NULL;
	NuvolaWebView* _tmp45_ = NULL;
	NuvolaWebView* _tmp46_ = NULL;
	GtkGrid* _tmp47_ = NULL;
	NuvolaWebView* _tmp48_ = NULL;
	GtkScrolledWindow* _tmp49_ = NULL;
	GtkScrolledWindow* _tmp50_ = NULL;
	GtkGrid* _tmp51_ = NULL;
	GtkScrolledWindow* _tmp52_ = NULL;
	GtkScrolledWindow* _tmp53_ = NULL;
	GtkScrolledWindow* _tmp54_ = NULL;
	GtkScrolledWindow* _tmp55_ = NULL;
	GError * _inner_error_ = NULL;
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (app != NULL, NULL);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (storage != NULL, NULL);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	self = (NuvolaWelcomeScreen*) g_object_new (object_type, NULL);
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp0_ = app;
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (self->priv->app);
#line 39 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	self->priv->app = _tmp1_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp2_ = (GtkGrid*) gtk_grid_new ();
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_object_ref_sink (_tmp2_);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (self->priv->grid);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	self->priv->grid = _tmp2_;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp3_ = self->priv->grid;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp4_.red = 1.0;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp4_.green = 1.0;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp4_.blue = 1.0;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp4_.alpha = 1.0;
#line 42 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_widget_override_background_color ((GtkWidget*) _tmp3_, GTK_STATE_FLAG_NORMAL, &_tmp4_);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp5_ = self->priv->grid;
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp5_, GTK_ORIENTATION_VERTICAL);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	welcome_xml = NULL;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp6_ = storage;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp7_ = diorite_storage_get_data_file (_tmp6_, "welcome.xml");
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	welcome_xml_file = _tmp7_;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp8_ = welcome_xml_file;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	if (_tmp8_ != NULL) {
#line 263 "WelcomeWindow.c"
		{
			gchar* _tmp9_ = NULL;
			GFile* _tmp10_ = NULL;
			gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp10_ = welcome_xml_file;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp11_ = diorite_system_read_file (_tmp10_, &_inner_error_);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp9_ = _tmp11_;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 277 "WelcomeWindow.c"
				goto __catch76_g_error;
			}
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp12_ = _tmp9_;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp9_ = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_g_free0 (welcome_xml);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			welcome_xml = _tmp12_;
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_g_free0 (_tmp9_);
#line 290 "WelcomeWindow.c"
		}
		goto __finally76;
		__catch76_g_error:
		{
			GError* e = NULL;
			GFile* _tmp13_ = NULL;
			gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			GError* _tmp16_ = NULL;
			const gchar* _tmp17_ = NULL;
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			e = _inner_error_;
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_inner_error_ = NULL;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp13_ = welcome_xml_file;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp14_ = g_file_get_path (_tmp13_);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp15_ = _tmp14_;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp16_ = e;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp17_ = _tmp16_->message;
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			g_warning ("WelcomeWindow.vala:55: Failed to load '%s': %s", _tmp15_, _tmp17_);
#line 55 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_g_free0 (_tmp15_);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_g_error_free0 (e);
#line 321 "WelcomeWindow.c"
		}
		__finally76:
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_g_object_unref0 (welcome_xml_file);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_g_free0 (welcome_xml);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			g_clear_error (&_inner_error_);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			return NULL;
#line 336 "WelcomeWindow.c"
		}
	}
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp18_ = welcome_xml;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	if (_tmp18_ == NULL) {
#line 343 "WelcomeWindow.c"
		gchar* _tmp19_ = NULL;
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp19_ = g_strdup ("<h1>Error</h1>\\n<p>Failed to find welcome text.</p>");
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_g_free0 (welcome_xml);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		welcome_xml = _tmp19_;
#line 351 "WelcomeWindow.c"
	}
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp20_ = diorite_rich_text_buffer_new ();
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	buffer = _tmp20_;
#line 357 "WelcomeWindow.c"
	{
		DioriteRichTextBuffer* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp21_ = buffer;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp22_ = welcome_xml;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		diorite_rich_text_buffer_load (_tmp21_, _tmp22_, &_inner_error_);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			if (_inner_error_->domain == G_MARKUP_ERROR) {
#line 371 "WelcomeWindow.c"
				goto __catch77_g_markup_error;
			}
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_g_object_unref0 (buffer);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_g_object_unref0 (welcome_xml_file);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_g_free0 (welcome_xml);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			g_clear_error (&_inner_error_);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			return NULL;
#line 386 "WelcomeWindow.c"
		}
	}
	goto __finally77;
	__catch77_g_markup_error:
	{
		GError* e = NULL;
		GError* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		e = _inner_error_;
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_inner_error_ = NULL;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp23_ = e;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp24_ = _tmp23_->message;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		g_warning ("WelcomeWindow.vala:67: Markup Error: %s", _tmp24_);
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		gtk_widget_destroy ((GtkWidget*) self);
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_g_error_free0 (e);
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_g_object_unref0 (buffer);
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_g_object_unref0 (welcome_xml_file);
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_g_free0 (welcome_xml);
#line 69 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		return self;
#line 417 "WelcomeWindow.c"
	}
	__finally77:
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_g_object_unref0 (buffer);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_g_object_unref0 (welcome_xml_file);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_g_free0 (welcome_xml);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		g_clear_error (&_inner_error_);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		return NULL;
#line 434 "WelcomeWindow.c"
	}
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp25_ = buffer;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp26_ = diorite_rich_text_view_new (_tmp25_);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_object_ref_sink (_tmp26_);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (self->priv->welcome_text);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	self->priv->welcome_text = _tmp26_;
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp27_ = self->priv->welcome_text;
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	diorite_rich_text_view_set_link_opener (_tmp27_, _nuvola_welcome_screen_show_uri_diorite_uri_opener, g_object_ref (self), g_object_unref);
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp28_ = self->priv->welcome_text;
#line 74 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_object_set ((GtkWidget*) _tmp28_, "margin", 18, NULL);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp29_ = self->priv->welcome_text;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp30_ = self->priv->welcome_text;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp30_, TRUE);
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp29_, TRUE);
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp31_ = self->priv->welcome_text;
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_signal_connect_object ((GtkWidget*) _tmp31_, "motion-notify-event", (GCallback) _nuvola_welcome_screen_on_motion_notify_gtk_widget_motion_notify_event, self, 0);
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp32_ = self->priv->grid;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp33_ = self->priv->welcome_text;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_grid_attach (_tmp32_, (GtkWidget*) _tmp33_, 0, 0, 1, 1);
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp34_ = nuvola_web_engine_get_web_context ();
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp35_ = _tmp34_;
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp36_ = nuvola_web_view_new (_tmp35_);
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_object_ref_sink (_tmp36_);
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (self->priv->web_view);
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	self->priv->web_view = _tmp36_;
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (_tmp35_);
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp37_ = self->priv->web_view;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_widget_add_events ((GtkWidget*) _tmp37_, (gint) GDK_SCROLL_MASK);
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp38_ = self->priv->web_view;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_signal_connect_object ((GtkWidget*) _tmp38_, "motion-notify-event", (GCallback) _nuvola_welcome_screen_on_motion_notify_gtk_widget_motion_notify_event, self, 0);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp39_ = self->priv->web_view;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_signal_connect_object ((GtkWidget*) _tmp39_, "scroll-event", (GCallback) _nuvola_welcome_screen_on_scroll_event_gtk_widget_scroll_event, self, 0);
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp40_ = self->priv->web_view;
#line 83 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_signal_connect_object ((WebKitWebView*) _tmp40_, "load-changed", (GCallback) _nuvola_welcome_screen_on_load_changed_webkit_web_view_load_changed, self, 0);
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp41_ = self->priv->web_view;
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	webkit_web_view_load_uri ((WebKitWebView*) _tmp41_, NUVOLA_WELCOME_SCREEN_PATRONS_BOX_URI);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp42_ = self->priv->web_view;
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_object_set ((GtkWidget*) _tmp42_, "margin", 18, NULL);
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp43_ = self->priv->web_view;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_signal_connect_object ((WebKitWebView*) _tmp43_, "decide-policy", (GCallback) _nuvola_welcome_screen_on_decide_policy_webkit_web_view_decide_policy, self, 0);
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp44_ = self->priv->web_view;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp44_, FALSE);
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp45_ = self->priv->web_view;
#line 88 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp45_, TRUE);
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp46_ = self->priv->web_view;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp46_, 275, -1);
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp47_ = self->priv->grid;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp48_ = self->priv->web_view;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_grid_attach (_tmp47_, (GtkWidget*) _tmp48_, 1, 0, 1, 1);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp49_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_object_ref_sink (_tmp49_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (self->priv->scroll);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	self->priv->scroll = _tmp49_;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp50_ = self->priv->scroll;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp51_ = self->priv->grid;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_container_add ((GtkContainer*) _tmp50_, (GtkWidget*) _tmp51_);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp52_ = self->priv->scroll;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp52_, TRUE);
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp53_ = self->priv->scroll;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp53_, TRUE);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp54_ = self->priv->scroll;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp54_);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp55_ = self->priv->scroll;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp55_);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (buffer);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (welcome_xml_file);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_free0 (welcome_xml);
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	return self;
#line 570 "WelcomeWindow.c"
}


NuvolaWelcomeScreen* nuvola_welcome_screen_new (DioriteApplication* app, DioriteStorage* storage) {
#line 37 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	return nuvola_welcome_screen_construct (NUVOLA_TYPE_WELCOME_SCREEN, app, storage);
#line 577 "WelcomeWindow.c"
}


static gboolean nuvola_welcome_screen_on_scroll_event (NuvolaWelcomeScreen* self, GdkEventScroll* event) {
	gboolean result = FALSE;
	GtkScrolledWindow* _tmp0_ = NULL;
	GdkEventScroll* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp0_ = self->priv->scroll;
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp1_ = event;
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_signal_emit_by_name ((GtkWidget*) _tmp0_, "scroll-event", _tmp1_, &_tmp2_);
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	result = TRUE;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	return result;
#line 600 "WelcomeWindow.c"
}


static gboolean nuvola_welcome_screen_on_motion_notify (NuvolaWelcomeScreen* self, GtkWidget* widget, GdkEventMotion* event) {
	gboolean result = FALSE;
	GtkWidget* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (widget != NULL, FALSE);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp0_ = widget;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_object_get (_tmp0_, "has-focus", &_tmp1_, NULL);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp2_ = _tmp1_;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	if (!_tmp2_) {
#line 623 "WelcomeWindow.c"
		GtkAdjustment* adjustment = NULL;
		GtkScrolledWindow* _tmp3_ = NULL;
		GtkAdjustment* _tmp4_ = NULL;
		GtkAdjustment* _tmp5_ = NULL;
		gdouble position = 0.0;
		GtkAdjustment* _tmp6_ = NULL;
		gdouble _tmp7_ = 0.0;
		gdouble _tmp8_ = 0.0;
		GtkWidget* _tmp9_ = NULL;
		GtkAdjustment* _tmp10_ = NULL;
		gdouble _tmp11_ = 0.0;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp3_ = self->priv->scroll;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp4_ = gtk_scrolled_window_get_vadjustment (_tmp3_);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp5_ = _g_object_ref0 (_tmp4_);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		adjustment = _tmp5_;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp6_ = adjustment;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp7_ = gtk_adjustment_get_value (_tmp6_);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp8_ = _tmp7_;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		position = _tmp8_;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp9_ = widget;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		gtk_widget_grab_focus (_tmp9_);
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp10_ = adjustment;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp11_ = position;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		gtk_adjustment_set_value (_tmp10_, _tmp11_);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_g_object_unref0 (adjustment);
#line 663 "WelcomeWindow.c"
	}
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	result = FALSE;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	return result;
#line 669 "WelcomeWindow.c"
}


static void nuvola_welcome_screen_on_load_changed (NuvolaWelcomeScreen* self, WebKitWebView* view, WebKitLoadEvent event) {
	WebKitLoadEvent _tmp0_ = 0;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_if_fail (self != NULL);
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_if_fail (view != NULL);
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp0_ = event;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	if (_tmp0_ == WEBKIT_LOAD_FINISHED) {
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		nuvola_welcome_screen_set_web_view_height (self);
#line 685 "WelcomeWindow.c"
	}
}


static void _nuvola_welcome_screen_on_height_retrieved_gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self) {
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	nuvola_welcome_screen_on_height_retrieved ((NuvolaWelcomeScreen*) self, source_object, res);
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_object_unref (self);
#line 695 "WelcomeWindow.c"
}


static gboolean nuvola_welcome_screen_set_web_view_height (NuvolaWelcomeScreen* self) {
	gboolean result = FALSE;
	NuvolaWebView* _tmp0_ = NULL;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp0_ = self->priv->web_view;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	webkit_web_view_run_javascript ((WebKitWebView*) _tmp0_, "\n" \
"\t\t\tvar bodyElm = document.body, htmlElm = document.documentElement;" \
"\n" \
"\t\t\tdocument.title = Math.max(\n" \
"\t\t\t\tbodyElm.scrollHeight, bodyElm.offsetHeight, \n" \
"                htmlElm.clientHeight, htmlElm.scrollHeight, htmlElm.of" \
"fsetHeight);\n" \
"\t\t\t", NULL, _nuvola_welcome_screen_on_height_retrieved_gasync_ready_callback, g_object_ref (self));
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	result = TRUE;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	return result;
#line 712 "WelcomeWindow.c"
}


static void nuvola_welcome_screen_on_height_retrieved (NuvolaWelcomeScreen* self, GObject* o, GAsyncResult* _result_) {
	GError * _inner_error_ = NULL;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_if_fail (self != NULL);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_if_fail (_result_ != NULL);
#line 722 "WelcomeWindow.c"
	{
		NuvolaWebView* _tmp0_ = NULL;
		GAsyncResult* _tmp1_ = NULL;
		WebKitJavascriptResult* _tmp2_ = NULL;
		WebKitJavascriptResult* _tmp3_ = NULL;
		gint page_height = 0;
		NuvolaWebView* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gint _tmp7_ = 0;
		gint width = 0;
		gint height = 0;
		NuvolaWebView* _tmp8_ = NULL;
		gint _tmp9_ = 0;
		gint _tmp10_ = 0;
		gboolean _tmp11_ = FALSE;
		gint _tmp12_ = 0;
		gint _tmp13_ = 0;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp0_ = self->priv->web_view;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp1_ = _result_;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp2_ = webkit_web_view_run_javascript_finish ((WebKitWebView*) _tmp0_, _tmp1_, &_inner_error_);
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp3_ = _tmp2_;
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_webkit_javascript_result_unref0 (_tmp3_);
#line 144 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 753 "WelcomeWindow.c"
			goto __catch78_g_error;
		}
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp4_ = self->priv->web_view;
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp5_ = webkit_web_view_get_title ((WebKitWebView*) _tmp4_);
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp6_ = _tmp5_;
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp7_ = atoi (_tmp6_);
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		page_height = _tmp7_;
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp8_ = self->priv->web_view;
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		gtk_widget_get_size_request ((GtkWidget*) _tmp8_, &_tmp9_, &_tmp10_);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		width = _tmp9_;
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		height = _tmp10_;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp12_ = height;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp13_ = page_height;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		if (_tmp12_ < _tmp13_) {
#line 780 "WelcomeWindow.c"
			gint _tmp14_ = 0;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp14_ = page_height;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp11_ = _tmp14_ > 100;
#line 786 "WelcomeWindow.c"
		} else {
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp11_ = FALSE;
#line 790 "WelcomeWindow.c"
		}
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		if (_tmp11_) {
#line 794 "WelcomeWindow.c"
			NuvolaWebView* _tmp15_ = NULL;
			gint _tmp16_ = 0;
			gint _tmp17_ = 0;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp15_ = self->priv->web_view;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp16_ = width;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp17_ = page_height;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			gtk_widget_set_size_request ((GtkWidget*) _tmp15_, _tmp16_, _tmp17_);
#line 806 "WelcomeWindow.c"
		}
	}
	goto __finally78;
	__catch78_g_error:
	{
		GError* e = NULL;
		GError* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		e = _inner_error_;
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_inner_error_ = NULL;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp18_ = e;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp19_ = _tmp18_->message;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		g_debug ("WelcomeWindow.vala:153: JavaScript error: %s", _tmp19_);
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_g_error_free0 (e);
#line 827 "WelcomeWindow.c"
	}
	__finally78:
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		g_clear_error (&_inner_error_);
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		return;
#line 838 "WelcomeWindow.c"
	}
}


static void nuvola_welcome_screen_show_uri (NuvolaWelcomeScreen* self, const gchar* uri) {
	DioriteApplication* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_if_fail (self != NULL);
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_if_fail (uri != NULL);
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp0_ = self->priv->app;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp1_ = uri;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	diorite_application_show_uri (_tmp0_, _tmp1_, (guint32) GDK_CURRENT_TIME);
#line 856 "WelcomeWindow.c"
}


static gboolean nuvola_welcome_screen_decide_navigation_policy (NuvolaWelcomeScreen* self, gboolean new_window, WebKitNavigationPolicyDecision* decision) {
	gboolean result = FALSE;
	gchar* uri = NULL;
	WebKitNavigationPolicyDecision* _tmp0_ = NULL;
	WebKitNavigationAction* _tmp1_ = NULL;
	WebKitNavigationAction* _tmp2_ = NULL;
	WebKitURIRequest* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
	gboolean _tmp8_ = FALSE;
	const gchar* _tmp9_ = NULL;
	gboolean _tmp10_ = FALSE;
	const gchar* _tmp14_ = NULL;
	WebKitNavigationPolicyDecision* _tmp15_ = NULL;
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (decision != NULL, FALSE);
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp0_ = decision;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp1_ = webkit_navigation_policy_decision_get_navigation_action (_tmp0_);
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp2_ = _tmp1_;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp3_ = webkit_navigation_action_get_request (_tmp2_);
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp4_ = webkit_uri_request_get_uri (_tmp3_);
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp5_ = _tmp4_;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp6_ = g_strdup (_tmp5_);
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	uri = _tmp6_;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp9_ = uri;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp10_ = g_str_has_prefix (_tmp9_, "http://");
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	if (!_tmp10_) {
#line 902 "WelcomeWindow.c"
		const gchar* _tmp11_ = NULL;
		gboolean _tmp12_ = FALSE;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp11_ = uri;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp12_ = g_str_has_prefix (_tmp11_, "https://");
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp8_ = !_tmp12_;
#line 911 "WelcomeWindow.c"
	} else {
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp8_ = FALSE;
#line 915 "WelcomeWindow.c"
	}
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	if (_tmp8_) {
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp7_ = TRUE;
#line 921 "WelcomeWindow.c"
	} else {
		const gchar* _tmp13_ = NULL;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp13_ = uri;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_tmp7_ = g_strcmp0 (_tmp13_, NUVOLA_WELCOME_SCREEN_PATRONS_BOX_URI) == 0;
#line 928 "WelcomeWindow.c"
	}
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	if (_tmp7_) {
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		result = FALSE;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		_g_free0 (uri);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		return result;
#line 938 "WelcomeWindow.c"
	}
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp14_ = uri;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	nuvola_welcome_screen_show_uri (self, _tmp14_);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp15_ = decision;
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	webkit_policy_decision_ignore ((WebKitPolicyDecision*) _tmp15_);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	result = TRUE;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_free0 (uri);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	return result;
#line 954 "WelcomeWindow.c"
}


static gboolean nuvola_welcome_screen_on_decide_policy (NuvolaWelcomeScreen* self, WebKitPolicyDecision* decision, WebKitPolicyDecisionType decision_type) {
	gboolean result = FALSE;
	WebKitPolicyDecisionType _tmp0_ = 0;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_return_val_if_fail (decision != NULL, FALSE);
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_tmp0_ = decision_type;
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	switch (_tmp0_) {
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		case WEBKIT_POLICY_DECISION_TYPE_NAVIGATION_ACTION:
#line 971 "WelcomeWindow.c"
		{
			WebKitPolicyDecision* _tmp1_ = NULL;
			gboolean _tmp2_ = FALSE;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp1_ = decision;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp2_ = nuvola_welcome_screen_decide_navigation_policy (self, FALSE, G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, webkit_navigation_policy_decision_get_type (), WebKitNavigationPolicyDecision));
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			result = _tmp2_;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			return result;
#line 983 "WelcomeWindow.c"
		}
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		case WEBKIT_POLICY_DECISION_TYPE_NEW_WINDOW_ACTION:
#line 987 "WelcomeWindow.c"
		{
			WebKitPolicyDecision* _tmp3_ = NULL;
			gboolean _tmp4_ = FALSE;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp3_ = decision;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			_tmp4_ = nuvola_welcome_screen_decide_navigation_policy (self, TRUE, G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, webkit_navigation_policy_decision_get_type (), WebKitNavigationPolicyDecision));
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			result = _tmp4_;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			return result;
#line 999 "WelcomeWindow.c"
		}
		default:
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
		case WEBKIT_POLICY_DECISION_TYPE_RESPONSE:
#line 1004 "WelcomeWindow.c"
		{
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			result = FALSE;
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
			return result;
#line 1010 "WelcomeWindow.c"
		}
	}
}


static void nuvola_welcome_screen_class_init (NuvolaWelcomeScreenClass * klass) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	nuvola_welcome_screen_parent_class = g_type_class_peek_parent (klass);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	g_type_class_add_private (klass, sizeof (NuvolaWelcomeScreenPrivate));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_welcome_screen_finalize;
#line 1023 "WelcomeWindow.c"
}


static void nuvola_welcome_screen_instance_init (NuvolaWelcomeScreen * self) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	self->priv = NUVOLA_WELCOME_SCREEN_GET_PRIVATE (self);
#line 1030 "WelcomeWindow.c"
}


static void nuvola_welcome_screen_finalize (GObject* obj) {
	NuvolaWelcomeScreen * self;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_WELCOME_SCREEN, NuvolaWelcomeScreen);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (self->priv->grid);
#line 32 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (self->priv->app);
#line 33 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (self->priv->web_view);
#line 34 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (self->priv->welcome_text);
#line 35 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	_g_object_unref0 (self->priv->scroll);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/gui/WelcomeWindow.vala"
	G_OBJECT_CLASS (nuvola_welcome_screen_parent_class)->finalize (obj);
#line 1050 "WelcomeWindow.c"
}


GType nuvola_welcome_screen_get_type (void) {
	static volatile gsize nuvola_welcome_screen_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_welcome_screen_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaWelcomeScreenClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_welcome_screen_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaWelcomeScreen), 0, (GInstanceInitFunc) nuvola_welcome_screen_instance_init, NULL };
		GType nuvola_welcome_screen_type_id;
		nuvola_welcome_screen_type_id = g_type_register_static (gtk_grid_get_type (), "NuvolaWelcomeScreen", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_welcome_screen_type_id__volatile, nuvola_welcome_screen_type_id);
	}
	return nuvola_welcome_screen_type_id__volatile;
}



