/* XKeyGrabber.c generated by valac 0.34.8, the Vala compiler
 * generated from XKeyGrabber.vala, do not modify */

/*
 * Copyright 2014-2017 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gdk/gdkx.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>
#include <X11/Xlib.h>
#include <X11/Xatom.h>
#include <X11/Xutil.h>
#include <X11/Xregion.h>


#define NUVOLA_TYPE_XKEY_GRABBER (nuvola_xkey_grabber_get_type ())
#define NUVOLA_XKEY_GRABBER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_XKEY_GRABBER, NuvolaXKeyGrabber))
#define NUVOLA_XKEY_GRABBER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_XKEY_GRABBER, NuvolaXKeyGrabberClass))
#define NUVOLA_IS_XKEY_GRABBER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_XKEY_GRABBER))
#define NUVOLA_IS_XKEY_GRABBER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_XKEY_GRABBER))
#define NUVOLA_XKEY_GRABBER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_XKEY_GRABBER, NuvolaXKeyGrabberClass))

typedef struct _NuvolaXKeyGrabber NuvolaXKeyGrabber;
typedef struct _NuvolaXKeyGrabberClass NuvolaXKeyGrabberClass;
typedef struct _NuvolaXKeyGrabberPrivate NuvolaXKeyGrabberPrivate;
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NuvolaXKeyGrabber {
	GObject parent_instance;
	NuvolaXKeyGrabberPrivate * priv;
};

struct _NuvolaXKeyGrabberClass {
	GObjectClass parent_class;
};

struct _NuvolaXKeyGrabberPrivate {
	GHashTable* keybindings;
	GdkX11Window* root_window;
};


static gpointer nuvola_xkey_grabber_parent_class = NULL;
static GdkModifierType* nuvola_xkey_grabber_lock_modifiers;
static gint nuvola_xkey_grabber_lock_modifiers_length1;
static GdkModifierType* nuvola_xkey_grabber_lock_modifiers = NULL;
static gint nuvola_xkey_grabber_lock_modifiers_length1 = 0;
static gint _nuvola_xkey_grabber_lock_modifiers_size_ = 0;

GType nuvola_xkey_grabber_get_type (void) G_GNUC_CONST;
#define NUVOLA_XKEY_GRABBER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_XKEY_GRABBER, NuvolaXKeyGrabberPrivate))
enum  {
	NUVOLA_XKEY_GRABBER_DUMMY_PROPERTY
};
NuvolaXKeyGrabber* nuvola_xkey_grabber_new (void);
NuvolaXKeyGrabber* nuvola_xkey_grabber_construct (GType object_type);
static void _g_free0_ (gpointer var);
static void nuvola_xkey_grabber_setup_display (NuvolaXKeyGrabber* self, GdkDisplay* display);
static void _nuvola_xkey_grabber_setup_display_gdk_display_manager_display_opened (GdkDisplayManager* _sender, GdkDisplay* display, gpointer self);
gboolean nuvola_xkey_grabber_is_grabbed (NuvolaXKeyGrabber* self, const gchar* accelerator);
gboolean nuvola_xkey_grabber_grab (NuvolaXKeyGrabber* self, const gchar* accelerator, gboolean allow_multiple);
static gboolean nuvola_xkey_grabber_grab_ungrab (NuvolaXKeyGrabber* self, gboolean grab, const gchar* accelerator);
gboolean nuvola_xkey_grabber_ungrab (NuvolaXKeyGrabber* self, const gchar* accelerator);
static GdkFilterReturn nuvola_xkey_grabber_event_filter (NuvolaXKeyGrabber* self, GdkXEvent* gdk_xevent, GdkEvent* gdk_event);
static GdkFilterReturn _nuvola_xkey_grabber_event_filter_gdk_filter_func (GdkXEvent* xevent, GdkEvent* event, gpointer self);
static void g_cclosure_user_marshal_VOID__STRING_UINT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void nuvola_xkey_grabber_finalize (GObject* obj);


static void _g_free0_ (gpointer var) {
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	var = (g_free (var), NULL);
#line 101 "XKeyGrabber.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	return self ? g_object_ref (self) : NULL;
#line 108 "XKeyGrabber.c"
}


static void _nuvola_xkey_grabber_setup_display_gdk_display_manager_display_opened (GdkDisplayManager* _sender, GdkDisplay* display, gpointer self) {
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	nuvola_xkey_grabber_setup_display ((NuvolaXKeyGrabber*) self, display);
#line 115 "XKeyGrabber.c"
}


NuvolaXKeyGrabber* nuvola_xkey_grabber_construct (GType object_type) {
	NuvolaXKeyGrabber * self = NULL;
	GHashFunc _tmp0_ = NULL;
	GEqualFunc _tmp1_ = NULL;
	GHashTable* _tmp2_ = NULL;
	GdkDisplay* display = NULL;
	GdkDisplay* _tmp3_ = NULL;
	GdkDisplay* _tmp4_ = NULL;
	GdkDisplay* _tmp5_ = NULL;
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	self = (NuvolaXKeyGrabber*) g_object_new (object_type, NULL);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_ = g_str_hash;
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp1_ = g_str_equal;
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp2_ = g_hash_table_new_full (_tmp0_, _tmp1_, _g_free0_, NULL);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_g_hash_table_unref0 (self->priv->keybindings);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	self->priv->keybindings = _tmp2_;
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp3_ = gdk_display_get_default ();
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp4_ = _g_object_ref0 (_tmp3_);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	display = _tmp4_;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp5_ = display;
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	if (_tmp5_ != NULL) {
#line 150 "XKeyGrabber.c"
		GdkDisplay* _tmp6_ = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp6_ = display;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		nuvola_xkey_grabber_setup_display (self, _tmp6_);
#line 156 "XKeyGrabber.c"
	} else {
		GdkDisplayManager* _tmp7_ = NULL;
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp7_ = gdk_display_manager_get ();
#line 53 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		g_signal_connect_object (_tmp7_, "display-opened", (GCallback) _nuvola_xkey_grabber_setup_display_gdk_display_manager_display_opened, self, 0);
#line 163 "XKeyGrabber.c"
	}
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_g_object_unref0 (display);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	return self;
#line 169 "XKeyGrabber.c"
}


NuvolaXKeyGrabber* nuvola_xkey_grabber_new (void) {
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	return nuvola_xkey_grabber_construct (NUVOLA_TYPE_XKEY_GRABBER);
#line 176 "XKeyGrabber.c"
}


gboolean nuvola_xkey_grabber_is_grabbed (NuvolaXKeyGrabber* self, const gchar* accelerator) {
	gboolean result = FALSE;
	GHashTable* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 58 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (accelerator != NULL, FALSE);
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_ = self->priv->keybindings;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp1_ = accelerator;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp2_ = g_hash_table_contains (_tmp0_, _tmp1_);
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	result = _tmp2_;
#line 60 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	return result;
#line 199 "XKeyGrabber.c"
}


gboolean nuvola_xkey_grabber_grab (NuvolaXKeyGrabber* self, const gchar* accelerator, gboolean allow_multiple) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp12_ = NULL;
	gboolean _tmp13_ = FALSE;
	GHashTable* _tmp14_ = NULL;
	const gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	const gchar* _tmp17_ = NULL;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (accelerator != NULL, FALSE);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_ = accelerator;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp1_ = nuvola_xkey_grabber_is_grabbed (self, _tmp0_);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	if (_tmp1_) {
#line 223 "XKeyGrabber.c"
		gboolean _tmp2_ = FALSE;
		guint count = 0U;
		GHashTable* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		gconstpointer _tmp5_ = NULL;
		GHashTable* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		guint _tmp9_ = 0U;
		const gchar* _tmp10_ = NULL;
		guint _tmp11_ = 0U;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp2_ = allow_multiple;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		if (!_tmp2_) {
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			result = FALSE;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			return result;
#line 243 "XKeyGrabber.c"
		}
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp3_ = self->priv->keybindings;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp4_ = accelerator;
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp5_ = g_hash_table_lookup (_tmp3_, _tmp4_);
#line 70 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		count = ((guint) ((guintptr) _tmp5_)) + 1;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp6_ = self->priv->keybindings;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp7_ = accelerator;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp8_ = g_strdup (_tmp7_);
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp9_ = count;
#line 71 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		g_hash_table_insert (_tmp6_, _tmp8_, (gpointer) ((guintptr) _tmp9_));
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp10_ = accelerator;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp11_ = count;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		g_debug ("XKeyGrabber.vala:72: Grabbed %s, count %u", _tmp10_, _tmp11_);
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		result = TRUE;
#line 73 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		return result;
#line 273 "XKeyGrabber.c"
	}
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp12_ = accelerator;
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp13_ = nuvola_xkey_grabber_grab_ungrab (self, TRUE, _tmp12_);
#line 76 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	if (!_tmp13_) {
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		result = FALSE;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		return result;
#line 285 "XKeyGrabber.c"
	}
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp14_ = self->priv->keybindings;
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp15_ = accelerator;
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp16_ = g_strdup (_tmp15_);
#line 79 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_hash_table_insert (_tmp14_, _tmp16_, (gpointer) ((guintptr) ((guint) 1)));
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp17_ = accelerator;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_debug ("XKeyGrabber.vala:80: Grabbed %s, count %d", _tmp17_, 1);
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	result = TRUE;
#line 81 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	return result;
#line 303 "XKeyGrabber.c"
}


gboolean nuvola_xkey_grabber_ungrab (NuvolaXKeyGrabber* self, const gchar* accelerator) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	guint count = 0U;
	GHashTable* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gconstpointer _tmp4_ = NULL;
	guint _tmp5_ = 0U;
	const gchar* _tmp12_ = NULL;
	gboolean _tmp13_ = FALSE;
	GHashTable* _tmp14_ = NULL;
	const gchar* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	guint _tmp17_ = 0U;
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 84 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (accelerator != NULL, FALSE);
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_ = accelerator;
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp1_ = nuvola_xkey_grabber_is_grabbed (self, _tmp0_);
#line 86 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	if (!_tmp1_) {
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		result = FALSE;
#line 87 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		return result;
#line 336 "XKeyGrabber.c"
	}
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp2_ = self->priv->keybindings;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp3_ = accelerator;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp4_ = g_hash_table_lookup (_tmp2_, _tmp3_);
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	count = ((guint) ((guintptr) _tmp4_)) - 1;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp5_ = count;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	if (_tmp5_ > ((guint) 0)) {
#line 350 "XKeyGrabber.c"
		GHashTable* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		guint _tmp9_ = 0U;
		const gchar* _tmp10_ = NULL;
		guint _tmp11_ = 0U;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp6_ = self->priv->keybindings;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp7_ = accelerator;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp8_ = g_strdup (_tmp7_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp9_ = count;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		g_hash_table_insert (_tmp6_, _tmp8_, (gpointer) ((guintptr) _tmp9_));
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp10_ = accelerator;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp11_ = count;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		g_debug ("XKeyGrabber.vala:93: Ungrabbed %s, count %u", _tmp10_, _tmp11_);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		result = TRUE;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		return result;
#line 377 "XKeyGrabber.c"
	}
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp12_ = accelerator;
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp13_ = nuvola_xkey_grabber_grab_ungrab (self, FALSE, _tmp12_);
#line 97 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	if (!_tmp13_) {
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		result = FALSE;
#line 98 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		return result;
#line 389 "XKeyGrabber.c"
	}
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp14_ = self->priv->keybindings;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp15_ = accelerator;
#line 100 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_hash_table_remove (_tmp14_, _tmp15_);
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp16_ = accelerator;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp17_ = count;
#line 101 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_debug ("XKeyGrabber.vala:101: Ungrabbed %s, count %u", _tmp16_, _tmp17_);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	result = TRUE;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	return result;
#line 407 "XKeyGrabber.c"
}


static gboolean nuvola_xkey_grabber_grab_ungrab (NuvolaXKeyGrabber* self, gboolean grab, const gchar* accelerator) {
	gboolean result = FALSE;
	GdkX11Window* _tmp0_ = NULL;
	guint keysym = 0U;
	GdkModifierType modifiers = 0;
	const gchar* _tmp2_ = NULL;
	guint _tmp3_ = 0U;
	GdkModifierType _tmp4_ = 0;
	guint _tmp5_ = 0U;
	GdkKeymap* keymap = NULL;
	GdkKeymap* _tmp6_ = NULL;
	GdkKeymap* _tmp7_ = NULL;
	GdkKeymap* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	GdkX11Display* gdk_display = NULL;
	GdkX11Window* _tmp10_ = NULL;
	GdkDisplay* _tmp11_ = NULL;
	GdkX11Display* _tmp12_ = NULL;
	GdkX11Display* _tmp13_ = NULL;
	Display* display = NULL;
	GdkX11Display* _tmp14_ = NULL;
	Display* _tmp15_ = NULL;
	XID xid = 0;
	GdkX11Window* _tmp16_ = NULL;
	Window _tmp17_ = 0;
	guchar keycode = '\0';
	Display* _tmp18_ = NULL;
	guint _tmp19_ = 0U;
	guchar _tmp20_ = '\0';
	guchar _tmp21_ = '\0';
	GdkModifierType* _tmp22_ = NULL;
	gint _tmp22__length1 = 0;
	gint _tmp34_ = 0;
#line 105 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 105 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (accelerator != NULL, FALSE);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_ = self->priv->root_window;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	if (_tmp0_ == NULL) {
#line 452 "XKeyGrabber.c"
		const gchar* _tmp1_ = NULL;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp1_ = accelerator;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		g_warning ("XKeyGrabber.vala:109: Failed to set a keybinding '%s' because a X11 wi" \
"ndow has not been set yet.", _tmp1_);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		result = FALSE;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		return result;
#line 462 "XKeyGrabber.c"
	}
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp2_ = accelerator;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	gtk_accelerator_parse (_tmp2_, &_tmp3_, &_tmp4_);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	keysym = _tmp3_;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	modifiers = _tmp4_;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp5_ = keysym;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (_tmp5_ != ((guint) 0), FALSE);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp6_ = gdk_keymap_get_default ();
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp7_ = _g_object_ref0 (_tmp6_);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	keymap = _tmp7_;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp8_ = keymap;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp9_ = gdk_keymap_map_virtual_modifiers (_tmp8_, &modifiers);
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	if (!_tmp9_) {
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		g_warning ("XKeyGrabber.vala:121: Failed to map virtual modifiers.");
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		result = FALSE;
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_g_object_unref0 (keymap);
#line 122 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		return result;
#line 496 "XKeyGrabber.c"
	}
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp10_ = self->priv->root_window;
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp11_ = gdk_window_get_display ((GdkWindow*) _tmp10_);
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp12_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp11_, gdk_x11_display_get_type ()) ? ((GdkX11Display*) _tmp11_) : NULL);
#line 125 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	gdk_display = _tmp12_;
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp13_ = gdk_display;
#line 126 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (_tmp13_ != NULL, FALSE);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp14_ = gdk_display;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp15_ = gdk_x11_display_get_xdisplay (_tmp14_);
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	display = _tmp15_;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp16_ = self->priv->root_window;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp17_ = gdk_x11_window_get_xid (_tmp16_);
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	xid = (XID) _tmp17_;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp18_ = display;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp19_ = keysym;
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp20_ = XKeysymToKeycode (_tmp18_, (gulong) _tmp19_);
#line 130 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	keycode = _tmp20_;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp21_ = keycode;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (((gint) _tmp21_) != 0, FALSE);
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	gdk_error_trap_push ();
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp22_ = nuvola_xkey_grabber_lock_modifiers;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp22__length1 = nuvola_xkey_grabber_lock_modifiers_length1;
#line 540 "XKeyGrabber.c"
	{
		GdkModifierType* lock_modifier_collection = NULL;
		gint lock_modifier_collection_length1 = 0;
		gint _lock_modifier_collection_size_ = 0;
		gint lock_modifier_it = 0;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		lock_modifier_collection = _tmp22_;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		lock_modifier_collection_length1 = _tmp22__length1;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		for (lock_modifier_it = 0; lock_modifier_it < _tmp22__length1; lock_modifier_it = lock_modifier_it + 1) {
#line 552 "XKeyGrabber.c"
			GdkModifierType lock_modifier = 0;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			lock_modifier = lock_modifier_collection[lock_modifier_it];
#line 556 "XKeyGrabber.c"
			{
				gboolean _tmp23_ = FALSE;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
				_tmp23_ = grab;
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
				if (_tmp23_) {
#line 563 "XKeyGrabber.c"
					Display* _tmp24_ = NULL;
					guchar _tmp25_ = '\0';
					GdkModifierType _tmp26_ = 0;
					GdkModifierType _tmp27_ = 0;
					XID _tmp28_ = 0;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					_tmp24_ = display;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					_tmp25_ = keycode;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					_tmp26_ = modifiers;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					_tmp27_ = lock_modifier;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					_tmp28_ = xid;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					XGrabKey (_tmp24_, (gint) _tmp25_, (guint) (_tmp26_ | _tmp27_), (Window) _tmp28_, FALSE, (gint) GrabModeAsync, (gint) GrabModeAsync);
#line 581 "XKeyGrabber.c"
				} else {
					Display* _tmp29_ = NULL;
					guchar _tmp30_ = '\0';
					GdkModifierType _tmp31_ = 0;
					GdkModifierType _tmp32_ = 0;
					XID _tmp33_ = 0;
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					_tmp29_ = display;
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					_tmp30_ = keycode;
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					_tmp31_ = modifiers;
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					_tmp32_ = lock_modifier;
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					_tmp33_ = xid;
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
					XUngrabKey (_tmp29_, (gint) _tmp30_, (guint) (_tmp31_ | _tmp32_), (Window) _tmp33_);
#line 600 "XKeyGrabber.c"
				}
			}
		}
	}
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	gdk_flush ();
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp34_ = gdk_error_trap_pop ();
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	result = _tmp34_ == 0;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_g_object_unref0 (gdk_display);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_g_object_unref0 (keymap);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	return result;
#line 617 "XKeyGrabber.c"
}


static GdkFilterReturn nuvola_xkey_grabber_event_filter (NuvolaXKeyGrabber* self, GdkXEvent* gdk_xevent, GdkEvent* gdk_event) {
	GdkFilterReturn result = 0;
	XEvent* xevent = NULL;
	GdkXEvent* _tmp0_ = NULL;
	XEvent* _tmp1_ = NULL;
	gint _tmp2_ = 0;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (gdk_xevent != NULL, 0);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_val_if_fail (gdk_event != NULL, 0);
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_ = gdk_xevent;
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	xevent = (XEvent*) _tmp0_;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp1_ = xevent;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp2_ = (*_tmp1_).type;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	if (_tmp2_ == ((gint) KeyPress)) {
#line 643 "XKeyGrabber.c"
		GdkKeymap* keymap = NULL;
		GdkKeymap* _tmp3_ = NULL;
		GdkKeymap* _tmp4_ = NULL;
		GdkModifierType event_mods = 0;
		XEvent* _tmp5_ = NULL;
		XKeyEvent _tmp6_ = {0};
		guint _tmp7_ = 0U;
		GdkModifierType* _tmp8_ = NULL;
		gint _tmp8__length1 = 0;
		GdkModifierType _tmp9_ = 0;
		GdkModifierType keyboard_state_mods = 0;
		guint keyval = 0U;
		GdkKeymap* _tmp10_ = NULL;
		XEvent* _tmp11_ = NULL;
		XKeyEvent _tmp12_ = {0};
		guint _tmp13_ = 0U;
		GdkModifierType _tmp14_ = 0;
		guint _tmp15_ = 0U;
		GdkModifierType _tmp16_ = 0;
		GdkModifierType _tmp17_ = 0;
		GdkModifierType _tmp18_ = 0;
		GdkKeymap* _tmp19_ = NULL;
		GdkModifierType _tmp20_ = 0;
		GdkModifierType _tmp21_ = 0;
		GdkModifierType _tmp22_ = 0;
		gchar* accelerator = NULL;
		guint _tmp24_ = 0U;
		GdkModifierType _tmp25_ = 0;
		gchar* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
		gboolean _tmp28_ = FALSE;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp3_ = gdk_keymap_get_default ();
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp4_ = _g_object_ref0 (_tmp3_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		keymap = _tmp4_;
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp5_ = xevent;
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp6_ = (*_tmp5_).xkey;
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp7_ = _tmp6_.state;
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp8_ = nuvola_xkey_grabber_lock_modifiers;
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp8__length1 = nuvola_xkey_grabber_lock_modifiers_length1;
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp9_ = _tmp8_[7];
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		event_mods = (GdkModifierType) (_tmp7_ & (~_tmp9_));
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp10_ = keymap;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp11_ = xevent;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp12_ = (*_tmp11_).xkey;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp13_ = _tmp12_.keycode;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp14_ = event_mods;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		gdk_keymap_translate_keyboard_state (_tmp10_, _tmp13_, _tmp14_, 0, &_tmp15_, NULL, NULL, &_tmp16_);
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		keyval = _tmp15_;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		keyboard_state_mods = _tmp16_;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp17_ = event_mods;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp18_ = keyboard_state_mods;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		event_mods = _tmp17_ & (~(_tmp18_ & (~GDK_SHIFT_MASK)));
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp19_ = keymap;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		gdk_keymap_add_virtual_modifiers (_tmp19_, &event_mods);
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp20_ = event_mods;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp21_ = gtk_accelerator_get_default_mod_mask ();
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		event_mods = _tmp20_ & _tmp21_;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp22_ = event_mods;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		if ((_tmp22_ & (GDK_SUPER_MASK | GDK_HYPER_MASK)) != 0) {
#line 731 "XKeyGrabber.c"
			GdkModifierType _tmp23_ = 0;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			_tmp23_ = event_mods;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			event_mods = _tmp23_ & (~GDK_HYPER_MASK);
#line 737 "XKeyGrabber.c"
		}
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp24_ = keyval;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp25_ = event_mods;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp26_ = gtk_accelerator_name (_tmp24_, _tmp25_);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		accelerator = _tmp26_;
#line 167 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp27_ = accelerator;
#line 167 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp28_ = nuvola_xkey_grabber_is_grabbed (self, _tmp27_);
#line 167 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		if (_tmp28_) {
#line 753 "XKeyGrabber.c"
			const gchar* _tmp29_ = NULL;
			GdkEvent* _tmp30_ = NULL;
			guint32 _tmp31_ = 0U;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			_tmp29_ = accelerator;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			_tmp30_ = gdk_event;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			_tmp31_ = gdk_event_get_time (_tmp30_);
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			g_signal_emit_by_name (self, "keybinding-pressed", _tmp29_, _tmp31_);
#line 765 "XKeyGrabber.c"
		} else {
			const gchar* _tmp32_ = NULL;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			_tmp32_ = accelerator;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			g_warning ("XKeyGrabber.vala:170: Unknown keybinding %s", _tmp32_);
#line 772 "XKeyGrabber.c"
		}
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_g_free0 (accelerator);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_g_object_unref0 (keymap);
#line 778 "XKeyGrabber.c"
	}
#line 172 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	result = GDK_FILTER_CONTINUE;
#line 172 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	return result;
#line 784 "XKeyGrabber.c"
}


static GdkFilterReturn _nuvola_xkey_grabber_event_filter_gdk_filter_func (GdkXEvent* xevent, GdkEvent* event, gpointer self) {
	GdkFilterReturn result;
	result = nuvola_xkey_grabber_event_filter ((NuvolaXKeyGrabber*) self, xevent, event);
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	return result;
#line 793 "XKeyGrabber.c"
}


static void nuvola_xkey_grabber_setup_display (NuvolaXKeyGrabber* self, GdkDisplay* display) {
	GdkX11Window* _tmp0_ = NULL;
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_if_fail (self != NULL);
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_if_fail (display != NULL);
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_ = self->priv->root_window;
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	if (_tmp0_ != NULL) {
#line 807 "XKeyGrabber.c"
		GdkDisplay* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp1_ = display;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp2_ = gdk_display_get_name (_tmp1_);
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		g_warning ("XKeyGrabber.vala:179: A display '%s' appeared but the root window had " \
"been already set.", _tmp2_);
#line 816 "XKeyGrabber.c"
	} else {
		GdkWindow* _tmp3_ = NULL;
		GdkX11Window* _tmp4_ = NULL;
		GdkX11Window* _tmp5_ = NULL;
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp3_ = gdk_get_default_root_window ();
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp3_, gdk_x11_window_get_type ()) ? ((GdkX11Window*) _tmp3_) : NULL);
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_g_object_unref0 (self->priv->root_window);
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		self->priv->root_window = _tmp4_;
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		_tmp5_ = self->priv->root_window;
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		if (_tmp5_ == NULL) {
#line 833 "XKeyGrabber.c"
			GdkDisplay* _tmp6_ = NULL;
			const gchar* _tmp7_ = NULL;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			_tmp6_ = display;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			_tmp7_ = gdk_display_get_name (_tmp6_);
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			g_warning ("XKeyGrabber.vala:186: Failed to get a X11 Window for the display '%s'.", _tmp7_);
#line 842 "XKeyGrabber.c"
		} else {
			GdkDisplay* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			GdkX11Window* _tmp10_ = NULL;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			_tmp8_ = display;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			_tmp9_ = gdk_display_get_name (_tmp8_);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			g_debug ("XKeyGrabber.vala:190: Obtained a X11 Window for the display '%s'.", _tmp9_);
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			_tmp10_ = self->priv->root_window;
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
			gdk_window_add_filter ((GdkWindow*) _tmp10_, _nuvola_xkey_grabber_event_filter_gdk_filter_func, self);
#line 857 "XKeyGrabber.c"
		}
	}
}


static void g_cclosure_user_marshal_VOID__STRING_UINT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__STRING_UINT) (gpointer data1, const char* arg_1, guint32 arg_2, gpointer data2);
	register GMarshalFunc_VOID__STRING_UINT callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_return_if_fail (n_param_values == 3);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		data1 = closure->data;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		data2 = param_values->data[0].v_pointer;
#line 878 "XKeyGrabber.c"
	} else {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		data1 = param_values->data[0].v_pointer;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
		data2 = closure->data;
#line 884 "XKeyGrabber.c"
	}
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	callback = (GMarshalFunc_VOID__STRING_UINT) (marshal_data ? marshal_data : cc->callback);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	callback (data1, g_value_get_string (param_values + 1), g_value_get_uint (param_values + 2), data2);
#line 890 "XKeyGrabber.c"
}


static void nuvola_xkey_grabber_class_init (NuvolaXKeyGrabberClass * klass) {
	GdkModifierType* _tmp0_ = NULL;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	nuvola_xkey_grabber_parent_class = g_type_class_peek_parent (klass);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_type_class_add_private (klass, sizeof (NuvolaXKeyGrabberPrivate));
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_xkey_grabber_finalize;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	g_signal_new ("keybinding_pressed", NUVOLA_TYPE_XKEY_GRABBER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_UINT, G_TYPE_NONE, 2, G_TYPE_STRING, G_TYPE_UINT);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_ = g_new0 (GdkModifierType, 8);
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_[0] = 0;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_[1] = GDK_MOD2_MASK;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_[2] = GDK_LOCK_MASK;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_[3] = GDK_MOD5_MASK;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_[4] = GDK_MOD2_MASK | GDK_LOCK_MASK;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_[5] = GDK_MOD2_MASK | GDK_MOD5_MASK;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_[6] = GDK_LOCK_MASK | GDK_MOD5_MASK;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_tmp0_[7] = (GDK_MOD2_MASK | GDK_LOCK_MASK) | GDK_MOD5_MASK;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	nuvola_xkey_grabber_lock_modifiers = _tmp0_;
#line 31 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	nuvola_xkey_grabber_lock_modifiers_length1 = 8;
#line 926 "XKeyGrabber.c"
}


static void nuvola_xkey_grabber_instance_init (NuvolaXKeyGrabber * self) {
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	self->priv = NUVOLA_XKEY_GRABBER_GET_PRIVATE (self);
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	self->priv->root_window = NULL;
#line 935 "XKeyGrabber.c"
}


static void nuvola_xkey_grabber_finalize (GObject* obj) {
	NuvolaXKeyGrabber * self;
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_XKEY_GRABBER, NuvolaXKeyGrabber);
#line 43 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_g_hash_table_unref0 (self->priv->keybindings);
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	_g_object_unref0 (self->priv->root_window);
#line 28 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/components/keybindings/XKeyGrabber.vala"
	G_OBJECT_CLASS (nuvola_xkey_grabber_parent_class)->finalize (obj);
#line 949 "XKeyGrabber.c"
}


GType nuvola_xkey_grabber_get_type (void) {
	static volatile gsize nuvola_xkey_grabber_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_xkey_grabber_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaXKeyGrabberClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_xkey_grabber_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaXKeyGrabber), 0, (GInstanceInitFunc) nuvola_xkey_grabber_instance_init, NULL };
		GType nuvola_xkey_grabber_type_id;
		nuvola_xkey_grabber_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaXKeyGrabber", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_xkey_grabber_type_id__volatile, nuvola_xkey_grabber_type_id);
	}
	return nuvola_xkey_grabber_type_id__volatile;
}



