/* jsapi.c generated by valac 0.34.8, the Vala compiler
 * generated from jsapi.vala, do not modify */

/*
 * Copyright 2011-2014 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <dioriteglib-0.3.h>
#include <gio/gio.h>
#include <JavaScriptCore/JavaScript.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>


#define NUVOLA_TYPE_JS_API (nuvola_js_api_get_type ())
#define NUVOLA_JS_API(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_JS_API, NuvolaJSApi))
#define NUVOLA_JS_API_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_JS_API, NuvolaJSApiClass))
#define NUVOLA_IS_JS_API(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_JS_API))
#define NUVOLA_IS_JS_API_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_JS_API))
#define NUVOLA_JS_API_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_JS_API, NuvolaJSApiClass))

typedef struct _NuvolaJSApi NuvolaJSApi;
typedef struct _NuvolaJSApiClass NuvolaJSApiClass;
typedef struct _NuvolaJSApiPrivate NuvolaJSApiPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define NUVOLA_TYPE_JS_ENVIRONMENT (nuvola_js_environment_get_type ())
#define NUVOLA_JS_ENVIRONMENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_JS_ENVIRONMENT, NuvolaJsEnvironment))
#define NUVOLA_JS_ENVIRONMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_JS_ENVIRONMENT, NuvolaJsEnvironmentClass))
#define NUVOLA_IS_JS_ENVIRONMENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_JS_ENVIRONMENT))
#define NUVOLA_IS_JS_ENVIRONMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_JS_ENVIRONMENT))
#define NUVOLA_JS_ENVIRONMENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_JS_ENVIRONMENT, NuvolaJsEnvironmentClass))

typedef struct _NuvolaJsEnvironment NuvolaJsEnvironment;
typedef struct _NuvolaJsEnvironmentClass NuvolaJsEnvironmentClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _JSStringRelease0(var) ((var == NULL) ? NULL : (var = (JSStringRelease (var), NULL)))
#define _JSClassRelease0(var) ((var == NULL) ? NULL : (var = (JSClassRelease (var), NULL)))
typedef struct _Block1Data Block1Data;
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

/**
 * Errors thrown from Nuvola Palyer JavaScript API
 */
typedef enum  {
	NUVOLA_JS_ERROR_NOT_FOUND,
	NUVOLA_JS_ERROR_WRONG_TYPE,
	NUVOLA_JS_ERROR_FUNC_FAILED,
	NUVOLA_JS_ERROR_READ_ERROR,
	NUVOLA_JS_ERROR_NO_CONTEXT,
	NUVOLA_JS_ERROR_EXCEPTION,
	NUVOLA_JS_ERROR_INITIALIZATION_FAILED
} NuvolaJSError;
#define NUVOLA_JS_ERROR nuvola_js_error_quark ()
struct _NuvolaJSApi {
	GObject parent_instance;
	NuvolaJSApiPrivate * priv;
};

struct _NuvolaJSApiClass {
	GObjectClass parent_class;
};

struct _NuvolaJSApiPrivate {
	DioriteStorage* storage;
	GFile* data_dir;
	GFile* config_dir;
	DioriteKeyValueStorage** key_value_storages;
	gint key_value_storages_length1;
	gint _key_value_storages_size_;
	guint* webkit_version;
	gint webkit_version_length1;
	gint _webkit_version_size_;
	guint* libsoup_version;
	gint libsoup_version_length1;
	gint _libsoup_version_size_;
};

struct _Block1Data {
	int _ref_count_;
	gchar* name;
	NuvolaJSApi* js_api;
	GVariant* data;
};


static gpointer nuvola_js_api_parent_class = NULL;
static void* nuvola_js_api_klass;
static void* nuvola_js_api_klass = NULL;

GQuark nuvola_js_error_quark (void);
GType nuvola_js_api_get_type (void) G_GNUC_CONST;
#define NUVOLA_JS_API_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_JS_API, NuvolaJSApiPrivate))
enum  {
	NUVOLA_JS_API_DUMMY_PROPERTY
};
#define NUVOLA_JS_API_MAIN_JS "main.js"
#define NUVOLA_JS_API_META_JSON "metadata.json"
#define NUVOLA_JS_API_META_PROPERTY "meta"
#define NUVOLA_JS_API_JS_DIR "js"
#define NUVOLA_JS_API_INTEGRATE_JS "integrate.js"
#define NUVOLA_JS_API_SETTINGS_SCRIPT "settings.js"
#define NUVOLA_JS_API_API_VERSION_MAJOR 3
#define NUVOLA_JS_API_API_VERSION_MINOR 1
#define NUVOLA_JS_API_API_VERSION ((NUVOLA_JS_API_API_VERSION_MAJOR * 100) + NUVOLA_JS_API_API_VERSION_MINOR)
#define NUVOLA_JS_API_MAIN_FRAME_ID "__main__"
#define NUVOLA_JS_API_PREFERENCES_FRAME_ID "__preferences__"
static const struct OpaqueJSValue* nuvola_js_api_call_ipc_method_async_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* _nuvola_js_api_call_ipc_method_async_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* nuvola_js_api_call_ipc_method_sync_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* _nuvola_js_api_call_ipc_method_sync_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* nuvola_js_api_call_ipc_method_with_dict_async_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* _nuvola_js_api_call_ipc_method_with_dict_async_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* nuvola_js_api_call_ipc_method_with_dict_sync_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* _nuvola_js_api_call_ipc_method_with_dict_sync_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* nuvola_js_api_key_value_storage_has_key_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* _nuvola_js_api_key_value_storage_has_key_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* nuvola_js_api_key_value_storage_get_value_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* _nuvola_js_api_key_value_storage_get_value_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* nuvola_js_api_key_value_storage_set_value_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* _nuvola_js_api_key_value_storage_set_value_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* nuvola_js_api_key_value_storage_set_default_value_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* _nuvola_js_api_key_value_storage_set_default_value_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* nuvola_js_api_log_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* _nuvola_js_api_log_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* nuvola_js_api_warn_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception);
static const struct OpaqueJSValue* _nuvola_js_api_warn_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception);
NuvolaJSApi* nuvola_js_api_new (DioriteStorage* storage, GFile* data_dir, GFile* config_dir, DioriteKeyValueStorage* config, DioriteKeyValueStorage* session, guint* webkit_version, int webkit_version_length1, guint* libsoup_version, int libsoup_version_length1);
NuvolaJSApi* nuvola_js_api_construct (GType object_type, DioriteStorage* storage, GFile* data_dir, GFile* config_dir, DioriteKeyValueStorage* config, DioriteKeyValueStorage* session, guint* webkit_version, int webkit_version_length1, guint* libsoup_version, int libsoup_version_length1);
static guint* _vala_array_dup1 (guint* self, int length);
static guint* _vala_array_dup2 (guint* self, int length);
gboolean nuvola_js_api_is_supported (gint api_major, gint api_minor);
guint nuvola_js_api_get_webkit_version (NuvolaJSApi* self);
guint nuvola_js_api_get_libsoup_version (NuvolaJSApi* self);
GType nuvola_js_environment_get_type (void) G_GNUC_CONST;
void nuvola_js_api_inject (NuvolaJSApi* self, NuvolaJsEnvironment* env, GError** error);
struct OpaqueJSContext* nuvola_js_environment_get_context (NuvolaJsEnvironment* self);
static void nuvola_js_api_create_class (void);
void nuvola_js_tools_o_set_number (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property, gdouble value);
void nuvola_js_tools_o_set_string (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* obj, const gchar* property, const gchar* value);
gint nuvola_get_encoded_version (void);
void nuvola_js_environment_set_main_object (NuvolaJsEnvironment* self, struct OpaqueJSValue* value);
void nuvola_js_environment_execute_script_from_file (NuvolaJsEnvironment* self, GFile* file, GValue* result, GError** error);
const struct OpaqueJSValue* nuvola_js_tools_object_from_JSON (const struct OpaqueJSContext* ctx, const gchar* json);
struct OpaqueJSValue* nuvola_js_environment_get_main_object (NuvolaJsEnvironment* self);
void nuvola_js_api_initialize (NuvolaJSApi* self, NuvolaJsEnvironment* env, GError** error);
void nuvola_js_api_integrate (NuvolaJSApi* self, NuvolaJsEnvironment* env, GError** error);
static const struct OpaqueJSValue* nuvola_js_api_call_ipc_method_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception, gboolean async, gint type);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
const struct OpaqueJSValue* nuvola_js_tools_create_exception (const struct OpaqueJSContext* ctx, const gchar* message);
gchar* nuvola_js_tools_string_or_null (const struct OpaqueJSContext* ctx, const struct OpaqueJSValue* val, gboolean allow_empty);
GVariant* nuvola_js_tools_variant_from_value (const struct OpaqueJSContext* ctx, const struct OpaqueJSValue* val, GError** error);
static gboolean ____lambda4_ (Block1Data* _data1_);
static gboolean _____lambda4__gsource_func (gpointer self);
static gboolean ____lambda5_ (Block1Data* _data1_);
static gboolean _____lambda5__gsource_func (gpointer self);
const struct OpaqueJSValue* nuvola_js_tools_value_from_variant (const struct OpaqueJSContext* ctx, GVariant* variant, GError** error);
static void g_cclosure_user_marshal_VOID__STRING_VARIANT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void g_cclosure_user_marshal_VOID__STRING_VARIANT_POINTER (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void nuvola_js_api_finalize (GObject* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);

static const JSStaticFunction NUVOLA_JS_API_static_functions[11] = {{"_callIpcMethodAsync", _nuvola_js_api_call_ipc_method_async_func_js_object_call_as_function_callback, 0}, {"_callIpcMethodSync", _nuvola_js_api_call_ipc_method_sync_func_js_object_call_as_function_callback, 0}, {"_callIpcMethodWithDictAsync", _nuvola_js_api_call_ipc_method_with_dict_async_func_js_object_call_as_function_callback, 0}, {"_callIpcMethodWithDictSync", _nuvola_js_api_call_ipc_method_with_dict_sync_func_js_object_call_as_function_callback, 0}, {"_keyValueStorageHasKey", _nuvola_js_api_key_value_storage_has_key_func_js_object_call_as_function_callback, 0}, {"_keyValueStorageGetValue", _nuvola_js_api_key_value_storage_get_value_func_js_object_call_as_function_callback, 0}, {"_keyValueStorageSetValue", _nuvola_js_api_key_value_storage_set_value_func_js_object_call_as_function_callback, 0}, {"_keyValueStorageSetDefaultValue", _nuvola_js_api_key_value_storage_set_default_value_func_js_object_call_as_function_callback, 0}, {"_log", _nuvola_js_api_log_func_js_object_call_as_function_callback, 0}, {"_warn", _nuvola_js_api_warn_func_js_object_call_as_function_callback, 0}, {NULL, NULL, 0}};

GQuark nuvola_js_error_quark (void) {
	return g_quark_from_static_string ("nuvola_js_error-quark");
}


static const struct OpaqueJSValue* _nuvola_js_api_call_ipc_method_async_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* result;
	result = nuvola_js_api_call_ipc_method_async_func (ctx, function, thisObject, arguments, arguments_length1, exception);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 207 "jsapi.c"
}


static const struct OpaqueJSValue* _nuvola_js_api_call_ipc_method_sync_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* result;
	result = nuvola_js_api_call_ipc_method_sync_func (ctx, function, thisObject, arguments, arguments_length1, exception);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 216 "jsapi.c"
}


static const struct OpaqueJSValue* _nuvola_js_api_call_ipc_method_with_dict_async_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* result;
	result = nuvola_js_api_call_ipc_method_with_dict_async_func (ctx, function, thisObject, arguments, arguments_length1, exception);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 225 "jsapi.c"
}


static const struct OpaqueJSValue* _nuvola_js_api_call_ipc_method_with_dict_sync_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* result;
	result = nuvola_js_api_call_ipc_method_with_dict_sync_func (ctx, function, thisObject, arguments, arguments_length1, exception);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 234 "jsapi.c"
}


static const struct OpaqueJSValue* _nuvola_js_api_key_value_storage_has_key_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* result;
	result = nuvola_js_api_key_value_storage_has_key_func (ctx, function, thisObject, arguments, arguments_length1, exception);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 243 "jsapi.c"
}


static const struct OpaqueJSValue* _nuvola_js_api_key_value_storage_get_value_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* result;
	result = nuvola_js_api_key_value_storage_get_value_func (ctx, function, thisObject, arguments, arguments_length1, exception);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 252 "jsapi.c"
}


static const struct OpaqueJSValue* _nuvola_js_api_key_value_storage_set_value_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* result;
	result = nuvola_js_api_key_value_storage_set_value_func (ctx, function, thisObject, arguments, arguments_length1, exception);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 261 "jsapi.c"
}


static const struct OpaqueJSValue* _nuvola_js_api_key_value_storage_set_default_value_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* result;
	result = nuvola_js_api_key_value_storage_set_default_value_func (ctx, function, thisObject, arguments, arguments_length1, exception);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 270 "jsapi.c"
}


static const struct OpaqueJSValue* _nuvola_js_api_log_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* result;
	result = nuvola_js_api_log_func (ctx, function, thisObject, arguments, arguments_length1, exception);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 279 "jsapi.c"
}


static const struct OpaqueJSValue* _nuvola_js_api_warn_func_js_object_call_as_function_callback (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* thisObject, size_t arguments_length1, const struct OpaqueJSValue** arguments, struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* result;
	result = nuvola_js_api_warn_func (ctx, function, thisObject, arguments, arguments_length1, exception);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 288 "jsapi.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return self ? g_object_ref (self) : NULL;
#line 295 "jsapi.c"
}


static guint* _vala_array_dup1 (guint* self, int length) {
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return g_memdup (self, length * sizeof (guint));
#line 302 "jsapi.c"
}


static guint* _vala_array_dup2 (guint* self, int length) {
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return g_memdup (self, length * sizeof (guint));
#line 309 "jsapi.c"
}


NuvolaJSApi* nuvola_js_api_construct (GType object_type, DioriteStorage* storage, GFile* data_dir, GFile* config_dir, DioriteKeyValueStorage* config, DioriteKeyValueStorage* session, guint* webkit_version, int webkit_version_length1, guint* libsoup_version, int libsoup_version_length1) {
	NuvolaJSApi * self = NULL;
	DioriteStorage* _tmp0_ = NULL;
	DioriteStorage* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
	GFile* _tmp5_ = NULL;
	DioriteKeyValueStorage* _tmp6_ = NULL;
	DioriteKeyValueStorage* _tmp7_ = NULL;
	DioriteKeyValueStorage* _tmp8_ = NULL;
	DioriteKeyValueStorage* _tmp9_ = NULL;
	DioriteKeyValueStorage** _tmp10_ = NULL;
	guint* _tmp11_ = NULL;
	gint _tmp11__length1 = 0;
	guint* _tmp12_ = NULL;
	gint _tmp12__length1 = 0;
	guint* _tmp13_ = NULL;
	gint _tmp13__length1 = 0;
	guint* _tmp14_ = NULL;
	gint _tmp14__length1 = 0;
	guint* _tmp15_ = NULL;
	gint _tmp15__length1 = 0;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (storage != NULL, NULL);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (data_dir != NULL, NULL);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (config_dir != NULL, NULL);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (config != NULL, NULL);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (session != NULL, NULL);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self = (NuvolaJSApi*) g_object_new (object_type, NULL);
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = storage;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (self->priv->storage);
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->storage = _tmp1_;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = data_dir;
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (self->priv->data_dir);
#line 114 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->data_dir = _tmp3_;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp4_ = config_dir;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (self->priv->config_dir);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->config_dir = _tmp5_;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp6_ = config;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp7_ = _g_object_ref0 (_tmp6_);
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp8_ = session;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp9_ = _g_object_ref0 (_tmp8_);
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp10_ = g_new0 (DioriteKeyValueStorage*, 2 + 1);
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp10_[0] = _tmp7_;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp10_[1] = _tmp9_;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->key_value_storages = (_vala_array_free (self->priv->key_value_storages, self->priv->key_value_storages_length1, (GDestroyNotify) g_object_unref), NULL);
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->key_value_storages = _tmp10_;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->key_value_storages_length1 = 2;
#line 116 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->_key_value_storages_size_ = self->priv->key_value_storages_length1;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp11_ = webkit_version;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp11__length1 = webkit_version_length1;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_assert (_tmp11__length1 >= 3, "webkit_version.length >= 3");
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp12_ = webkit_version;
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp12__length1 = webkit_version_length1;
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp13_ = (_tmp12_ != NULL) ? _vala_array_dup1 (_tmp12_, _tmp12__length1) : ((gpointer) _tmp12_);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp13__length1 = _tmp12__length1;
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->webkit_version = (g_free (self->priv->webkit_version), NULL);
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->webkit_version = _tmp13_;
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->webkit_version_length1 = _tmp13__length1;
#line 118 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->_webkit_version_size_ = self->priv->webkit_version_length1;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp14_ = libsoup_version;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp14__length1 = libsoup_version_length1;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp15_ = (_tmp14_ != NULL) ? _vala_array_dup2 (_tmp14_, _tmp14__length1) : ((gpointer) _tmp14_);
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp15__length1 = _tmp14__length1;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->libsoup_version = (g_free (self->priv->libsoup_version), NULL);
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->libsoup_version = _tmp15_;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->libsoup_version_length1 = _tmp15__length1;
#line 119 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->_libsoup_version_size_ = self->priv->libsoup_version_length1;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return self;
#line 434 "jsapi.c"
}


NuvolaJSApi* nuvola_js_api_new (DioriteStorage* storage, GFile* data_dir, GFile* config_dir, DioriteKeyValueStorage* config, DioriteKeyValueStorage* session, guint* webkit_version, int webkit_version_length1, guint* libsoup_version, int libsoup_version_length1) {
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return nuvola_js_api_construct (NUVOLA_TYPE_JS_API, storage, data_dir, config_dir, config, session, webkit_version, webkit_version_length1, libsoup_version, libsoup_version_length1);
#line 441 "jsapi.c"
}


gboolean nuvola_js_api_is_supported (gint api_major, gint api_minor) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gint _tmp1_ = 0;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = api_major;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp1_ == NUVOLA_JS_API_API_VERSION_MAJOR) {
#line 453 "jsapi.c"
		gint _tmp2_ = 0;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp2_ = api_minor;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp0_ = _tmp2_ <= NUVOLA_JS_API_API_VERSION_MINOR;
#line 459 "jsapi.c"
	} else {
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp0_ = FALSE;
#line 463 "jsapi.c"
	}
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = _tmp0_;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 469 "jsapi.c"
}


guint nuvola_js_api_get_webkit_version (NuvolaJSApi* self) {
	guint result = 0U;
	guint* _tmp0_ = NULL;
	gint _tmp0__length1 = 0;
	guint _tmp1_ = 0U;
	guint* _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
	guint _tmp3_ = 0U;
	guint* _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
	guint _tmp5_ = 0U;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = self->priv->webkit_version;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0__length1 = self->priv->webkit_version_length1;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = _tmp0_[0];
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = self->priv->webkit_version;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2__length1 = self->priv->webkit_version_length1;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3_ = _tmp2_[1];
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp4_ = self->priv->webkit_version;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp4__length1 = self->priv->webkit_version_length1;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp5_ = _tmp4_[2];
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = ((_tmp1_ * 10000) + (_tmp3_ * 100)) + _tmp5_;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 508 "jsapi.c"
}


guint nuvola_js_api_get_libsoup_version (NuvolaJSApi* self) {
	guint result = 0U;
	guint* _tmp0_ = NULL;
	gint _tmp0__length1 = 0;
	guint _tmp1_ = 0U;
	guint* _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
	guint _tmp3_ = 0U;
	guint* _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
	guint _tmp5_ = 0U;
#line 132 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = self->priv->libsoup_version;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0__length1 = self->priv->libsoup_version_length1;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = _tmp0_[0];
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = self->priv->libsoup_version;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2__length1 = self->priv->libsoup_version_length1;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3_ = _tmp2_[1];
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp4_ = self->priv->libsoup_version;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp4__length1 = self->priv->libsoup_version_length1;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp5_ = _tmp4_[2];
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = ((_tmp1_ * 10000) + (_tmp3_ * 100)) + _tmp5_;
#line 134 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 547 "jsapi.c"
}


/**
 * Creates the main object and injects it to the JavaScript context
 * 
 * @param env    JavaScript environment to use for injection
 */
void nuvola_js_api_inject (NuvolaJSApi* self, NuvolaJsEnvironment* env, GError** error) {
	const struct OpaqueJSContext* ctx = NULL;
	NuvolaJsEnvironment* _tmp0_ = NULL;
	struct OpaqueJSContext* _tmp1_ = NULL;
	struct OpaqueJSContext* _tmp2_ = NULL;
	void* _tmp3_ = NULL;
	struct OpaqueJSValue* main_object = NULL;
	const struct OpaqueJSContext* _tmp4_ = NULL;
	void* _tmp5_ = NULL;
	struct OpaqueJSValue* _tmp6_ = NULL;
	struct OpaqueJSValue* _tmp7_ = NULL;
	const struct OpaqueJSContext* _tmp8_ = NULL;
	const struct OpaqueJSContext* _tmp9_ = NULL;
	struct OpaqueJSValue* _tmp10_ = NULL;
	const struct OpaqueJSContext* _tmp11_ = NULL;
	struct OpaqueJSValue* _tmp12_ = NULL;
	const struct OpaqueJSContext* _tmp13_ = NULL;
	struct OpaqueJSValue* _tmp14_ = NULL;
	const struct OpaqueJSContext* _tmp15_ = NULL;
	struct OpaqueJSValue* _tmp16_ = NULL;
	const struct OpaqueJSContext* _tmp17_ = NULL;
	struct OpaqueJSValue* _tmp18_ = NULL;
	const struct OpaqueJSContext* _tmp19_ = NULL;
	struct OpaqueJSValue* _tmp20_ = NULL;
	const struct OpaqueJSContext* _tmp21_ = NULL;
	struct OpaqueJSValue* _tmp22_ = NULL;
	const struct OpaqueJSContext* _tmp23_ = NULL;
	struct OpaqueJSValue* _tmp24_ = NULL;
	gint _tmp25_ = 0;
	const struct OpaqueJSContext* _tmp26_ = NULL;
	struct OpaqueJSValue* _tmp27_ = NULL;
	guint _tmp28_ = 0U;
	const struct OpaqueJSContext* _tmp29_ = NULL;
	struct OpaqueJSValue* _tmp30_ = NULL;
	guint* _tmp31_ = NULL;
	gint _tmp31__length1 = 0;
	guint _tmp32_ = 0U;
	const struct OpaqueJSContext* _tmp33_ = NULL;
	struct OpaqueJSValue* _tmp34_ = NULL;
	guint* _tmp35_ = NULL;
	gint _tmp35__length1 = 0;
	guint _tmp36_ = 0U;
	const struct OpaqueJSContext* _tmp37_ = NULL;
	struct OpaqueJSValue* _tmp38_ = NULL;
	guint* _tmp39_ = NULL;
	gint _tmp39__length1 = 0;
	guint _tmp40_ = 0U;
	const struct OpaqueJSContext* _tmp41_ = NULL;
	struct OpaqueJSValue* _tmp42_ = NULL;
	guint _tmp43_ = 0U;
	const struct OpaqueJSContext* _tmp44_ = NULL;
	struct OpaqueJSValue* _tmp45_ = NULL;
	guint* _tmp46_ = NULL;
	gint _tmp46__length1 = 0;
	guint _tmp47_ = 0U;
	const struct OpaqueJSContext* _tmp48_ = NULL;
	struct OpaqueJSValue* _tmp49_ = NULL;
	guint* _tmp50_ = NULL;
	gint _tmp50__length1 = 0;
	guint _tmp51_ = 0U;
	const struct OpaqueJSContext* _tmp52_ = NULL;
	struct OpaqueJSValue* _tmp53_ = NULL;
	guint* _tmp54_ = NULL;
	gint _tmp54__length1 = 0;
	guint _tmp55_ = 0U;
	NuvolaJsEnvironment* _tmp56_ = NULL;
	struct OpaqueJSValue* _tmp57_ = NULL;
	struct OpaqueJSValue* _tmp58_ = NULL;
	const struct OpaqueJSContext* _tmp59_ = NULL;
	GFile* main_js = NULL;
	DioriteStorage* _tmp60_ = NULL;
	GFile* _tmp61_ = NULL;
	GFile* _tmp62_ = NULL;
	GFile* _tmp63_ = NULL;
	GFile* _tmp64_ = NULL;
	GFile* _tmp65_ = NULL;
	GFile* _tmp66_ = NULL;
	GFile* _tmp67_ = NULL;
	gboolean _tmp68_ = FALSE;
	GFile* _tmp79_ = NULL;
	GFile* meta_json = NULL;
	GFile* _tmp91_ = NULL;
	GFile* _tmp92_ = NULL;
	GFile* _tmp93_ = NULL;
	gboolean _tmp94_ = FALSE;
	gchar* meta_json_data = NULL;
	const struct OpaqueJSValue* meta = NULL;
	const struct OpaqueJSContext* _tmp103_ = NULL;
	const gchar* _tmp104_ = NULL;
	const struct OpaqueJSValue* _tmp105_ = NULL;
	NuvolaJsEnvironment* _tmp106_ = NULL;
	struct OpaqueJSValue* _tmp107_ = NULL;
	struct OpaqueJSValue* _tmp108_ = NULL;
	const struct OpaqueJSContext* _tmp109_ = NULL;
	struct OpaqueJSString* _tmp110_ = NULL;
	struct OpaqueJSString* _tmp111_ = NULL;
	const struct OpaqueJSValue* _tmp112_ = NULL;
	GError * _inner_error_ = NULL;
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_if_fail (self != NULL);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_if_fail (env != NULL);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = env;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = nuvola_js_environment_get_context (_tmp0_);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = _tmp1_;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	ctx = (const struct OpaqueJSContext*) _tmp2_;
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3_ = nuvola_js_api_klass;
#line 150 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp3_ == NULL) {
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		nuvola_js_api_create_class ();
#line 672 "jsapi.c"
	}
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp4_ = ctx;
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp5_ = nuvola_js_api_klass;
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp6_ = JSObjectMake (_tmp4_, _tmp5_, self);
#line 152 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	main_object = _tmp6_;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp7_ = main_object;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp8_ = ctx;
#line 153 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	JSValueProtect (_tmp8_, (const struct OpaqueJSValue*) _tmp7_);
#line 155 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp9_ = ctx;
#line 155 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp10_ = main_object;
#line 155 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp9_, _tmp10_, "API_VERSION_MAJOR", (gdouble) NUVOLA_JS_API_API_VERSION_MAJOR);
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp11_ = ctx;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp12_ = main_object;
#line 156 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp11_, _tmp12_, "API_VERSION_MINOR", (gdouble) NUVOLA_JS_API_API_VERSION_MINOR);
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp13_ = ctx;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp14_ = main_object;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp13_, _tmp14_, "API_VERSION", (gdouble) NUVOLA_JS_API_API_VERSION);
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp15_ = ctx;
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp16_ = main_object;
#line 158 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp15_, _tmp16_, "VERSION_MAJOR", (gdouble) NUVOLA_VERSION_MAJOR);
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp17_ = ctx;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp18_ = main_object;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp17_, _tmp18_, "VERSION_MINOR", (gdouble) NUVOLA_VERSION_MINOR);
#line 160 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp19_ = ctx;
#line 160 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp20_ = main_object;
#line 160 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp19_, _tmp20_, "VERSION_BUGFIX", (gdouble) NUVOLA_VERSION_BUGFIX);
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp21_ = ctx;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp22_ = main_object;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_string (_tmp21_, _tmp22_, "VERSION_SUFFIX", NUVOLA_VERSION_SUFFIX);
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp23_ = ctx;
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp24_ = main_object;
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp25_ = nuvola_get_encoded_version ();
#line 162 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp23_, _tmp24_, "VERSION", (gdouble) _tmp25_);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp26_ = ctx;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp27_ = main_object;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp28_ = nuvola_js_api_get_webkit_version (self);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp26_, _tmp27_, "WEBKITGTK_VERSION", (gdouble) _tmp28_);
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp29_ = ctx;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp30_ = main_object;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp31_ = self->priv->webkit_version;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp31__length1 = self->priv->webkit_version_length1;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp32_ = _tmp31_[0];
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp29_, _tmp30_, "WEBKITGTK_MAJOR", (gdouble) _tmp32_);
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp33_ = ctx;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp34_ = main_object;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp35_ = self->priv->webkit_version;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp35__length1 = self->priv->webkit_version_length1;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp36_ = _tmp35_[1];
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp33_, _tmp34_, "WEBKITGTK_MINOR", (gdouble) _tmp36_);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp37_ = ctx;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp38_ = main_object;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp39_ = self->priv->webkit_version;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp39__length1 = self->priv->webkit_version_length1;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp40_ = _tmp39_[2];
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp37_, _tmp38_, "WEBKITGTK_MICRO", (gdouble) _tmp40_);
#line 167 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp41_ = ctx;
#line 167 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp42_ = main_object;
#line 167 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp43_ = nuvola_js_api_get_libsoup_version (self);
#line 167 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp41_, _tmp42_, "LIBSOUP_VERSION", (gdouble) _tmp43_);
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp44_ = ctx;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp45_ = main_object;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp46_ = self->priv->libsoup_version;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp46__length1 = self->priv->libsoup_version_length1;
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp47_ = _tmp46_[0];
#line 168 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp44_, _tmp45_, "LIBSOUP_MAJOR", (gdouble) _tmp47_);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp48_ = ctx;
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp49_ = main_object;
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp50_ = self->priv->libsoup_version;
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp50__length1 = self->priv->libsoup_version_length1;
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp51_ = _tmp50_[1];
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp48_, _tmp49_, "LIBSOUP_MINOR", (gdouble) _tmp51_);
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp52_ = ctx;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp53_ = main_object;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp54_ = self->priv->libsoup_version;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp54__length1 = self->priv->libsoup_version_length1;
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp55_ = _tmp54_[2];
#line 170 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_tools_o_set_number (_tmp52_, _tmp53_, "LIBSOUP_MICRO", (gdouble) _tmp55_);
#line 172 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp56_ = env;
#line 172 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp57_ = main_object;
#line 172 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_environment_set_main_object (_tmp56_, _tmp57_);
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp58_ = main_object;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp59_ = ctx;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	JSValueUnprotect (_tmp59_, (const struct OpaqueJSValue*) _tmp58_);
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp60_ = self->priv->storage;
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp61_ = diorite_storage_get_user_data_dir (_tmp60_);
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp62_ = _tmp61_;
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp63_ = g_file_get_child (_tmp62_, NUVOLA_JS_API_JS_DIR);
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp64_ = _tmp63_;
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp65_ = g_file_get_child (_tmp64_, NUVOLA_JS_API_MAIN_JS);
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp66_ = _tmp65_;
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (_tmp64_);
#line 175 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	main_js = _tmp66_;
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp67_ = main_js;
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp68_ = g_file_query_exists (_tmp67_, NULL);
#line 176 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (!_tmp68_) {
#line 862 "jsapi.c"
		DioriteStorage* _tmp69_ = NULL;
		GFile** _tmp70_ = NULL;
		gint _tmp70__length1 = 0;
		GFile** _tmp71_ = NULL;
		gint _tmp71__length1 = 0;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (main_js);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		main_js = NULL;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp69_ = self->priv->storage;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp70_ = diorite_storage_get_data_dirs (_tmp69_, &_tmp70__length1);
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp71_ = _tmp70_;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp71__length1 = _tmp70__length1;
#line 880 "jsapi.c"
		{
			GFile** dir_collection = NULL;
			gint dir_collection_length1 = 0;
			gint _dir_collection_size_ = 0;
			gint dir_it = 0;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			dir_collection = _tmp71_;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			dir_collection_length1 = _tmp71__length1;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			for (dir_it = 0; dir_it < _tmp71__length1; dir_it = dir_it + 1) {
#line 892 "jsapi.c"
				GFile* _tmp72_ = NULL;
				GFile* dir = NULL;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp72_ = _g_object_ref0 (dir_collection[dir_it]);
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				dir = _tmp72_;
#line 899 "jsapi.c"
				{
					GFile* _tmp73_ = NULL;
					GFile* _tmp74_ = NULL;
					GFile* _tmp75_ = NULL;
					GFile* _tmp76_ = NULL;
					GFile* _tmp77_ = NULL;
					gboolean _tmp78_ = FALSE;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp73_ = dir;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp74_ = g_file_get_child (_tmp73_, NUVOLA_JS_API_JS_DIR);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp75_ = _tmp74_;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp76_ = g_file_get_child (_tmp75_, NUVOLA_JS_API_MAIN_JS);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_g_object_unref0 (main_js);
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					main_js = _tmp76_;
#line 181 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_g_object_unref0 (_tmp75_);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp77_ = main_js;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp78_ = g_file_query_exists (_tmp77_, NULL);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					if (_tmp78_) {
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_object_unref0 (dir);
#line 183 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						break;
#line 931 "jsapi.c"
					}
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_g_object_unref0 (main_js);
#line 184 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					main_js = NULL;
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_g_object_unref0 (dir);
#line 939 "jsapi.c"
				}
			}
#line 179 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			dir_collection = (_vala_array_free (dir_collection, dir_collection_length1, (GDestroyNotify) g_object_unref), NULL);
#line 944 "jsapi.c"
		}
	}
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp79_ = main_js;
#line 188 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp79_ == NULL) {
#line 951 "jsapi.c"
		GError* _tmp80_ = NULL;
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp80_ = g_error_new_literal (NUVOLA_JS_ERROR, NUVOLA_JS_ERROR_INITIALIZATION_FAILED, "Failed to find a core component main.js. This probably means the appli" \
"cation has not been installed correctly or that component has been acc" \
"identally deleted.");
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = _tmp80_;
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_propagate_error (error, _inner_error_);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (main_js);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 965 "jsapi.c"
		} else {
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (main_js);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_clear_error (&_inner_error_);
#line 189 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 975 "jsapi.c"
		}
	}
	{
		NuvolaJsEnvironment* _tmp81_ = NULL;
		GFile* _tmp82_ = NULL;
		GValue _tmp83_ = {0};
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp81_ = env;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp82_ = main_js;
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		nuvola_js_environment_execute_script_from_file (_tmp81_, _tmp82_, &_tmp83_, &_inner_error_);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 992 "jsapi.c"
				goto __catch7_nuvola_js_error;
			}
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (main_js);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_clear_error (&_inner_error_);
#line 193 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1003 "jsapi.c"
		}
	}
	goto __finally7;
	__catch7_nuvola_js_error:
	{
		GError* e = NULL;
		GFile* _tmp84_ = NULL;
		gchar* _tmp85_ = NULL;
		gchar* _tmp86_ = NULL;
		GError* _tmp87_ = NULL;
		const gchar* _tmp88_ = NULL;
		GError* _tmp89_ = NULL;
		GError* _tmp90_ = NULL;
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		e = _inner_error_;
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = NULL;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp84_ = main_js;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp85_ = g_file_get_path (_tmp84_);
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp86_ = _tmp85_;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp87_ = e;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp88_ = _tmp87_->message;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp89_ = g_error_new (NUVOLA_JS_ERROR, NUVOLA_JS_ERROR_INITIALIZATION_FAILED, "Failed to initialize a core component main.js located at '%s'. Initial" \
"ization exited with error:\n" \
"\n" \
"%s", _tmp86_, _tmp88_);
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp90_ = _tmp89_;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (_tmp86_);
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = _tmp90_;
#line 197 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_error_free0 (e);
#line 1041 "jsapi.c"
		goto __finally7;
	}
	__finally7:
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_propagate_error (error, _inner_error_);
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (main_js);
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1055 "jsapi.c"
		} else {
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (main_js);
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_clear_error (&_inner_error_);
#line 191 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1065 "jsapi.c"
		}
	}
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp91_ = self->priv->data_dir;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp92_ = g_file_get_child (_tmp91_, NUVOLA_JS_API_META_JSON);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	meta_json = _tmp92_;
#line 201 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp93_ = meta_json;
#line 201 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp94_ = g_file_query_exists (_tmp93_, NULL);
#line 201 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (!_tmp94_) {
#line 1080 "jsapi.c"
		GError* _tmp95_ = NULL;
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp95_ = g_error_new (NUVOLA_JS_ERROR, NUVOLA_JS_ERROR_INITIALIZATION_FAILED, "Failed to find a web app component %s. This probably means the web app" \
" integration has not been installed correctly or that component has be" \
"en accidentally deleted.", NUVOLA_JS_API_META_JSON);
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = _tmp95_;
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_propagate_error (error, _inner_error_);
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (meta_json);
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (main_js);
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1096 "jsapi.c"
		} else {
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (meta_json);
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (main_js);
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_clear_error (&_inner_error_);
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1108 "jsapi.c"
		}
	}
	{
		gchar* _tmp96_ = NULL;
		GFile* _tmp97_ = NULL;
		gchar* _tmp98_ = NULL;
		gchar* _tmp99_ = NULL;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp97_ = meta_json;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp98_ = diorite_system_read_file (_tmp97_, &_inner_error_);
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp96_ = _tmp98_;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1124 "jsapi.c"
			goto __catch8_g_error;
		}
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp99_ = _tmp96_;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp96_ = NULL;
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (meta_json_data);
#line 207 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		meta_json_data = _tmp99_;
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (_tmp96_);
#line 1137 "jsapi.c"
	}
	goto __finally8;
	__catch8_g_error:
	{
		GError* e = NULL;
		GError* _tmp100_ = NULL;
		const gchar* _tmp101_ = NULL;
		GError* _tmp102_ = NULL;
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		e = _inner_error_;
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = NULL;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp100_ = e;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp101_ = _tmp100_->message;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp102_ = g_error_new (NUVOLA_JS_ERROR, NUVOLA_JS_ERROR_INITIALIZATION_FAILED, "Failed load a web app component %s. This probably means the web app in" \
"tegration has not been installed correctly or that component has been " \
"accidentally deleted.\n" \
"\n" \
"%s", NUVOLA_JS_API_META_JSON, _tmp101_);
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = _tmp102_;
#line 211 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_error_free0 (e);
#line 1160 "jsapi.c"
		goto __finally8;
	}
	__finally8:
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_propagate_error (error, _inner_error_);
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_free0 (meta_json_data);
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (meta_json);
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (main_js);
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1178 "jsapi.c"
		} else {
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_free0 (meta_json_data);
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (meta_json);
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (main_js);
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_clear_error (&_inner_error_);
#line 205 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1192 "jsapi.c"
		}
	}
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp103_ = ctx;
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp104_ = meta_json_data;
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp105_ = nuvola_js_tools_object_from_JSON (_tmp103_, _tmp104_);
#line 214 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	meta = _tmp105_;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp106_ = env;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp107_ = nuvola_js_environment_get_main_object (_tmp106_);
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp108_ = _tmp107_;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp109_ = ctx;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp110_ = JSStringCreateWithUTF8CString (NUVOLA_JS_API_META_PROPERTY);
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp111_ = _tmp110_;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp112_ = meta;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	JSObjectSetProperty (_tmp109_, _tmp108_, _tmp111_, _tmp112_, 0, NULL);
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_JSStringRelease0 (_tmp111_);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_free0 (meta_json_data);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (meta_json);
#line 147 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (main_js);
#line 1227 "jsapi.c"
}


void nuvola_js_api_initialize (NuvolaJSApi* self, NuvolaJsEnvironment* env, GError** error) {
	NuvolaJsEnvironment* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_if_fail (self != NULL);
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_if_fail (env != NULL);
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = env;
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_api_integrate (self, _tmp0_, &_inner_error_);
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_propagate_error (error, _inner_error_);
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1250 "jsapi.c"
		} else {
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_clear_error (&_inner_error_);
#line 220 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1258 "jsapi.c"
		}
	}
}


void nuvola_js_api_integrate (NuvolaJSApi* self, NuvolaJsEnvironment* env, GError** error) {
	GFile* integrate_js = NULL;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GError * _inner_error_ = NULL;
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_if_fail (self != NULL);
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_if_fail (env != NULL);
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = self->priv->data_dir;
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = g_file_get_child (_tmp0_, NUVOLA_JS_API_INTEGRATE_JS);
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	integrate_js = _tmp1_;
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = integrate_js;
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 226 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (!_tmp3_) {
#line 1287 "jsapi.c"
		GError* _tmp4_ = NULL;
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp4_ = g_error_new (NUVOLA_JS_ERROR, NUVOLA_JS_ERROR_INITIALIZATION_FAILED, "Failed to find a web app component %s. This probably means the web app" \
" integration has not been installed correctly or that component has be" \
"en accidentally deleted.", NUVOLA_JS_API_INTEGRATE_JS);
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = _tmp4_;
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_propagate_error (error, _inner_error_);
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (integrate_js);
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1301 "jsapi.c"
		} else {
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (integrate_js);
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_clear_error (&_inner_error_);
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1311 "jsapi.c"
		}
	}
	{
		NuvolaJsEnvironment* _tmp5_ = NULL;
		GFile* _tmp6_ = NULL;
		GValue _tmp7_ = {0};
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp5_ = env;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp6_ = integrate_js;
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		nuvola_js_environment_execute_script_from_file (_tmp5_, _tmp6_, &_tmp7_, &_inner_error_);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 1328 "jsapi.c"
				goto __catch9_nuvola_js_error;
			}
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (integrate_js);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_clear_error (&_inner_error_);
#line 231 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1339 "jsapi.c"
		}
	}
	goto __finally9;
	__catch9_nuvola_js_error:
	{
		GError* e = NULL;
		GFile* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		GError* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		GError* _tmp13_ = NULL;
		GError* _tmp14_ = NULL;
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		e = _inner_error_;
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = NULL;
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp8_ = integrate_js;
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp9_ = g_file_get_path (_tmp8_);
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp10_ = _tmp9_;
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp11_ = e;
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp12_ = _tmp11_->message;
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp13_ = g_error_new (NUVOLA_JS_ERROR, NUVOLA_JS_ERROR_INITIALIZATION_FAILED, "Failed to initialize a web app component %s located at '%s'. Initializ" \
"ation exited with error:\n" \
"\n" \
"%s", NUVOLA_JS_API_INTEGRATE_JS, _tmp10_, _tmp12_);
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp14_ = _tmp13_;
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (_tmp10_);
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = _tmp14_;
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_error_free0 (e);
#line 1377 "jsapi.c"
		goto __finally9;
	}
	__finally9:
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_propagate_error (error, _inner_error_);
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (integrate_js);
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1391 "jsapi.c"
		} else {
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (integrate_js);
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_clear_error (&_inner_error_);
#line 229 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return;
#line 1401 "jsapi.c"
		}
	}
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (integrate_js);
#line 1406 "jsapi.c"
}


/**
 * Creates Nuvola Player main object class description
 */
static void nuvola_js_api_create_class (void) {
	JSClassDefinition class_def = {0};
	JSClassDefinition _tmp0_ = {0};
	JSClassDefinition _tmp1_ = {0};
	void* _tmp2_ = NULL;
	void* _tmp3_ = NULL;
	void* _tmp4_ = NULL;
	void* _tmp5_ = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.version = 1;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.attributes = kJSClassAttributeNone;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_free0 (_tmp0_.className);
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.className = "Nuvola JavaScript API";
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_JSClassRelease0 (_tmp0_.parentClass);
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.parentClass = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.staticValues = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.staticFunctions = NUVOLA_JS_API_static_functions;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.initialize = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.finalize = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.hasProperty = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.getProperty = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.setProperty = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.deleteProperty = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.getPropertyNames = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.callAsFunction = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.callAsConstructor = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.hasInstance = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_.convertToType = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	class_def = _tmp0_;
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = class_def;
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = JSClassCreate (&_tmp1_);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_api_klass = _tmp2_;
#line 284 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3_ = nuvola_js_api_klass;
#line 284 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp4_ = JSClassRetain (_tmp3_);
#line 284 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp5_ = _tmp4_;
#line 284 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_JSClassRelease0 (_tmp5_);
#line 1475 "jsapi.c"
}


static const struct OpaqueJSValue* nuvola_js_api_call_ipc_method_async_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* _vala_exception = NULL;
	const struct OpaqueJSValue* result = NULL;
	const struct OpaqueJSContext* _tmp0_ = NULL;
	struct OpaqueJSValue* _tmp1_ = NULL;
	struct OpaqueJSValue* _tmp2_ = NULL;
	const struct OpaqueJSValue** _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	const struct OpaqueJSValue* _tmp4_ = NULL;
	const struct OpaqueJSValue* _tmp5_ = NULL;
#line 287 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 287 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (function != NULL, NULL);
#line 287 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (_self_ != NULL, NULL);
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = ctx;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = function;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = _self_;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3_ = args;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3__length1 = args_length1;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp5_ = nuvola_js_api_call_ipc_method_func (_tmp0_, _tmp1_, _tmp2_, _tmp3_, _tmp3__length1, &_tmp4_, TRUE, 0);
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_exception = _tmp4_;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = _tmp5_;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (exception) {
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		*exception = _vala_exception;
#line 1515 "jsapi.c"
	}
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 1519 "jsapi.c"
}


static const struct OpaqueJSValue* nuvola_js_api_call_ipc_method_sync_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* _vala_exception = NULL;
	const struct OpaqueJSValue* result = NULL;
	const struct OpaqueJSContext* _tmp0_ = NULL;
	struct OpaqueJSValue* _tmp1_ = NULL;
	struct OpaqueJSValue* _tmp2_ = NULL;
	const struct OpaqueJSValue** _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	const struct OpaqueJSValue* _tmp4_ = NULL;
	const struct OpaqueJSValue* _tmp5_ = NULL;
#line 292 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 292 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (function != NULL, NULL);
#line 292 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (_self_ != NULL, NULL);
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = ctx;
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = function;
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = _self_;
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3_ = args;
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3__length1 = args_length1;
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp5_ = nuvola_js_api_call_ipc_method_func (_tmp0_, _tmp1_, _tmp2_, _tmp3_, _tmp3__length1, &_tmp4_, FALSE, 0);
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_exception = _tmp4_;
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = _tmp5_;
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (exception) {
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		*exception = _vala_exception;
#line 1559 "jsapi.c"
	}
#line 294 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 1563 "jsapi.c"
}


static const struct OpaqueJSValue* nuvola_js_api_call_ipc_method_with_dict_async_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* _vala_exception = NULL;
	const struct OpaqueJSValue* result = NULL;
	const struct OpaqueJSContext* _tmp0_ = NULL;
	struct OpaqueJSValue* _tmp1_ = NULL;
	struct OpaqueJSValue* _tmp2_ = NULL;
	const struct OpaqueJSValue** _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	const struct OpaqueJSValue* _tmp4_ = NULL;
	const struct OpaqueJSValue* _tmp5_ = NULL;
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (function != NULL, NULL);
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (_self_ != NULL, NULL);
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = ctx;
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = function;
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = _self_;
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3_ = args;
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3__length1 = args_length1;
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp5_ = nuvola_js_api_call_ipc_method_func (_tmp0_, _tmp1_, _tmp2_, _tmp3_, _tmp3__length1, &_tmp4_, TRUE, 1);
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_exception = _tmp4_;
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = _tmp5_;
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (exception) {
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		*exception = _vala_exception;
#line 1603 "jsapi.c"
	}
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 1607 "jsapi.c"
}


static const struct OpaqueJSValue* nuvola_js_api_call_ipc_method_with_dict_sync_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* _vala_exception = NULL;
	const struct OpaqueJSValue* result = NULL;
	const struct OpaqueJSContext* _tmp0_ = NULL;
	struct OpaqueJSValue* _tmp1_ = NULL;
	struct OpaqueJSValue* _tmp2_ = NULL;
	const struct OpaqueJSValue** _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	const struct OpaqueJSValue* _tmp4_ = NULL;
	const struct OpaqueJSValue* _tmp5_ = NULL;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (function != NULL, NULL);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (_self_ != NULL, NULL);
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = ctx;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = function;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = _self_;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3_ = args;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp3__length1 = args_length1;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp5_ = nuvola_js_api_call_ipc_method_func (_tmp0_, _tmp1_, _tmp2_, _tmp3_, _tmp3__length1, &_tmp4_, FALSE, 1);
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_exception = _tmp4_;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = _tmp5_;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (exception) {
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		*exception = _vala_exception;
#line 1647 "jsapi.c"
	}
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 1651 "jsapi.c"
}


static Block1Data* block1_data_ref (Block1Data* _data1_) {
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return _data1_;
#line 1660 "jsapi.c"
}


static void block1_data_unref (void * _userdata_) {
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_variant_unref0 (_data1_->data);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (_data1_->js_api);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (_data1_->name);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		g_slice_free (Block1Data, _data1_);
#line 1677 "jsapi.c"
	}
}


static gboolean ____lambda4_ (Block1Data* _data1_) {
	gboolean result = FALSE;
	NuvolaJSApi* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GVariant* _tmp2_ = NULL;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = _data1_->js_api;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = _data1_->name;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = _data1_->data;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_signal_emit_by_name (_tmp0_, "call-ipc-method-async", _tmp1_, _tmp2_);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = FALSE;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 1699 "jsapi.c"
}


static gboolean _____lambda4__gsource_func (gpointer self) {
	gboolean result;
	result = ____lambda4_ (self);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 1708 "jsapi.c"
}


static gboolean ____lambda5_ (Block1Data* _data1_) {
	gboolean result = FALSE;
	NuvolaJSApi* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GVariant* _tmp2_ = NULL;
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = _data1_->js_api;
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = _data1_->name;
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = _data1_->data;
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_signal_emit_by_name (_tmp0_, "call-ipc-method-with-dict-async", _tmp1_, _tmp2_);
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = FALSE;
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 1729 "jsapi.c"
}


static gboolean _____lambda5__gsource_func (gpointer self) {
	gboolean result;
	result = ____lambda5_ (self);
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 1738 "jsapi.c"
}


static const struct OpaqueJSValue* nuvola_js_api_call_ipc_method_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception, gboolean async, gint type) {
	const struct OpaqueJSValue* _vala_exception = NULL;
	const struct OpaqueJSValue* result = NULL;
	Block1Data* _data1_;
	const struct OpaqueJSValue* undefined = NULL;
	const struct OpaqueJSContext* _tmp0_ = NULL;
	const struct OpaqueJSValue* _tmp1_ = NULL;
	const struct OpaqueJSValue** _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
	const struct OpaqueJSContext* _tmp6_ = NULL;
	const struct OpaqueJSValue** _tmp7_ = NULL;
	gint _tmp7__length1 = 0;
	const struct OpaqueJSValue* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	struct OpaqueJSValue* _tmp14_ = NULL;
	void* _tmp15_ = NULL;
	NuvolaJSApi* _tmp16_ = NULL;
	NuvolaJSApi* _tmp17_ = NULL;
	const struct OpaqueJSValue** _tmp21_ = NULL;
	gint _tmp21__length1 = 0;
	gboolean _tmp48_ = FALSE;
	GVariant* _result_ = NULL;
	gint _tmp51_ = 0;
	GError * _inner_error_ = NULL;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (function != NULL, NULL);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (_self_ != NULL, NULL);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_data1_->_ref_count_ = 1;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = ctx;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = JSValueMakeUndefined (_tmp0_);
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	undefined = _tmp1_;
#line 309 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_exception = NULL;
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = args;
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2__length1 = args_length1;
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp2__length1 == 0) {
#line 1791 "jsapi.c"
		const struct OpaqueJSContext* _tmp3_ = NULL;
		const struct OpaqueJSValue* _tmp4_ = NULL;
		const struct OpaqueJSValue* _tmp5_ = NULL;
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp3_ = ctx;
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp4_ = nuvola_js_tools_create_exception (_tmp3_, "At least one argument required.");
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp4_;
#line 313 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp5_ = undefined;
#line 313 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp5_;
#line 313 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		block1_data_unref (_data1_);
#line 313 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_data1_ = NULL;
#line 313 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 313 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 1813 "jsapi.c"
		}
#line 313 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 1817 "jsapi.c"
	}
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp6_ = ctx;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp7_ = args;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp7__length1 = args_length1;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp8_ = _tmp7_[0];
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp9_ = nuvola_js_tools_string_or_null (_tmp6_, _tmp8_, FALSE);
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_data1_->name = _tmp9_;
#line 317 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp10_ = _data1_->name;
#line 317 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp10_ == NULL) {
#line 1835 "jsapi.c"
		const struct OpaqueJSContext* _tmp11_ = NULL;
		const struct OpaqueJSValue* _tmp12_ = NULL;
		const struct OpaqueJSValue* _tmp13_ = NULL;
#line 319 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp11_ = ctx;
#line 319 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp12_ = nuvola_js_tools_create_exception (_tmp11_, "The first argument must be a non-null string");
#line 319 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp12_;
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp13_ = undefined;
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp13_;
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		block1_data_unref (_data1_);
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_data1_ = NULL;
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 1857 "jsapi.c"
		}
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 1861 "jsapi.c"
	}
#line 323 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp14_ = _self_;
#line 323 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp15_ = JSObjectGetPrivate (_tmp14_);
#line 323 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp16_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp15_, NUVOLA_TYPE_JS_API) ? ((NuvolaJSApi*) _tmp15_) : NULL);
#line 323 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_data1_->js_api = _tmp16_;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp17_ = _data1_->js_api;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp17_ == NULL) {
#line 1875 "jsapi.c"
		const struct OpaqueJSContext* _tmp18_ = NULL;
		const struct OpaqueJSValue* _tmp19_ = NULL;
		const struct OpaqueJSValue* _tmp20_ = NULL;
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp18_ = ctx;
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp19_ = nuvola_js_tools_create_exception (_tmp18_, "JSApi is null");
#line 326 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp19_;
#line 327 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp20_ = undefined;
#line 327 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp20_;
#line 327 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		block1_data_unref (_data1_);
#line 327 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_data1_ = NULL;
#line 327 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 327 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 1897 "jsapi.c"
		}
#line 327 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 1901 "jsapi.c"
	}
#line 330 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_data1_->data = NULL;
#line 331 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp21_ = args;
#line 331 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp21__length1 = args_length1;
#line 331 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp21__length1 > 1) {
#line 1911 "jsapi.c"
		GVariant** tuple = NULL;
		const struct OpaqueJSValue** _tmp22_ = NULL;
		gint _tmp22__length1 = 0;
		GVariant** _tmp23_ = NULL;
		gint tuple_length1 = 0;
		gint _tuple_size_ = 0;
		GVariant** _tmp46_ = NULL;
		gint _tmp46__length1 = 0;
		GVariant* _tmp47_ = NULL;
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp22_ = args;
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp22__length1 = args_length1;
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp23_ = g_new0 (GVariant*, (_tmp22__length1 - 1) + 1);
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		tuple = _tmp23_;
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		tuple_length1 = _tmp22__length1 - 1;
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tuple_size_ = tuple_length1;
#line 1933 "jsapi.c"
		{
			gint i = 0;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			i = 1;
#line 1938 "jsapi.c"
			{
				gboolean _tmp24_ = FALSE;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp24_ = TRUE;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				while (TRUE) {
#line 1945 "jsapi.c"
					gint _tmp26_ = 0;
					const struct OpaqueJSValue** _tmp27_ = NULL;
					gint _tmp27__length1 = 0;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					if (!_tmp24_) {
#line 1951 "jsapi.c"
						gint _tmp25_ = 0;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp25_ = i;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						i = _tmp25_ + 1;
#line 1957 "jsapi.c"
					}
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp24_ = FALSE;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp26_ = i;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp27_ = args;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp27__length1 = args_length1;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					if (!(_tmp26_ < _tmp27__length1)) {
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						break;
#line 1971 "jsapi.c"
					}
					{
						GVariant* _tmp28_ = NULL;
						const struct OpaqueJSContext* _tmp29_ = NULL;
						const struct OpaqueJSValue** _tmp30_ = NULL;
						gint _tmp30__length1 = 0;
						gint _tmp31_ = 0;
						const struct OpaqueJSValue* _tmp32_ = NULL;
						GVariant* _tmp33_ = NULL;
						GVariant** _tmp34_ = NULL;
						gint _tmp34__length1 = 0;
						gint _tmp35_ = 0;
						GVariant* _tmp36_ = NULL;
						GVariant* _tmp37_ = NULL;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp29_ = ctx;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp30_ = args;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp30__length1 = args_length1;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp31_ = i;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp32_ = _tmp30_[_tmp31_];
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp33_ = nuvola_js_tools_variant_from_value (_tmp29_, _tmp32_, &_inner_error_);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp28_ = _tmp33_;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 2004 "jsapi.c"
								goto __catch10_nuvola_js_error;
							}
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							tuple = (_vala_array_free (tuple, tuple_length1, (GDestroyNotify) g_variant_unref), NULL);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							block1_data_unref (_data1_);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							_data1_ = NULL;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							g_clear_error (&_inner_error_);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							return NULL;
#line 2019 "jsapi.c"
						}
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp34_ = tuple;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp34__length1 = tuple_length1;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp35_ = i;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp36_ = _tmp28_;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp28_ = NULL;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_variant_unref0 (_tmp34_[_tmp35_ - 1]);
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp34_[_tmp35_ - 1] = _tmp36_;
#line 338 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp37_ = _tmp34_[_tmp35_ - 1];
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_variant_unref0 (_tmp28_);
#line 2039 "jsapi.c"
					}
					goto __finally10;
					__catch10_nuvola_js_error:
					{
						GError* e = NULL;
						const struct OpaqueJSContext* _tmp38_ = NULL;
						gint _tmp39_ = 0;
						GError* _tmp40_ = NULL;
						const gchar* _tmp41_ = NULL;
						gchar* _tmp42_ = NULL;
						gchar* _tmp43_ = NULL;
						const struct OpaqueJSValue* _tmp44_ = NULL;
						const struct OpaqueJSValue* _tmp45_ = NULL;
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						e = _inner_error_;
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_inner_error_ = NULL;
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp38_ = ctx;
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp39_ = i;
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp40_ = e;
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp41_ = _tmp40_->message;
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp42_ = g_strdup_printf ("Argument %d: %s", _tmp39_, _tmp41_);
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp43_ = _tmp42_;
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp44_ = nuvola_js_tools_create_exception (_tmp38_, _tmp43_);
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_vala_exception = _tmp44_;
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_free0 (_tmp43_);
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp45_ = undefined;
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						result = _tmp45_;
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_error_free0 (e);
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						tuple = (_vala_array_free (tuple, tuple_length1, (GDestroyNotify) g_variant_unref), NULL);
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						block1_data_unref (_data1_);
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_data1_ = NULL;
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						if (exception) {
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							*exception = _vala_exception;
#line 2091 "jsapi.c"
						}
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						return result;
#line 2095 "jsapi.c"
					}
					__finally10:
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						tuple = (_vala_array_free (tuple, tuple_length1, (GDestroyNotify) g_variant_unref), NULL);
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						block1_data_unref (_data1_);
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_data1_ = NULL;
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						g_clear_error (&_inner_error_);
#line 336 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						return NULL;
#line 2112 "jsapi.c"
					}
				}
			}
		}
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp46_ = tuple;
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp46__length1 = tuple_length1;
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp47_ = g_variant_new_tuple (_tmp46_, _tmp46__length1);
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		g_variant_ref_sink (_tmp47_);
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_variant_unref0 (_data1_->data);
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_data1_->data = _tmp47_;
#line 331 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		tuple = (_vala_array_free (tuple, tuple_length1, (GDestroyNotify) g_variant_unref), NULL);
#line 2131 "jsapi.c"
	}
#line 349 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp48_ = async;
#line 349 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp48_) {
#line 2137 "jsapi.c"
		gint _tmp49_ = 0;
		const struct OpaqueJSValue* _tmp50_ = NULL;
#line 351 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp49_ = type;
#line 351 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		switch (_tmp49_) {
#line 351 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			case 0:
#line 2146 "jsapi.c"
			{
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, _____lambda4__gsource_func, block1_data_ref (_data1_), block1_data_unref);
#line 355 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				break;
#line 2152 "jsapi.c"
			}
#line 351 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			case 1:
#line 2156 "jsapi.c"
			{
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, _____lambda5__gsource_func, block1_data_ref (_data1_), block1_data_unref);
#line 358 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				break;
#line 2162 "jsapi.c"
			}
			default:
#line 351 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			break;
#line 2167 "jsapi.c"
		}
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp50_ = undefined;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp50_;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		block1_data_unref (_data1_);
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_data1_ = NULL;
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2181 "jsapi.c"
		}
#line 360 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2185 "jsapi.c"
	}
#line 363 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_result_ = NULL;
#line 364 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp51_ = type;
#line 364 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	switch (_tmp51_) {
#line 364 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		case 0:
#line 2195 "jsapi.c"
		{
			NuvolaJSApi* _tmp52_ = NULL;
			const gchar* _tmp53_ = NULL;
			GVariant* _tmp54_ = NULL;
#line 367 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp52_ = _data1_->js_api;
#line 367 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp53_ = _data1_->name;
#line 367 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp54_ = _data1_->data;
#line 367 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_signal_emit_by_name (_tmp52_, "call-ipc-method-sync", _tmp53_, _tmp54_, &_result_);
#line 368 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			break;
#line 2210 "jsapi.c"
		}
#line 364 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		case 1:
#line 2214 "jsapi.c"
		{
			NuvolaJSApi* _tmp55_ = NULL;
			const gchar* _tmp56_ = NULL;
			GVariant* _tmp57_ = NULL;
#line 370 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp55_ = _data1_->js_api;
#line 370 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp56_ = _data1_->name;
#line 370 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp57_ = _data1_->data;
#line 370 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_signal_emit_by_name (_tmp55_, "call-ipc-method-with-dict-sync", _tmp56_, _tmp57_, &_result_);
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			break;
#line 2229 "jsapi.c"
		}
		default:
#line 364 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		break;
#line 2234 "jsapi.c"
	}
	{
		const struct OpaqueJSValue* _tmp58_ = NULL;
		const struct OpaqueJSContext* _tmp59_ = NULL;
		GVariant* _tmp60_ = NULL;
		const struct OpaqueJSValue* _tmp61_ = NULL;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp59_ = ctx;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp60_ = _result_;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp61_ = nuvola_js_tools_value_from_variant (_tmp59_, _tmp60_, &_inner_error_);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp58_ = _tmp61_;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 2253 "jsapi.c"
				goto __catch11_nuvola_js_error;
			}
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_variant_unref0 (_result_);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			block1_data_unref (_data1_);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_data1_ = NULL;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_clear_error (&_inner_error_);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return NULL;
#line 2268 "jsapi.c"
		}
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp58_;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_variant_unref0 (_result_);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		block1_data_unref (_data1_);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_data1_ = NULL;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2282 "jsapi.c"
		}
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2286 "jsapi.c"
	}
	goto __finally11;
	__catch11_nuvola_js_error:
	{
		GError* e = NULL;
		const struct OpaqueJSContext* _tmp62_ = NULL;
		GError* _tmp63_ = NULL;
		const gchar* _tmp64_ = NULL;
		gchar* _tmp65_ = NULL;
		gchar* _tmp66_ = NULL;
		const struct OpaqueJSValue* _tmp67_ = NULL;
		const struct OpaqueJSValue* _tmp68_ = NULL;
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		e = _inner_error_;
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = NULL;
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp62_ = ctx;
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp63_ = e;
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp64_ = _tmp63_->message;
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp65_ = g_strdup_printf ("Failed to parse response. %s", _tmp64_);
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp66_ = _tmp65_;
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp67_ = nuvola_js_tools_create_exception (_tmp62_, _tmp66_);
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp67_;
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (_tmp66_);
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp68_ = undefined;
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp68_;
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_error_free0 (e);
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_variant_unref0 (_result_);
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		block1_data_unref (_data1_);
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_data1_ = NULL;
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2335 "jsapi.c"
		}
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2339 "jsapi.c"
	}
	__finally11:
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_variant_unref0 (_result_);
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	block1_data_unref (_data1_);
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_data1_ = NULL;
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_clear_error (&_inner_error_);
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return NULL;
#line 2354 "jsapi.c"
}


static const struct OpaqueJSValue* nuvola_js_api_key_value_storage_has_key_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* _vala_exception = NULL;
	const struct OpaqueJSValue* result = NULL;
	const struct OpaqueJSValue* _false = NULL;
	const struct OpaqueJSContext* _tmp0_ = NULL;
	const struct OpaqueJSValue* _tmp1_ = NULL;
	const struct OpaqueJSValue** _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
	const struct OpaqueJSValue** _tmp6_ = NULL;
	gint _tmp6__length1 = 0;
	const struct OpaqueJSValue* _tmp7_ = NULL;
	const struct OpaqueJSContext* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	gint index = 0;
	const struct OpaqueJSValue** _tmp13_ = NULL;
	gint _tmp13__length1 = 0;
	const struct OpaqueJSValue* _tmp14_ = NULL;
	const struct OpaqueJSContext* _tmp15_ = NULL;
	gdouble _tmp16_ = 0.0;
	gchar* key = NULL;
	const struct OpaqueJSContext* _tmp17_ = NULL;
	const struct OpaqueJSValue** _tmp18_ = NULL;
	gint _tmp18__length1 = 0;
	const struct OpaqueJSValue* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
	NuvolaJSApi* js_api = NULL;
	struct OpaqueJSValue* _tmp25_ = NULL;
	void* _tmp26_ = NULL;
	NuvolaJSApi* _tmp27_ = NULL;
	NuvolaJSApi* _tmp28_ = NULL;
	NuvolaJSApi* _tmp32_ = NULL;
	DioriteKeyValueStorage** _tmp33_ = NULL;
	gint _tmp33__length1 = 0;
	gint _tmp34_ = 0;
	const struct OpaqueJSContext* _tmp36_ = NULL;
	NuvolaJSApi* _tmp37_ = NULL;
	DioriteKeyValueStorage** _tmp38_ = NULL;
	gint _tmp38__length1 = 0;
	gint _tmp39_ = 0;
	DioriteKeyValueStorage* _tmp40_ = NULL;
	const gchar* _tmp41_ = NULL;
	gboolean _tmp42_ = FALSE;
	const struct OpaqueJSValue* _tmp43_ = NULL;
#line 385 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 385 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (function != NULL, NULL);
#line 385 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (_self_ != NULL, NULL);
#line 387 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = ctx;
#line 387 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = JSValueMakeBoolean (_tmp0_, FALSE);
#line 387 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_false = _tmp1_;
#line 388 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_exception = NULL;
#line 389 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = args;
#line 389 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2__length1 = args_length1;
#line 389 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp2__length1 != 2) {
#line 2422 "jsapi.c"
		const struct OpaqueJSContext* _tmp3_ = NULL;
		const struct OpaqueJSValue* _tmp4_ = NULL;
		const struct OpaqueJSValue* _tmp5_ = NULL;
#line 391 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp3_ = ctx;
#line 391 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp4_ = nuvola_js_tools_create_exception (_tmp3_, "Two arguments required.");
#line 391 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp4_;
#line 392 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp5_ = _false;
#line 392 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp5_;
#line 392 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 392 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2440 "jsapi.c"
		}
#line 392 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2444 "jsapi.c"
	}
#line 395 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp6_ = args;
#line 395 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp6__length1 = args_length1;
#line 395 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp7_ = _tmp6_[0];
#line 395 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp8_ = ctx;
#line 395 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp9_ = JSValueIsNumber (_tmp8_, _tmp7_);
#line 395 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (!_tmp9_) {
#line 2458 "jsapi.c"
		const struct OpaqueJSContext* _tmp10_ = NULL;
		const struct OpaqueJSValue* _tmp11_ = NULL;
		const struct OpaqueJSValue* _tmp12_ = NULL;
#line 397 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp10_ = ctx;
#line 397 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp11_ = nuvola_js_tools_create_exception (_tmp10_, "Argument 0 must be a number.");
#line 397 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp11_;
#line 398 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp12_ = _false;
#line 398 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp12_;
#line 398 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 398 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2476 "jsapi.c"
		}
#line 398 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2480 "jsapi.c"
	}
#line 401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp13_ = args;
#line 401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp13__length1 = args_length1;
#line 401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp14_ = _tmp13_[0];
#line 401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp15_ = ctx;
#line 401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp16_ = JSValueToNumber (_tmp15_, _tmp14_, NULL);
#line 401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	index = (gint) _tmp16_;
#line 403 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp17_ = ctx;
#line 403 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp18_ = args;
#line 403 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp18__length1 = args_length1;
#line 403 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp19_ = _tmp18_[1];
#line 403 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp20_ = nuvola_js_tools_string_or_null (_tmp17_, _tmp19_, FALSE);
#line 403 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	key = _tmp20_;
#line 404 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp21_ = key;
#line 404 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp21_ == NULL) {
#line 2510 "jsapi.c"
		const struct OpaqueJSContext* _tmp22_ = NULL;
		const struct OpaqueJSValue* _tmp23_ = NULL;
		const struct OpaqueJSValue* _tmp24_ = NULL;
#line 406 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp22_ = ctx;
#line 406 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp23_ = nuvola_js_tools_create_exception (_tmp22_, "The first argument must be a non-null string");
#line 406 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp23_;
#line 407 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp24_ = _false;
#line 407 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp24_;
#line 407 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 407 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 407 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2530 "jsapi.c"
		}
#line 407 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2534 "jsapi.c"
	}
#line 410 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp25_ = _self_;
#line 410 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp26_ = JSObjectGetPrivate (_tmp25_);
#line 410 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp27_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp26_, NUVOLA_TYPE_JS_API) ? ((NuvolaJSApi*) _tmp26_) : NULL);
#line 410 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	js_api = _tmp27_;
#line 411 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp28_ = js_api;
#line 411 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp28_ == NULL) {
#line 2548 "jsapi.c"
		const struct OpaqueJSContext* _tmp29_ = NULL;
		const struct OpaqueJSValue* _tmp30_ = NULL;
		const struct OpaqueJSValue* _tmp31_ = NULL;
#line 413 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp29_ = ctx;
#line 413 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp30_ = nuvola_js_tools_create_exception (_tmp29_, "JSApi is null");
#line 413 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp30_;
#line 414 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp31_ = _false;
#line 414 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp31_;
#line 414 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 414 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 414 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 414 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2570 "jsapi.c"
		}
#line 414 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2574 "jsapi.c"
	}
#line 417 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp32_ = js_api;
#line 417 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp33_ = _tmp32_->priv->key_value_storages;
#line 417 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp33__length1 = _tmp32_->priv->key_value_storages_length1;
#line 417 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp34_ = index;
#line 417 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp33__length1 <= _tmp34_) {
#line 2586 "jsapi.c"
		const struct OpaqueJSValue* _tmp35_ = NULL;
#line 418 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp35_ = _false;
#line 418 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp35_;
#line 418 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 418 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 418 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 418 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2600 "jsapi.c"
		}
#line 418 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2604 "jsapi.c"
	}
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp36_ = ctx;
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp37_ = js_api;
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp38_ = _tmp37_->priv->key_value_storages;
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp38__length1 = _tmp37_->priv->key_value_storages_length1;
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp39_ = index;
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp40_ = _tmp38_[_tmp39_];
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp41_ = key;
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp42_ = diorite_key_value_storage_has_key (_tmp40_, _tmp41_);
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp43_ = JSValueMakeBoolean (_tmp36_, _tmp42_);
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = _tmp43_;
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (js_api);
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_free0 (key);
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (exception) {
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		*exception = _vala_exception;
#line 2634 "jsapi.c"
	}
#line 420 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 2638 "jsapi.c"
}


static const struct OpaqueJSValue* nuvola_js_api_key_value_storage_get_value_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* _vala_exception = NULL;
	const struct OpaqueJSValue* result = NULL;
	const struct OpaqueJSValue* undefined = NULL;
	const struct OpaqueJSContext* _tmp0_ = NULL;
	const struct OpaqueJSValue* _tmp1_ = NULL;
	const struct OpaqueJSValue** _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
	const struct OpaqueJSValue** _tmp6_ = NULL;
	gint _tmp6__length1 = 0;
	const struct OpaqueJSValue* _tmp7_ = NULL;
	const struct OpaqueJSContext* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	gint index = 0;
	const struct OpaqueJSValue** _tmp13_ = NULL;
	gint _tmp13__length1 = 0;
	const struct OpaqueJSValue* _tmp14_ = NULL;
	const struct OpaqueJSContext* _tmp15_ = NULL;
	gdouble _tmp16_ = 0.0;
	gchar* key = NULL;
	const struct OpaqueJSContext* _tmp17_ = NULL;
	const struct OpaqueJSValue** _tmp18_ = NULL;
	gint _tmp18__length1 = 0;
	const struct OpaqueJSValue* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
	NuvolaJSApi* js_api = NULL;
	struct OpaqueJSValue* _tmp25_ = NULL;
	void* _tmp26_ = NULL;
	NuvolaJSApi* _tmp27_ = NULL;
	NuvolaJSApi* _tmp28_ = NULL;
	NuvolaJSApi* _tmp32_ = NULL;
	DioriteKeyValueStorage** _tmp33_ = NULL;
	gint _tmp33__length1 = 0;
	gint _tmp34_ = 0;
	GVariant* value = NULL;
	NuvolaJSApi* _tmp36_ = NULL;
	DioriteKeyValueStorage** _tmp37_ = NULL;
	gint _tmp37__length1 = 0;
	gint _tmp38_ = 0;
	DioriteKeyValueStorage* _tmp39_ = NULL;
	const gchar* _tmp40_ = NULL;
	GVariant* _tmp41_ = NULL;
	GVariant* _tmp42_ = NULL;
	GError * _inner_error_ = NULL;
#line 423 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 423 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (function != NULL, NULL);
#line 423 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (_self_ != NULL, NULL);
#line 425 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = ctx;
#line 425 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = JSValueMakeUndefined (_tmp0_);
#line 425 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	undefined = _tmp1_;
#line 426 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_exception = NULL;
#line 427 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = args;
#line 427 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2__length1 = args_length1;
#line 427 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp2__length1 != 2) {
#line 2707 "jsapi.c"
		const struct OpaqueJSContext* _tmp3_ = NULL;
		const struct OpaqueJSValue* _tmp4_ = NULL;
		const struct OpaqueJSValue* _tmp5_ = NULL;
#line 429 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp3_ = ctx;
#line 429 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp4_ = nuvola_js_tools_create_exception (_tmp3_, "Two arguments required.");
#line 429 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp4_;
#line 430 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp5_ = undefined;
#line 430 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp5_;
#line 430 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 430 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2725 "jsapi.c"
		}
#line 430 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2729 "jsapi.c"
	}
#line 433 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp6_ = args;
#line 433 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp6__length1 = args_length1;
#line 433 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp7_ = _tmp6_[0];
#line 433 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp8_ = ctx;
#line 433 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp9_ = JSValueIsNumber (_tmp8_, _tmp7_);
#line 433 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (!_tmp9_) {
#line 2743 "jsapi.c"
		const struct OpaqueJSContext* _tmp10_ = NULL;
		const struct OpaqueJSValue* _tmp11_ = NULL;
		const struct OpaqueJSValue* _tmp12_ = NULL;
#line 435 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp10_ = ctx;
#line 435 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp11_ = nuvola_js_tools_create_exception (_tmp10_, "Argument 0 must be a number.");
#line 435 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp11_;
#line 436 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp12_ = undefined;
#line 436 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp12_;
#line 436 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 436 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2761 "jsapi.c"
		}
#line 436 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2765 "jsapi.c"
	}
#line 439 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp13_ = args;
#line 439 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp13__length1 = args_length1;
#line 439 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp14_ = _tmp13_[0];
#line 439 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp15_ = ctx;
#line 439 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp16_ = JSValueToNumber (_tmp15_, _tmp14_, NULL);
#line 439 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	index = (gint) _tmp16_;
#line 440 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp17_ = ctx;
#line 440 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp18_ = args;
#line 440 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp18__length1 = args_length1;
#line 440 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp19_ = _tmp18_[1];
#line 440 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp20_ = nuvola_js_tools_string_or_null (_tmp17_, _tmp19_, FALSE);
#line 440 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	key = _tmp20_;
#line 441 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp21_ = key;
#line 441 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp21_ == NULL) {
#line 2795 "jsapi.c"
		const struct OpaqueJSContext* _tmp22_ = NULL;
		const struct OpaqueJSValue* _tmp23_ = NULL;
		const struct OpaqueJSValue* _tmp24_ = NULL;
#line 443 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp22_ = ctx;
#line 443 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp23_ = nuvola_js_tools_create_exception (_tmp22_, "Argument 1 must be a non-null string");
#line 443 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp23_;
#line 444 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp24_ = undefined;
#line 444 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp24_;
#line 444 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 444 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 444 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2815 "jsapi.c"
		}
#line 444 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2819 "jsapi.c"
	}
#line 447 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp25_ = _self_;
#line 447 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp26_ = JSObjectGetPrivate (_tmp25_);
#line 447 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp27_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp26_, NUVOLA_TYPE_JS_API) ? ((NuvolaJSApi*) _tmp26_) : NULL);
#line 447 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	js_api = _tmp27_;
#line 448 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp28_ = js_api;
#line 448 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp28_ == NULL) {
#line 2833 "jsapi.c"
		const struct OpaqueJSContext* _tmp29_ = NULL;
		const struct OpaqueJSValue* _tmp30_ = NULL;
		const struct OpaqueJSValue* _tmp31_ = NULL;
#line 450 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp29_ = ctx;
#line 450 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp30_ = nuvola_js_tools_create_exception (_tmp29_, "JSApi is null");
#line 450 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp30_;
#line 451 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp31_ = undefined;
#line 451 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp31_;
#line 451 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 451 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 451 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 451 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2855 "jsapi.c"
		}
#line 451 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2859 "jsapi.c"
	}
#line 454 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp32_ = js_api;
#line 454 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp33_ = _tmp32_->priv->key_value_storages;
#line 454 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp33__length1 = _tmp32_->priv->key_value_storages_length1;
#line 454 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp34_ = index;
#line 454 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp33__length1 <= _tmp34_) {
#line 2871 "jsapi.c"
		const struct OpaqueJSValue* _tmp35_ = NULL;
#line 455 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp35_ = undefined;
#line 455 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp35_;
#line 455 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 455 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 455 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 455 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2885 "jsapi.c"
		}
#line 455 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2889 "jsapi.c"
	}
#line 457 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp36_ = js_api;
#line 457 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp37_ = _tmp36_->priv->key_value_storages;
#line 457 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp37__length1 = _tmp36_->priv->key_value_storages_length1;
#line 457 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp38_ = index;
#line 457 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp39_ = _tmp37_[_tmp38_];
#line 457 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp40_ = key;
#line 457 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp41_ = diorite_key_value_storage_get_value (_tmp39_, _tmp40_);
#line 457 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	value = _tmp41_;
#line 458 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp42_ = value;
#line 458 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp42_ == NULL) {
#line 2911 "jsapi.c"
		const struct OpaqueJSValue* _tmp43_ = NULL;
#line 459 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp43_ = undefined;
#line 459 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp43_;
#line 459 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_variant_unref0 (value);
#line 459 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 459 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 459 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 459 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2927 "jsapi.c"
		}
#line 459 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2931 "jsapi.c"
	}
	{
		const struct OpaqueJSValue* _tmp44_ = NULL;
		const struct OpaqueJSContext* _tmp45_ = NULL;
		GVariant* _tmp46_ = NULL;
		const struct OpaqueJSValue* _tmp47_ = NULL;
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp45_ = ctx;
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp46_ = value;
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp47_ = nuvola_js_tools_value_from_variant (_tmp45_, _tmp46_, &_inner_error_);
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp44_ = _tmp47_;
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 2950 "jsapi.c"
				goto __catch12_nuvola_js_error;
			}
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_variant_unref0 (value);
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_object_unref0 (js_api);
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_free0 (key);
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			g_clear_error (&_inner_error_);
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			return NULL;
#line 2965 "jsapi.c"
		}
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp44_;
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_variant_unref0 (value);
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 2979 "jsapi.c"
		}
#line 463 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 2983 "jsapi.c"
	}
	goto __finally12;
	__catch12_nuvola_js_error:
	{
		GError* e = NULL;
		const struct OpaqueJSContext* _tmp48_ = NULL;
		GError* _tmp49_ = NULL;
		const gchar* _tmp50_ = NULL;
		gchar* _tmp51_ = NULL;
		gchar* _tmp52_ = NULL;
		const struct OpaqueJSValue* _tmp53_ = NULL;
		const struct OpaqueJSValue* _tmp54_ = NULL;
#line 461 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		e = _inner_error_;
#line 461 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = NULL;
#line 467 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp48_ = ctx;
#line 467 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp49_ = e;
#line 467 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp50_ = _tmp49_->message;
#line 467 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp51_ = g_strdup_printf ("Failed to convert Variant to JavaScript value. %s", _tmp50_);
#line 467 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp52_ = _tmp51_;
#line 467 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp53_ = nuvola_js_tools_create_exception (_tmp48_, _tmp52_);
#line 467 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp53_;
#line 467 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (_tmp52_);
#line 468 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp54_ = undefined;
#line 468 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp54_;
#line 468 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_error_free0 (e);
#line 468 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_variant_unref0 (value);
#line 468 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 468 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 468 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 468 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 3032 "jsapi.c"
		}
#line 468 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 3036 "jsapi.c"
	}
	__finally12:
#line 461 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_variant_unref0 (value);
#line 461 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (js_api);
#line 461 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_free0 (key);
#line 461 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 461 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_clear_error (&_inner_error_);
#line 461 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return NULL;
#line 3051 "jsapi.c"
}


static gpointer _g_variant_ref0 (gpointer self) {
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return self ? g_variant_ref (self) : NULL;
#line 3058 "jsapi.c"
}


static const struct OpaqueJSValue* nuvola_js_api_key_value_storage_set_value_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* _vala_exception = NULL;
	const struct OpaqueJSValue* result = NULL;
	const struct OpaqueJSValue* undefined = NULL;
	const struct OpaqueJSContext* _tmp0_ = NULL;
	const struct OpaqueJSValue* _tmp1_ = NULL;
	const struct OpaqueJSValue** _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
	const struct OpaqueJSValue** _tmp6_ = NULL;
	gint _tmp6__length1 = 0;
	const struct OpaqueJSValue* _tmp7_ = NULL;
	const struct OpaqueJSContext* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	gint index = 0;
	const struct OpaqueJSValue** _tmp13_ = NULL;
	gint _tmp13__length1 = 0;
	const struct OpaqueJSValue* _tmp14_ = NULL;
	const struct OpaqueJSContext* _tmp15_ = NULL;
	gdouble _tmp16_ = 0.0;
	gchar* key = NULL;
	const struct OpaqueJSContext* _tmp17_ = NULL;
	const struct OpaqueJSValue** _tmp18_ = NULL;
	gint _tmp18__length1 = 0;
	const struct OpaqueJSValue* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
	NuvolaJSApi* js_api = NULL;
	struct OpaqueJSValue* _tmp25_ = NULL;
	void* _tmp26_ = NULL;
	NuvolaJSApi* _tmp27_ = NULL;
	NuvolaJSApi* _tmp28_ = NULL;
	NuvolaJSApi* _tmp32_ = NULL;
	DioriteKeyValueStorage** _tmp33_ = NULL;
	gint _tmp33__length1 = 0;
	gint _tmp34_ = 0;
	const struct OpaqueJSValue* _tmp58_ = NULL;
	GError * _inner_error_ = NULL;
#line 472 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 472 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (function != NULL, NULL);
#line 472 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (_self_ != NULL, NULL);
#line 474 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = ctx;
#line 474 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = JSValueMakeUndefined (_tmp0_);
#line 474 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	undefined = _tmp1_;
#line 475 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_exception = NULL;
#line 476 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = args;
#line 476 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2__length1 = args_length1;
#line 476 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp2__length1 != 3) {
#line 3119 "jsapi.c"
		const struct OpaqueJSContext* _tmp3_ = NULL;
		const struct OpaqueJSValue* _tmp4_ = NULL;
		const struct OpaqueJSValue* _tmp5_ = NULL;
#line 478 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp3_ = ctx;
#line 478 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp4_ = nuvola_js_tools_create_exception (_tmp3_, "Three arguments required.");
#line 478 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp4_;
#line 479 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp5_ = undefined;
#line 479 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp5_;
#line 479 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 479 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 3137 "jsapi.c"
		}
#line 479 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 3141 "jsapi.c"
	}
#line 482 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp6_ = args;
#line 482 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp6__length1 = args_length1;
#line 482 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp7_ = _tmp6_[0];
#line 482 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp8_ = ctx;
#line 482 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp9_ = JSValueIsNumber (_tmp8_, _tmp7_);
#line 482 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (!_tmp9_) {
#line 3155 "jsapi.c"
		const struct OpaqueJSContext* _tmp10_ = NULL;
		const struct OpaqueJSValue* _tmp11_ = NULL;
		const struct OpaqueJSValue* _tmp12_ = NULL;
#line 484 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp10_ = ctx;
#line 484 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp11_ = nuvola_js_tools_create_exception (_tmp10_, "Argument 0 must be a number.");
#line 484 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp11_;
#line 485 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp12_ = undefined;
#line 485 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp12_;
#line 485 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 485 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 3173 "jsapi.c"
		}
#line 485 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 3177 "jsapi.c"
	}
#line 488 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp13_ = args;
#line 488 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp13__length1 = args_length1;
#line 488 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp14_ = _tmp13_[0];
#line 488 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp15_ = ctx;
#line 488 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp16_ = JSValueToNumber (_tmp15_, _tmp14_, NULL);
#line 488 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	index = (gint) _tmp16_;
#line 489 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp17_ = ctx;
#line 489 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp18_ = args;
#line 489 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp18__length1 = args_length1;
#line 489 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp19_ = _tmp18_[1];
#line 489 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp20_ = nuvola_js_tools_string_or_null (_tmp17_, _tmp19_, FALSE);
#line 489 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	key = _tmp20_;
#line 490 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp21_ = key;
#line 490 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp21_ == NULL) {
#line 3207 "jsapi.c"
		const struct OpaqueJSContext* _tmp22_ = NULL;
		const struct OpaqueJSValue* _tmp23_ = NULL;
		const struct OpaqueJSValue* _tmp24_ = NULL;
#line 492 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp22_ = ctx;
#line 492 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp23_ = nuvola_js_tools_create_exception (_tmp22_, "Argument 1 must be a non-null string");
#line 492 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp23_;
#line 493 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp24_ = undefined;
#line 493 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp24_;
#line 493 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 493 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 493 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 3227 "jsapi.c"
		}
#line 493 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 3231 "jsapi.c"
	}
#line 496 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp25_ = _self_;
#line 496 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp26_ = JSObjectGetPrivate (_tmp25_);
#line 496 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp27_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp26_, NUVOLA_TYPE_JS_API) ? ((NuvolaJSApi*) _tmp26_) : NULL);
#line 496 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	js_api = _tmp27_;
#line 497 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp28_ = js_api;
#line 497 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp28_ == NULL) {
#line 3245 "jsapi.c"
		const struct OpaqueJSContext* _tmp29_ = NULL;
		const struct OpaqueJSValue* _tmp30_ = NULL;
		const struct OpaqueJSValue* _tmp31_ = NULL;
#line 499 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp29_ = ctx;
#line 499 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp30_ = nuvola_js_tools_create_exception (_tmp29_, "JSApi is null");
#line 499 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp30_;
#line 500 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp31_ = undefined;
#line 500 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp31_;
#line 500 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 500 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 500 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 500 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 3267 "jsapi.c"
		}
#line 500 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 3271 "jsapi.c"
	}
#line 503 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp32_ = js_api;
#line 503 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp33_ = _tmp32_->priv->key_value_storages;
#line 503 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp33__length1 = _tmp32_->priv->key_value_storages_length1;
#line 503 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp34_ = index;
#line 503 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp33__length1 <= _tmp34_) {
#line 3283 "jsapi.c"
		const struct OpaqueJSValue* _tmp35_ = NULL;
#line 504 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp35_ = undefined;
#line 504 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp35_;
#line 504 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 504 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 504 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 504 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 3297 "jsapi.c"
		}
#line 504 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 3301 "jsapi.c"
	}
	{
		GVariant* _tmp36_ = NULL;
		const struct OpaqueJSValue** _tmp37_ = NULL;
		gint _tmp37__length1 = 0;
		const struct OpaqueJSValue* _tmp38_ = NULL;
		const struct OpaqueJSContext* _tmp39_ = NULL;
		gboolean _tmp40_ = FALSE;
		GVariant* value = NULL;
		GVariant* _tmp45_ = NULL;
		NuvolaJSApi* _tmp46_ = NULL;
		DioriteKeyValueStorage** _tmp47_ = NULL;
		gint _tmp47__length1 = 0;
		gint _tmp48_ = 0;
		DioriteKeyValueStorage* _tmp49_ = NULL;
		const gchar* _tmp50_ = NULL;
		GVariant* _tmp51_ = NULL;
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp37_ = args;
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp37__length1 = args_length1;
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp38_ = _tmp37_[2];
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp39_ = ctx;
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp40_ = JSValueIsUndefined (_tmp39_, _tmp38_);
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (_tmp40_) {
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_variant_unref0 (_tmp36_);
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp36_ = NULL;
#line 3335 "jsapi.c"
		} else {
			const struct OpaqueJSContext* _tmp41_ = NULL;
			const struct OpaqueJSValue** _tmp42_ = NULL;
			gint _tmp42__length1 = 0;
			const struct OpaqueJSValue* _tmp43_ = NULL;
			GVariant* _tmp44_ = NULL;
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp41_ = ctx;
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp42_ = args;
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp42__length1 = args_length1;
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp43_ = _tmp42_[2];
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp44_ = nuvola_js_tools_variant_from_value (_tmp41_, _tmp43_, &_inner_error_);
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_variant_unref0 (_tmp36_);
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp36_ = _tmp44_;
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_g_variant_unref0 (_tmp36_);
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 3362 "jsapi.c"
					goto __catch13_nuvola_js_error;
				}
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_g_variant_unref0 (_tmp36_);
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_g_object_unref0 (js_api);
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_g_free0 (key);
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				g_clear_error (&_inner_error_);
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				return NULL;
#line 3377 "jsapi.c"
			}
		}
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp45_ = _g_variant_ref0 (_tmp36_);
#line 508 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		value = _tmp45_;
#line 509 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp46_ = js_api;
#line 509 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp47_ = _tmp46_->priv->key_value_storages;
#line 509 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp47__length1 = _tmp46_->priv->key_value_storages_length1;
#line 509 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp48_ = index;
#line 509 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp49_ = _tmp47_[_tmp48_];
#line 509 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp50_ = key;
#line 509 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp51_ = value;
#line 509 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		diorite_key_value_storage_set_value (_tmp49_, _tmp50_, _tmp51_);
#line 506 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_variant_unref0 (value);
#line 506 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_variant_unref0 (_tmp36_);
#line 3404 "jsapi.c"
	}
	goto __finally13;
	__catch13_nuvola_js_error:
	{
		GError* e = NULL;
		const struct OpaqueJSContext* _tmp52_ = NULL;
		GError* _tmp53_ = NULL;
		const gchar* _tmp54_ = NULL;
		gchar* _tmp55_ = NULL;
		gchar* _tmp56_ = NULL;
		const struct OpaqueJSValue* _tmp57_ = NULL;
#line 506 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		e = _inner_error_;
#line 506 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = NULL;
#line 513 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp52_ = ctx;
#line 513 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp53_ = e;
#line 513 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp54_ = _tmp53_->message;
#line 513 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp55_ = g_strdup_printf ("Failed to convert JavaScript value to Variant. %s", _tmp54_);
#line 513 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp56_ = _tmp55_;
#line 513 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp57_ = nuvola_js_tools_create_exception (_tmp52_, _tmp56_);
#line 513 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp57_;
#line 513 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (_tmp56_);
#line 506 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_error_free0 (e);
#line 3438 "jsapi.c"
	}
	__finally13:
#line 506 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 506 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 506 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 506 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 506 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		g_clear_error (&_inner_error_);
#line 506 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return NULL;
#line 3453 "jsapi.c"
	}
#line 516 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp58_ = undefined;
#line 516 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = _tmp58_;
#line 516 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (js_api);
#line 516 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_free0 (key);
#line 516 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (exception) {
#line 516 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		*exception = _vala_exception;
#line 3467 "jsapi.c"
	}
#line 516 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 3471 "jsapi.c"
}


static const struct OpaqueJSValue* nuvola_js_api_key_value_storage_set_default_value_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* _vala_exception = NULL;
	const struct OpaqueJSValue* result = NULL;
	const struct OpaqueJSValue* undefined = NULL;
	const struct OpaqueJSContext* _tmp0_ = NULL;
	const struct OpaqueJSValue* _tmp1_ = NULL;
	const struct OpaqueJSValue** _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
	const struct OpaqueJSValue** _tmp6_ = NULL;
	gint _tmp6__length1 = 0;
	const struct OpaqueJSValue* _tmp7_ = NULL;
	const struct OpaqueJSContext* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	gint index = 0;
	const struct OpaqueJSValue** _tmp13_ = NULL;
	gint _tmp13__length1 = 0;
	const struct OpaqueJSValue* _tmp14_ = NULL;
	const struct OpaqueJSContext* _tmp15_ = NULL;
	gdouble _tmp16_ = 0.0;
	gchar* key = NULL;
	const struct OpaqueJSContext* _tmp17_ = NULL;
	const struct OpaqueJSValue** _tmp18_ = NULL;
	gint _tmp18__length1 = 0;
	const struct OpaqueJSValue* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
	NuvolaJSApi* js_api = NULL;
	struct OpaqueJSValue* _tmp25_ = NULL;
	void* _tmp26_ = NULL;
	NuvolaJSApi* _tmp27_ = NULL;
	NuvolaJSApi* _tmp28_ = NULL;
	NuvolaJSApi* _tmp32_ = NULL;
	DioriteKeyValueStorage** _tmp33_ = NULL;
	gint _tmp33__length1 = 0;
	gint _tmp34_ = 0;
	const struct OpaqueJSValue* _tmp58_ = NULL;
	GError * _inner_error_ = NULL;
#line 519 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 519 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (function != NULL, NULL);
#line 519 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (_self_ != NULL, NULL);
#line 521 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp0_ = ctx;
#line 521 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp1_ = JSValueMakeUndefined (_tmp0_);
#line 521 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	undefined = _tmp1_;
#line 522 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_exception = NULL;
#line 523 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2_ = args;
#line 523 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp2__length1 = args_length1;
#line 523 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp2__length1 != 3) {
#line 3532 "jsapi.c"
		const struct OpaqueJSContext* _tmp3_ = NULL;
		const struct OpaqueJSValue* _tmp4_ = NULL;
		const struct OpaqueJSValue* _tmp5_ = NULL;
#line 525 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp3_ = ctx;
#line 525 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp4_ = nuvola_js_tools_create_exception (_tmp3_, "Three arguments required.");
#line 525 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp4_;
#line 526 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp5_ = undefined;
#line 526 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp5_;
#line 526 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 526 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 3550 "jsapi.c"
		}
#line 526 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 3554 "jsapi.c"
	}
#line 529 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp6_ = args;
#line 529 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp6__length1 = args_length1;
#line 529 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp7_ = _tmp6_[0];
#line 529 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp8_ = ctx;
#line 529 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp9_ = JSValueIsNumber (_tmp8_, _tmp7_);
#line 529 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (!_tmp9_) {
#line 3568 "jsapi.c"
		const struct OpaqueJSContext* _tmp10_ = NULL;
		const struct OpaqueJSValue* _tmp11_ = NULL;
		const struct OpaqueJSValue* _tmp12_ = NULL;
#line 531 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp10_ = ctx;
#line 531 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp11_ = nuvola_js_tools_create_exception (_tmp10_, "Argument 0 must be a number.");
#line 531 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp11_;
#line 532 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp12_ = undefined;
#line 532 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp12_;
#line 532 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 532 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 3586 "jsapi.c"
		}
#line 532 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 3590 "jsapi.c"
	}
#line 535 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp13_ = args;
#line 535 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp13__length1 = args_length1;
#line 535 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp14_ = _tmp13_[0];
#line 535 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp15_ = ctx;
#line 535 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp16_ = JSValueToNumber (_tmp15_, _tmp14_, NULL);
#line 535 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	index = (gint) _tmp16_;
#line 536 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp17_ = ctx;
#line 536 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp18_ = args;
#line 536 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp18__length1 = args_length1;
#line 536 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp19_ = _tmp18_[1];
#line 536 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp20_ = nuvola_js_tools_string_or_null (_tmp17_, _tmp19_, FALSE);
#line 536 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	key = _tmp20_;
#line 537 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp21_ = key;
#line 537 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp21_ == NULL) {
#line 3620 "jsapi.c"
		const struct OpaqueJSContext* _tmp22_ = NULL;
		const struct OpaqueJSValue* _tmp23_ = NULL;
		const struct OpaqueJSValue* _tmp24_ = NULL;
#line 539 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp22_ = ctx;
#line 539 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp23_ = nuvola_js_tools_create_exception (_tmp22_, "Argument 1 must be a non-null string");
#line 539 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp23_;
#line 540 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp24_ = undefined;
#line 540 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp24_;
#line 540 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 540 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 540 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 3640 "jsapi.c"
		}
#line 540 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 3644 "jsapi.c"
	}
#line 543 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp25_ = _self_;
#line 543 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp26_ = JSObjectGetPrivate (_tmp25_);
#line 543 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp27_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp26_, NUVOLA_TYPE_JS_API) ? ((NuvolaJSApi*) _tmp26_) : NULL);
#line 543 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	js_api = _tmp27_;
#line 544 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp28_ = js_api;
#line 544 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp28_ == NULL) {
#line 3658 "jsapi.c"
		const struct OpaqueJSContext* _tmp29_ = NULL;
		const struct OpaqueJSValue* _tmp30_ = NULL;
		const struct OpaqueJSValue* _tmp31_ = NULL;
#line 546 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp29_ = ctx;
#line 546 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp30_ = nuvola_js_tools_create_exception (_tmp29_, "JSApi is null");
#line 546 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp30_;
#line 547 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp31_ = undefined;
#line 547 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp31_;
#line 547 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 547 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 547 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 547 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 3680 "jsapi.c"
		}
#line 547 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 3684 "jsapi.c"
	}
#line 550 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp32_ = js_api;
#line 550 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp33_ = _tmp32_->priv->key_value_storages;
#line 550 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp33__length1 = _tmp32_->priv->key_value_storages_length1;
#line 550 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp34_ = index;
#line 550 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (_tmp33__length1 <= _tmp34_) {
#line 3696 "jsapi.c"
		const struct OpaqueJSValue* _tmp35_ = NULL;
#line 551 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp35_ = undefined;
#line 551 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		result = _tmp35_;
#line 551 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 551 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 551 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (exception) {
#line 551 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			*exception = _vala_exception;
#line 3710 "jsapi.c"
		}
#line 551 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return result;
#line 3714 "jsapi.c"
	}
	{
		GVariant* _tmp36_ = NULL;
		const struct OpaqueJSValue** _tmp37_ = NULL;
		gint _tmp37__length1 = 0;
		const struct OpaqueJSValue* _tmp38_ = NULL;
		const struct OpaqueJSContext* _tmp39_ = NULL;
		gboolean _tmp40_ = FALSE;
		GVariant* value = NULL;
		GVariant* _tmp45_ = NULL;
		NuvolaJSApi* _tmp46_ = NULL;
		DioriteKeyValueStorage** _tmp47_ = NULL;
		gint _tmp47__length1 = 0;
		gint _tmp48_ = 0;
		DioriteKeyValueStorage* _tmp49_ = NULL;
		const gchar* _tmp50_ = NULL;
		GVariant* _tmp51_ = NULL;
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp37_ = args;
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp37__length1 = args_length1;
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp38_ = _tmp37_[2];
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp39_ = ctx;
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp40_ = JSValueIsUndefined (_tmp39_, _tmp38_);
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		if (_tmp40_) {
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_variant_unref0 (_tmp36_);
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp36_ = NULL;
#line 3748 "jsapi.c"
		} else {
			const struct OpaqueJSContext* _tmp41_ = NULL;
			const struct OpaqueJSValue** _tmp42_ = NULL;
			gint _tmp42__length1 = 0;
			const struct OpaqueJSValue* _tmp43_ = NULL;
			GVariant* _tmp44_ = NULL;
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp41_ = ctx;
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp42_ = args;
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp42__length1 = args_length1;
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp43_ = _tmp42_[2];
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp44_ = nuvola_js_tools_variant_from_value (_tmp41_, _tmp43_, &_inner_error_);
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_g_variant_unref0 (_tmp36_);
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp36_ = _tmp44_;
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_g_variant_unref0 (_tmp36_);
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 3775 "jsapi.c"
					goto __catch14_nuvola_js_error;
				}
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_g_variant_unref0 (_tmp36_);
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_g_object_unref0 (js_api);
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_g_free0 (key);
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				g_clear_error (&_inner_error_);
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				return NULL;
#line 3790 "jsapi.c"
			}
		}
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp45_ = _g_variant_ref0 (_tmp36_);
#line 555 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		value = _tmp45_;
#line 556 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp46_ = js_api;
#line 556 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp47_ = _tmp46_->priv->key_value_storages;
#line 556 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp47__length1 = _tmp46_->priv->key_value_storages_length1;
#line 556 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp48_ = index;
#line 556 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp49_ = _tmp47_[_tmp48_];
#line 556 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp50_ = key;
#line 556 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp51_ = value;
#line 556 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		diorite_key_value_storage_set_default_value (_tmp49_, _tmp50_, _tmp51_);
#line 553 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_variant_unref0 (value);
#line 553 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_variant_unref0 (_tmp36_);
#line 3817 "jsapi.c"
	}
	goto __finally14;
	__catch14_nuvola_js_error:
	{
		GError* e = NULL;
		const struct OpaqueJSContext* _tmp52_ = NULL;
		GError* _tmp53_ = NULL;
		const gchar* _tmp54_ = NULL;
		gchar* _tmp55_ = NULL;
		gchar* _tmp56_ = NULL;
		const struct OpaqueJSValue* _tmp57_ = NULL;
#line 553 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		e = _inner_error_;
#line 553 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_inner_error_ = NULL;
#line 560 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp52_ = ctx;
#line 560 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp53_ = e;
#line 560 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp54_ = _tmp53_->message;
#line 560 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp55_ = g_strdup_printf ("Failed to convert JavaScript value to Variant. %s", _tmp54_);
#line 560 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp56_ = _tmp55_;
#line 560 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_tmp57_ = nuvola_js_tools_create_exception (_tmp52_, _tmp56_);
#line 560 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_vala_exception = _tmp57_;
#line 560 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (_tmp56_);
#line 553 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_error_free0 (e);
#line 3851 "jsapi.c"
	}
	__finally14:
#line 553 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 553 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_object_unref0 (js_api);
#line 553 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		_g_free0 (key);
#line 553 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 553 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		g_clear_error (&_inner_error_);
#line 553 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		return NULL;
#line 3866 "jsapi.c"
	}
#line 563 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp58_ = undefined;
#line 563 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = _tmp58_;
#line 563 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (js_api);
#line 563 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_free0 (key);
#line 563 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (exception) {
#line 563 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		*exception = _vala_exception;
#line 3880 "jsapi.c"
	}
#line 563 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 3884 "jsapi.c"
}


static const struct OpaqueJSValue* nuvola_js_api_log_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* _vala_exception = NULL;
	const struct OpaqueJSValue* result = NULL;
	const struct OpaqueJSContext* _tmp21_ = NULL;
	const struct OpaqueJSValue* _tmp22_ = NULL;
	GError * _inner_error_ = NULL;
#line 566 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 566 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (function != NULL, NULL);
#line 566 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (_self_ != NULL, NULL);
#line 568 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_exception = NULL;
#line 3902 "jsapi.c"
	{
		gint i = 0;
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		i = 0;
#line 3907 "jsapi.c"
		{
			gboolean _tmp0_ = FALSE;
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp0_ = TRUE;
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			while (TRUE) {
#line 3914 "jsapi.c"
				gint _tmp2_ = 0;
				const struct OpaqueJSValue** _tmp3_ = NULL;
				gint _tmp3__length1 = 0;
				const struct OpaqueJSValue** _tmp4_ = NULL;
				gint _tmp4__length1 = 0;
				gint _tmp5_ = 0;
				const struct OpaqueJSValue* _tmp6_ = NULL;
				const struct OpaqueJSContext* _tmp7_ = NULL;
				gboolean _tmp8_ = FALSE;
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				if (!_tmp0_) {
#line 3926 "jsapi.c"
					gint _tmp1_ = 0;
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp1_ = i;
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					i = _tmp1_ + 1;
#line 3932 "jsapi.c"
				}
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp0_ = FALSE;
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp2_ = i;
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp3_ = args;
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp3__length1 = args_length1;
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				if (!(_tmp2_ < _tmp3__length1)) {
#line 569 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					break;
#line 3946 "jsapi.c"
				}
#line 571 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp4_ = args;
#line 571 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp4__length1 = args_length1;
#line 571 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp5_ = i;
#line 571 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp6_ = _tmp4_[_tmp5_];
#line 571 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp7_ = ctx;
#line 571 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp8_ = JSValueIsUndefined (_tmp7_, _tmp6_);
#line 571 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				if (_tmp8_) {
#line 573 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					g_debug ("jsapi.vala:573: Nuvola.log: undefined");
#line 3964 "jsapi.c"
				} else {
					{
						GVariant* _tmp9_ = NULL;
						const struct OpaqueJSContext* _tmp10_ = NULL;
						const struct OpaqueJSValue** _tmp11_ = NULL;
						gint _tmp11__length1 = 0;
						gint _tmp12_ = 0;
						const struct OpaqueJSValue* _tmp13_ = NULL;
						GVariant* _tmp14_ = NULL;
						GVariant* _tmp15_ = NULL;
						GVariant* _tmp16_ = NULL;
						gchar* _tmp17_ = NULL;
						gchar* _tmp18_ = NULL;
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp10_ = ctx;
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp11_ = args;
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp11__length1 = args_length1;
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp12_ = i;
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp13_ = _tmp11_[_tmp12_];
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp14_ = nuvola_js_tools_variant_from_value (_tmp10_, _tmp13_, &_inner_error_);
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp9_ = _tmp14_;
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 3996 "jsapi.c"
								goto __catch15_nuvola_js_error;
							}
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							g_clear_error (&_inner_error_);
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							return NULL;
#line 4005 "jsapi.c"
						}
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp15_ = _tmp9_;
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp9_ = NULL;
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp16_ = _tmp15_;
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp17_ = g_variant_print (_tmp16_, FALSE);
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp18_ = _tmp17_;
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						g_debug ("jsapi.vala:579: Nuvola.log: %s", _tmp18_);
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_free0 (_tmp18_);
#line 579 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_variant_unref0 (_tmp16_);
#line 577 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_variant_unref0 (_tmp9_);
#line 4025 "jsapi.c"
					}
					goto __finally15;
					__catch15_nuvola_js_error:
					{
						GError* e = NULL;
						GError* _tmp19_ = NULL;
						const gchar* _tmp20_ = NULL;
#line 577 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						e = _inner_error_;
#line 577 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_inner_error_ = NULL;
#line 583 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp19_ = e;
#line 583 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp20_ = _tmp19_->message;
#line 583 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						g_warning ("jsapi.vala:583: Nuvola.log (JSError): %s", _tmp20_);
#line 577 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_error_free0 (e);
#line 4045 "jsapi.c"
					}
					__finally15:
#line 577 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 577 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 577 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						g_clear_error (&_inner_error_);
#line 577 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						return NULL;
#line 4056 "jsapi.c"
					}
				}
			}
		}
	}
#line 587 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp21_ = ctx;
#line 587 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp22_ = JSValueMakeUndefined (_tmp21_);
#line 587 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = _tmp22_;
#line 587 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (exception) {
#line 587 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		*exception = _vala_exception;
#line 4072 "jsapi.c"
	}
#line 587 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 4076 "jsapi.c"
}


static const struct OpaqueJSValue* nuvola_js_api_warn_func (const struct OpaqueJSContext* ctx, struct OpaqueJSValue* function, struct OpaqueJSValue* _self_, const struct OpaqueJSValue** args, int args_length1, const struct OpaqueJSValue** exception) {
	const struct OpaqueJSValue* _vala_exception = NULL;
	const struct OpaqueJSValue* result = NULL;
	const struct OpaqueJSContext* _tmp21_ = NULL;
	const struct OpaqueJSValue* _tmp22_ = NULL;
	GError * _inner_error_ = NULL;
#line 590 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (ctx != NULL, NULL);
#line 590 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (function != NULL, NULL);
#line 590 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_val_if_fail (_self_ != NULL, NULL);
#line 592 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_vala_exception = NULL;
#line 4094 "jsapi.c"
	{
		gint i = 0;
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		i = 0;
#line 4099 "jsapi.c"
		{
			gboolean _tmp0_ = FALSE;
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			_tmp0_ = TRUE;
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
			while (TRUE) {
#line 4106 "jsapi.c"
				gint _tmp2_ = 0;
				const struct OpaqueJSValue** _tmp3_ = NULL;
				gint _tmp3__length1 = 0;
				const struct OpaqueJSValue** _tmp4_ = NULL;
				gint _tmp4__length1 = 0;
				gint _tmp5_ = 0;
				const struct OpaqueJSValue* _tmp6_ = NULL;
				const struct OpaqueJSContext* _tmp7_ = NULL;
				gboolean _tmp8_ = FALSE;
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				if (!_tmp0_) {
#line 4118 "jsapi.c"
					gint _tmp1_ = 0;
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					_tmp1_ = i;
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					i = _tmp1_ + 1;
#line 4124 "jsapi.c"
				}
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp0_ = FALSE;
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp2_ = i;
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp3_ = args;
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp3__length1 = args_length1;
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				if (!(_tmp2_ < _tmp3__length1)) {
#line 593 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					break;
#line 4138 "jsapi.c"
				}
#line 595 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp4_ = args;
#line 595 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp4__length1 = args_length1;
#line 595 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp5_ = i;
#line 595 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp6_ = _tmp4_[_tmp5_];
#line 595 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp7_ = ctx;
#line 595 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				_tmp8_ = JSValueIsUndefined (_tmp7_, _tmp6_);
#line 595 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
				if (_tmp8_) {
#line 597 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					g_warning ("jsapi.vala:597: Nuvola.warn: undefined");
#line 4156 "jsapi.c"
				} else {
					{
						GVariant* _tmp9_ = NULL;
						const struct OpaqueJSContext* _tmp10_ = NULL;
						const struct OpaqueJSValue** _tmp11_ = NULL;
						gint _tmp11__length1 = 0;
						gint _tmp12_ = 0;
						const struct OpaqueJSValue* _tmp13_ = NULL;
						GVariant* _tmp14_ = NULL;
						GVariant* _tmp15_ = NULL;
						GVariant* _tmp16_ = NULL;
						gchar* _tmp17_ = NULL;
						gchar* _tmp18_ = NULL;
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp10_ = ctx;
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp11_ = args;
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp11__length1 = args_length1;
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp12_ = i;
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp13_ = _tmp11_[_tmp12_];
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp14_ = nuvola_js_tools_variant_from_value (_tmp10_, _tmp13_, &_inner_error_);
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp9_ = _tmp14_;
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							if (_inner_error_->domain == NUVOLA_JS_ERROR) {
#line 4188 "jsapi.c"
								goto __catch16_nuvola_js_error;
							}
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							g_clear_error (&_inner_error_);
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
							return NULL;
#line 4197 "jsapi.c"
						}
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp15_ = _tmp9_;
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp9_ = NULL;
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp16_ = _tmp15_;
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp17_ = g_variant_print (_tmp16_, FALSE);
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp18_ = _tmp17_;
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						g_warning ("jsapi.vala:603: Nuvola.warn: %s", _tmp18_);
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_free0 (_tmp18_);
#line 603 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_variant_unref0 (_tmp16_);
#line 601 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_variant_unref0 (_tmp9_);
#line 4217 "jsapi.c"
					}
					goto __finally16;
					__catch16_nuvola_js_error:
					{
						GError* e = NULL;
						GError* _tmp19_ = NULL;
						const gchar* _tmp20_ = NULL;
#line 601 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						e = _inner_error_;
#line 601 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_inner_error_ = NULL;
#line 607 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp19_ = e;
#line 607 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_tmp20_ = _tmp19_->message;
#line 607 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						g_warning ("jsapi.vala:607: Nuvola.warn (JSError): %s", _tmp20_);
#line 601 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						_g_error_free0 (e);
#line 4237 "jsapi.c"
					}
					__finally16:
#line 601 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 601 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 601 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						g_clear_error (&_inner_error_);
#line 601 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
						return NULL;
#line 4248 "jsapi.c"
					}
				}
			}
		}
	}
#line 611 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp21_ = ctx;
#line 611 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_tmp22_ = JSValueMakeUndefined (_tmp21_);
#line 611 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	result = _tmp22_;
#line 611 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (exception) {
#line 611 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		*exception = _vala_exception;
#line 4264 "jsapi.c"
	}
#line 611 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	return result;
#line 4268 "jsapi.c"
}


static void g_cclosure_user_marshal_VOID__STRING_VARIANT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__STRING_VARIANT) (gpointer data1, const char* arg_1, gpointer arg_2, gpointer data2);
	register GMarshalFunc_VOID__STRING_VARIANT callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_if_fail (n_param_values == 3);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		data1 = closure->data;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		data2 = param_values->data[0].v_pointer;
#line 4287 "jsapi.c"
	} else {
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		data1 = param_values->data[0].v_pointer;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		data2 = closure->data;
#line 4293 "jsapi.c"
	}
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	callback = (GMarshalFunc_VOID__STRING_VARIANT) (marshal_data ? marshal_data : cc->callback);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	callback (data1, g_value_get_string (param_values + 1), g_value_get_variant (param_values + 2), data2);
#line 4299 "jsapi.c"
}


static void g_cclosure_user_marshal_VOID__STRING_VARIANT_POINTER (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__STRING_VARIANT_POINTER) (gpointer data1, const char* arg_1, gpointer arg_2, gpointer arg_3, gpointer data2);
	register GMarshalFunc_VOID__STRING_VARIANT_POINTER callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_return_if_fail (n_param_values == 4);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		data1 = closure->data;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		data2 = param_values->data[0].v_pointer;
#line 4318 "jsapi.c"
	} else {
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		data1 = param_values->data[0].v_pointer;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
		data2 = closure->data;
#line 4324 "jsapi.c"
	}
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	callback = (GMarshalFunc_VOID__STRING_VARIANT_POINTER) (marshal_data ? marshal_data : cc->callback);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	callback (data1, g_value_get_string (param_values + 1), g_value_get_variant (param_values + 2), g_value_get_pointer (param_values + 3), data2);
#line 4330 "jsapi.c"
}


static void nuvola_js_api_class_init (NuvolaJSApiClass * klass) {
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	nuvola_js_api_parent_class = g_type_class_peek_parent (klass);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_type_class_add_private (klass, sizeof (NuvolaJSApiPrivate));
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_js_api_finalize;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_signal_new ("call_ipc_method_async", NUVOLA_TYPE_JS_API, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_VARIANT, G_TYPE_NONE, 2, G_TYPE_STRING, G_TYPE_VARIANT);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_signal_new ("call_ipc_method_sync", NUVOLA_TYPE_JS_API, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_VARIANT_POINTER, G_TYPE_NONE, 3, G_TYPE_STRING, G_TYPE_VARIANT, G_TYPE_POINTER);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_signal_new ("call_ipc_method_with_dict_async", NUVOLA_TYPE_JS_API, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_VARIANT, G_TYPE_NONE, 2, G_TYPE_STRING, G_TYPE_VARIANT);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	g_signal_new ("call_ipc_method_with_dict_sync", NUVOLA_TYPE_JS_API, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__STRING_VARIANT_POINTER, G_TYPE_NONE, 3, G_TYPE_STRING, G_TYPE_VARIANT, G_TYPE_POINTER);
#line 4349 "jsapi.c"
}


static void nuvola_js_api_instance_init (NuvolaJSApi * self) {
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv = NUVOLA_JS_API_GET_PRIVATE (self);
#line 4356 "jsapi.c"
}


static void nuvola_js_api_finalize (GObject* obj) {
	NuvolaJSApi * self;
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_JS_API, NuvolaJSApi);
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (self->priv->storage);
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (self->priv->data_dir);
#line 105 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	_g_object_unref0 (self->priv->config_dir);
#line 106 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->key_value_storages = (_vala_array_free (self->priv->key_value_storages, self->priv->key_value_storages_length1, (GDestroyNotify) g_object_unref), NULL);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->webkit_version = (g_free (self->priv->webkit_version), NULL);
#line 108 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	self->priv->libsoup_version = (g_free (self->priv->libsoup_version), NULL);
#line 72 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-base/jsapi.vala"
	G_OBJECT_CLASS (nuvola_js_api_parent_class)->finalize (obj);
#line 4378 "jsapi.c"
}


/**
 * Nuvola JavaScript API provides interface for service integrations to communicate
 * with Nuvola Player runtime. Practically, it is a bridge between Service object
 * and JavaScript environment of WebKit WebView.
 * 
 * Main method of the main Nuvola Player JavaScript object are implemented here,
 * other helper functions and tools are loaded from a JavaScript file.
 */
GType nuvola_js_api_get_type (void) {
	static volatile gsize nuvola_js_api_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_js_api_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaJSApiClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_js_api_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaJSApi), 0, (GInstanceInitFunc) nuvola_js_api_instance_init, NULL };
		GType nuvola_js_api_type_id;
		nuvola_js_api_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaJSApi", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_js_api_type_id__volatile, nuvola_js_api_type_id);
	}
	return nuvola_js_api_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



