/* Oauth2Client.c generated by valac 0.34.8, the Vala compiler
 * generated from Oauth2Client.vala, do not modify */

/*
 * Copyright 2016 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <dioriteglib-0.3.h>
#include <libsoup/soup.h>
#include <gobject/gvaluecollector.h>


#define NUVOLA_TYPE_OAUTH2_CLIENT (nuvola_oauth2_client_get_type ())
#define NUVOLA_OAUTH2_CLIENT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_OAUTH2_CLIENT, NuvolaOauth2Client))
#define NUVOLA_OAUTH2_CLIENT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_OAUTH2_CLIENT, NuvolaOauth2ClientClass))
#define NUVOLA_IS_OAUTH2_CLIENT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_OAUTH2_CLIENT))
#define NUVOLA_IS_OAUTH2_CLIENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_OAUTH2_CLIENT))
#define NUVOLA_OAUTH2_CLIENT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_OAUTH2_CLIENT, NuvolaOauth2ClientClass))

typedef struct _NuvolaOauth2Client NuvolaOauth2Client;
typedef struct _NuvolaOauth2ClientClass NuvolaOauth2ClientClass;
typedef struct _NuvolaOauth2ClientPrivate NuvolaOauth2ClientPrivate;

#define NUVOLA_TYPE_OAUTH2_TOKEN (nuvola_oauth2_token_get_type ())
#define NUVOLA_OAUTH2_TOKEN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_OAUTH2_TOKEN, NuvolaOauth2Token))
#define NUVOLA_OAUTH2_TOKEN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_OAUTH2_TOKEN, NuvolaOauth2TokenClass))
#define NUVOLA_IS_OAUTH2_TOKEN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_OAUTH2_TOKEN))
#define NUVOLA_IS_OAUTH2_TOKEN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_OAUTH2_TOKEN))
#define NUVOLA_OAUTH2_TOKEN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_OAUTH2_TOKEN, NuvolaOauth2TokenClass))

typedef struct _NuvolaOauth2Token NuvolaOauth2Token;
typedef struct _NuvolaOauth2TokenClass NuvolaOauth2TokenClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _nuvola_oauth2_token_unref0(var) ((var == NULL) ? NULL : (var = (nuvola_oauth2_token_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _drt_json_node_unref0(var) ((var == NULL) ? NULL : (var = (drt_json_node_unref (var), NULL)))
#define __vala_SoupURI_free0(var) ((var == NULL) ? NULL : (var = (_vala_SoupURI_free (var), NULL)))
typedef struct _NuvolaOauth2ClientCallData NuvolaOauth2ClientCallData;
typedef struct _Block9Data Block9Data;
#define __vala_SoupBuffer_free0(var) ((var == NULL) ? NULL : (var = (_vala_SoupBuffer_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _NuvolaOauth2ClientRefreshTokenData NuvolaOauth2ClientRefreshTokenData;
typedef struct _Block10Data Block10Data;
typedef struct _NuvolaOauth2ClientSendMessageData NuvolaOauth2ClientSendMessageData;
typedef struct _NuvolaOauth2TokenPrivate NuvolaOauth2TokenPrivate;
typedef struct _NuvolaParamSpecOauth2Token NuvolaParamSpecOauth2Token;
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

typedef enum  {
	NUVOLA_OAUTH2_ERROR_UNKNOWN,
	NUVOLA_OAUTH2_ERROR_PARSE_ERROR,
	NUVOLA_OAUTH2_ERROR_RESPONSE_ERROR,
	NUVOLA_OAUTH2_ERROR_INVALID_CLIENT,
	NUVOLA_OAUTH2_ERROR_INVALID_REQUEST,
	NUVOLA_OAUTH2_ERROR_HTTP_ERROR,
	NUVOLA_OAUTH2_ERROR_HTTP_UNAUTHORIZED,
	NUVOLA_OAUTH2_ERROR_INVALID_GRANT,
	NUVOLA_OAUTH2_ERROR_UNAUTHORIZED_CLIENT,
	NUVOLA_OAUTH2_ERROR_UNSUPPORTED_GRANT_TYPE
} NuvolaOauth2Error;
#define NUVOLA_OAUTH2_ERROR nuvola_oauth2_error_quark ()
struct _NuvolaOauth2Client {
	GObject parent_instance;
	NuvolaOauth2ClientPrivate * priv;
	gchar* client_id;
	gchar* client_secret;
	gchar* api_endpoint;
	gchar* token_endpoint;
};

struct _NuvolaOauth2ClientClass {
	GObjectClass parent_class;
	void (*call) (NuvolaOauth2Client* self, const gchar* method, GHashTable* params, GHashTable* headers, GAsyncReadyCallback _callback_, gpointer _user_data_);
	DrtJsonObject* (*call_finish) (NuvolaOauth2Client* self, GAsyncResult* _res_, GError** error);
	void (*device_code_grant_started) (NuvolaOauth2Client* self, const gchar* verification_uri);
	void (*device_code_grant_error) (NuvolaOauth2Client* self, const gchar* code, const gchar* description);
};

struct _NuvolaOauth2ClientPrivate {
	NuvolaOauth2Token* _token;
	SoupSession* soup;
	gchar* device_code_endpoint;
	gchar* device_code;
	guint device_code_cb_id;
};

struct _NuvolaOauth2ClientCallData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NuvolaOauth2Client* self;
	gchar* method;
	GHashTable* params;
	GHashTable* headers;
	DrtJsonObject* result;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	SoupURI* uri;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	SoupURI* _tmp5_;
	SoupURI* _tmp6_;
	GHashTable* _tmp7_;
	SoupURI* _tmp8_;
	GHashTable* _tmp9_;
	SoupMessage* msg;
	SoupURI* _tmp10_;
	SoupMessage* _tmp11_;
	SoupURI* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	GHashTable* _tmp15_;
	GHashTable* _tmp16_;
	SoupMessage* _tmp17_;
	SoupMessageHeaders* _tmp18_;
	DrtJsonObject* _tmp19_;
	SoupMessage* _tmp20_;
	DrtJsonObject* _tmp21_;
	DrtJsonObject* _tmp22_;
	GError * _inner_error_;
};

struct _Block9Data {
	int _ref_count_;
	NuvolaOauth2Client* self;
	GSourceFunc resume_cb;
	gpointer resume_cb_target;
	GDestroyNotify resume_cb_target_destroy_notify;
	gpointer _async_data_;
};

struct _NuvolaOauth2ClientRefreshTokenData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NuvolaOauth2Client* self;
	gboolean result;
	Block9Data* _data9_;
	gboolean _tmp0_;
	NuvolaOauth2Token* _tmp1_;
	NuvolaOauth2Token* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
	SoupMessage* msg;
	const gchar* _tmp5_;
	NuvolaOauth2Token* _tmp6_;
	const gchar* _tmp7_;
	const gchar* _tmp8_;
	const gchar* _tmp9_;
	SoupMessage* _tmp10_;
	const gchar* _tmp11_;
	SoupMessage* _tmp12_;
	SoupMessageHeaders* _tmp13_;
	const gchar* _tmp14_;
	const gchar* _tmp15_;
	gchar* _tmp16_;
	gchar* _tmp17_;
	guint8* _tmp18_;
	gint _tmp18__length1;
	guint8* _tmp19_;
	gint _tmp19__length1;
	gchar* _tmp20_;
	gchar* _tmp21_;
	gchar* _tmp22_;
	gchar* _tmp23_;
	SoupSession* _tmp24_;
	SoupMessage* _tmp25_;
	SoupMessage* _tmp26_;
	const gchar* response_data;
	SoupMessage* _tmp27_;
	SoupMessageBody* _tmp28_;
	SoupBuffer* _tmp29_;
	SoupBuffer* _tmp30_;
	guint8* _tmp31_;
	gint _tmp31__length1;
	const gchar* _tmp32_;
	DrtJsonObject* response;
	DrtJsonObject* _tmp33_;
	const gchar* _tmp34_;
	DrtJsonObject* _tmp35_;
	DrtJsonObject* _tmp36_;
	GError* e;
	GError* _tmp37_;
	const gchar* _tmp38_;
	GError* _tmp39_;
	gboolean _tmp40_;
	SoupMessage* _tmp41_;
	guint _tmp42_;
	guint _tmp43_;
	SoupMessage* _tmp44_;
	guint _tmp45_;
	guint _tmp46_;
	gchar* error_code;
	gchar* error_description;
	DrtJsonObject* _tmp47_;
	gchar* _tmp48_;
	gchar* _tmp49_;
	const gchar* _tmp50_;
	const gchar* _tmp51_;
	gchar* _tmp52_;
	const gchar* _tmp53_;
	const gchar* _tmp54_;
	gchar* _tmp55_;
	const gchar* _tmp56_;
	const gchar* _tmp57_;
	GQuark _tmp59_;
	const gchar* _tmp60_;
	GError* _tmp61_;
	const gchar* _tmp62_;
	GError* _tmp63_;
	const gchar* _tmp64_;
	GError* _tmp65_;
	const gchar* _tmp66_;
	GError* _tmp67_;
	const gchar* _tmp68_;
	GError* _tmp69_;
	const gchar* _tmp70_;
	SoupMessage* _tmp71_;
	guint _tmp72_;
	guint _tmp73_;
	SoupMessage* _tmp74_;
	guint _tmp75_;
	guint _tmp76_;
	const gchar* _tmp77_;
	gchar* _tmp78_;
	gchar* _tmp79_;
	GError* _tmp80_;
	GError* _tmp81_;
	gchar* access_token;
	DrtJsonObject* _tmp82_;
	gchar* _tmp83_;
	gchar* refresh_token;
	DrtJsonObject* _tmp84_;
	gchar* _tmp85_;
	gchar* token_type;
	DrtJsonObject* _tmp86_;
	gchar* _tmp87_;
	gchar* scope;
	DrtJsonObject* _tmp88_;
	gchar* _tmp89_;
	const gchar* _tmp90_;
	const gchar* _tmp91_;
	const gchar* _tmp92_;
	const gchar* _tmp93_;
	NuvolaOauth2Token* _tmp94_;
	NuvolaOauth2Token* _tmp95_;
	NuvolaOauth2Token* _tmp96_;
	gchar* _tmp97_;
	gchar* _tmp98_;
	GError * _inner_error_;
};

struct _Block10Data {
	int _ref_count_;
	NuvolaOauth2Client* self;
	GSourceFunc resume_cb;
	gpointer resume_cb_target;
	GDestroyNotify resume_cb_target_destroy_notify;
	gpointer _async_data_;
};

struct _NuvolaOauth2ClientSendMessageData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NuvolaOauth2Client* self;
	SoupMessage* msg;
	gboolean retry;
	DrtJsonObject* result;
	Block10Data* _data10_;
	NuvolaOauth2Token* _tmp0_;
	SoupMessage* _tmp1_;
	SoupMessageHeaders* _tmp2_;
	NuvolaOauth2Token* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
	NuvolaOauth2Token* _tmp6_;
	const gchar* _tmp7_;
	const gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	SoupSession* _tmp11_;
	SoupMessage* _tmp12_;
	SoupMessage* _tmp13_;
	const gchar* response_data;
	SoupMessage* _tmp14_;
	SoupMessageBody* _tmp15_;
	SoupBuffer* _tmp16_;
	SoupBuffer* _tmp17_;
	guint8* _tmp18_;
	gint _tmp18__length1;
	const gchar* _tmp19_;
	gboolean _tmp20_;
	SoupMessage* _tmp21_;
	guint _tmp22_;
	guint _tmp23_;
	SoupMessage* _tmp24_;
	guint _tmp25_;
	guint _tmp26_;
	gchar* http_error;
	SoupMessage* _tmp27_;
	guint _tmp28_;
	guint _tmp29_;
	SoupMessage* _tmp30_;
	guint _tmp31_;
	guint _tmp32_;
	const gchar* _tmp33_;
	gchar* _tmp34_;
	const gchar* _tmp35_;
	const gchar* _tmp36_;
	SoupMessage* _tmp37_;
	guint _tmp38_;
	guint _tmp39_;
	NuvolaOauth2Token* _tmp40_;
	gboolean _tmp41_;
	NuvolaOauth2Token* _tmp42_;
	gboolean _tmp43_;
	const gchar* _tmp44_;
	gboolean _tmp45_;
	gboolean _tmp46_;
	DrtJsonObject* _tmp47_;
	SoupMessage* _tmp48_;
	DrtJsonObject* _tmp49_;
	DrtJsonObject* _tmp50_;
	const gchar* _tmp51_;
	GError* _tmp52_;
	const gchar* _tmp53_;
	GError* _tmp54_;
	DrtJsonObject* _tmp55_;
	const gchar* _tmp56_;
	DrtJsonObject* _tmp57_;
	DrtJsonObject* _tmp58_;
	GError* e;
	GError* _tmp59_;
	const gchar* _tmp60_;
	GError* _tmp61_;
	GError * _inner_error_;
};

struct _NuvolaOauth2Token {
	GTypeInstance parent_instance;
	volatile int ref_count;
	NuvolaOauth2TokenPrivate * priv;
};

struct _NuvolaOauth2TokenClass {
	GTypeClass parent_class;
	void (*finalize) (NuvolaOauth2Token *self);
};

struct _NuvolaOauth2TokenPrivate {
	gchar* _access_token;
	gchar* _refresh_token;
	gchar* _token_type;
	gchar* _scope;
};

struct _NuvolaParamSpecOauth2Token {
	GParamSpec parent_instance;
};


static gpointer nuvola_oauth2_client_parent_class = NULL;
static gboolean nuvola_oauth2_client_debug_soup;
static gboolean nuvola_oauth2_client_debug_soup = FALSE;
static gpointer nuvola_oauth2_token_parent_class = NULL;

GQuark nuvola_oauth2_error_quark (void);
GType nuvola_oauth2_client_get_type (void) G_GNUC_CONST;
gpointer nuvola_oauth2_token_ref (gpointer instance);
void nuvola_oauth2_token_unref (gpointer instance);
GParamSpec* nuvola_param_spec_oauth2_token (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void nuvola_value_set_oauth2_token (GValue* value, gpointer v_object);
void nuvola_value_take_oauth2_token (GValue* value, gpointer v_object);
gpointer nuvola_value_get_oauth2_token (const GValue* value);
GType nuvola_oauth2_token_get_type (void) G_GNUC_CONST;
#define NUVOLA_OAUTH2_CLIENT_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_OAUTH2_CLIENT, NuvolaOauth2ClientPrivate))
enum  {
	NUVOLA_OAUTH2_CLIENT_DUMMY_PROPERTY,
	NUVOLA_OAUTH2_CLIENT_TOKEN
};
NuvolaOauth2Client* nuvola_oauth2_client_new (const gchar* client_id, const gchar* client_secret, const gchar* api_endpoint, const gchar* token_endpoint, NuvolaOauth2Token* token);
NuvolaOauth2Client* nuvola_oauth2_client_construct (GType object_type, const gchar* client_id, const gchar* client_secret, const gchar* api_endpoint, const gchar* token_endpoint, NuvolaOauth2Token* token);
void nuvola_oauth2_client_set_token (NuvolaOauth2Client* self, NuvolaOauth2Token* value);
static void nuvola_oauth2_client_real_call_data_free (gpointer _data);
static void nuvola_oauth2_client_real_call (NuvolaOauth2Client* self, const gchar* method, GHashTable* params, GHashTable* headers, GAsyncReadyCallback _callback_, gpointer _user_data_);
void nuvola_oauth2_client_call (NuvolaOauth2Client* self, const gchar* method, GHashTable* params, GHashTable* headers, GAsyncReadyCallback _callback_, gpointer _user_data_);
DrtJsonObject* nuvola_oauth2_client_call_finish (NuvolaOauth2Client* self, GAsyncResult* _res_, GError** error);
static gboolean nuvola_oauth2_client_real_call_co (NuvolaOauth2ClientCallData* _data_);
static void _soup_message_headers_replace_gh_func (gconstpointer key, gconstpointer value, gpointer self);
static void nuvola_oauth2_client_send_message (NuvolaOauth2Client* self, SoupMessage* msg, gboolean retry, GAsyncReadyCallback _callback_, gpointer _user_data_);
static DrtJsonObject* nuvola_oauth2_client_send_message_finish (NuvolaOauth2Client* self, GAsyncResult* _res_, GError** error);
static void nuvola_oauth2_client_call_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
static void _vala_SoupURI_free (SoupURI* self);
static void nuvola_oauth2_client_refresh_token_data_free (gpointer _data);
void nuvola_oauth2_client_refresh_token (NuvolaOauth2Client* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
gboolean nuvola_oauth2_client_refresh_token_finish (NuvolaOauth2Client* self, GAsyncResult* _res_, GError** error);
static gboolean nuvola_oauth2_client_refresh_token_co (NuvolaOauth2ClientRefreshTokenData* _data_);
static Block9Data* block9_data_ref (Block9Data* _data9_);
static void block9_data_unref (void * _userdata_);
NuvolaOauth2Token* nuvola_oauth2_client_get_token (NuvolaOauth2Client* self);
const gchar* nuvola_oauth2_token_get_refresh_token (NuvolaOauth2Token* self);
static gboolean _nuvola_oauth2_client_refresh_token_co_gsource_func (gpointer self);
static void __lambda28_ (Block9Data* _data9_, SoupSession* s, SoupMessage* m);
static void ___lambda28__soup_session_callback (SoupSession* session, SoupMessage* msg, gpointer self);
static void _vala_SoupBuffer_free (SoupBuffer* self);
static void nuvola_oauth2_client_parse_error (NuvolaOauth2Client* self, DrtJsonObject* response, gchar** error_code, gchar** error_description);
NuvolaOauth2Token* nuvola_oauth2_token_new (const gchar* access_token, const gchar* refresh_token, const gchar* token_type, const gchar* scope);
NuvolaOauth2Token* nuvola_oauth2_token_construct (GType object_type, const gchar* access_token, const gchar* refresh_token, const gchar* token_type, const gchar* scope);
gchar* nuvola_oauth2_token_to_string (NuvolaOauth2Token* self);
void nuvola_oauth2_client_start_device_code_grant (NuvolaOauth2Client* self, const gchar* device_code_endpoint);
static gboolean nuvola_oauth2_client_device_code_grant_cb (NuvolaOauth2Client* self);
static gboolean _nuvola_oauth2_client_device_code_grant_cb_gsource_func (gpointer self);
void nuvola_oauth2_client_cancel_device_code_grant (NuvolaOauth2Client* self);
gchar* nuvola_oauth2_client_hmac_sha1_for_string (NuvolaOauth2Client* self, const gchar* data);
gchar* nuvola_oauth2_client_hmac_for_string (NuvolaOauth2Client* self, GChecksumType checksum, const gchar* data);
gboolean nuvola_oauth2_client_hmac_sha1_verify_string (NuvolaOauth2Client* self, const gchar* data, const gchar* hmac);
gboolean nuvola_oauth2_client_hmac_verify_string (NuvolaOauth2Client* self, GChecksumType checksum, const gchar* data, const gchar* hmac);
static void nuvola_oauth2_client_send_message_data_free (gpointer _data);
static gboolean nuvola_oauth2_client_send_message_co (NuvolaOauth2ClientSendMessageData* _data_);
static Block10Data* block10_data_ref (Block10Data* _data10_);
static void block10_data_unref (void * _userdata_);
const gchar* nuvola_oauth2_token_get_token_type (NuvolaOauth2Token* self);
const gchar* nuvola_oauth2_token_get_access_token (NuvolaOauth2Token* self);
static gboolean _nuvola_oauth2_client_send_message_co_gsource_func (gpointer self);
static void __lambda27_ (Block10Data* _data10_, SoupSession* s, SoupMessage* m);
static void ___lambda27__soup_session_callback (SoupSession* session, SoupMessage* msg, gpointer self);
static void nuvola_oauth2_client_send_message_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
static void g_cclosure_user_marshal_VOID__NUVOLA_OAUTH2_TOKEN (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void nuvola_oauth2_client_real_device_code_grant_started (NuvolaOauth2Client* self, const gchar* verification_uri);
static void nuvola_oauth2_client_real_device_code_grant_error (NuvolaOauth2Client* self, const gchar* code, const gchar* description);
static void g_cclosure_user_marshal_VOID__STRING_STRING (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void nuvola_oauth2_client_finalize (GObject* obj);
static void _vala_nuvola_oauth2_client_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_nuvola_oauth2_client_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
#define NUVOLA_OAUTH2_TOKEN_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_OAUTH2_TOKEN, NuvolaOauth2TokenPrivate))
enum  {
	NUVOLA_OAUTH2_TOKEN_DUMMY_PROPERTY
};
static void nuvola_oauth2_token_set_access_token (NuvolaOauth2Token* self, const gchar* value);
static void nuvola_oauth2_token_set_refresh_token (NuvolaOauth2Token* self, const gchar* value);
static void nuvola_oauth2_token_set_token_type (NuvolaOauth2Token* self, const gchar* value);
static void nuvola_oauth2_token_set_scope (NuvolaOauth2Token* self, const gchar* value);
const gchar* nuvola_oauth2_token_get_scope (NuvolaOauth2Token* self);
static void nuvola_oauth2_token_finalize (NuvolaOauth2Token* obj);


GQuark nuvola_oauth2_error_quark (void) {
	return g_quark_from_static_string ("nuvola_oauth2_error-quark");
}


NuvolaOauth2Client* nuvola_oauth2_client_construct (GType object_type, const gchar* client_id, const gchar* client_secret, const gchar* api_endpoint, const gchar* token_endpoint, NuvolaOauth2Token* token) {
	NuvolaOauth2Client * self = NULL;
	SoupSession* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	NuvolaOauth2Token* _tmp13_ = NULL;
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (client_id != NULL, NULL);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (api_endpoint != NULL, NULL);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self = (NuvolaOauth2Client*) g_object_new (object_type, NULL);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = soup_session_new ();
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (self->priv->soup);
#line 61 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->soup = _tmp0_;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = nuvola_oauth2_client_debug_soup;
#line 62 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp1_) {
#line 516 "Oauth2Client.c"
		SoupSession* _tmp2_ = NULL;
		SoupLogger* _tmp3_ = NULL;
		SoupLogger* _tmp4_ = NULL;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp2_ = self->priv->soup;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp3_ = soup_logger_new (SOUP_LOGGER_LOG_BODY, -1);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp4_ = _tmp3_;
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		soup_session_add_feature (_tmp2_, (SoupSessionFeature*) _tmp4_);
#line 63 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (_tmp4_);
#line 530 "Oauth2Client.c"
	}
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp5_ = client_id;
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp6_ = g_strdup (_tmp5_);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->client_id);
#line 64 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->client_id = _tmp6_;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp7_ = client_secret;
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp8_ = g_strdup (_tmp7_);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->client_secret);
#line 65 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->client_secret = _tmp8_;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp9_ = api_endpoint;
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp10_ = g_strdup (_tmp9_);
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->api_endpoint);
#line 66 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->api_endpoint = _tmp10_;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp11_ = token_endpoint;
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp12_ = g_strdup (_tmp11_);
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->token_endpoint);
#line 67 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->token_endpoint = _tmp12_;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp13_ = token;
#line 68 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_client_set_token (self, _tmp13_);
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return self;
#line 570 "Oauth2Client.c"
}


NuvolaOauth2Client* nuvola_oauth2_client_new (const gchar* client_id, const gchar* client_secret, const gchar* api_endpoint, const gchar* token_endpoint, NuvolaOauth2Token* token) {
#line 59 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return nuvola_oauth2_client_construct (NUVOLA_TYPE_OAUTH2_CLIENT, client_id, client_secret, api_endpoint, token_endpoint, token);
#line 577 "Oauth2Client.c"
}


static void nuvola_oauth2_client_real_call_data_free (gpointer _data) {
	NuvolaOauth2ClientCallData* _data_;
	_data_ = _data;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->method);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_hash_table_unref0 (_data_->params);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_hash_table_unref0 (_data_->headers);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_drt_json_node_unref0 (_data_->result);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (_data_->self);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_slice_free (NuvolaOauth2ClientCallData, _data_);
#line 596 "Oauth2Client.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return self ? g_object_ref (self) : NULL;
#line 603 "Oauth2Client.c"
}


static gpointer _g_hash_table_ref0 (gpointer self) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return self ? g_hash_table_ref (self) : NULL;
#line 610 "Oauth2Client.c"
}


static void nuvola_oauth2_client_real_call (NuvolaOauth2Client* self, const gchar* method, GHashTable* params, GHashTable* headers, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NuvolaOauth2ClientCallData* _data_;
	NuvolaOauth2Client* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GHashTable* _tmp3_ = NULL;
	GHashTable* _tmp4_ = NULL;
	GHashTable* _tmp5_ = NULL;
	GHashTable* _tmp6_ = NULL;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_ = g_slice_new0 (NuvolaOauth2ClientCallData);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, nuvola_oauth2_client_real_call);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, nuvola_oauth2_client_real_call_data_free);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->self = _tmp0_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = method;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->method);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->method = _tmp2_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp3_ = params;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp4_ = _g_hash_table_ref0 (_tmp3_);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_hash_table_unref0 (_data_->params);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->params = _tmp4_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp5_ = headers;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp6_ = _g_hash_table_ref0 (_tmp5_);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_hash_table_unref0 (_data_->headers);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->headers = _tmp6_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_client_real_call_co (_data_);
#line 659 "Oauth2Client.c"
}


static DrtJsonObject* nuvola_oauth2_client_real_call_finish (NuvolaOauth2Client* self, GAsyncResult* _res_, GError** error) {
	DrtJsonObject* result;
	NuvolaOauth2ClientCallData* _data_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (g_simple_async_result_propagate_error (G_SIMPLE_ASYNC_RESULT (_res_), error)) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return NULL;
#line 670 "Oauth2Client.c"
	}
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _data_->result;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->result = NULL;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 680 "Oauth2Client.c"
}


static void _soup_message_headers_replace_gh_func (gconstpointer key, gconstpointer value, gpointer self) {
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	soup_message_headers_replace ((SoupMessageHeaders*) self, (const gchar*) key, (const gchar*) value);
#line 687 "Oauth2Client.c"
}


static void nuvola_oauth2_client_call_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	NuvolaOauth2ClientCallData* _data_;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_ = _user_data_;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_source_object_ = source_object;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_res_ = _res_;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_client_real_call_co (_data_);
#line 701 "Oauth2Client.c"
}


static void _vala_SoupURI_free (SoupURI* self) {
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_boxed_free (soup_uri_get_type (), self);
#line 708 "Oauth2Client.c"
}


static gboolean nuvola_oauth2_client_real_call_co (NuvolaOauth2ClientCallData* _data_) {
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	switch (_data_->_state_) {
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		case 0:
#line 717 "Oauth2Client.c"
		goto _state_0;
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		case 1:
#line 721 "Oauth2Client.c"
		goto _state_1;
		default:
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_assert_not_reached ();
#line 726 "Oauth2Client.c"
	}
	_state_0:
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp1_ = NULL;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp1_ = _data_->method;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp0_ = _data_->_tmp1_;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_tmp0_ == NULL) {
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp0_ = "";
#line 739 "Oauth2Client.c"
	}
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp2_ = NULL;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp2_ = _data_->self->api_endpoint;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp3_ = NULL;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp3_ = g_strconcat (_data_->_tmp2_, _data_->_tmp0_, NULL);
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp4_ = NULL;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp4_ = _data_->_tmp3_;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp5_ = NULL;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp5_ = soup_uri_new (_data_->_tmp4_);
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp6_ = NULL;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp6_ = _data_->_tmp5_;
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->_tmp4_);
#line 89 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->uri = _data_->_tmp6_;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp7_ = NULL;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp7_ = _data_->params;
#line 90 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_tmp7_ != NULL) {
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp8_ = NULL;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp8_ = _data_->uri;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp9_ = NULL;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp9_ = _data_->params;
#line 91 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		soup_uri_set_query_from_form (_data_->_tmp8_, _data_->_tmp9_);
#line 781 "Oauth2Client.c"
	}
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp10_ = NULL;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp10_ = _data_->uri;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp11_ = NULL;
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp11_ = soup_message_new_from_uri ("GET", _data_->_tmp10_);
#line 92 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->msg = _data_->_tmp11_;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp12_ = NULL;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp12_ = _data_->uri;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp13_ = NULL;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp13_ = soup_uri_to_string (_data_->_tmp12_, FALSE);
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp14_ = NULL;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp14_ = _data_->_tmp13_;
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_debug ("Oauth2Client.vala:93: Oauth2 GET %s", _data_->_tmp14_);
#line 93 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->_tmp14_);
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp15_ = NULL;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp15_ = _data_->headers;
#line 94 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_tmp15_ != NULL) {
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp16_ = NULL;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp16_ = _data_->headers;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp17_ = NULL;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp17_ = _data_->msg;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp18_ = NULL;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp18_ = _data_->_tmp17_->request_headers;
#line 95 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_hash_table_foreach (_data_->_tmp16_, _soup_message_headers_replace_gh_func, _data_->_tmp18_);
#line 829 "Oauth2Client.c"
	}
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp20_ = NULL;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp20_ = _data_->msg;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_state_ = 1;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_client_send_message (_data_->self, _data_->_tmp20_, TRUE, nuvola_oauth2_client_call_ready, _data_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return FALSE;
#line 841 "Oauth2Client.c"
	_state_1:
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp21_ = NULL;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp21_ = nuvola_oauth2_client_send_message_finish (_data_->self, _data_->_res_, &_data_->_inner_error_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp19_ = _data_->_tmp21_;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_error_free (_data_->_inner_error_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_g_object_unref0 (_data_->msg);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			__vala_SoupURI_free0 (_data_->uri);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			if (_data_->_state_ == 0) {
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 865 "Oauth2Client.c"
			} else {
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				g_simple_async_result_complete (_data_->_async_result);
#line 869 "Oauth2Client.c"
			}
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_object_unref (_data_->_async_result);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			return FALSE;
#line 875 "Oauth2Client.c"
		} else {
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_g_object_unref0 (_data_->msg);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			__vala_SoupURI_free0 (_data_->uri);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_clear_error (&_data_->_inner_error_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			return FALSE;
#line 887 "Oauth2Client.c"
		}
	}
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp22_ = NULL;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp22_ = _data_->_tmp19_;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp19_ = NULL;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->result = _data_->_tmp22_;
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_drt_json_node_unref0 (_data_->_tmp19_);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (_data_->msg);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	__vala_SoupURI_free0 (_data_->uri);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_state_ == 0) {
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 908 "Oauth2Client.c"
	} else {
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 912 "Oauth2Client.c"
	}
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_object_unref (_data_->_async_result);
#line 96 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return FALSE;
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_drt_json_node_unref0 (_data_->_tmp19_);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (_data_->msg);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	__vala_SoupURI_free0 (_data_->uri);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_state_ == 0) {
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 928 "Oauth2Client.c"
	} else {
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 932 "Oauth2Client.c"
	}
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_object_unref (_data_->_async_result);
#line 85 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return FALSE;
#line 938 "Oauth2Client.c"
}


void nuvola_oauth2_client_call (NuvolaOauth2Client* self, const gchar* method, GHashTable* params, GHashTable* headers, GAsyncReadyCallback _callback_, gpointer _user_data_) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	NUVOLA_OAUTH2_CLIENT_GET_CLASS (self)->call (self, method, params, headers, _callback_, _user_data_);
#line 945 "Oauth2Client.c"
}


DrtJsonObject* nuvola_oauth2_client_call_finish (NuvolaOauth2Client* self, GAsyncResult* _res_, GError** error) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return NUVOLA_OAUTH2_CLIENT_GET_CLASS (self)->call_finish (self, _res_, error);
#line 952 "Oauth2Client.c"
}


static void nuvola_oauth2_client_refresh_token_data_free (gpointer _data) {
	NuvolaOauth2ClientRefreshTokenData* _data_;
	_data_ = _data;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (_data_->self);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_slice_free (NuvolaOauth2ClientRefreshTokenData, _data_);
#line 963 "Oauth2Client.c"
}


void nuvola_oauth2_client_refresh_token (NuvolaOauth2Client* self, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NuvolaOauth2ClientRefreshTokenData* _data_;
	NuvolaOauth2Client* _tmp0_ = NULL;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_ = g_slice_new0 (NuvolaOauth2ClientRefreshTokenData);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, nuvola_oauth2_client_refresh_token);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, nuvola_oauth2_client_refresh_token_data_free);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->self = _tmp0_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_client_refresh_token_co (_data_);
#line 982 "Oauth2Client.c"
}


gboolean nuvola_oauth2_client_refresh_token_finish (NuvolaOauth2Client* self, GAsyncResult* _res_, GError** error) {
	gboolean result;
	NuvolaOauth2ClientRefreshTokenData* _data_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (g_simple_async_result_propagate_error (G_SIMPLE_ASYNC_RESULT (_res_), error)) {
#line 991 "Oauth2Client.c"
		gboolean _tmp0_ = FALSE;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return _tmp0_;
#line 995 "Oauth2Client.c"
	}
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _data_->result;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 1003 "Oauth2Client.c"
}


static Block9Data* block9_data_ref (Block9Data* _data9_) {
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_atomic_int_inc (&_data9_->_ref_count_);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return _data9_;
#line 1012 "Oauth2Client.c"
}


static void block9_data_unref (void * _userdata_) {
	Block9Data* _data9_;
	_data9_ = (Block9Data*) _userdata_;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (g_atomic_int_dec_and_test (&_data9_->_ref_count_)) {
#line 1021 "Oauth2Client.c"
		NuvolaOauth2Client* self;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		self = _data9_->self;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		(_data9_->resume_cb_target_destroy_notify == NULL) ? NULL : (_data9_->resume_cb_target_destroy_notify (_data9_->resume_cb_target), NULL);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data9_->resume_cb = NULL;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data9_->resume_cb_target = NULL;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data9_->resume_cb_target_destroy_notify = NULL;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (self);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_slice_free (Block9Data, _data9_);
#line 1037 "Oauth2Client.c"
	}
}


static guint8* string_get_data (const gchar* self, int* result_length1) {
	guint8* result;
	guint8* res = NULL;
	gint res_length1 = 0;
	gint _res_size_ = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	guint8* _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	guint8* _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
#line 1398 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1399 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	res = (guint8*) self;
#line 1399 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	res_length1 = -1;
#line 1399 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_res_size_ = res_length1;
#line 1400 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1400 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1400 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	res_length1 = (gint) _tmp1_;
#line 1400 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp2_ = res_length1;
#line 1401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp3_ = res;
#line 1401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp3__length1 = res_length1;
#line 1401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp4_ = _tmp3_;
#line 1401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	_tmp4__length1 = _tmp3__length1;
#line 1401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	if (result_length1) {
#line 1401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
		*result_length1 = _tmp4__length1;
#line 1082 "Oauth2Client.c"
	}
#line 1401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	result = _tmp4_;
#line 1401 "/builddir/build/BUILD/nuvolaplayer-3.1.3/vapi/glib-2.0.vapi"
	return result;
#line 1088 "Oauth2Client.c"
}


static gboolean _nuvola_oauth2_client_refresh_token_co_gsource_func (gpointer self) {
	gboolean result;
	result = nuvola_oauth2_client_refresh_token_co (self);
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 1097 "Oauth2Client.c"
}


static void __lambda28_ (Block9Data* _data9_, SoupSession* s, SoupMessage* m) {
	NuvolaOauth2Client* self;
	GSourceFunc _tmp0_ = NULL;
	void* _tmp0__target = NULL;
	GDestroyNotify _tmp0__target_destroy_notify = NULL;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self = _data9_->self;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (s != NULL);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (m != NULL);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = _data9_->resume_cb;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0__target = _data9_->resume_cb_target;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0__target_destroy_notify = _data9_->resume_cb_target_destroy_notify;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data9_->resume_cb = NULL;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data9_->resume_cb_target = NULL;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data9_->resume_cb_target_destroy_notify = NULL;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, _tmp0_, _tmp0__target, _tmp0__target_destroy_notify);
#line 1126 "Oauth2Client.c"
}


static void ___lambda28__soup_session_callback (SoupSession* session, SoupMessage* msg, gpointer self) {
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	__lambda28_ (self, session, msg);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	block9_data_unref (self);
#line 1135 "Oauth2Client.c"
}


static void _vala_SoupBuffer_free (SoupBuffer* self) {
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_boxed_free (soup_buffer_get_type (), self);
#line 1142 "Oauth2Client.c"
}


static gboolean nuvola_oauth2_client_refresh_token_co (NuvolaOauth2ClientRefreshTokenData* _data_) {
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	switch (_data_->_state_) {
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		case 0:
#line 1151 "Oauth2Client.c"
		goto _state_0;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		case 1:
#line 1155 "Oauth2Client.c"
		goto _state_1;
		default:
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_assert_not_reached ();
#line 1160 "Oauth2Client.c"
	}
	_state_0:
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data9_ = g_slice_new0 (Block9Data);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data9_->_ref_count_ = 1;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data9_->self = g_object_ref (_data_->self);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data9_->_async_data_ = _data_;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp1_ = NULL;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp1_ = _data_->self->priv->_token;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_tmp1_ == NULL) {
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp0_ = TRUE;
#line 1179 "Oauth2Client.c"
	} else {
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp2_ = NULL;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp2_ = _data_->self->priv->_token;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp3_ = NULL;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp3_ = nuvola_oauth2_token_get_refresh_token (_data_->_tmp2_);
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp4_ = NULL;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp4_ = _data_->_tmp3_;
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp0_ = _data_->_tmp4_ == NULL;
#line 1195 "Oauth2Client.c"
	}
#line 102 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_tmp0_) {
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->result = FALSE;
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		block9_data_unref (_data_->_data9_);
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_data9_ = NULL;
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (_data_->_state_ == 0) {
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1209 "Oauth2Client.c"
		} else {
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_simple_async_result_complete (_data_->_async_result);
#line 1213 "Oauth2Client.c"
		}
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_object_unref (_data_->_async_result);
#line 103 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return FALSE;
#line 1219 "Oauth2Client.c"
	}
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp5_ = NULL;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp5_ = _data_->self->token_endpoint;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp6_ = NULL;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp6_ = _data_->self->priv->_token;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp7_ = NULL;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp7_ = nuvola_oauth2_token_get_refresh_token (_data_->_tmp6_);
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp8_ = NULL;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp8_ = _data_->_tmp7_;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp9_ = NULL;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp9_ = _data_->self->client_id;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp10_ = NULL;
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp10_ = soup_form_request_new ("POST", _data_->_tmp5_, "grant_type", "refresh_token", "refresh_token", _data_->_tmp8_, "client_id", _data_->_tmp9_, NULL);
#line 104 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->msg = _data_->_tmp10_;
#line 106 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp11_ = NULL;
#line 106 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp11_ = _data_->self->client_secret;
#line 106 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_tmp11_ != NULL) {
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp12_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp12_ = _data_->msg;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp13_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp13_ = _data_->_tmp12_->request_headers;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp14_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp14_ = _data_->self->client_id;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp15_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp15_ = _data_->self->client_secret;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp16_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp16_ = g_strdup_printf ("%s:%s", _data_->_tmp14_, _data_->_tmp15_);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp17_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp17_ = _data_->_tmp16_;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp18_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp18__length1 = 0;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp18_ = string_get_data (_data_->_tmp17_, &_data_->_tmp18__length1);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp19_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp19__length1 = 0;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp19_ = _data_->_tmp18_;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp19__length1 = _data_->_tmp18__length1;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp20_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp20_ = g_base64_encode (_data_->_tmp19_, _data_->_tmp19__length1);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp21_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp21_ = _data_->_tmp20_;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp22_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp22_ = g_strconcat ("Basic ", _data_->_tmp21_, NULL);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp23_ = NULL;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp23_ = _data_->_tmp22_;
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		soup_message_headers_replace (_data_->_tmp13_, "Authorization", _data_->_tmp23_);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_data_->_tmp23_);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_data_->_tmp21_);
#line 107 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_data_->_tmp17_);
#line 1315 "Oauth2Client.c"
	}
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data9_->resume_cb = _nuvola_oauth2_client_refresh_token_co_gsource_func;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data9_->resume_cb_target = _data_;
#line 109 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data9_->resume_cb_target_destroy_notify = NULL;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp24_ = NULL;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp24_ = _data_->self->priv->soup;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp25_ = NULL;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp25_ = _data_->msg;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp26_ = NULL;
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp26_ = _g_object_ref0 (_data_->_tmp25_);
#line 110 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	soup_session_queue_message (_data_->_tmp24_, _data_->_tmp26_, ___lambda28__soup_session_callback, block9_data_ref (_data_->_data9_));
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_state_ = 1;
#line 111 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return FALSE;
#line 1341 "Oauth2Client.c"
	_state_1:
	;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp27_ = NULL;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp27_ = _data_->msg;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp28_ = NULL;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp28_ = _data_->_tmp27_->response_body;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp29_ = NULL;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp29_ = soup_message_body_flatten (_data_->_tmp28_);
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp30_ = NULL;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp30_ = _data_->_tmp29_;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp31_ = NULL;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp31__length1 = 0;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp31_ = _data_->_tmp30_->data;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp31__length1 = (gint) _data_->_tmp30_->length;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp32_ = NULL;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp32_ = (const gchar*) _data_->_tmp31_;
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	__vala_SoupBuffer_free0 (_data_->_tmp30_);
#line 113 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->response_data = _data_->_tmp32_;
#line 1376 "Oauth2Client.c"
	{
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp34_ = NULL;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp34_ = _data_->response_data;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp35_ = NULL;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp35_ = drt_json_parser_load_object (_data_->_tmp34_, &_data_->_inner_error_);
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp33_ = _data_->_tmp35_;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 1390 "Oauth2Client.c"
			goto __catch93_g_error;
		}
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp36_ = NULL;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp36_ = _data_->_tmp33_;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp33_ = NULL;
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (_data_->response);
#line 117 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->response = _data_->_tmp36_;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (_data_->_tmp33_);
#line 1405 "Oauth2Client.c"
	}
	goto __finally93;
	__catch93_g_error:
	{
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->e = _data_->_inner_error_;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_inner_error_ = NULL;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp37_ = NULL;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp37_ = _data_->e;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp38_ = NULL;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp38_ = _data_->_tmp37_->message;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp39_ = NULL;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp39_ = g_error_new_literal (NUVOLA_OAUTH2_ERROR, NUVOLA_OAUTH2_ERROR_PARSE_ERROR, _data_->_tmp38_);
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_inner_error_ = _data_->_tmp39_;
#line 121 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_error_free0 (_data_->e);
#line 1430 "Oauth2Client.c"
		goto __finally93;
	}
	__finally93:
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_error_free (_data_->_inner_error_);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_drt_json_node_unref0 (_data_->response);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_g_object_unref0 (_data_->msg);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			block9_data_unref (_data_->_data9_);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_data9_ = NULL;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			if (_data_->_state_ == 0) {
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1454 "Oauth2Client.c"
			} else {
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				g_simple_async_result_complete (_data_->_async_result);
#line 1458 "Oauth2Client.c"
			}
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_object_unref (_data_->_async_result);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			return FALSE;
#line 1464 "Oauth2Client.c"
		} else {
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_drt_json_node_unref0 (_data_->response);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_g_object_unref0 (_data_->msg);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			block9_data_unref (_data_->_data9_);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_data9_ = NULL;
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_clear_error (&_data_->_inner_error_);
#line 115 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			return FALSE;
#line 1480 "Oauth2Client.c"
		}
	}
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp41_ = NULL;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp41_ = _data_->msg;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp42_ = 0U;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_object_get (_data_->_tmp41_, "status-code", &_data_->_tmp42_, NULL);
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp43_ = 0U;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp43_ = _data_->_tmp42_;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_tmp43_ < ((guint) 200)) {
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp40_ = TRUE;
#line 1499 "Oauth2Client.c"
	} else {
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp44_ = NULL;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp44_ = _data_->msg;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp45_ = 0U;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_object_get (_data_->_tmp44_, "status-code", &_data_->_tmp45_, NULL);
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp46_ = 0U;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp46_ = _data_->_tmp45_;
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp40_ = _data_->_tmp46_ >= ((guint) 300);
#line 1515 "Oauth2Client.c"
	}
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_tmp40_) {
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		static GQuark _tmp58_label0 = 0;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		static GQuark _tmp58_label1 = 0;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		static GQuark _tmp58_label2 = 0;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		static GQuark _tmp58_label3 = 0;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		static GQuark _tmp58_label4 = 0;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp47_ = NULL;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp47_ = _data_->response;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp48_ = NULL;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp49_ = NULL;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		nuvola_oauth2_client_parse_error (_data_->self, _data_->_tmp47_, &_data_->_tmp48_, &_data_->_tmp49_);
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_data_->error_code);
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->error_code = _data_->_tmp48_;
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_data_->error_description);
#line 127 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->error_description = _data_->_tmp49_;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp50_ = NULL;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp50_ = _data_->error_description;
#line 128 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (_data_->_tmp50_ == NULL) {
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_tmp51_ = NULL;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_tmp51_ = _data_->error_code;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_tmp52_ = NULL;
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_tmp52_ = g_strdup (_data_->_tmp51_);
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_g_free0 (_data_->error_description);
#line 129 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->error_description = _data_->_tmp52_;
#line 1565 "Oauth2Client.c"
		} else {
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_tmp53_ = NULL;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_tmp53_ = _data_->error_code;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_tmp54_ = NULL;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_tmp54_ = _data_->error_description;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_tmp55_ = NULL;
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->_tmp55_ = g_strdup_printf ("%s: %s", _data_->_tmp53_, _data_->_tmp54_);
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_g_free0 (_data_->error_description);
#line 131 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			_data_->error_description = _data_->_tmp55_;
#line 1583 "Oauth2Client.c"
		}
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp56_ = NULL;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp56_ = _data_->error_code;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp57_ = NULL;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp59_ = 0U;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp57_ = _data_->_tmp56_;
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp59_ = (NULL == _data_->_tmp57_) ? 0 : g_quark_from_string (_data_->_tmp57_);
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (_data_->_tmp59_ == ((0 != _tmp58_label0) ? _tmp58_label0 : (_tmp58_label0 = g_quark_from_static_string ("invalid_request")))) {
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			switch (0) {
#line 1601 "Oauth2Client.c"
				default:
				{
#line 136 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					nuvola_oauth2_client_set_token (_data_->self, NULL);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp60_ = NULL;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp60_ = _data_->error_description;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp61_ = NULL;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp61_ = g_error_new_literal (NUVOLA_OAUTH2_ERROR, NUVOLA_OAUTH2_ERROR_INVALID_REQUEST, _data_->_tmp60_);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_inner_error_ = _data_->_tmp61_;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_error_free (_data_->_inner_error_);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						if (_data_->_state_ == 0) {
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1638 "Oauth2Client.c"
						} else {
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete (_data_->_async_result);
#line 1642 "Oauth2Client.c"
						}
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_object_unref (_data_->_async_result);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 1648 "Oauth2Client.c"
					} else {
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_clear_error (&_data_->_inner_error_);
#line 137 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 1668 "Oauth2Client.c"
					}
				}
			}
		} else if (_data_->_tmp59_ == ((0 != _tmp58_label1) ? _tmp58_label1 : (_tmp58_label1 = g_quark_from_static_string ("invalid_grant")))) {
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			switch (0) {
#line 1675 "Oauth2Client.c"
				default:
				{
#line 139 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					nuvola_oauth2_client_set_token (_data_->self, NULL);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp62_ = NULL;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp62_ = _data_->error_description;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp63_ = NULL;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp63_ = g_error_new_literal (NUVOLA_OAUTH2_ERROR, NUVOLA_OAUTH2_ERROR_INVALID_GRANT, _data_->_tmp62_);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_inner_error_ = _data_->_tmp63_;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_error_free (_data_->_inner_error_);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						if (_data_->_state_ == 0) {
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1712 "Oauth2Client.c"
						} else {
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete (_data_->_async_result);
#line 1716 "Oauth2Client.c"
						}
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_object_unref (_data_->_async_result);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 1722 "Oauth2Client.c"
					} else {
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_clear_error (&_data_->_inner_error_);
#line 140 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 1742 "Oauth2Client.c"
					}
				}
			}
		} else if (_data_->_tmp59_ == ((0 != _tmp58_label2) ? _tmp58_label2 : (_tmp58_label2 = g_quark_from_static_string ("invalid_client")))) {
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			switch (0) {
#line 1749 "Oauth2Client.c"
				default:
				{
#line 142 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					nuvola_oauth2_client_set_token (_data_->self, NULL);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp64_ = NULL;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp64_ = _data_->error_description;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp65_ = NULL;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp65_ = g_error_new_literal (NUVOLA_OAUTH2_ERROR, NUVOLA_OAUTH2_ERROR_INVALID_CLIENT, _data_->_tmp64_);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_inner_error_ = _data_->_tmp65_;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_error_free (_data_->_inner_error_);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						if (_data_->_state_ == 0) {
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1786 "Oauth2Client.c"
						} else {
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete (_data_->_async_result);
#line 1790 "Oauth2Client.c"
						}
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_object_unref (_data_->_async_result);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 1796 "Oauth2Client.c"
					} else {
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_clear_error (&_data_->_inner_error_);
#line 143 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 1816 "Oauth2Client.c"
					}
				}
			}
		} else if (_data_->_tmp59_ == ((0 != _tmp58_label3) ? _tmp58_label3 : (_tmp58_label3 = g_quark_from_static_string ("unauthorized_client")))) {
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			switch (0) {
#line 1823 "Oauth2Client.c"
				default:
				{
#line 145 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					nuvola_oauth2_client_set_token (_data_->self, NULL);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp66_ = NULL;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp66_ = _data_->error_description;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp67_ = NULL;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp67_ = g_error_new_literal (NUVOLA_OAUTH2_ERROR, NUVOLA_OAUTH2_ERROR_UNAUTHORIZED_CLIENT, _data_->_tmp66_);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_inner_error_ = _data_->_tmp67_;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_error_free (_data_->_inner_error_);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						if (_data_->_state_ == 0) {
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1860 "Oauth2Client.c"
						} else {
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete (_data_->_async_result);
#line 1864 "Oauth2Client.c"
						}
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_object_unref (_data_->_async_result);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 1870 "Oauth2Client.c"
					} else {
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_clear_error (&_data_->_inner_error_);
#line 146 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 1890 "Oauth2Client.c"
					}
				}
			}
		} else if (_data_->_tmp59_ == ((0 != _tmp58_label4) ? _tmp58_label4 : (_tmp58_label4 = g_quark_from_static_string ("unsupported_grant_type")))) {
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			switch (0) {
#line 1897 "Oauth2Client.c"
				default:
				{
#line 148 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					nuvola_oauth2_client_set_token (_data_->self, NULL);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp68_ = NULL;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp68_ = _data_->error_description;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp69_ = NULL;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp69_ = g_error_new_literal (NUVOLA_OAUTH2_ERROR, NUVOLA_OAUTH2_ERROR_UNSUPPORTED_GRANT_TYPE, _data_->_tmp68_);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_inner_error_ = _data_->_tmp69_;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_error_free (_data_->_inner_error_);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						if (_data_->_state_ == 0) {
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 1934 "Oauth2Client.c"
						} else {
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete (_data_->_async_result);
#line 1938 "Oauth2Client.c"
						}
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_object_unref (_data_->_async_result);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 1944 "Oauth2Client.c"
					} else {
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_clear_error (&_data_->_inner_error_);
#line 149 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 1964 "Oauth2Client.c"
					}
				}
			}
		} else {
#line 133 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			switch (0) {
#line 1971 "Oauth2Client.c"
				default:
				{
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp70_ = NULL;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp70_ = _data_->error_description;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp71_ = NULL;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp71_ = _data_->msg;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp72_ = 0U;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_object_get (_data_->_tmp71_, "status-code", &_data_->_tmp72_, NULL);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp73_ = 0U;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp73_ = _data_->_tmp72_;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp74_ = NULL;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp74_ = _data_->msg;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp75_ = 0U;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_object_get (_data_->_tmp74_, "status-code", &_data_->_tmp75_, NULL);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp76_ = 0U;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp76_ = _data_->_tmp75_;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp77_ = NULL;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp77_ = soup_status_get_phrase (_data_->_tmp76_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp78_ = NULL;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp78_ = g_strdup_printf ("%s. %u: %s", _data_->_tmp70_, _data_->_tmp73_, _data_->_tmp77_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp79_ = NULL;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp79_ = _data_->_tmp78_;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp80_ = NULL;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp80_ = g_error_new_literal (NUVOLA_OAUTH2_ERROR, NUVOLA_OAUTH2_ERROR_UNKNOWN, _data_->_tmp79_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp81_ = NULL;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp81_ = _data_->_tmp80_;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_g_free0 (_data_->_tmp79_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_inner_error_ = _data_->_tmp81_;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_error_free (_data_->_inner_error_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						if (_data_->_state_ == 0) {
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 2048 "Oauth2Client.c"
						} else {
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete (_data_->_async_result);
#line 2052 "Oauth2Client.c"
						}
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_object_unref (_data_->_async_result);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 2058 "Oauth2Client.c"
					} else {
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_description);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->error_code);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->response);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_object_unref0 (_data_->msg);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block9_data_unref (_data_->_data9_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data9_ = NULL;
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_clear_error (&_data_->_inner_error_);
#line 151 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 2078 "Oauth2Client.c"
					}
				}
			}
		}
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_data_->error_description);
#line 124 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_data_->error_code);
#line 2087 "Oauth2Client.c"
	}
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp82_ = NULL;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp82_ = _data_->response;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp83_ = NULL;
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	drt_json_object_get_string (_data_->_tmp82_, "access_token", &_data_->_tmp83_);
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->access_token);
#line 157 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->access_token = _data_->_tmp83_;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp84_ = NULL;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp84_ = _data_->response;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp85_ = NULL;
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	drt_json_object_get_string (_data_->_tmp84_, "refresh_token", &_data_->_tmp85_);
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->refresh_token);
#line 159 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->refresh_token = _data_->_tmp85_;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp86_ = NULL;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp86_ = _data_->response;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp87_ = NULL;
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	drt_json_object_get_string (_data_->_tmp86_, "token_type", &_data_->_tmp87_);
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->token_type);
#line 161 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->token_type = _data_->_tmp87_;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp88_ = NULL;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp88_ = _data_->response;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp89_ = NULL;
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	drt_json_object_get_string (_data_->_tmp88_, "scope", &_data_->_tmp89_);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->scope);
#line 163 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->scope = _data_->_tmp89_;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp90_ = NULL;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp90_ = _data_->access_token;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp91_ = NULL;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp91_ = _data_->refresh_token;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp92_ = NULL;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp92_ = _data_->token_type;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp93_ = NULL;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp93_ = _data_->scope;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp94_ = NULL;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp94_ = nuvola_oauth2_token_new (_data_->_tmp90_, _data_->_tmp91_, _data_->_tmp92_, _data_->_tmp93_);
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp95_ = NULL;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp95_ = _data_->_tmp94_;
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_client_set_token (_data_->self, _data_->_tmp95_);
#line 164 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_nuvola_oauth2_token_unref0 (_data_->_tmp95_);
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp96_ = NULL;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp96_ = _data_->self->priv->_token;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp97_ = NULL;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp97_ = nuvola_oauth2_token_to_string (_data_->_tmp96_);
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp98_ = NULL;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp98_ = _data_->_tmp97_;
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_debug ("Oauth2Client.vala:165: Refreshed token: %s.", _data_->_tmp98_);
#line 165 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->_tmp98_);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->result = TRUE;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->scope);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->token_type);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->refresh_token);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->access_token);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_drt_json_node_unref0 (_data_->response);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (_data_->msg);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	block9_data_unref (_data_->_data9_);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data9_ = NULL;
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_state_ == 0) {
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 2203 "Oauth2Client.c"
	} else {
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 2207 "Oauth2Client.c"
	}
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_object_unref (_data_->_async_result);
#line 166 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return FALSE;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->scope);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->token_type);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->refresh_token);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_data_->access_token);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_drt_json_node_unref0 (_data_->response);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (_data_->msg);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	block9_data_unref (_data_->_data9_);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data9_ = NULL;
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_state_ == 0) {
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 2233 "Oauth2Client.c"
	} else {
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 2237 "Oauth2Client.c"
	}
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_object_unref (_data_->_async_result);
#line 99 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return FALSE;
#line 2243 "Oauth2Client.c"
}


static gboolean _nuvola_oauth2_client_device_code_grant_cb_gsource_func (gpointer self) {
	gboolean result;
	result = nuvola_oauth2_client_device_code_grant_cb ((NuvolaOauth2Client*) self);
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 2252 "Oauth2Client.c"
}


void nuvola_oauth2_client_start_device_code_grant (NuvolaOauth2Client* self, const gchar* device_code_endpoint) {
	SoupMessage* msg = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	SoupMessage* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	SoupSession* _tmp16_ = NULL;
	SoupMessage* _tmp17_ = NULL;
	const gchar* response_data = NULL;
	SoupMessage* _tmp18_ = NULL;
	SoupMessageBody* _tmp19_ = NULL;
	SoupBuffer* _tmp20_ = NULL;
	SoupBuffer* _tmp21_ = NULL;
	guint8* _tmp22_ = NULL;
	gint _tmp22__length1 = 0;
	const gchar* _tmp23_ = NULL;
	DrtJsonObject* response = NULL;
	SoupMessage* _tmp30_ = NULL;
	guint _tmp31_ = 0U;
	guint _tmp32_ = 0U;
	gchar* device_code = NULL;
	DrtJsonObject* _tmp38_ = NULL;
	gchar* _tmp39_ = NULL;
	gboolean _tmp40_ = FALSE;
	gchar* verification_uri = NULL;
	DrtJsonObject* _tmp41_ = NULL;
	gchar* _tmp42_ = NULL;
	gboolean _tmp43_ = FALSE;
	gint interval = 0;
	DrtJsonObject* _tmp44_ = NULL;
	gint _tmp45_ = 0;
	gboolean _tmp46_ = FALSE;
	const gchar* _tmp47_ = NULL;
	gchar* _tmp48_ = NULL;
	const gchar* _tmp49_ = NULL;
	gchar* _tmp50_ = NULL;
	gint _tmp51_ = 0;
	guint _tmp52_ = 0U;
	const gchar* _tmp53_ = NULL;
	GError * _inner_error_ = NULL;
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (self != NULL);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (device_code_endpoint != NULL);
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = device_code_endpoint;
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = self->client_id;
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp2_ = soup_form_request_new ("POST", _tmp0_, "response_type", "tiliado_device_code", "client_id", _tmp1_, NULL);
#line 171 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	msg = _tmp2_;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp3_ = self->client_secret;
#line 173 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp3_ != NULL) {
#line 2312 "Oauth2Client.c"
		SoupMessage* _tmp4_ = NULL;
		SoupMessageHeaders* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		guint8* _tmp10_ = NULL;
		gint _tmp10__length1 = 0;
		guint8* _tmp11_ = NULL;
		gint _tmp11__length1 = 0;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp4_ = msg;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp5_ = _tmp4_->request_headers;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp6_ = self->client_id;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp7_ = self->client_secret;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp8_ = g_strdup_printf ("%s:%s", _tmp6_, _tmp7_);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp9_ = _tmp8_;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp10_ = string_get_data (_tmp9_, &_tmp10__length1);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp11_ = _tmp10_;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp11__length1 = _tmp10__length1;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp12_ = g_base64_encode (_tmp11_, _tmp11__length1);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp13_ = _tmp12_;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp14_ = g_strconcat ("Basic ", _tmp13_, NULL);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp15_ = _tmp14_;
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		soup_message_headers_replace (_tmp5_, "Authorization", _tmp15_);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_tmp15_);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_tmp13_);
#line 174 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_tmp9_);
#line 2361 "Oauth2Client.c"
	}
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp16_ = self->priv->soup;
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp17_ = msg;
#line 177 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	soup_session_send_message (_tmp16_, _tmp17_);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp18_ = msg;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp19_ = _tmp18_->response_body;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp20_ = soup_message_body_flatten (_tmp19_);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp21_ = _tmp20_;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp22_ = _tmp21_->data;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp22__length1 = (gint) _tmp21_->length;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp23_ = (const gchar*) _tmp22_;
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	__vala_SoupBuffer_free0 (_tmp21_);
#line 178 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	response_data = _tmp23_;
#line 2387 "Oauth2Client.c"
	{
		DrtJsonObject* _tmp24_ = NULL;
		const gchar* _tmp25_ = NULL;
		DrtJsonObject* _tmp26_ = NULL;
		DrtJsonObject* _tmp27_ = NULL;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp25_ = response_data;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp26_ = drt_json_parser_load_object (_tmp25_, &_inner_error_);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp24_ = _tmp26_;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2401 "Oauth2Client.c"
			goto __catch94_g_error;
		}
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp27_ = _tmp24_;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp24_ = NULL;
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (response);
#line 182 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		response = _tmp27_;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (_tmp24_);
#line 2414 "Oauth2Client.c"
	}
	goto __finally94;
	__catch94_g_error:
	{
		GError* e = NULL;
		GError* _tmp28_ = NULL;
		const gchar* _tmp29_ = NULL;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		e = _inner_error_;
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_inner_error_ = NULL;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp28_ = e;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp29_ = _tmp28_->message;
#line 186 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_signal_emit_by_name (self, "device-code-grant-error", "parse_error", _tmp29_);
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_error_free0 (e);
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (response);
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (msg);
#line 187 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return;
#line 2440 "Oauth2Client.c"
	}
	__finally94:
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (response);
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (msg);
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_clear_error (&_inner_error_);
#line 180 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return;
#line 2455 "Oauth2Client.c"
	}
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp30_ = msg;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_object_get (_tmp30_, "status-code", &_tmp31_, NULL);
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp32_ = _tmp31_;
#line 190 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp32_ != ((guint) 200)) {
#line 2465 "Oauth2Client.c"
		gchar* error_code = NULL;
		gchar* error_description = NULL;
		DrtJsonObject* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		gchar* _tmp35_ = NULL;
		const gchar* _tmp36_ = NULL;
		const gchar* _tmp37_ = NULL;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp33_ = response;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		nuvola_oauth2_client_parse_error (self, _tmp33_, &_tmp34_, &_tmp35_);
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (error_code);
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		error_code = _tmp34_;
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (error_description);
#line 194 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		error_description = _tmp35_;
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp36_ = error_code;
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp37_ = error_description;
#line 195 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_signal_emit_by_name (self, "device-code-grant-error", _tmp36_, _tmp37_);
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (error_description);
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (error_code);
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (response);
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (msg);
#line 196 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return;
#line 2501 "Oauth2Client.c"
	}
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp38_ = response;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp40_ = drt_json_object_get_string (_tmp38_, "device_code", &_tmp39_);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (device_code);
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	device_code = _tmp39_;
#line 200 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (!_tmp40_) {
#line 202 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_signal_emit_by_name (self, "device-code-grant-error", "response_error", "The 'device_code' member is missing.");
#line 203 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (device_code);
#line 203 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (response);
#line 203 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (msg);
#line 203 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return;
#line 2523 "Oauth2Client.c"
	}
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp41_ = response;
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp43_ = drt_json_object_get_string (_tmp41_, "verification_uri", &_tmp42_);
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (verification_uri);
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	verification_uri = _tmp42_;
#line 206 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (!_tmp43_) {
#line 208 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_signal_emit_by_name (self, "device-code-grant-error", "response_error", "The 'verification_uri' member is missing.");
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (verification_uri);
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (device_code);
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (response);
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (msg);
#line 209 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return;
#line 2547 "Oauth2Client.c"
	}
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp44_ = response;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp46_ = drt_json_object_get_int (_tmp44_, "interval", &_tmp45_);
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	interval = _tmp45_;
#line 212 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (!_tmp46_) {
#line 213 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		interval = 5;
#line 2559 "Oauth2Client.c"
	}
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp47_ = device_code_endpoint;
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp48_ = g_strdup (_tmp47_);
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->device_code_endpoint);
#line 215 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->device_code_endpoint = _tmp48_;
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp49_ = device_code;
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp50_ = g_strdup (_tmp49_);
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->device_code);
#line 216 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->device_code = _tmp50_;
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp51_ = interval;
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp52_ = g_timeout_add_seconds_full (G_PRIORITY_DEFAULT, (guint) _tmp51_, _nuvola_oauth2_client_device_code_grant_cb_gsource_func, g_object_ref (self), g_object_unref);
#line 217 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->device_code_cb_id = _tmp52_;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp53_ = verification_uri;
#line 218 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_signal_emit_by_name (self, "device-code-grant-started", _tmp53_);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (verification_uri);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (device_code);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_drt_json_node_unref0 (response);
#line 169 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (msg);
#line 2595 "Oauth2Client.c"
}


void nuvola_oauth2_client_cancel_device_code_grant (NuvolaOauth2Client* self) {
	guint _tmp0_ = 0U;
#line 221 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (self != NULL);
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->device_code);
#line 223 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->device_code = NULL;
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->device_code_endpoint);
#line 224 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->device_code_endpoint = NULL;
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = self->priv->device_code_cb_id;
#line 225 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp0_ != ((guint) 0)) {
#line 2615 "Oauth2Client.c"
		guint _tmp1_ = 0U;
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp1_ = self->priv->device_code_cb_id;
#line 227 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_source_remove (_tmp1_);
#line 228 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		self->priv->device_code_cb_id = (guint) 0;
#line 2623 "Oauth2Client.c"
	}
#line 230 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_signal_emit_by_name (self, "device-code-grant-cancelled");
#line 2627 "Oauth2Client.c"
}


gchar* nuvola_oauth2_client_hmac_sha1_for_string (NuvolaOauth2Client* self, const gchar* data) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 233 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (data != NULL, NULL);
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = data;
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = nuvola_oauth2_client_hmac_for_string (self, G_CHECKSUM_SHA1, _tmp0_);
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _tmp1_;
#line 235 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 2647 "Oauth2Client.c"
}


gchar* nuvola_oauth2_client_hmac_for_string (NuvolaOauth2Client* self, GChecksumType checksum, const gchar* data) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 238 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 238 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (data != NULL, NULL);
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = self->client_secret;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp1_ != NULL) {
#line 2663 "Oauth2Client.c"
		GChecksumType _tmp2_ = 0;
		const gchar* _tmp3_ = NULL;
		guint8* _tmp4_ = NULL;
		gint _tmp4__length1 = 0;
		guint8* _tmp5_ = NULL;
		gint _tmp5__length1 = 0;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp2_ = checksum;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp3_ = self->client_secret;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp4_ = string_get_data (_tmp3_, &_tmp4__length1);
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp5_ = _tmp4_;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp5__length1 = _tmp4__length1;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp6_ = data;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp7_ = g_compute_hmac_for_string (_tmp2_, _tmp5_, _tmp5__length1, _tmp6_, (gsize) -1);
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_tmp0_);
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp0_ = _tmp7_;
#line 2690 "Oauth2Client.c"
	} else {
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_tmp0_);
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp0_ = NULL;
#line 2696 "Oauth2Client.c"
	}
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _tmp0_;
#line 240 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 2702 "Oauth2Client.c"
}


gboolean nuvola_oauth2_client_hmac_sha1_verify_string (NuvolaOauth2Client* self, const gchar* data, const gchar* hmac) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (data != NULL, FALSE);
#line 243 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (hmac != NULL, FALSE);
#line 245 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = data;
#line 245 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = hmac;
#line 245 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp2_ = nuvola_oauth2_client_hmac_verify_string (self, G_CHECKSUM_SHA1, _tmp0_, _tmp1_);
#line 245 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _tmp2_;
#line 245 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 2727 "Oauth2Client.c"
}


gboolean nuvola_oauth2_client_hmac_verify_string (NuvolaOauth2Client* self, GChecksumType checksum, const gchar* data, const gchar* hmac) {
	gboolean result = FALSE;
	gchar* expected_hmac = NULL;
	GChecksumType _tmp0_ = 0;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	const gchar* _tmp4_ = NULL;
#line 248 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 248 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (data != NULL, FALSE);
#line 248 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (hmac != NULL, FALSE);
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = checksum;
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = data;
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp2_ = nuvola_oauth2_client_hmac_for_string (self, _tmp0_, _tmp1_);
#line 250 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	expected_hmac = _tmp2_;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp4_ = expected_hmac;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp4_ != NULL) {
#line 2757 "Oauth2Client.c"
		const gchar* _tmp5_ = NULL;
		guint8* _tmp6_ = NULL;
		gint _tmp6__length1 = 0;
		guint8* _tmp7_ = NULL;
		gint _tmp7__length1 = 0;
		const gchar* _tmp8_ = NULL;
		guint8* _tmp9_ = NULL;
		gint _tmp9__length1 = 0;
		guint8* _tmp10_ = NULL;
		gint _tmp10__length1 = 0;
		gboolean _tmp11_ = FALSE;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp5_ = expected_hmac;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp6_ = string_get_data (_tmp5_, &_tmp6__length1);
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp7_ = _tmp6_;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp7__length1 = _tmp6__length1;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp8_ = hmac;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp9_ = string_get_data (_tmp8_, &_tmp9__length1);
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp10_ = _tmp9_;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp10__length1 = _tmp9__length1;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp11_ = drt_utils_const_time_byte_equal (_tmp7_, _tmp7__length1, _tmp10_, _tmp10__length1);
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp3_ = _tmp11_;
#line 2789 "Oauth2Client.c"
	} else {
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp3_ = FALSE;
#line 2793 "Oauth2Client.c"
	}
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _tmp3_;
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (expected_hmac);
#line 251 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 2801 "Oauth2Client.c"
}


static void nuvola_oauth2_client_send_message_data_free (gpointer _data) {
	NuvolaOauth2ClientSendMessageData* _data_;
	_data_ = _data;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (_data_->msg);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_drt_json_node_unref0 (_data_->result);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (_data_->self);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_slice_free (NuvolaOauth2ClientSendMessageData, _data_);
#line 2816 "Oauth2Client.c"
}


static void nuvola_oauth2_client_send_message (NuvolaOauth2Client* self, SoupMessage* msg, gboolean retry, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NuvolaOauth2ClientSendMessageData* _data_;
	NuvolaOauth2Client* _tmp0_ = NULL;
	SoupMessage* _tmp1_ = NULL;
	SoupMessage* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_ = g_slice_new0 (NuvolaOauth2ClientSendMessageData);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, nuvola_oauth2_client_send_message);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, nuvola_oauth2_client_send_message_data_free);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->self = _tmp0_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = msg;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (_data_->msg);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->msg = _tmp2_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp3_ = retry;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->retry = _tmp3_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_client_send_message_co (_data_);
#line 2850 "Oauth2Client.c"
}


static DrtJsonObject* nuvola_oauth2_client_send_message_finish (NuvolaOauth2Client* self, GAsyncResult* _res_, GError** error) {
	DrtJsonObject* result;
	NuvolaOauth2ClientSendMessageData* _data_;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (g_simple_async_result_propagate_error (G_SIMPLE_ASYNC_RESULT (_res_), error)) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return NULL;
#line 2861 "Oauth2Client.c"
	}
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _data_->result;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->result = NULL;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 2871 "Oauth2Client.c"
}


static Block10Data* block10_data_ref (Block10Data* _data10_) {
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_atomic_int_inc (&_data10_->_ref_count_);
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return _data10_;
#line 2880 "Oauth2Client.c"
}


static void block10_data_unref (void * _userdata_) {
	Block10Data* _data10_;
	_data10_ = (Block10Data*) _userdata_;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (g_atomic_int_dec_and_test (&_data10_->_ref_count_)) {
#line 2889 "Oauth2Client.c"
		NuvolaOauth2Client* self;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		self = _data10_->self;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		(_data10_->resume_cb_target_destroy_notify == NULL) ? NULL : (_data10_->resume_cb_target_destroy_notify (_data10_->resume_cb_target), NULL);
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data10_->resume_cb = NULL;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data10_->resume_cb_target = NULL;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data10_->resume_cb_target_destroy_notify = NULL;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (self);
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_slice_free (Block10Data, _data10_);
#line 2905 "Oauth2Client.c"
	}
}


static gboolean _nuvola_oauth2_client_send_message_co_gsource_func (gpointer self) {
	gboolean result;
	result = nuvola_oauth2_client_send_message_co (self);
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 2915 "Oauth2Client.c"
}


static void __lambda27_ (Block10Data* _data10_, SoupSession* s, SoupMessage* m) {
	NuvolaOauth2Client* self;
	GSourceFunc _tmp0_ = NULL;
	void* _tmp0__target = NULL;
	GDestroyNotify _tmp0__target_destroy_notify = NULL;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self = _data10_->self;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (s != NULL);
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (m != NULL);
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = _data10_->resume_cb;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0__target = _data10_->resume_cb_target;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0__target_destroy_notify = _data10_->resume_cb_target_destroy_notify;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data10_->resume_cb = NULL;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data10_->resume_cb_target = NULL;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data10_->resume_cb_target_destroy_notify = NULL;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, _tmp0_, _tmp0__target, _tmp0__target_destroy_notify);
#line 2944 "Oauth2Client.c"
}


static void ___lambda27__soup_session_callback (SoupSession* session, SoupMessage* msg, gpointer self) {
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	__lambda27_ (self, session, msg);
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	block10_data_unref (self);
#line 2953 "Oauth2Client.c"
}


static void nuvola_oauth2_client_send_message_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	NuvolaOauth2ClientSendMessageData* _data_;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_ = _user_data_;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_source_object_ = source_object;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_res_ = _res_;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_client_send_message_co (_data_);
#line 2967 "Oauth2Client.c"
}


static gboolean nuvola_oauth2_client_send_message_co (NuvolaOauth2ClientSendMessageData* _data_) {
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	switch (_data_->_state_) {
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		case 0:
#line 2976 "Oauth2Client.c"
		goto _state_0;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		case 1:
#line 2980 "Oauth2Client.c"
		goto _state_1;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		case 2:
#line 2984 "Oauth2Client.c"
		goto _state_2;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		case 3:
#line 2988 "Oauth2Client.c"
		goto _state_3;
		default:
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_assert_not_reached ();
#line 2993 "Oauth2Client.c"
	}
	_state_0:
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data10_ = g_slice_new0 (Block10Data);
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data10_->_ref_count_ = 1;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data10_->self = g_object_ref (_data_->self);
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data10_->_async_data_ = _data_;
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp0_ = NULL;
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp0_ = _data_->self->priv->_token;
#line 257 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_tmp0_ != NULL) {
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp1_ = NULL;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp1_ = _data_->msg;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp2_ = NULL;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp2_ = _data_->_tmp1_->request_headers;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp3_ = NULL;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp3_ = _data_->self->priv->_token;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp4_ = NULL;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp4_ = nuvola_oauth2_token_get_token_type (_data_->_tmp3_);
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp5_ = NULL;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp5_ = _data_->_tmp4_;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp6_ = NULL;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp6_ = _data_->self->priv->_token;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp7_ = NULL;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp7_ = nuvola_oauth2_token_get_access_token (_data_->_tmp6_);
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp8_ = NULL;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp8_ = _data_->_tmp7_;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp9_ = NULL;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp9_ = g_strdup_printf ("%s %s", _data_->_tmp5_, _data_->_tmp8_);
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp10_ = NULL;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp10_ = _data_->_tmp9_;
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		soup_message_headers_replace (_data_->_tmp2_, "Authorization", _data_->_tmp10_);
#line 258 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_data_->_tmp10_);
#line 3054 "Oauth2Client.c"
	}
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data10_->resume_cb = _nuvola_oauth2_client_send_message_co_gsource_func;
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data10_->resume_cb_target = _data_;
#line 259 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data10_->resume_cb_target_destroy_notify = NULL;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp11_ = NULL;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp11_ = _data_->self->priv->soup;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp12_ = NULL;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp12_ = _data_->msg;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp13_ = NULL;
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp13_ = _g_object_ref0 (_data_->_tmp12_);
#line 260 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	soup_session_queue_message (_data_->_tmp11_, _data_->_tmp13_, ___lambda27__soup_session_callback, block10_data_ref (_data_->_data10_));
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_state_ = 1;
#line 261 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return FALSE;
#line 3080 "Oauth2Client.c"
	_state_1:
	;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp14_ = NULL;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp14_ = _data_->msg;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp15_ = NULL;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp15_ = _data_->_tmp14_->response_body;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp16_ = NULL;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp16_ = soup_message_body_flatten (_data_->_tmp15_);
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp17_ = NULL;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp17_ = _data_->_tmp16_;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp18_ = NULL;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp18__length1 = 0;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp18_ = _data_->_tmp17_->data;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp18__length1 = (gint) _data_->_tmp17_->length;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp19_ = NULL;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp19_ = (const gchar*) _data_->_tmp18_;
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	__vala_SoupBuffer_free0 (_data_->_tmp17_);
#line 262 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->response_data = _data_->_tmp19_;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp21_ = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp21_ = _data_->msg;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp22_ = 0U;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_object_get (_data_->_tmp21_, "status-code", &_data_->_tmp22_, NULL);
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp23_ = 0U;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_tmp23_ = _data_->_tmp22_;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_tmp23_ < ((guint) 200)) {
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp20_ = TRUE;
#line 3131 "Oauth2Client.c"
	} else {
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp24_ = NULL;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp24_ = _data_->msg;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp25_ = 0U;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_object_get (_data_->_tmp24_, "status-code", &_data_->_tmp25_, NULL);
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp26_ = 0U;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp26_ = _data_->_tmp25_;
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp20_ = _data_->_tmp26_ >= ((guint) 300);
#line 3147 "Oauth2Client.c"
	}
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_tmp20_) {
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp27_ = NULL;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp27_ = _data_->msg;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp28_ = 0U;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_object_get (_data_->_tmp27_, "status-code", &_data_->_tmp28_, NULL);
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp29_ = 0U;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp29_ = _data_->_tmp28_;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp30_ = NULL;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp30_ = _data_->msg;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp31_ = 0U;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_object_get (_data_->_tmp30_, "status-code", &_data_->_tmp31_, NULL);
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp32_ = 0U;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp32_ = _data_->_tmp31_;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp33_ = NULL;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp33_ = soup_status_get_phrase (_data_->_tmp32_);
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp34_ = NULL;
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp34_ = g_strdup_printf ("%u: %s", _data_->_tmp29_, _data_->_tmp33_);
#line 265 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->http_error = _data_->_tmp34_;
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp35_ = NULL;
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp35_ = _data_->http_error;
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp36_ = NULL;
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp36_ = _data_->response_data;
#line 266 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_warning ("Oauth2Client.vala:266: Oauth2 Response error. %s.\n%s", _data_->_tmp35_, _data_->_tmp36_);
#line 267 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp37_ = NULL;
#line 267 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp37_ = _data_->msg;
#line 267 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp38_ = 0U;
#line 267 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_object_get (_data_->_tmp37_, "status-code", &_data_->_tmp38_, NULL);
#line 267 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp39_ = 0U;
#line 267 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp39_ = _data_->_tmp38_;
#line 267 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		switch (_data_->_tmp39_) {
#line 267 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			case 401:
#line 3211 "Oauth2Client.c"
			{
#line 270 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp40_ = NULL;
#line 270 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp40_ = _data_->self->priv->_token;
#line 270 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_vala_assert (_data_->_tmp40_ != NULL, "token != null");
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp42_ = NULL;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp42_ = _data_->self->priv->_token;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				if (_data_->_tmp42_ != NULL) {
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp43_ = FALSE;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp43_ = _data_->retry;
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp41_ = _data_->_tmp43_;
#line 3231 "Oauth2Client.c"
				} else {
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp41_ = FALSE;
#line 3235 "Oauth2Client.c"
				}
#line 271 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				if (_data_->_tmp41_) {
#line 273 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp44_ = NULL;
#line 273 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp44_ = _data_->http_error;
#line 273 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_message ("Oauth2Client.vala:273: Failed to send a message. Will try refreshing t" \
"oken. Reason: %s", _data_->_tmp44_);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_state_ = 2;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					nuvola_oauth2_client_refresh_token (_data_->self, nuvola_oauth2_client_send_message_ready, _data_);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					return FALSE;
#line 3251 "Oauth2Client.c"
					_state_2:
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp46_ = FALSE;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp46_ = nuvola_oauth2_client_refresh_token_finish (_data_->self, _data_->_res_, &_data_->_inner_error_);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_tmp45_ = _data_->_tmp46_;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_error_free (_data_->_inner_error_);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							_g_free0 (_data_->http_error);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							block10_data_unref (_data_->_data10_);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							_data_->_data10_ = NULL;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							if (_data_->_state_ == 0) {
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 3277 "Oauth2Client.c"
							} else {
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								g_simple_async_result_complete (_data_->_async_result);
#line 3281 "Oauth2Client.c"
							}
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_object_unref (_data_->_async_result);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							return FALSE;
#line 3287 "Oauth2Client.c"
						} else {
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							_g_free0 (_data_->http_error);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							block10_data_unref (_data_->_data10_);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							_data_->_data10_ = NULL;
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_clear_error (&_data_->_inner_error_);
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							return FALSE;
#line 3301 "Oauth2Client.c"
						}
					}
#line 274 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					if (_data_->_tmp45_) {
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_tmp48_ = NULL;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_tmp48_ = _data_->msg;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_state_ = 3;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						nuvola_oauth2_client_send_message (_data_->self, _data_->_tmp48_, FALSE, nuvola_oauth2_client_send_message_ready, _data_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 3316 "Oauth2Client.c"
						_state_3:
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_tmp49_ = NULL;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_tmp49_ = nuvola_oauth2_client_send_message_finish (_data_->self, _data_->_res_, &_data_->_inner_error_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_tmp47_ = _data_->_tmp49_;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								g_error_free (_data_->_inner_error_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								_g_free0 (_data_->http_error);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								block10_data_unref (_data_->_data10_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								_data_->_data10_ = NULL;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								if (_data_->_state_ == 0) {
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
									g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 3342 "Oauth2Client.c"
								} else {
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
									g_simple_async_result_complete (_data_->_async_result);
#line 3346 "Oauth2Client.c"
								}
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								g_object_unref (_data_->_async_result);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								return FALSE;
#line 3352 "Oauth2Client.c"
							} else {
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								_g_free0 (_data_->http_error);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								block10_data_unref (_data_->_data10_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								_data_->_data10_ = NULL;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								g_clear_error (&_data_->_inner_error_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
								return FALSE;
#line 3366 "Oauth2Client.c"
							}
						}
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_tmp50_ = NULL;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_tmp50_ = _data_->_tmp47_;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_tmp47_ = NULL;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->result = _data_->_tmp50_;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_drt_json_node_unref0 (_data_->_tmp47_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_g_free0 (_data_->http_error);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						block10_data_unref (_data_->_data10_);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						_data_->_data10_ = NULL;
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						if (_data_->_state_ == 0) {
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 3389 "Oauth2Client.c"
						} else {
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
							g_simple_async_result_complete (_data_->_async_result);
#line 3393 "Oauth2Client.c"
						}
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_object_unref (_data_->_async_result);
#line 275 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						return FALSE;
#line 3399 "Oauth2Client.c"
					}
				}
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp51_ = NULL;
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp51_ = _data_->http_error;
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp52_ = NULL;
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp52_ = g_error_new_literal (NUVOLA_OAUTH2_ERROR, NUVOLA_OAUTH2_ERROR_HTTP_UNAUTHORIZED, _data_->_tmp51_);
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_inner_error_ = _data_->_tmp52_;
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_error_free (_data_->_inner_error_);
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_g_free0 (_data_->http_error);
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					block10_data_unref (_data_->_data10_);
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_data10_ = NULL;
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					if (_data_->_state_ == 0) {
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 3428 "Oauth2Client.c"
					} else {
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_simple_async_result_complete (_data_->_async_result);
#line 3432 "Oauth2Client.c"
					}
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_object_unref (_data_->_async_result);
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					return FALSE;
#line 3438 "Oauth2Client.c"
				} else {
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_g_free0 (_data_->http_error);
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					block10_data_unref (_data_->_data10_);
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_data10_ = NULL;
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_clear_error (&_data_->_inner_error_);
#line 277 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					return FALSE;
#line 3452 "Oauth2Client.c"
				}
			}
			default:
			{
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp53_ = NULL;
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp53_ = _data_->http_error;
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp54_ = NULL;
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_tmp54_ = g_error_new_literal (NUVOLA_OAUTH2_ERROR, NUVOLA_OAUTH2_ERROR_HTTP_ERROR, _data_->_tmp53_);
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				_data_->_inner_error_ = _data_->_tmp54_;
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
				if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_error_free (_data_->_inner_error_);
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_g_free0 (_data_->http_error);
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					block10_data_unref (_data_->_data10_);
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_data10_ = NULL;
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					if (_data_->_state_ == 0) {
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 3483 "Oauth2Client.c"
					} else {
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
						g_simple_async_result_complete (_data_->_async_result);
#line 3487 "Oauth2Client.c"
					}
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_object_unref (_data_->_async_result);
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					return FALSE;
#line 3493 "Oauth2Client.c"
				} else {
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_g_free0 (_data_->http_error);
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					block10_data_unref (_data_->_data10_);
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_data_->_data10_ = NULL;
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_clear_error (&_data_->_inner_error_);
#line 279 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					return FALSE;
#line 3507 "Oauth2Client.c"
				}
			}
		}
#line 263 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_data_->http_error);
#line 3513 "Oauth2Client.c"
	}
	{
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp56_ = NULL;
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp56_ = _data_->response_data;
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp57_ = NULL;
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp57_ = drt_json_parser_load_object (_data_->_tmp56_, &_data_->_inner_error_);
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp55_ = _data_->_tmp57_;
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 3528 "Oauth2Client.c"
			goto __catch95_g_error;
		}
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp58_ = NULL;
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp58_ = _data_->_tmp55_;
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp55_ = NULL;
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->result = _data_->_tmp58_;
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (_data_->_tmp55_);
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		block10_data_unref (_data_->_data10_);
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_data10_ = NULL;
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (_data_->_state_ == 0) {
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 3549 "Oauth2Client.c"
		} else {
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_simple_async_result_complete (_data_->_async_result);
#line 3553 "Oauth2Client.c"
		}
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_object_unref (_data_->_async_result);
#line 285 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return FALSE;
#line 3559 "Oauth2Client.c"
	}
	goto __finally95;
	__catch95_g_error:
	{
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->e = _data_->_inner_error_;
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_inner_error_ = NULL;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp59_ = NULL;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp59_ = _data_->e;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp60_ = NULL;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp60_ = _data_->_tmp59_->message;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp61_ = NULL;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_tmp61_ = g_error_new_literal (NUVOLA_OAUTH2_ERROR, NUVOLA_OAUTH2_ERROR_PARSE_ERROR, _data_->_tmp60_);
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_inner_error_ = _data_->_tmp61_;
#line 289 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_error_free0 (_data_->e);
#line 3584 "Oauth2Client.c"
		goto __finally95;
	}
	__finally95:
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_inner_error_->domain == NUVOLA_OAUTH2_ERROR) {
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_simple_async_result_set_from_error (_data_->_async_result, _data_->_inner_error_);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_error_free (_data_->_inner_error_);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		block10_data_unref (_data_->_data10_);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_data10_ = NULL;
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (_data_->_state_ == 0) {
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 3602 "Oauth2Client.c"
		} else {
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			g_simple_async_result_complete (_data_->_async_result);
#line 3606 "Oauth2Client.c"
		}
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_object_unref (_data_->_async_result);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return FALSE;
#line 3612 "Oauth2Client.c"
	} else {
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		block10_data_unref (_data_->_data10_);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_data_->_data10_ = NULL;
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_clear_error (&_data_->_inner_error_);
#line 283 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return FALSE;
#line 3624 "Oauth2Client.c"
	}
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	block10_data_unref (_data_->_data10_);
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_data_->_data10_ = NULL;
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_data_->_state_ == 0) {
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 3634 "Oauth2Client.c"
	} else {
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 3638 "Oauth2Client.c"
	}
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_object_unref (_data_->_async_result);
#line 254 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return FALSE;
#line 3644 "Oauth2Client.c"
}


static gboolean nuvola_oauth2_client_device_code_grant_cb (NuvolaOauth2Client* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	SoupMessage* msg = NULL;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	SoupMessage* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	SoupSession* _tmp20_ = NULL;
	SoupMessage* _tmp21_ = NULL;
	gboolean _tmp22_ = FALSE;
	const gchar* _tmp23_ = NULL;
	const gchar* response_data = NULL;
	SoupMessage* _tmp25_ = NULL;
	SoupMessageBody* _tmp26_ = NULL;
	SoupBuffer* _tmp27_ = NULL;
	SoupBuffer* _tmp28_ = NULL;
	guint8* _tmp29_ = NULL;
	gint _tmp29__length1 = 0;
	const gchar* _tmp30_ = NULL;
	DrtJsonObject* response = NULL;
	SoupMessage* _tmp38_ = NULL;
	guint _tmp39_ = 0U;
	guint _tmp40_ = 0U;
	gchar* access_token = NULL;
	DrtJsonObject* _tmp52_ = NULL;
	gchar* _tmp53_ = NULL;
	gboolean _tmp54_ = FALSE;
	gchar* refresh_token = NULL;
	DrtJsonObject* _tmp55_ = NULL;
	gchar* _tmp56_ = NULL;
	gchar* token_type = NULL;
	DrtJsonObject* _tmp57_ = NULL;
	gchar* _tmp58_ = NULL;
	gchar* scope = NULL;
	DrtJsonObject* _tmp59_ = NULL;
	gchar* _tmp60_ = NULL;
	const gchar* _tmp61_ = NULL;
	const gchar* _tmp62_ = NULL;
	const gchar* _tmp63_ = NULL;
	const gchar* _tmp64_ = NULL;
	NuvolaOauth2Token* _tmp65_ = NULL;
	NuvolaOauth2Token* _tmp66_ = NULL;
	NuvolaOauth2Token* _tmp67_ = NULL;
	gchar* _tmp68_ = NULL;
	gchar* _tmp69_ = NULL;
	NuvolaOauth2Token* _tmp70_ = NULL;
	GError * _inner_error_ = NULL;
#line 293 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = self->priv->device_code_endpoint;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp1_ == NULL) {
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp0_ = TRUE;
#line 3706 "Oauth2Client.c"
	} else {
		const gchar* _tmp2_ = NULL;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp2_ = self->priv->device_code;
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp0_ = _tmp2_ == NULL;
#line 3713 "Oauth2Client.c"
	}
#line 295 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp0_) {
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		result = FALSE;
#line 296 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return result;
#line 3721 "Oauth2Client.c"
	}
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp3_ = self->priv->device_code_endpoint;
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp4_ = self->client_id;
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp5_ = self->priv->device_code;
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp6_ = soup_form_request_new ("POST", _tmp3_, "grant_type", "tiliado_device_code", "client_id", _tmp4_, "code", _tmp5_, NULL);
#line 298 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	msg = _tmp6_;
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp7_ = self->client_secret;
#line 300 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp7_ != NULL) {
#line 3737 "Oauth2Client.c"
		SoupMessage* _tmp8_ = NULL;
		SoupMessageHeaders* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		guint8* _tmp14_ = NULL;
		gint _tmp14__length1 = 0;
		guint8* _tmp15_ = NULL;
		gint _tmp15__length1 = 0;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp8_ = msg;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp9_ = _tmp8_->request_headers;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp10_ = self->client_id;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp11_ = self->client_secret;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp12_ = g_strdup_printf ("%s:%s", _tmp10_, _tmp11_);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp13_ = _tmp12_;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp14_ = string_get_data (_tmp13_, &_tmp14__length1);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp15_ = _tmp14_;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp15__length1 = _tmp14__length1;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp16_ = g_base64_encode (_tmp15_, _tmp15__length1);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp17_ = _tmp16_;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp18_ = g_strconcat ("Basic ", _tmp17_, NULL);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp19_ = _tmp18_;
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		soup_message_headers_replace (_tmp9_, "Authorization", _tmp19_);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_tmp19_);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_tmp17_);
#line 301 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_tmp13_);
#line 3786 "Oauth2Client.c"
	}
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp20_ = self->priv->soup;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp21_ = msg;
#line 303 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	soup_session_send_message (_tmp20_, _tmp21_);
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp23_ = self->priv->device_code_endpoint;
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp23_ == NULL) {
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp22_ = TRUE;
#line 3800 "Oauth2Client.c"
	} else {
		const gchar* _tmp24_ = NULL;
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp24_ = self->priv->device_code;
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp22_ = _tmp24_ == NULL;
#line 3807 "Oauth2Client.c"
	}
#line 305 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp22_) {
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		result = FALSE;
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (msg);
#line 306 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return result;
#line 3817 "Oauth2Client.c"
	}
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp25_ = msg;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp26_ = _tmp25_->response_body;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp27_ = soup_message_body_flatten (_tmp26_);
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp28_ = _tmp27_;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp29_ = _tmp28_->data;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp29__length1 = (gint) _tmp28_->length;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp30_ = (const gchar*) _tmp29_;
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	__vala_SoupBuffer_free0 (_tmp28_);
#line 308 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	response_data = _tmp30_;
#line 3837 "Oauth2Client.c"
	{
		DrtJsonObject* _tmp31_ = NULL;
		const gchar* _tmp32_ = NULL;
		DrtJsonObject* _tmp33_ = NULL;
		DrtJsonObject* _tmp34_ = NULL;
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp32_ = response_data;
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp33_ = drt_json_parser_load_object (_tmp32_, &_inner_error_);
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp31_ = _tmp33_;
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3851 "Oauth2Client.c"
			goto __catch96_g_error;
		}
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp34_ = _tmp31_;
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp31_ = NULL;
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (response);
#line 312 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		response = _tmp34_;
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (_tmp31_);
#line 3864 "Oauth2Client.c"
	}
	goto __finally96;
	__catch96_g_error:
	{
		GError* e = NULL;
		GError* _tmp35_ = NULL;
		const gchar* _tmp36_ = NULL;
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		e = _inner_error_;
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_inner_error_ = NULL;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp35_ = e;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp36_ = _tmp35_->message;
#line 316 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_signal_emit_by_name (self, "device-code-grant-error", "parse_error", _tmp36_);
#line 317 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		nuvola_oauth2_client_cancel_device_code_grant (self);
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		result = FALSE;
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_error_free0 (e);
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (response);
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (msg);
#line 318 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return result;
#line 3894 "Oauth2Client.c"
	}
	__finally96:
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3899 "Oauth2Client.c"
		gboolean _tmp37_ = FALSE;
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (response);
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (msg);
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_clear_error (&_inner_error_);
#line 310 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return _tmp37_;
#line 3911 "Oauth2Client.c"
	}
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp38_ = msg;
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_object_get (_tmp38_, "status-code", &_tmp39_, NULL);
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp40_ = _tmp39_;
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp40_ != ((guint) 200)) {
#line 3921 "Oauth2Client.c"
		gchar* error_code = NULL;
		gchar* error_description = NULL;
		DrtJsonObject* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		gchar* _tmp43_ = NULL;
		const gchar* _tmp44_ = NULL;
		const gchar* _tmp45_ = NULL;
		GQuark _tmp47_ = 0U;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		static GQuark _tmp46_label0 = 0;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		static GQuark _tmp46_label1 = 0;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp41_ = response;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		nuvola_oauth2_client_parse_error (self, _tmp41_, &_tmp42_, &_tmp43_);
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (error_code);
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		error_code = _tmp42_;
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (error_description);
#line 324 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		error_description = _tmp43_;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp44_ = error_code;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp45_ = _tmp44_;
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp47_ = (NULL == _tmp45_) ? 0 : g_quark_from_string (_tmp45_);
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if ((_tmp47_ == ((0 != _tmp46_label0) ? _tmp46_label0 : (_tmp46_label0 = g_quark_from_static_string ("slow_down")))) || (_tmp47_ == ((0 != _tmp46_label1) ? _tmp46_label1 : (_tmp46_label1 = g_quark_from_static_string ("authorization_pending"))))) {
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			switch (0) {
#line 3956 "Oauth2Client.c"
				default:
				{
					const gchar* _tmp48_ = NULL;
					const gchar* _tmp49_ = NULL;
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_tmp48_ = error_code;
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_tmp49_ = error_description;
#line 329 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_debug ("Oauth2Client.vala:329: Device code grant error: %s. %s", _tmp48_, _tmp49_);
#line 330 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					result = TRUE;
#line 330 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_g_free0 (error_description);
#line 330 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_g_free0 (error_code);
#line 330 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_drt_json_node_unref0 (response);
#line 330 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_g_object_unref0 (msg);
#line 330 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					return result;
#line 3979 "Oauth2Client.c"
				}
			}
		} else {
#line 325 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			switch (0) {
#line 3985 "Oauth2Client.c"
				default:
				{
					const gchar* _tmp50_ = NULL;
					const gchar* _tmp51_ = NULL;
#line 332 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_tmp50_ = error_code;
#line 332 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_tmp51_ = error_description;
#line 332 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					g_signal_emit_by_name (self, "device-code-grant-error", _tmp50_, _tmp51_);
#line 333 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					nuvola_oauth2_client_cancel_device_code_grant (self);
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					result = FALSE;
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_g_free0 (error_description);
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_g_free0 (error_code);
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_drt_json_node_unref0 (response);
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					_g_object_unref0 (msg);
#line 334 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
					return result;
#line 4010 "Oauth2Client.c"
				}
			}
		}
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (error_description);
#line 320 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (error_code);
#line 4018 "Oauth2Client.c"
	}
#line 339 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp52_ = response;
#line 339 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp54_ = drt_json_object_get_string (_tmp52_, "access_token", &_tmp53_);
#line 339 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (access_token);
#line 339 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	access_token = _tmp53_;
#line 339 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (!_tmp54_) {
#line 341 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_signal_emit_by_name (self, "device-code-grant-error", "response_error", "The 'access_token' member is missing.");
#line 342 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		nuvola_oauth2_client_cancel_device_code_grant (self);
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		result = FALSE;
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (access_token);
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_drt_json_node_unref0 (response);
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_object_unref0 (msg);
#line 343 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return result;
#line 4044 "Oauth2Client.c"
	}
#line 345 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp55_ = response;
#line 345 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp56_ = drt_json_object_get_string_or (_tmp55_, "refresh_token", NULL);
#line 345 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	refresh_token = _tmp56_;
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp57_ = response;
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp58_ = drt_json_object_get_string_or (_tmp57_, "token_type", NULL);
#line 346 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	token_type = _tmp58_;
#line 347 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp59_ = response;
#line 347 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp60_ = drt_json_object_get_string_or (_tmp59_, "scope", NULL);
#line 347 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	scope = _tmp60_;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp61_ = access_token;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp62_ = refresh_token;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp63_ = token_type;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp64_ = scope;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp65_ = nuvola_oauth2_token_new (_tmp61_, _tmp62_, _tmp63_, _tmp64_);
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp66_ = _tmp65_;
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_client_set_token (self, _tmp66_);
#line 348 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_nuvola_oauth2_token_unref0 (_tmp66_);
#line 349 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp67_ = self->priv->_token;
#line 349 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp68_ = nuvola_oauth2_token_to_string (_tmp67_);
#line 349 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp69_ = _tmp68_;
#line 349 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_debug ("Oauth2Client.vala:349: Device code grant token: %s.", _tmp69_);
#line 349 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_tmp69_);
#line 350 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->device_code_cb_id = (guint) 0;
#line 351 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->device_code);
#line 351 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->device_code = NULL;
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->device_code_endpoint);
#line 352 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->device_code_endpoint = NULL;
#line 353 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp70_ = self->priv->_token;
#line 353 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_signal_emit_by_name (self, "device-code-grant-finished", _tmp70_);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = FALSE;
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (scope);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (token_type);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (refresh_token);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (access_token);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_drt_json_node_unref0 (response);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (msg);
#line 354 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 4120 "Oauth2Client.c"
}


static void nuvola_oauth2_client_parse_error (NuvolaOauth2Client* self, DrtJsonObject* response, gchar** error_code, gchar** error_description) {
	gchar* _vala_error_code = NULL;
	gchar* _vala_error_description = NULL;
	DrtJsonObject* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (self != NULL);
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (response != NULL);
#line 359 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = response;
#line 359 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp2_ = drt_json_object_get_string (_tmp0_, "error", &_tmp1_);
#line 359 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (_vala_error_code);
#line 359 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_vala_error_code = _tmp1_;
#line 359 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (!_tmp2_) {
#line 4144 "Oauth2Client.c"
		gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp3_ = g_strdup ("response_error");
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_vala_error_code);
#line 361 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_vala_error_code = _tmp3_;
#line 362 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp4_ = g_strdup ("The 'error' member is missing.");
#line 362 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_vala_error_description);
#line 362 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_vala_error_description = _tmp4_;
#line 4159 "Oauth2Client.c"
	} else {
		DrtJsonObject* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
#line 366 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp5_ = response;
#line 366 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp6_ = drt_json_object_get_string_or (_tmp5_, "description", NULL);
#line 366 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_vala_error_description);
#line 366 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_vala_error_description = _tmp6_;
#line 4171 "Oauth2Client.c"
	}
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (error_code) {
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		*error_code = _vala_error_code;
#line 4177 "Oauth2Client.c"
	} else {
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_vala_error_code);
#line 4181 "Oauth2Client.c"
	}
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (error_description) {
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		*error_description = _vala_error_description;
#line 4187 "Oauth2Client.c"
	} else {
#line 357 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_g_free0 (_vala_error_description);
#line 4191 "Oauth2Client.c"
	}
}


NuvolaOauth2Token* nuvola_oauth2_client_get_token (NuvolaOauth2Client* self) {
	NuvolaOauth2Token* result;
	NuvolaOauth2Token* _tmp0_ = NULL;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = self->priv->_token;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _tmp0_;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 4207 "Oauth2Client.c"
}


static gpointer _nuvola_oauth2_token_ref0 (gpointer self) {
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return self ? nuvola_oauth2_token_ref (self) : NULL;
#line 4214 "Oauth2Client.c"
}


void nuvola_oauth2_client_set_token (NuvolaOauth2Client* self, NuvolaOauth2Token* value) {
	NuvolaOauth2Token* _tmp0_ = NULL;
	NuvolaOauth2Token* _tmp1_ = NULL;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (self != NULL);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = value;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = _nuvola_oauth2_token_ref0 (_tmp0_);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_nuvola_oauth2_token_unref0 (self->priv->_token);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->_token = _tmp1_;
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_object_notify ((GObject *) self, "token");
#line 4233 "Oauth2Client.c"
}


static void g_cclosure_user_marshal_VOID__NUVOLA_OAUTH2_TOKEN (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__NUVOLA_OAUTH2_TOKEN) (gpointer data1, gpointer arg_1, gpointer data2);
	register GMarshalFunc_VOID__NUVOLA_OAUTH2_TOKEN callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (n_param_values == 2);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		data1 = closure->data;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		data2 = param_values->data[0].v_pointer;
#line 4252 "Oauth2Client.c"
	} else {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		data1 = param_values->data[0].v_pointer;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		data2 = closure->data;
#line 4258 "Oauth2Client.c"
	}
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	callback = (GMarshalFunc_VOID__NUVOLA_OAUTH2_TOKEN) (marshal_data ? marshal_data : cc->callback);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	callback (data1, nuvola_value_get_oauth2_token (param_values + 1), data2);
#line 4264 "Oauth2Client.c"
}


static void nuvola_oauth2_client_real_device_code_grant_started (NuvolaOauth2Client* self, const gchar* verification_uri) {
	const gchar* _tmp0_ = NULL;
#line 75 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (verification_uri != NULL);
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = verification_uri;
#line 77 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_debug ("Oauth2Client.vala:77: Device code grant verification URI: %s", _tmp0_);
#line 4276 "Oauth2Client.c"
}


static void nuvola_oauth2_client_real_device_code_grant_error (NuvolaOauth2Client* self, const gchar* code, const gchar* description) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 80 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (code != NULL);
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = description;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = _tmp1_;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (_tmp0_ == NULL) {
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		_tmp0_ = "(null)";
#line 4294 "Oauth2Client.c"
	}
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp2_ = code;
#line 82 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_warning ("Oauth2Client.vala:82: Device code grant error: %s. %s", _tmp2_, _tmp0_);
#line 4300 "Oauth2Client.c"
}


static void g_cclosure_user_marshal_VOID__STRING_STRING (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__STRING_STRING) (gpointer data1, const char* arg_1, const char* arg_2, gpointer data2);
	register GMarshalFunc_VOID__STRING_STRING callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (n_param_values == 3);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		data1 = closure->data;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		data2 = param_values->data[0].v_pointer;
#line 4319 "Oauth2Client.c"
	} else {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		data1 = param_values->data[0].v_pointer;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		data2 = closure->data;
#line 4325 "Oauth2Client.c"
	}
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	callback = (GMarshalFunc_VOID__STRING_STRING) (marshal_data ? marshal_data : cc->callback);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	callback (data1, g_value_get_string (param_values + 1), g_value_get_string (param_values + 2), data2);
#line 4331 "Oauth2Client.c"
}


static void nuvola_oauth2_client_class_init (NuvolaOauth2ClientClass * klass) {
	const gchar* _tmp0_ = NULL;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_client_parent_class = g_type_class_peek_parent (klass);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_type_class_add_private (klass, sizeof (NuvolaOauth2ClientPrivate));
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	((NuvolaOauth2ClientClass *) klass)->call = (void (*)(NuvolaOauth2Client*, const gchar*, GHashTable*, GHashTable*, GAsyncReadyCallback, gpointer)) nuvola_oauth2_client_real_call;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	((NuvolaOauth2ClientClass *) klass)->call_finish = (DrtJsonObject* (*)(NuvolaOauth2Client*, GAsyncResult*, GError**)) nuvola_oauth2_client_real_call_finish;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	((NuvolaOauth2ClientClass *) klass)->device_code_grant_started = nuvola_oauth2_client_real_device_code_grant_started;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	((NuvolaOauth2ClientClass *) klass)->device_code_grant_error = nuvola_oauth2_client_real_device_code_grant_error;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_oauth2_client_get_property;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_oauth2_client_set_property;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_oauth2_client_finalize;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_OAUTH2_CLIENT_TOKEN, nuvola_param_spec_oauth2_token ("token", "token", "token", NUVOLA_TYPE_OAUTH2_TOKEN, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_signal_new ("device_code_grant_cancelled", NUVOLA_TYPE_OAUTH2_CLIENT, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_signal_new ("device_code_grant_finished", NUVOLA_TYPE_OAUTH2_CLIENT, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__NUVOLA_OAUTH2_TOKEN, G_TYPE_NONE, 1, NUVOLA_TYPE_OAUTH2_TOKEN);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_signal_new ("device_code_grant_started", NUVOLA_TYPE_OAUTH2_CLIENT, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (NuvolaOauth2ClientClass, device_code_grant_started), NULL, NULL, g_cclosure_marshal_VOID__STRING, G_TYPE_NONE, 1, G_TYPE_STRING);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_signal_new ("device_code_grant_error", NUVOLA_TYPE_OAUTH2_CLIENT, G_SIGNAL_RUN_LAST, G_STRUCT_OFFSET (NuvolaOauth2ClientClass, device_code_grant_error), NULL, NULL, g_cclosure_user_marshal_VOID__STRING_STRING, G_TYPE_NONE, 2, G_TYPE_STRING, G_TYPE_STRING);
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = g_getenv ("OAUTH2_DEBUG_SOUP");
#line 56 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_client_debug_soup = g_strcmp0 (_tmp0_, "yes") == 0;
#line 4369 "Oauth2Client.c"
}


static void nuvola_oauth2_client_instance_init (NuvolaOauth2Client * self) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv = NUVOLA_OAUTH2_CLIENT_GET_PRIVATE (self);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->device_code_endpoint = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->device_code = NULL;
#line 52 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->device_code_cb_id = (guint) 0;
#line 4382 "Oauth2Client.c"
}


static void nuvola_oauth2_client_finalize (GObject* obj) {
	NuvolaOauth2Client * self;
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_OAUTH2_CLIENT, NuvolaOauth2Client);
#line 44 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->client_id);
#line 45 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->client_secret);
#line 46 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->api_endpoint);
#line 47 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_nuvola_oauth2_token_unref0 (self->priv->_token);
#line 48 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->token_endpoint);
#line 49 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_object_unref0 (self->priv->soup);
#line 50 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->device_code_endpoint);
#line 51 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->device_code);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	G_OBJECT_CLASS (nuvola_oauth2_client_parent_class)->finalize (obj);
#line 4408 "Oauth2Client.c"
}


GType nuvola_oauth2_client_get_type (void) {
	static volatile gsize nuvola_oauth2_client_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_oauth2_client_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaOauth2ClientClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_oauth2_client_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaOauth2Client), 0, (GInstanceInitFunc) nuvola_oauth2_client_instance_init, NULL };
		GType nuvola_oauth2_client_type_id;
		nuvola_oauth2_client_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaOauth2Client", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_oauth2_client_type_id__volatile, nuvola_oauth2_client_type_id);
	}
	return nuvola_oauth2_client_type_id__volatile;
}


static void _vala_nuvola_oauth2_client_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaOauth2Client * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_OAUTH2_CLIENT, NuvolaOauth2Client);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	switch (property_id) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		case NUVOLA_OAUTH2_CLIENT_TOKEN:
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		nuvola_value_set_oauth2_token (value, nuvola_oauth2_client_get_token (self));
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		break;
#line 4435 "Oauth2Client.c"
		default:
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		break;
#line 4441 "Oauth2Client.c"
	}
}


static void _vala_nuvola_oauth2_client_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaOauth2Client * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_OAUTH2_CLIENT, NuvolaOauth2Client);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	switch (property_id) {
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		case NUVOLA_OAUTH2_CLIENT_TOKEN:
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		nuvola_oauth2_client_set_token (self, nuvola_value_get_oauth2_token (value));
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		break;
#line 4457 "Oauth2Client.c"
		default:
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 41 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		break;
#line 4463 "Oauth2Client.c"
	}
}


NuvolaOauth2Token* nuvola_oauth2_token_construct (GType object_type, const gchar* access_token, const gchar* refresh_token, const gchar* token_type, const gchar* scope) {
	NuvolaOauth2Token* self = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
#line 378 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (access_token != NULL, NULL);
#line 378 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self = (NuvolaOauth2Token*) g_type_create_instance (object_type);
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = access_token;
#line 380 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_token_set_access_token (self, _tmp0_);
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = refresh_token;
#line 381 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_token_set_refresh_token (self, _tmp1_);
#line 382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp2_ = token_type;
#line 382 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_token_set_token_type (self, _tmp2_);
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp3_ = scope;
#line 383 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_token_set_scope (self, _tmp3_);
#line 378 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return self;
#line 4496 "Oauth2Client.c"
}


NuvolaOauth2Token* nuvola_oauth2_token_new (const gchar* access_token, const gchar* refresh_token, const gchar* token_type, const gchar* scope) {
#line 378 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return nuvola_oauth2_token_construct (NUVOLA_TYPE_OAUTH2_TOKEN, access_token, refresh_token, token_type, scope);
#line 4503 "Oauth2Client.c"
}


gchar* nuvola_oauth2_token_to_string (NuvolaOauth2Token* self) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 386 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 388 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = self->priv->_access_token;
#line 388 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = self->priv->_refresh_token;
#line 388 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp2_ = self->priv->_token_type;
#line 388 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp3_ = self->priv->_scope;
#line 388 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp4_ = g_strdup_printf ("access='%s'; refresh='%s';type='%s';scope='%s'", _tmp0_, _tmp1_, _tmp2_, _tmp3_);
#line 388 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _tmp4_;
#line 388 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 4530 "Oauth2Client.c"
}


const gchar* nuvola_oauth2_token_get_access_token (NuvolaOauth2Token* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 373 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 373 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = self->priv->_access_token;
#line 373 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _tmp0_;
#line 373 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 4545 "Oauth2Client.c"
}


static void nuvola_oauth2_token_set_access_token (NuvolaOauth2Token* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 373 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (self != NULL);
#line 373 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = value;
#line 373 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 373 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->_access_token);
#line 373 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->_access_token = _tmp1_;
#line 4562 "Oauth2Client.c"
}


const gchar* nuvola_oauth2_token_get_refresh_token (NuvolaOauth2Token* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = self->priv->_refresh_token;
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _tmp0_;
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 4577 "Oauth2Client.c"
}


static void nuvola_oauth2_token_set_refresh_token (NuvolaOauth2Token* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (self != NULL);
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = value;
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->_refresh_token);
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->_refresh_token = _tmp1_;
#line 4594 "Oauth2Client.c"
}


const gchar* nuvola_oauth2_token_get_token_type (NuvolaOauth2Token* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = self->priv->_token_type;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _tmp0_;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 4609 "Oauth2Client.c"
}


static void nuvola_oauth2_token_set_token_type (NuvolaOauth2Token* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (self != NULL);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = value;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->_token_type);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->_token_type = _tmp1_;
#line 4626 "Oauth2Client.c"
}


const gchar* nuvola_oauth2_token_get_scope (NuvolaOauth2Token* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = self->priv->_scope;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	result = _tmp0_;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return result;
#line 4641 "Oauth2Client.c"
}


static void nuvola_oauth2_token_set_scope (NuvolaOauth2Token* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (self != NULL);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp0_ = value;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->_scope);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->_scope = _tmp1_;
#line 4658 "Oauth2Client.c"
}


static void nuvola_value_oauth2_token_init (GValue* value) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	value->data[0].v_pointer = NULL;
#line 4665 "Oauth2Client.c"
}


static void nuvola_value_oauth2_token_free_value (GValue* value) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (value->data[0].v_pointer) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		nuvola_oauth2_token_unref (value->data[0].v_pointer);
#line 4674 "Oauth2Client.c"
	}
}


static void nuvola_value_oauth2_token_copy_value (const GValue* src_value, GValue* dest_value) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (src_value->data[0].v_pointer) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		dest_value->data[0].v_pointer = nuvola_oauth2_token_ref (src_value->data[0].v_pointer);
#line 4684 "Oauth2Client.c"
	} else {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		dest_value->data[0].v_pointer = NULL;
#line 4688 "Oauth2Client.c"
	}
}


static gpointer nuvola_value_oauth2_token_peek_pointer (const GValue* value) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return value->data[0].v_pointer;
#line 4696 "Oauth2Client.c"
}


static gchar* nuvola_value_oauth2_token_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (collect_values[0].v_pointer) {
#line 4703 "Oauth2Client.c"
		NuvolaOauth2Token* object;
		object = collect_values[0].v_pointer;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		if (object->parent_instance.g_class == NULL) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 4710 "Oauth2Client.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 4714 "Oauth2Client.c"
		}
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		value->data[0].v_pointer = nuvola_oauth2_token_ref (object);
#line 4718 "Oauth2Client.c"
	} else {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		value->data[0].v_pointer = NULL;
#line 4722 "Oauth2Client.c"
	}
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return NULL;
#line 4726 "Oauth2Client.c"
}


static gchar* nuvola_value_oauth2_token_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	NuvolaOauth2Token** object_p;
	object_p = collect_values[0].v_pointer;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (!object_p) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 4737 "Oauth2Client.c"
	}
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (!value->data[0].v_pointer) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		*object_p = NULL;
#line 4743 "Oauth2Client.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		*object_p = value->data[0].v_pointer;
#line 4747 "Oauth2Client.c"
	} else {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		*object_p = nuvola_oauth2_token_ref (value->data[0].v_pointer);
#line 4751 "Oauth2Client.c"
	}
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return NULL;
#line 4755 "Oauth2Client.c"
}


GParamSpec* nuvola_param_spec_oauth2_token (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	NuvolaParamSpecOauth2Token* spec;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (g_type_is_a (object_type, NUVOLA_TYPE_OAUTH2_TOKEN), NULL);
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return G_PARAM_SPEC (spec);
#line 4769 "Oauth2Client.c"
}


gpointer nuvola_value_get_oauth2_token (const GValue* value) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NUVOLA_TYPE_OAUTH2_TOKEN), NULL);
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return value->data[0].v_pointer;
#line 4778 "Oauth2Client.c"
}


void nuvola_value_set_oauth2_token (GValue* value, gpointer v_object) {
	NuvolaOauth2Token* old;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NUVOLA_TYPE_OAUTH2_TOKEN));
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	old = value->data[0].v_pointer;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (v_object) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NUVOLA_TYPE_OAUTH2_TOKEN));
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		value->data[0].v_pointer = v_object;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		nuvola_oauth2_token_ref (value->data[0].v_pointer);
#line 4798 "Oauth2Client.c"
	} else {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		value->data[0].v_pointer = NULL;
#line 4802 "Oauth2Client.c"
	}
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (old) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		nuvola_oauth2_token_unref (old);
#line 4808 "Oauth2Client.c"
	}
}


void nuvola_value_take_oauth2_token (GValue* value, gpointer v_object) {
	NuvolaOauth2Token* old;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NUVOLA_TYPE_OAUTH2_TOKEN));
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	old = value->data[0].v_pointer;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (v_object) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NUVOLA_TYPE_OAUTH2_TOKEN));
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		value->data[0].v_pointer = v_object;
#line 4827 "Oauth2Client.c"
	} else {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		value->data[0].v_pointer = NULL;
#line 4831 "Oauth2Client.c"
	}
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (old) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		nuvola_oauth2_token_unref (old);
#line 4837 "Oauth2Client.c"
	}
}


static void nuvola_oauth2_token_class_init (NuvolaOauth2TokenClass * klass) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	nuvola_oauth2_token_parent_class = g_type_class_peek_parent (klass);
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	((NuvolaOauth2TokenClass *) klass)->finalize = nuvola_oauth2_token_finalize;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_type_class_add_private (klass, sizeof (NuvolaOauth2TokenPrivate));
#line 4849 "Oauth2Client.c"
}


static void nuvola_oauth2_token_instance_init (NuvolaOauth2Token * self) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv = NUVOLA_OAUTH2_TOKEN_GET_PRIVATE (self);
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->_refresh_token = NULL;
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->_token_type = NULL;
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->priv->_scope = NULL;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self->ref_count = 1;
#line 4864 "Oauth2Client.c"
}


static void nuvola_oauth2_token_finalize (NuvolaOauth2Token* obj) {
	NuvolaOauth2Token * self;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_OAUTH2_TOKEN, NuvolaOauth2Token);
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_signal_handlers_destroy (self);
#line 373 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->_access_token);
#line 374 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->_refresh_token);
#line 375 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->_token_type);
#line 376 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	_g_free0 (self->priv->_scope);
#line 4882 "Oauth2Client.c"
}


GType nuvola_oauth2_token_get_type (void) {
	static volatile gsize nuvola_oauth2_token_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_oauth2_token_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { nuvola_value_oauth2_token_init, nuvola_value_oauth2_token_free_value, nuvola_value_oauth2_token_copy_value, nuvola_value_oauth2_token_peek_pointer, "p", nuvola_value_oauth2_token_collect_value, "p", nuvola_value_oauth2_token_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaOauth2TokenClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_oauth2_token_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaOauth2Token), 0, (GInstanceInitFunc) nuvola_oauth2_token_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType nuvola_oauth2_token_type_id;
		nuvola_oauth2_token_type_id = g_type_register_fundamental (g_type_fundamental_next (), "NuvolaOauth2Token", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&nuvola_oauth2_token_type_id__volatile, nuvola_oauth2_token_type_id);
	}
	return nuvola_oauth2_token_type_id__volatile;
}


gpointer nuvola_oauth2_token_ref (gpointer instance) {
	NuvolaOauth2Token* self;
	self = instance;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	g_atomic_int_inc (&self->ref_count);
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	return instance;
#line 4907 "Oauth2Client.c"
}


void nuvola_oauth2_token_unref (gpointer instance) {
	NuvolaOauth2Token* self;
	self = instance;
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		NUVOLA_OAUTH2_TOKEN_GET_CLASS (self)->finalize (self);
#line 371 "/builddir/build/BUILD/nuvolaplayer-3.1.3/src/nuvolakit-runner/tiliado/Oauth2Client.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 4920 "Oauth2Client.c"
	}
}



